/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2011, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 * Portions Copyright (c) 2010-2012 Postgres-XC Development Group
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *	  SQL92-specific syntax is separated from plain SQL/Postgres syntax
 *	  to help isolate the non-extensible portions of the parser.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "miscadmin.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "nodes/nodes.h"
#include "pgxc/poolmgr.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (Rhs)[0]; \
	} while (0)

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static FuncCall *makeOverlaps(List *largs, List *rargs,
							  int location, core_yyscan_t yyscanner);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static SelectStmt *findLeftmostSelect(SelectStmt *node);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner);



/* Line 268 of yacc.c  */
#line 234 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BARRIER = 295,
     BEFORE = 296,
     BEGIN_P = 297,
     BETWEEN = 298,
     BIGINT = 299,
     BINARY = 300,
     BIT = 301,
     BOOLEAN_P = 302,
     BOTH = 303,
     BY = 304,
     CACHE = 305,
     CALLED = 306,
     CASCADE = 307,
     CASCADED = 308,
     CASE = 309,
     CAST = 310,
     CATALOG_P = 311,
     CHAIN = 312,
     CHAR_P = 313,
     CHARACTER = 314,
     CHARACTERISTICS = 315,
     CHECK = 316,
     CHECKPOINT = 317,
     CLASS = 318,
     CLEAN = 319,
     CLOSE = 320,
     CLUSTER = 321,
     COALESCE = 322,
     COLLATE = 323,
     COLLATION = 324,
     COLUMN = 325,
     COMMENT = 326,
     COMMENTS = 327,
     COMMIT = 328,
     COMMITTED = 329,
     CONCURRENTLY = 330,
     CONFIGURATION = 331,
     CONNECTION = 332,
     CONSTRAINT = 333,
     CONSTRAINTS = 334,
     CONTENT_P = 335,
     CONTINUE_P = 336,
     CONVERSION_P = 337,
     COORDINATOR = 338,
     COPY = 339,
     COST = 340,
     CREATE = 341,
     CROSS = 342,
     CSV = 343,
     CURRENT_P = 344,
     CURRENT_CATALOG = 345,
     CURRENT_DATE = 346,
     CURRENT_ROLE = 347,
     CURRENT_SCHEMA = 348,
     CURRENT_TIME = 349,
     CURRENT_TIMESTAMP = 350,
     CURRENT_USER = 351,
     CURSOR = 352,
     CYCLE = 353,
     DATA_P = 354,
     DATABASE = 355,
     DAY_P = 356,
     DEALLOCATE = 357,
     DEC = 358,
     DECIMAL_P = 359,
     DECLARE = 360,
     DEFAULT = 361,
     DEFAULTS = 362,
     DEFERRABLE = 363,
     DEFERRED = 364,
     DEFINER = 365,
     DELETE_P = 366,
     DELIMITER = 367,
     DELIMITERS = 368,
     DESC = 369,
     DICTIONARY = 370,
     DIRECT = 371,
     DISABLE_P = 372,
     DISCARD = 373,
     DISTINCT = 374,
     DISTRIBUTE = 375,
     DO = 376,
     DOCUMENT_P = 377,
     DOMAIN_P = 378,
     DOUBLE_P = 379,
     DROP = 380,
     EACH = 381,
     ELSE = 382,
     ENABLE_P = 383,
     ENCODING = 384,
     ENCRYPTED = 385,
     END_P = 386,
     ENUM_P = 387,
     ESCAPE = 388,
     EXCEPT = 389,
     EXCLUDE = 390,
     EXCLUDING = 391,
     EXCLUSIVE = 392,
     EXECUTE = 393,
     EXISTS = 394,
     EXPLAIN = 395,
     EXTENSION = 396,
     EXTERNAL = 397,
     EXTRACT = 398,
     FALSE_P = 399,
     FAMILY = 400,
     FETCH = 401,
     FIRST_P = 402,
     FLOAT_P = 403,
     FOLLOWING = 404,
     FOR = 405,
     FORCE = 406,
     FOREIGN = 407,
     FORWARD = 408,
     FREEZE = 409,
     FROM = 410,
     FULL = 411,
     FUNCTION = 412,
     FUNCTIONS = 413,
     GLOBAL = 414,
     GRANT = 415,
     GRANTED = 416,
     GREATEST = 417,
     GROUP_P = 418,
     HANDLER = 419,
     HASH = 420,
     HAVING = 421,
     HEADER_P = 422,
     HOLD = 423,
     HOUR_P = 424,
     IDENTITY_P = 425,
     IF_P = 426,
     ILIKE = 427,
     IMMEDIATE = 428,
     IMMUTABLE = 429,
     IMPLICIT_P = 430,
     IN_P = 431,
     INCLUDING = 432,
     INCREMENT = 433,
     INDEX = 434,
     INDEXES = 435,
     INHERIT = 436,
     INHERITS = 437,
     INITIALLY = 438,
     INLINE_P = 439,
     INNER_P = 440,
     INOUT = 441,
     INPUT_P = 442,
     INSENSITIVE = 443,
     INSERT = 444,
     INSTEAD = 445,
     INT_P = 446,
     INTEGER = 447,
     INTERSECT = 448,
     INTERVAL = 449,
     INTO = 450,
     INVOKER = 451,
     IS = 452,
     ISNULL = 453,
     ISOLATION = 454,
     JOIN = 455,
     KEY = 456,
     LABEL = 457,
     LANGUAGE = 458,
     LARGE_P = 459,
     LAST_P = 460,
     LC_COLLATE_P = 461,
     LC_CTYPE_P = 462,
     LEADING = 463,
     LEAST = 464,
     LEFT = 465,
     LEVEL = 466,
     LIKE = 467,
     LIMIT = 468,
     LISTEN = 469,
     LOAD = 470,
     LOCAL = 471,
     LOCALTIME = 472,
     LOCALTIMESTAMP = 473,
     LOCATION = 474,
     LOCK_P = 475,
     MAPPING = 476,
     MATCH = 477,
     MAXVALUE = 478,
     MINUTE_P = 479,
     MINVALUE = 480,
     MODE = 481,
     MODULO = 482,
     MONTH_P = 483,
     MOVE = 484,
     NAME_P = 485,
     NAMES = 486,
     NATIONAL = 487,
     NATURAL = 488,
     NCHAR = 489,
     NEXT = 490,
     NO = 491,
     NODE = 492,
     NONE = 493,
     NOT = 494,
     NOTHING = 495,
     NOTIFY = 496,
     NOTNULL = 497,
     NOWAIT = 498,
     NULL_P = 499,
     NULLIF = 500,
     NULLS_P = 501,
     NUMERIC = 502,
     OBJECT_P = 503,
     OF = 504,
     OFF = 505,
     OFFSET = 506,
     OIDS = 507,
     ON = 508,
     ONLY = 509,
     OPERATOR = 510,
     OPTION = 511,
     OPTIONS = 512,
     OR = 513,
     ORDER = 514,
     OUT_P = 515,
     OUTER_P = 516,
     OVER = 517,
     OVERLAPS = 518,
     OVERLAY = 519,
     OWNED = 520,
     OWNER = 521,
     PARSER = 522,
     PARTIAL = 523,
     PARTITION = 524,
     PASSING = 525,
     PASSWORD = 526,
     PLACING = 527,
     PLANS = 528,
     POSITION = 529,
     PRECEDING = 530,
     PRECISION = 531,
     PREFERRED = 532,
     PRESERVE = 533,
     PREPARE = 534,
     PREPARED = 535,
     PRIMARY = 536,
     PRIOR = 537,
     PRIVILEGES = 538,
     PROCEDURAL = 539,
     PROCEDURE = 540,
     QUOTE = 541,
     RANGE = 542,
     READ = 543,
     REAL = 544,
     REASSIGN = 545,
     RECHECK = 546,
     RECURSIVE = 547,
     REF = 548,
     REFERENCES = 549,
     REINDEX = 550,
     RELATIVE_P = 551,
     RELEASE = 552,
     RENAME = 553,
     REPEATABLE = 554,
     REPLACE = 555,
     REPLICA = 556,
     REPLICATION = 557,
     RESET = 558,
     RESTART = 559,
     RESTRICT = 560,
     RETURNING = 561,
     RETURNS = 562,
     REVOKE = 563,
     RIGHT = 564,
     ROBIN = 565,
     ROLE = 566,
     ROLLBACK = 567,
     ROUND = 568,
     ROW = 569,
     ROWS = 570,
     RULE = 571,
     SAVEPOINT = 572,
     SCHEMA = 573,
     SCROLL = 574,
     SEARCH = 575,
     SECOND_P = 576,
     SECURITY = 577,
     SELECT = 578,
     SEQUENCE = 579,
     SEQUENCES = 580,
     SERIALIZABLE = 581,
     SERVER = 582,
     SESSION = 583,
     SESSION_USER = 584,
     SET = 585,
     SETOF = 586,
     SHARE = 587,
     SHOW = 588,
     SIMILAR = 589,
     SIMPLE = 590,
     SMALLINT = 591,
     SOME = 592,
     STABLE = 593,
     STANDALONE_P = 594,
     START = 595,
     STATEMENT = 596,
     STATISTICS = 597,
     STDIN = 598,
     STDOUT = 599,
     STORAGE = 600,
     STRICT_P = 601,
     STRIP_P = 602,
     SUBSTRING = 603,
     SYMMETRIC = 604,
     SYSID = 605,
     SYSTEM_P = 606,
     TABLE = 607,
     TABLES = 608,
     TABLESPACE = 609,
     TEMP = 610,
     TEMPLATE = 611,
     TEMPORARY = 612,
     TEXT_P = 613,
     THEN = 614,
     TIME = 615,
     TIMESTAMP = 616,
     TO = 617,
     TRAILING = 618,
     TRANSACTION = 619,
     TREAT = 620,
     TRIGGER = 621,
     TRIM = 622,
     TRUE_P = 623,
     TRUNCATE = 624,
     TRUSTED = 625,
     TYPE_P = 626,
     UNBOUNDED = 627,
     UNCOMMITTED = 628,
     UNENCRYPTED = 629,
     UNION = 630,
     UNIQUE = 631,
     UNKNOWN = 632,
     UNLISTEN = 633,
     UNLOGGED = 634,
     UNTIL = 635,
     UPDATE = 636,
     USER = 637,
     USING = 638,
     VACUUM = 639,
     VALID = 640,
     VALIDATE = 641,
     VALIDATOR = 642,
     VALUE_P = 643,
     VALUES = 644,
     VARCHAR = 645,
     VARIADIC = 646,
     VARYING = 647,
     VERBOSE = 648,
     VERSION_P = 649,
     VIEW = 650,
     VOLATILE = 651,
     WHEN = 652,
     WHERE = 653,
     WHITESPACE_P = 654,
     WINDOW = 655,
     WITH = 656,
     WITHOUT = 657,
     WORK = 658,
     WRAPPER = 659,
     WRITE = 660,
     XML_P = 661,
     XMLATTRIBUTES = 662,
     XMLCONCAT = 663,
     XMLELEMENT = 664,
     XMLEXISTS = 665,
     XMLFOREST = 666,
     XMLPARSE = 667,
     XMLPI = 668,
     XMLROOT = 669,
     XMLSERIALIZE = 670,
     YEAR_P = 671,
     YES_P = 672,
     ZONE = 673,
     NULLS_FIRST = 674,
     NULLS_LAST = 675,
     WITH_TIME = 676,
     POSTFIXOP = 677,
     UMINUS = 678
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 164 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;
/* PGXC_BEGIN */
	DistributeBy		*distby;
	PGXCSubCluster		*subclus;
/* PGXC_END */



/* Line 293 of yacc.c  */
#line 736 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 761 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  721
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   72075

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  441
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  562
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2265
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4272

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   678

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   430,     2,     2,
     435,   436,   428,   426,   439,   427,   437,   429,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   440,   438,
     423,   422,   424,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   433,     2,   434,   431,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   425,   432
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     241,   243,   245,   247,   248,   254,   256,   257,   260,   261,
     264,   265,   268,   271,   275,   279,   281,   285,   289,   292,
     294,   296,   299,   302,   305,   309,   313,   319,   325,   326,
     330,   336,   342,   347,   351,   357,   361,   367,   373,   380,
     382,   384,   388,   394,   401,   406,   408,   409,   412,   413,
     415,   417,   419,   421,   423,   425,   428,   432,   436,   440,
     444,   448,   452,   456,   460,   463,   469,   472,   475,   478,
     481,   485,   489,   493,   495,   499,   501,   505,   507,   509,
     512,   515,   518,   520,   522,   524,   526,   528,   530,   532,
     536,   543,   545,   547,   549,   551,   553,   554,   556,   558,
     561,   565,   570,   574,   577,   580,   582,   585,   589,   594,
     598,   601,   606,   608,   610,   612,   614,   616,   619,   622,
     625,   628,   633,   638,   643,   648,   650,   654,   657,   661,
     666,   673,   680,   687,   693,   699,   706,   713,   718,   727,
     730,   734,   741,   746,   750,   754,   758,   762,   766,   771,
     776,   780,   784,   788,   792,   796,   800,   805,   810,   814,
     817,   821,   824,   827,   831,   835,   838,   841,   843,   847,
     850,   852,   854,   855,   858,   859,   862,   863,   867,   870,
     871,   873,   877,   881,   883,   889,   893,   898,   900,   904,
     909,   916,   921,   930,   933,   936,   947,   954,   956,   958,
     960,   962,   964,   966,   970,   973,   974,   976,   978,   982,
     986,   988,   990,   994,   998,  1002,  1006,  1011,  1014,  1016,
    1017,  1020,  1021,  1025,  1026,  1028,  1029,  1031,  1035,  1038,
    1040,  1042,  1044,  1048,  1049,  1051,  1055,  1057,  1071,  1088,
    1101,  1117,  1119,  1121,  1124,  1127,  1130,  1133,  1135,  1136,
    1138,  1139,  1143,  1144,  1146,  1150,  1152,  1156,  1158,  1160,
    1162,  1164,  1166,  1170,  1175,  1178,  1179,  1183,  1185,  1187,
    1190,  1193,  1195,  1199,  1204,  1209,  1212,  1218,  1220,  1223,
    1226,  1229,  1233,  1237,  1241,  1242,  1244,  1246,  1248,  1250,
    1252,  1254,  1258,  1260,  1266,  1274,  1278,  1287,  1292,  1302,
    1314,  1318,  1319,  1321,  1325,  1327,  1330,  1333,  1336,  1337,
    1339,  1343,  1347,  1354,  1359,  1360,  1362,  1364,  1367,  1370,
    1371,  1375,  1379,  1382,  1384,  1386,  1389,  1392,  1397,  1398,
    1401,  1404,  1407,  1408,  1412,  1417,  1422,  1423,  1426,  1427,
    1430,  1434,  1439,  1446,  1450,  1455,  1456,  1460,  1464,  1465,
    1470,  1471,  1475,  1483,  1491,  1495,  1496,  1498,  1502,  1504,
    1507,  1511,  1512,  1518,  1523,  1525,  1526,  1528,  1531,  1534,
    1536,  1539,  1543,  1546,  1549,  1552,  1555,  1559,  1563,  1565,
    1569,  1571,  1572,  1574,  1577,  1579,  1581,  1585,  1592,  1603,
    1605,  1606,  1608,  1611,  1614,  1615,  1618,  1621,  1623,  1624,
    1630,  1638,  1640,  1641,  1648,  1651,  1652,  1656,  1662,  1668,
    1677,  1680,  1681,  1684,  1687,  1690,  1696,  1699,  1700,  1703,
    1711,  1722,  1729,  1736,  1743,  1750,  1758,  1766,  1776,  1786,
    1793,  1800,  1809,  1818,  1827,  1836,  1843,  1850,  1858,  1867,
    1874,  1881,  1889,  1892,  1895,  1898,  1901,  1903,  1906,  1908,
    1909,  1916,  1925,  1933,  1940,  1945,  1946,  1948,  1952,  1957,
    1959,  1963,  1965,  1968,  1971,  1974,  1977,  1979,  1981,  1992,
    1995,  1996,  1999,  2002,  2004,  2005,  2010,  2017,  2023,  2028,
    2033,  2042,  2054,  2058,  2061,  2063,  2067,  2069,  2075,  2084,
    2086,  2088,  2090,  2098,  2108,  2117,  2133,  2154,  2156,  2158,
    2161,  2163,  2167,  2169,  2171,  2173,  2177,  2179,  2183,  2184,
    2186,  2187,  2189,  2191,  2196,  2197,  2199,  2203,  2204,  2206,
    2208,  2210,  2212,  2215,  2216,  2217,  2220,  2223,  2225,  2228,
    2231,  2234,  2241,  2250,  2259,  2264,  2270,  2275,  2280,  2285,
    2289,  2297,  2306,  2313,  2320,  2327,  2334,  2339,  2345,  2349,
    2351,  2355,  2359,  2361,  2363,  2365,  2367,  2369,  2371,  2375,
    2379,  2383,  2385,  2389,  2393,  2395,  2396,  2398,  2402,  2409,
    2418,  2427,  2441,  2443,  2447,  2453,  2460,  2465,  2473,  2476,
    2478,  2479,  2482,  2483,  2486,  2491,  2492,  2494,  2495,  2502,
    2511,  2520,  2522,  2526,  2532,  2538,  2546,  2556,  2564,  2574,
    2580,  2587,  2594,  2599,  2601,  2603,  2605,  2607,  2610,  2612,
    2614,  2616,  2618,  2620,  2622,  2626,  2630,  2634,  2638,  2640,
    2644,  2646,  2649,  2652,  2656,  2662,  2665,  2668,  2669,  2676,
    2684,  2692,  2700,  2709,  2718,  2725,  2734,  2744,  2754,  2762,
    2773,  2781,  2790,  2799,  2808,  2817,  2819,  2821,  2823,  2825,
    2827,  2829,  2831,  2833,  2835,  2837,  2839,  2841,  2843,  2845,
    2848,  2850,  2854,  2856,  2858,  2867,  2877,  2887,  2897,  2907,
    2910,  2911,  2913,  2916,  2918,  2920,  2922,  2924,  2926,  2928,
    2930,  2932,  2935,  2938,  2940,  2943,  2947,  2951,  2955,  2959,
    2964,  2969,  2973,  2977,  2981,  2986,  2991,  2995,  3000,  3005,
    3007,  3009,  3011,  3012,  3020,  3028,  3039,  3041,  3043,  3046,
    3051,  3057,  3059,  3063,  3066,  3069,  3072,  3075,  3077,  3080,
    3083,  3088,  3092,  3095,  3098,  3101,  3105,  3108,  3111,  3117,
    3123,  3129,  3131,  3135,  3137,  3140,  3144,  3145,  3147,  3151,
    3154,  3161,  3168,  3178,  3182,  3183,  3187,  3188,  3194,  3197,
    3198,  3202,  3206,  3210,  3218,  3226,  3237,  3239,  3241,  3243,
    3258,  3260,  3261,  3263,  3264,  3266,  3267,  3270,  3271,  3273,
    3277,  3283,  3289,  3297,  3300,  3301,  3303,  3306,  3307,  3309,
    3311,  3312,  3314,  3316,  3317,  3327,  3340,  3348,  3351,  3352,
    3356,  3359,  3361,  3365,  3369,  3372,  3374,  3378,  3382,  3386,
    3389,  3392,  3394,  3396,  3398,  3400,  3403,  3405,  3407,  3409,
    3411,  3416,  3422,  3424,  3428,  3432,  3434,  3437,  3442,  3448,
    3450,  3452,  3454,  3456,  3460,  3464,  3467,  3470,  3473,  3476,
    3478,  3481,  3484,  3486,  3488,  3490,  3494,  3497,  3498,  3501,
    3503,  3507,  3513,  3515,  3518,  3520,  3521,  3527,  3535,  3541,
    3549,  3555,  3563,  3567,  3573,  3579,  3585,  3587,  3591,  3594,
    3596,  3599,  3601,  3604,  3616,  3627,  3638,  3641,  3644,  3645,
    3655,  3658,  3659,  3664,  3669,  3674,  3676,  3678,  3680,  3681,
    3689,  3696,  3703,  3710,  3717,  3724,  3732,  3742,  3752,  3759,
    3766,  3773,  3780,  3787,  3795,  3804,  3814,  3823,  3830,  3837,
    3844,  3850,  3856,  3865,  3874,  3883,  3892,  3899,  3909,  3911,
    3912,  3915,  3916,  3924,  3931,  3938,  3945,  3952,  3959,  3967,
    3977,  3987,  3994,  4003,  4012,  4021,  4030,  4037,  4044,  4052,
    4059,  4067,  4074,  4081,  4088,  4095,  4102,  4110,  4118,  4126,
    4136,  4146,  4153,  4160,  4167,  4176,  4185,  4194,  4201,  4215,
    4217,  4219,  4223,  4227,  4229,  4231,  4233,  4235,  4237,  4239,
    4241,  4242,  4244,  4246,  4248,  4250,  4252,  4254,  4255,  4262,
    4271,  4275,  4278,  4279,  4282,  4285,  4288,  4291,  4295,  4299,
    4302,  4305,  4308,  4311,  4315,  4318,  4324,  4329,  4333,  4337,
    4341,  4343,  4345,  4346,  4350,  4353,  4356,  4358,  4361,  4363,
    4367,  4370,  4372,  4373,  4382,  4393,  4397,  4402,  4407,  4408,
    4411,  4417,  4420,  4421,  4425,  4429,  4433,  4437,  4441,  4445,
    4449,  4453,  4457,  4461,  4465,  4469,  4473,  4478,  4482,  4486,
    4488,  4489,  4495,  4502,  4507,  4510,  4511,  4516,  4520,  4526,
    4533,  4538,  4545,  4552,  4558,  4566,  4568,  4569,  4576,  4588,
    4600,  4612,  4626,  4636,  4648,  4659,  4664,  4667,  4673,  4676,
    4677,  4682,  4688,  4694,  4699,  4706,  4708,  4712,  4714,  4716,
    4718,  4720,  4723,  4728,  4730,  4732,  4734,  4735,  4737,  4738,
    4740,  4741,  4745,  4746,  4750,  4752,  4753,  4758,  4760,  4762,
    4766,  4768,  4773,  4777,  4784,  4789,  4792,  4797,  4801,  4807,
    4809,  4811,  4813,  4815,  4817,  4819,  4821,  4823,  4827,  4830,
    4832,  4834,  4836,  4838,  4840,  4841,  4847,  4849,  4857,  4865,
    4873,  4877,  4880,  4881,  4885,  4888,  4889,  4895,  4899,  4900,
    4902,  4904,  4906,  4908,  4912,  4921,  4925,  4926,  4929,  4933,
    4936,  4940,  4947,  4949,  4954,  4957,  4959,  4963,  4966,  4969,
    4970,  4978,  4981,  4982,  4988,  4992,  4993,  4996,  4999,  5002,
    5006,  5008,  5012,  5014,  5017,  5019,  5020,  5029,  5031,  5035,
    5037,  5039,  5043,  5049,  5052,  5054,  5058,  5066,  5068,  5069,
    5073,  5076,  5079,  5082,  5083,  5086,  5089,  5091,  5093,  5097,
    5101,  5103,  5106,  5111,  5116,  5119,  5123,  5129,  5135,  5137,
    5139,  5149,  5151,  5154,  5159,  5164,  5169,  5172,  5176,  5178,
    5182,  5189,  5191,  5192,  5195,  5196,  5200,  5204,  5209,  5214,
    5219,  5224,  5228,  5231,  5233,  5235,  5236,  5238,  5240,  5241,
    5243,  5249,  5251,  5252,  5254,  5255,  5259,  5261,  5265,  5270,
    5274,  5277,  5280,  5282,  5284,  5286,  5287,  5290,  5295,  5301,
    5304,  5308,  5310,  5312,  5314,  5316,  5320,  5321,  5323,  5325,
    5327,  5329,  5331,  5335,  5336,  5339,  5340,  5342,  5346,  5348,
    5349,  5351,  5354,  5359,  5364,  5367,  5368,  5371,  5375,  5378,
    5379,  5381,  5385,  5387,  5390,  5392,  5395,  5401,  5408,  5414,
    5416,  5419,  5421,  5426,  5430,  5435,  5441,  5446,  5452,  5457,
    5463,  5466,  5471,  5473,  5476,  5479,  5482,  5484,  5486,  5487,
    5492,  5495,  5497,  5500,  5503,  5508,  5510,  5514,  5516,  5519,
    5523,  5525,  5528,  5529,  5532,  5537,  5538,  5540,  5541,  5543,
    5547,  5551,  5554,  5558,  5564,  5571,  5574,  5578,  5582,  5587,
    5588,  5590,  5592,  5594,  5596,  5598,  5601,  5607,  5609,  5611,
    5613,  5615,  5618,  5622,  5626,  5627,  5629,  5631,  5633,  5635,
    5637,  5640,  5643,  5646,  5649,  5652,  5654,  5658,  5659,  5661,
    5663,  5665,  5667,  5673,  5676,  5678,  5680,  5682,  5684,  5690,
    5693,  5696,  5699,  5701,  5705,  5709,  5712,  5714,  5715,  5719,
    5720,  5726,  5729,  5735,  5738,  5740,  5743,  5747,  5748,  5750,
    5752,  5754,  5756,  5758,  5760,  5764,  5768,  5772,  5776,  5780,
    5784,  5788,  5789,  5791,  5796,  5798,  5802,  5806,  5812,  5815,
    5818,  5822,  5826,  5830,  5834,  5838,  5842,  5846,  5850,  5854,
    5858,  5861,  5864,  5868,  5872,  5875,  5879,  5885,  5890,  5897,
    5901,  5907,  5912,  5919,  5924,  5931,  5937,  5945,  5949,  5952,
    5957,  5960,  5964,  5968,  5973,  5977,  5982,  5986,  5991,  5997,
    6004,  6011,  6019,  6026,  6034,  6041,  6049,  6053,  6058,  6063,
    6070,  6073,  6077,  6082,  6084,  6088,  6091,  6094,  6098,  6102,
    6106,  6110,  6114,  6118,  6122,  6126,  6130,  6134,  6137,  6140,
    6146,  6153,  6160,  6168,  6172,  6177,  6179,  6181,  6184,  6189,
    6191,  6193,  6195,  6198,  6201,  6204,  6206,  6211,  6217,  6224,
    6233,  6240,  6248,  6256,  6262,  6264,  6266,  6271,  6273,  6278,
    6280,  6285,  6287,  6292,  6294,  6296,  6298,  6300,  6302,  6304,
    6311,  6316,  6321,  6326,  6331,  6338,  6344,  6350,  6356,  6361,
    6368,  6373,  6378,  6383,  6388,  6394,  6402,  6410,  6420,  6426,
    6431,  6438,  6444,  6452,  6460,  6468,  6471,  6475,  6479,  6483,
    6488,  6489,  6494,  6496,  6500,  6504,  6506,  6508,  6510,  6513,
    6516,  6517,  6520,  6525,  6530,  6537,  6540,  6541,  6543,  6547,
    6551,  6554,  6557,  6558,  6565,  6567,  6568,  6572,  6573,  6576,
    6579,  6580,  6582,  6587,  6590,  6593,  6596,  6599,  6602,  6607,
    6611,  6617,  6619,  6621,  6623,  6625,  6627,  6629,  6631,  6633,
    6635,  6637,  6639,  6641,  6643,  6645,  6647,  6652,  6654,  6659,
    6661,  6666,  6668,  6671,  6673,  6676,  6678,  6682,  6684,  6688,
    6690,  6694,  6696,  6700,  6704,  6708,  6711,  6713,  6717,  6721,
    6722,  6724,  6726,  6728,  6730,  6732,  6734,  6736,  6738,  6743,
    6747,  6750,  6754,  6755,  6759,  6763,  6766,  6769,  6771,  6772,
    6775,  6778,  6782,  6785,  6787,  6789,  6793,  6799,  6801,  6804,
    6809,  6812,  6813,  6815,  6816,  6818,  6821,  6824,  6827,  6831,
    6837,  6839,  6842,  6843,  6846,  6848,  6849,  6851,  6853,  6855,
    6859,  6863,  6865,  6869,  6873,  6876,  6878,  6880,  6882,  6886,
    6888,  6891,  6893,  6897,  6899,  6901,  6903,  6905,  6907,  6909,
    6911,  6914,  6916,  6918,  6920,  6922,  6924,  6927,  6933,  6936,
    6940,  6947,  6949,  6951,  6953,  6955,  6957,  6959,  6961,  6964,
    6967,  6969,  6971,  6973,  6975,  6977,  6979,  6981,  6983,  6985,
    6987,  6989,  6991,  6993,  6995,  6997,  6999,  7001,  7003,  7005,
    7007,  7009,  7011,  7013,  7015,  7017,  7019,  7021,  7023,  7025,
    7027,  7029,  7031,  7033,  7035,  7037,  7039,  7041,  7043,  7045,
    7047,  7049,  7051,  7053,  7055,  7057,  7059,  7061,  7063,  7065,
    7067,  7069,  7071,  7073,  7075,  7077,  7079,  7081,  7083,  7085,
    7087,  7089,  7091,  7093,  7095,  7097,  7099,  7101,  7103,  7105,
    7107,  7109,  7111,  7113,  7115,  7117,  7119,  7121,  7123,  7125,
    7127,  7129,  7131,  7133,  7135,  7137,  7139,  7141,  7143,  7145,
    7147,  7149,  7151,  7153,  7155,  7157,  7159,  7161,  7163,  7165,
    7167,  7169,  7171,  7173,  7175,  7177,  7179,  7181,  7183,  7185,
    7187,  7189,  7191,  7193,  7195,  7197,  7199,  7201,  7203,  7205,
    7207,  7209,  7211,  7213,  7215,  7217,  7219,  7221,  7223,  7225,
    7227,  7229,  7231,  7233,  7235,  7237,  7239,  7241,  7243,  7245,
    7247,  7249,  7251,  7253,  7255,  7257,  7259,  7261,  7263,  7265,
    7267,  7269,  7271,  7273,  7275,  7277,  7279,  7281,  7283,  7285,
    7287,  7289,  7291,  7293,  7295,  7297,  7299,  7301,  7303,  7305,
    7307,  7309,  7311,  7313,  7315,  7317,  7319,  7321,  7323,  7325,
    7327,  7329,  7331,  7333,  7335,  7337,  7339,  7341,  7343,  7345,
    7347,  7349,  7351,  7353,  7355,  7357,  7359,  7361,  7363,  7365,
    7367,  7369,  7371,  7373,  7375,  7377,  7379,  7381,  7383,  7385,
    7387,  7389,  7391,  7393,  7395,  7397,  7399,  7401,  7403,  7405,
    7407,  7409,  7411,  7413,  7415,  7417,  7419,  7421,  7423,  7425,
    7427,  7429,  7431,  7433,  7435,  7437,  7439,  7441,  7443,  7445,
    7447,  7449,  7451,  7453,  7455,  7457,  7459,  7461,  7463,  7465,
    7467,  7469,  7471,  7473,  7475,  7477,  7479,  7481,  7483,  7485,
    7487,  7489,  7491,  7493,  7495,  7497,  7499,  7501,  7503,  7505,
    7507,  7509,  7511,  7513,  7515,  7517,  7519,  7521,  7523,  7525,
    7527,  7529,  7531,  7533,  7535,  7537,  7539,  7541,  7543,  7545,
    7547,  7549,  7551,  7553,  7555,  7557,  7559,  7561,  7563,  7565,
    7567,  7569,  7571,  7573,  7575,  7577,  7579,  7581,  7583,  7585,
    7587,  7589,  7591,  7593,  7595,  7597,  7599,  7601,  7603,  7605,
    7607,  7609,  7611,  7613,  7615,  7617,  7619,  7621,  7623,  7625,
    7627,  7629,  7631,  7633,  7635,  7637,  7639,  7641,  7643,  7645,
    7647,  7649,  7651,  7653,  7655,  7657,  7659,  7661,  7663,  7665,
    7667,  7669,  7671,  7673,  7675,  7677,  7679,  7681,  7683,  7685,
    7687,  7689,  7691,  7693,  7695,  7697,  7699,  7701,  7703,  7705,
    7707,  7709,  7711,  7713,  7715,  7717,  7719,  7721,  7723,  7725,
    7727,  7729,  7731,  7733,  7735,  7737,  7739,  7741,  7743,  7745,
    7747,  7749,  7751,  7753,  7755,  7757,  7759,  7761,  7763,  7765,
    7767,  7769,  7771,  7773,  7775,  7777,  7779,  7781,  7783,  7785,
    7787,  7789,  7791,  7793,  7795,  7797
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     442,     0,    -1,   443,    -1,   443,   438,   444,    -1,   444,
      -1,   773,    -1,   774,    -1,   691,    -1,   779,    -1,   642,
      -1,   582,    -1,   585,    -1,   591,    -1,   605,    -1,   610,
      -1,   726,    -1,   460,    -1,   801,    -1,   747,    -1,   748,
      -1,   561,    -1,   485,    -1,   496,    -1,   454,    -1,   452,
      -1,   782,    -1,   781,    -1,   614,    -1,   456,    -1,   455,
      -1,   789,    -1,   795,    -1,   483,    -1,   813,    -1,   499,
      -1,   784,    -1,   665,    -1,   480,    -1,   500,    -1,   554,
      -1,   629,    -1,   737,    -1,   783,    -1,   778,    -1,   579,
      -1,   586,    -1,   600,    -1,   606,    -1,   707,    -1,   459,
      -1,   803,    -1,   797,    -1,   643,    -1,   650,    -1,   651,
      -1,   568,    -1,   463,    -1,   560,    -1,   515,    -1,   576,
      -1,   615,    -1,   445,    -1,   451,    -1,   611,    -1,   769,
      -1,   821,    -1,   840,    -1,   631,    -1,   827,    -1,   484,
      -1,   734,    -1,   630,    -1,   739,    -1,   590,    -1,   604,
      -1,   462,    -1,   804,    -1,   802,    -1,   654,    -1,   655,
      -1,   656,    -1,   574,    -1,   756,    -1,   658,    -1,   578,
      -1,   628,    -1,   457,    -1,   458,    -1,   613,    -1,   777,
      -1,   819,    -1,   811,    -1,   805,    -1,   672,    -1,   676,
      -1,   687,    -1,   696,    -1,   822,    -1,   759,    -1,   768,
      -1,   829,    -1,   757,    -1,   816,    -1,   657,    -1,   741,
      -1,   730,    -1,   729,    -1,   731,    -1,   744,    -1,   677,
      -1,   688,    -1,   749,    -1,   668,    -1,   844,    -1,   761,
      -1,   663,    -1,   760,    -1,   833,    -1,   786,    -1,   477,
      -1,   467,    -1,   479,    -1,   766,    -1,    -1,    86,   311,
     994,   446,   447,    -1,   401,    -1,    -1,   447,   450,    -1,
      -1,   448,   449,    -1,    -1,   271,   993,    -1,   271,   244,
      -1,   130,   271,   993,    -1,   374,   271,   993,    -1,   181,
      -1,    77,   213,   995,    -1,   385,   380,   993,    -1,   382,
     983,    -1,     3,    -1,   449,    -1,   350,   992,    -1,    19,
     983,    -1,   311,   983,    -1,   176,   311,   983,    -1,   176,
     163,   983,    -1,    86,   382,   994,   446,   447,    -1,    24,
     311,   994,   446,   448,    -1,    -1,   176,   100,   985,    -1,
      24,   311,   994,   453,   478,    -1,    24,   382,   994,   446,
     448,    -1,    24,   382,   994,   478,    -1,   125,   311,   983,
      -1,   125,   311,   171,   139,   983,    -1,   125,   382,   983,
      -1,   125,   382,   171,   139,   983,    -1,    86,   163,   994,
     446,   447,    -1,    24,   163,   994,   461,   382,   983,    -1,
      18,    -1,   125,    -1,   125,   163,   983,    -1,   125,   163,
     171,   139,   983,    -1,    86,   318,   464,    38,   994,   465,
      -1,    86,   318,   996,   465,    -1,   996,    -1,    -1,   465,
     466,    -1,    -1,   515,    -1,   696,    -1,   560,    -1,   615,
      -1,   676,    -1,   766,    -1,   330,   468,    -1,   330,   216,
     468,    -1,   330,   328,   468,    -1,   469,   362,   470,    -1,
     469,   422,   470,    -1,   469,   362,   106,    -1,   469,   422,
     106,    -1,   469,   155,    89,    -1,   360,   418,   474,    -1,
     364,   764,    -1,   328,    60,    31,   364,   764,    -1,    56,
     993,    -1,   318,   993,    -1,   231,   475,    -1,   311,   476,
      -1,   328,    38,   476,    -1,   328,    38,   106,    -1,   406,
     256,   930,    -1,   996,    -1,   469,   437,   996,    -1,   471,
      -1,   470,   439,   471,    -1,   473,    -1,   566,    -1,   288,
     373,    -1,   288,    74,    -1,   299,   288,    -1,   326,    -1,
     368,    -1,   144,    -1,   253,    -1,   476,    -1,   993,    -1,
       3,    -1,   917,   993,   919,    -1,   917,   435,   992,   436,
     993,   919,    -1,   566,    -1,   106,    -1,   216,    -1,   993,
      -1,   106,    -1,    -1,   996,    -1,   993,    -1,   303,   469,
      -1,   303,   360,   418,    -1,   303,   364,   199,   211,    -1,
     303,   328,    38,    -1,   303,    22,    -1,   330,   468,    -1,
     477,    -1,   333,   469,    -1,   333,   360,   418,    -1,   333,
     364,   199,   211,    -1,   333,   328,    38,    -1,   333,    22,
      -1,   330,    79,   481,   482,    -1,    22,    -1,   981,    -1,
     109,    -1,   173,    -1,    62,    -1,   118,    22,    -1,   118,
     355,    -1,   118,   357,    -1,   118,   273,    -1,    24,   352,
     888,   486,    -1,    24,   179,   982,   486,    -1,    24,   324,
     982,   486,    -1,    24,   395,   982,   486,    -1,   487,    -1,
     486,   439,   487,    -1,    18,   523,    -1,    18,    70,   523,
      -1,    24,   745,   996,   488,    -1,    24,   745,   996,   125,
     239,   244,    -1,    24,   745,   996,   330,   239,   244,    -1,
      24,   745,   996,   330,   342,   995,    -1,    24,   745,   996,
     330,   492,    -1,    24,   745,   996,   303,   492,    -1,    24,
     745,   996,   330,   345,   996,    -1,   125,   745,   171,   139,
     996,   489,    -1,   125,   745,   996,   489,    -1,    24,   745,
     996,   746,   371,   897,   490,   491,    -1,    18,   532,    -1,
     386,    78,   984,    -1,   125,    78,   171,   139,   984,   489,
      -1,   125,    78,   984,   489,    -1,   330,   401,   252,    -1,
     330,   402,   252,    -1,    66,   253,   984,    -1,   330,   402,
      66,    -1,   128,   366,   984,    -1,   128,    25,   366,   984,
      -1,   128,   301,   366,   984,    -1,   128,   366,    22,    -1,
     128,   366,   382,    -1,   117,   366,   984,    -1,   117,   366,
      22,    -1,   117,   366,   382,    -1,   128,   316,   984,    -1,
     128,    25,   316,   984,    -1,   128,   301,   316,   984,    -1,
     117,   316,   984,    -1,   181,   982,    -1,   236,   181,   982,
      -1,   249,   661,    -1,   239,   249,    -1,   266,   362,   994,
      -1,   330,   354,   984,    -1,   330,   492,    -1,   303,   492,
      -1,   594,    -1,   330,   106,   921,    -1,   125,   106,    -1,
      52,    -1,   305,    -1,    -1,    68,   661,    -1,    -1,   383,
     921,    -1,    -1,   435,   494,   436,    -1,   401,   492,    -1,
      -1,   495,    -1,   494,   439,   495,    -1,   998,   422,   635,
      -1,   998,    -1,   998,   437,   998,   422,   635,    -1,   998,
     437,   998,    -1,    24,   371,   661,   497,    -1,   498,    -1,
     497,   439,   498,    -1,    18,    37,   896,   489,    -1,   125,
      37,   171,   139,   996,   489,    -1,   125,    37,   996,   489,
      -1,    24,    37,   996,   746,   371,   897,   490,   489,    -1,
      65,   841,    -1,    65,    22,    -1,    84,   506,   982,   534,
     507,   501,   502,   508,   446,   503,    -1,    84,   845,   362,
     502,   446,   503,    -1,   155,    -1,   362,    -1,   993,    -1,
     343,    -1,   344,    -1,   504,    -1,   435,   510,   436,    -1,
     504,   505,    -1,    -1,    45,    -1,   252,    -1,   112,   780,
     993,    -1,   244,   780,   993,    -1,    88,    -1,   167,    -1,
     286,   780,   993,    -1,   133,   780,   993,    -1,   151,   286,
     535,    -1,   151,   286,   428,    -1,   151,   239,   244,   535,
      -1,   129,   993,    -1,    45,    -1,    -1,   401,   252,    -1,
      -1,   509,   113,   993,    -1,    -1,   383,    -1,    -1,   511,
      -1,   510,   439,   511,    -1,   998,   512,    -1,   473,    -1,
     566,    -1,   428,    -1,   435,   513,   436,    -1,    -1,   514,
      -1,   513,   439,   514,    -1,   473,    -1,    86,   516,   352,
     982,   435,   517,   436,   545,   546,   547,   548,   550,   551,
      -1,    86,   516,   352,   171,   239,   139,   982,   435,   517,
     436,   545,   546,   547,   548,   550,   551,    -1,    86,   516,
     352,   982,   249,   661,   518,   546,   547,   548,   550,   551,
      -1,    86,   516,   352,   171,   239,   139,   982,   249,   661,
     518,   546,   547,   548,   550,   551,    -1,   357,    -1,   355,
      -1,   216,   357,    -1,   216,   355,    -1,   159,   357,    -1,
     159,   355,    -1,   379,    -1,    -1,   519,    -1,    -1,   435,
     520,   436,    -1,    -1,   521,    -1,   519,   439,   521,    -1,
     522,    -1,   520,   439,   522,    -1,   523,    -1,   529,    -1,
     532,    -1,   524,    -1,   532,    -1,   996,   897,   525,    -1,
     996,   401,   257,   525,    -1,   525,   526,    -1,    -1,    78,
     984,   527,    -1,   527,    -1,   528,    -1,    68,   661,    -1,
     239,   244,    -1,   244,    -1,   376,   723,   552,    -1,   281,
     201,   723,   552,    -1,    61,   435,   921,   436,    -1,   106,
     922,    -1,   294,   982,   534,   537,   541,    -1,   108,    -1,
     239,   108,    -1,   183,   109,    -1,   183,   173,    -1,   212,
     982,   530,    -1,   530,   177,   531,    -1,   530,   136,   531,
      -1,    -1,   107,    -1,    79,    -1,   180,    -1,   345,    -1,
      72,    -1,    22,    -1,    78,   984,   533,    -1,   533,    -1,
      61,   435,   921,   436,   626,    -1,   376,   435,   535,   436,
     723,   552,   626,    -1,   376,   553,   626,    -1,   281,   201,
     435,   535,   436,   723,   552,   626,    -1,   281,   201,   553,
     626,    -1,   135,   700,   435,   538,   436,   723,   552,   540,
     626,    -1,   152,   201,   435,   535,   436,   294,   982,   534,
     537,   541,   626,    -1,   435,   535,   436,    -1,    -1,   536,
      -1,   535,   439,   536,    -1,   996,    -1,   222,   156,    -1,
     222,   268,    -1,   222,   335,    -1,    -1,   539,    -1,   538,
     439,   539,    -1,   702,   401,   733,    -1,   702,   401,   255,
     435,   733,   436,    -1,   398,   435,   921,   436,    -1,    -1,
     542,    -1,   543,    -1,   542,   543,    -1,   543,   542,    -1,
      -1,   253,   381,   544,    -1,   253,   111,   544,    -1,   236,
      17,    -1,   305,    -1,    52,    -1,   330,   244,    -1,   330,
     106,    -1,   182,   435,   981,   436,    -1,    -1,   401,   492,
      -1,   401,   252,    -1,   402,   252,    -1,    -1,   253,    73,
     125,    -1,   253,    73,   111,   315,    -1,   253,    73,   278,
     315,    -1,    -1,   354,   984,    -1,    -1,   120,    49,    -1,
     120,    49,   165,    -1,   549,   435,   984,   436,    -1,   120,
      49,   227,   435,   984,   436,    -1,   120,    49,   302,    -1,
     120,    49,   313,   310,    -1,    -1,   362,   237,   800,    -1,
     362,   163,   799,    -1,    -1,   383,   179,   354,   984,    -1,
      -1,   383,   179,   988,    -1,    86,   516,   352,   555,    31,
     844,   559,    -1,   982,   556,   546,   547,   548,   550,   551,
      -1,   435,   557,   436,    -1,    -1,   558,    -1,   557,   439,
     558,    -1,   996,    -1,   401,    99,    -1,   401,   236,    99,
      -1,    -1,    86,   516,   324,   982,   562,    -1,    24,   324,
     982,   563,    -1,   563,    -1,    -1,   564,    -1,   563,   564,
      -1,    50,   566,    -1,    98,    -1,   236,    98,    -1,   178,
     565,   566,    -1,   223,   566,    -1,   225,   566,    -1,   236,
     223,    -1,   236,   225,    -1,   265,    49,   661,    -1,   340,
     446,   566,    -1,   304,    -1,   304,   446,   566,    -1,    49,
      -1,    -1,     4,    -1,   427,     4,    -1,   995,    -1,   566,
      -1,   567,   439,   566,    -1,    86,   708,   569,   575,   203,
     476,    -1,    86,   708,   569,   575,   203,   476,   164,   570,
     571,   573,    -1,   370,    -1,    -1,   984,    -1,   984,   662,
      -1,   184,   570,    -1,    -1,   387,   570,    -1,   236,   387,
      -1,   572,    -1,    -1,   125,   575,   203,   476,   489,    -1,
     125,   575,   203,   171,   139,   476,   489,    -1,   284,    -1,
      -1,    86,   354,   984,   577,   219,   993,    -1,   266,   984,
      -1,    -1,   125,   354,   984,    -1,   125,   354,   171,   139,
     984,    -1,    86,   141,   984,   446,   580,    -1,    86,   141,
     171,   239,   139,   984,   446,   580,    -1,   580,   581,    -1,
      -1,   318,   984,    -1,   394,   476,    -1,   155,   476,    -1,
      24,   141,   984,   381,   583,    -1,   583,   584,    -1,    -1,
     362,   476,    -1,    24,   141,   984,   461,    21,   990,   636,
      -1,    24,   141,   984,   461,    55,   435,   897,    31,   897,
     436,    -1,    24,   141,   984,   461,    69,   661,    -1,    24,
     141,   984,   461,    82,   661,    -1,    24,   141,   984,   461,
     123,   661,    -1,    24,   141,   984,   461,   157,   686,    -1,
      24,   141,   984,   461,   575,   203,   984,    -1,    24,   141,
     984,   461,   255,   733,   732,    -1,    24,   141,   984,   461,
     255,    63,   661,   383,   986,    -1,    24,   141,   984,   461,
     255,   145,   661,   383,   986,    -1,    24,   141,   984,   461,
     318,   984,    -1,    24,   141,   984,   461,   352,   661,    -1,
      24,   141,   984,   461,   358,   320,   267,   661,    -1,    24,
     141,   984,   461,   358,   320,   115,   661,    -1,    24,   141,
     984,   461,   358,   320,   356,   661,    -1,    24,   141,   984,
     461,   358,   320,    76,   661,    -1,    24,   141,   984,   461,
     324,   661,    -1,    24,   141,   984,   461,   395,   661,    -1,
      24,   141,   984,   461,   152,   352,   661,    -1,    24,   141,
     984,   461,   152,    99,   404,   984,    -1,    24,   141,   984,
     461,   327,   984,    -1,    24,   141,   984,   461,   371,   661,
      -1,    86,   152,    99,   404,   984,   589,   592,    -1,   164,
     570,    -1,   236,   164,    -1,   387,   570,    -1,   236,   387,
      -1,   587,    -1,   588,   587,    -1,   588,    -1,    -1,   125,
     152,    99,   404,   984,   489,    -1,   125,   152,    99,   404,
     171,   139,   984,   489,    -1,    24,   152,    99,   404,   984,
     589,   594,    -1,    24,   152,    99,   404,   984,   588,    -1,
     257,   435,   593,   436,    -1,    -1,   597,    -1,   593,   439,
     597,    -1,   257,   435,   595,   436,    -1,   596,    -1,   595,
     439,   596,    -1,   597,    -1,   330,   597,    -1,    18,   597,
      -1,   125,   598,    -1,   598,   599,    -1,   998,    -1,   993,
      -1,    86,   327,   984,   601,   603,   152,    99,   404,   984,
     592,    -1,   371,   993,    -1,    -1,   394,   993,    -1,   394,
     244,    -1,   602,    -1,    -1,   125,   327,   984,   489,    -1,
     125,   327,   171,   139,   984,   489,    -1,    24,   327,   984,
     602,   594,    -1,    24,   327,   984,   602,    -1,    24,   327,
     984,   594,    -1,    86,   152,   352,   982,   607,   327,   984,
     592,    -1,    86,   152,   352,   171,   239,   139,   982,   607,
     327,   984,   592,    -1,   435,   608,   436,    -1,   435,   436,
      -1,   609,    -1,   608,   439,   609,    -1,   523,    -1,    24,
     152,   352,   888,   486,    -1,    86,   382,   221,   150,   612,
     327,   984,   592,    -1,    96,    -1,   382,    -1,   994,    -1,
     125,   382,   221,   150,   612,   327,   984,    -1,   125,   382,
     221,   171,   139,   150,   612,   327,   984,    -1,    24,   382,
     221,   150,   612,   327,   984,   594,    -1,    86,   366,   984,
     616,   617,   253,   982,   619,   622,   138,   285,   990,   435,
     623,   436,    -1,    86,    78,   366,   984,    20,   617,   253,
     982,   625,   626,   150,   126,   314,   622,   138,   285,   990,
     435,   623,   436,    -1,    41,    -1,    20,    -1,   190,   249,
      -1,   618,    -1,   617,   258,   618,    -1,   189,    -1,   111,
      -1,   381,    -1,   381,   249,   535,    -1,   369,    -1,   150,
     620,   621,    -1,    -1,   126,    -1,    -1,   314,    -1,   341,
      -1,   397,   435,   921,   436,    -1,    -1,   624,    -1,   623,
     439,   624,    -1,    -1,   992,    -1,     4,    -1,   993,    -1,
     998,    -1,   155,   982,    -1,    -1,    -1,   626,   627,    -1,
     239,   108,    -1,   108,    -1,   183,   173,    -1,   183,   109,
      -1,   239,   385,    -1,   125,   366,   984,   253,   982,   489,
      -1,   125,   366,   171,   139,   984,   253,   982,   489,    -1,
      86,    33,   984,    61,   435,   921,   436,   626,    -1,   125,
      33,   984,   489,    -1,    86,    21,   990,   636,   632,    -1,
      86,    21,   990,   637,    -1,    86,   255,   733,   632,    -1,
      86,   371,   661,   632,    -1,    86,   371,   661,    -1,    86,
     371,   661,    31,   435,   894,   436,    -1,    86,   371,   661,
      31,   132,   435,   640,   436,    -1,    86,   358,   320,   267,
     661,   632,    -1,    86,   358,   320,   115,   661,   632,    -1,
      86,   358,   320,   356,   661,   632,    -1,    86,   358,   320,
      76,   661,   632,    -1,    86,    69,   661,   632,    -1,    86,
      69,   661,   155,   661,    -1,   435,   633,   436,    -1,   634,
      -1,   633,   439,   634,    -1,   998,   422,   635,    -1,   998,
      -1,   717,    -1,  1002,    -1,   948,    -1,   566,    -1,   993,
      -1,   435,   953,   436,    -1,   435,   428,   436,    -1,   435,
     638,   436,    -1,   639,    -1,   638,   439,   639,    -1,     3,
     422,   635,    -1,   641,    -1,    -1,   993,    -1,   641,   439,
     993,    -1,    24,   371,   661,    18,   388,   993,    -1,    24,
     371,   661,    18,   388,   993,    41,   993,    -1,    24,   371,
     661,    18,   388,   993,    20,   993,    -1,    86,   255,    63,
     661,   646,   150,   371,   897,   383,   986,   647,    31,   644,
      -1,   645,    -1,   644,   439,   645,    -1,   255,   992,   733,
     648,   649,    -1,   255,   992,   733,   732,   648,   649,    -1,
     157,   992,   990,   709,    -1,   157,   992,   435,   953,   436,
     990,   709,    -1,   345,   897,    -1,   106,    -1,    -1,   145,
     661,    -1,    -1,   150,   320,    -1,   150,   259,    49,   661,
      -1,    -1,   291,    -1,    -1,    86,   255,   145,   661,   383,
     986,    -1,    24,   255,   145,   661,   383,   986,    18,   644,
      -1,    24,   255,   145,   661,   383,   986,   125,   652,    -1,
     653,    -1,   652,   439,   653,    -1,   255,   992,   435,   953,
     436,    -1,   157,   992,   435,   953,   436,    -1,   125,   255,
      63,   661,   383,   986,   489,    -1,   125,   255,    63,   171,
     139,   661,   383,   986,   489,    -1,   125,   255,   145,   661,
     383,   986,   489,    -1,   125,   255,   145,   171,   139,   661,
     383,   986,   489,    -1,   125,   265,    49,   983,   489,    -1,
     290,   265,    49,   983,   362,   984,    -1,   125,   659,   171,
     139,   660,   489,    -1,   125,   659,   660,   489,    -1,   352,
      -1,   324,    -1,   395,    -1,   179,    -1,   152,   352,    -1,
     371,    -1,   123,    -1,    69,    -1,    82,    -1,   318,    -1,
     141,    -1,   358,   320,   267,    -1,   358,   320,   115,    -1,
     358,   320,   356,    -1,   358,   320,    76,    -1,   661,    -1,
     660,   439,   661,    -1,   996,    -1,   996,   662,    -1,   437,
     987,    -1,   662,   437,   987,    -1,   369,   855,   889,   664,
     489,    -1,    81,   170,    -1,   304,   170,    -1,    -1,    71,
     253,   666,   661,   197,   667,    -1,    71,   253,    21,   990,
     636,   197,   667,    -1,    71,   253,   157,   990,   709,   197,
     667,    -1,    71,   253,   255,   733,   732,   197,   667,    -1,
      71,   253,    78,   984,   253,   661,   197,   667,    -1,    71,
     253,   316,   984,   253,   661,   197,   667,    -1,    71,   253,
     316,   984,   197,   667,    -1,    71,   253,   366,   984,   253,
     661,   197,   667,    -1,    71,   253,   255,    63,   661,   383,
     986,   197,   667,    -1,    71,   253,   255,   145,   661,   383,
     986,   197,   667,    -1,    71,   253,   204,   248,   566,   197,
     667,    -1,    71,   253,    55,   435,   897,    31,   897,   436,
     197,   667,    -1,    71,   253,   575,   203,   661,   197,   667,
      -1,    71,   253,   358,   320,   267,   661,   197,   667,    -1,
      71,   253,   358,   320,   115,   661,   197,   667,    -1,    71,
     253,   358,   320,   356,   661,   197,   667,    -1,    71,   253,
     358,   320,    76,   661,   197,   667,    -1,    70,    -1,   100,
      -1,   318,    -1,   179,    -1,   324,    -1,   352,    -1,   123,
      -1,   371,    -1,   395,    -1,    69,    -1,    82,    -1,   354,
      -1,   141,    -1,   311,    -1,   152,   352,    -1,   327,    -1,
     152,    99,   404,    -1,   993,    -1,   244,    -1,   322,   202,
     669,   253,   670,   661,   197,   671,    -1,   322,   202,   669,
     253,    21,   990,   636,   197,   671,    -1,   322,   202,   669,
     253,   157,   990,   709,   197,   671,    -1,   322,   202,   669,
     253,   204,   248,   566,   197,   671,    -1,   322,   202,   669,
     253,   575,   203,   661,   197,   671,    -1,   150,   476,    -1,
      -1,    70,    -1,   152,   352,    -1,   318,    -1,   324,    -1,
     352,    -1,   123,    -1,   371,    -1,   395,    -1,   993,    -1,
     244,    -1,   146,   673,    -1,   229,   673,    -1,   841,    -1,
     674,   841,    -1,   235,   675,   841,    -1,   282,   675,   841,
      -1,   147,   675,   841,    -1,   205,   675,   841,    -1,    15,
     995,   675,   841,    -1,   296,   995,   675,   841,    -1,   995,
     675,   841,    -1,    22,   675,   841,    -1,   153,   675,   841,
      -1,   153,   995,   675,   841,    -1,   153,    22,   675,   841,
      -1,    39,   675,   841,    -1,    39,   995,   675,   841,    -1,
      39,    22,   675,   841,    -1,   155,    -1,   176,    -1,   674,
      -1,    -1,   160,   678,   253,   681,   362,   682,   684,    -1,
     308,   678,   253,   681,   155,   682,   489,    -1,   308,   160,
     256,   150,   678,   253,   681,   155,   682,   489,    -1,   679,
      -1,    22,    -1,    22,   283,    -1,    22,   435,   535,   436,
      -1,    22,   283,   435,   535,   436,    -1,   680,    -1,   679,
     439,   680,    -1,   323,   534,    -1,   294,   534,    -1,    86,
     534,    -1,   996,   534,    -1,   981,    -1,   352,   981,    -1,
     324,   981,    -1,   152,    99,   404,   983,    -1,   152,   327,
     983,    -1,   157,   685,    -1,   100,   983,    -1,   203,   983,
      -1,   204,   248,   567,    -1,   318,   983,    -1,   354,   983,
      -1,    22,   353,   176,   318,   983,    -1,    22,   325,   176,
     318,   983,    -1,    22,   158,   176,   318,   983,    -1,   683,
      -1,   682,   439,   683,    -1,   994,    -1,   163,   994,    -1,
     401,   160,   256,    -1,    -1,   686,    -1,   685,   439,   686,
      -1,   990,   709,    -1,   160,   679,   362,   983,   689,   690,
      -1,   308,   679,   155,   983,   690,   489,    -1,   308,    19,
     256,   150,   679,   155,   983,   690,   489,    -1,   401,    19,
     256,    -1,    -1,   161,    49,   994,    -1,    -1,    24,   106,
     283,   692,   694,    -1,   692,   693,    -1,    -1,   176,   318,
     983,    -1,   150,   311,   983,    -1,   150,   382,   983,    -1,
     160,   678,   253,   695,   362,   682,   684,    -1,   308,   678,
     253,   695,   155,   682,   489,    -1,   308,   160,   256,   150,
     678,   253,   695,   155,   682,   489,    -1,   353,    -1,   158,
      -1,   325,    -1,    86,   697,   179,   698,   699,   253,   982,
     700,   435,   701,   436,   493,   548,   892,    -1,   376,    -1,
      -1,    75,    -1,    -1,   988,    -1,    -1,   383,   986,    -1,
      -1,   702,    -1,   701,   439,   702,    -1,   996,   703,   704,
     705,   706,    -1,   924,   703,   704,   705,   706,    -1,   435,
     921,   436,   703,   704,   705,   706,    -1,    68,   661,    -1,
      -1,   661,    -1,   383,   661,    -1,    -1,    32,    -1,   114,
      -1,    -1,   419,    -1,   420,    -1,    -1,    86,   708,   157,
     990,   711,   307,   716,   719,   723,    -1,    86,   708,   157,
     990,   711,   307,   352,   435,   725,   436,   719,   723,    -1,
      86,   708,   157,   990,   711,   719,   723,    -1,   258,   300,
      -1,    -1,   435,   710,   436,    -1,   435,   436,    -1,   713,
      -1,   710,   439,   713,    -1,   435,   712,   436,    -1,   435,
     436,    -1,   718,    -1,   712,   439,   718,    -1,   714,   715,
     717,    -1,   715,   714,   717,    -1,   715,   717,    -1,   714,
     717,    -1,   717,    -1,   176,    -1,   260,    -1,   186,    -1,
     176,   260,    -1,   391,    -1,   997,    -1,   717,    -1,   897,
      -1,   997,   662,   430,   371,    -1,   331,   997,   662,   430,
     371,    -1,   713,    -1,   713,   106,   921,    -1,   713,   422,
     921,    -1,   721,    -1,   719,   721,    -1,    51,   253,   244,
     187,    -1,   307,   244,   253,   244,   187,    -1,   346,    -1,
     174,    -1,   338,    -1,   396,    -1,   142,   322,   110,    -1,
     142,   322,   196,    -1,   322,   110,    -1,   322,   196,    -1,
      85,   566,    -1,   315,   566,    -1,   478,    -1,    31,   722,
      -1,   203,   476,    -1,   400,    -1,   720,    -1,   993,    -1,
     993,   439,   993,    -1,   401,   632,    -1,    -1,   715,   717,
      -1,   724,    -1,   725,   439,   724,    -1,    24,   157,   686,
     727,   728,    -1,   720,    -1,   727,   720,    -1,   305,    -1,
      -1,   125,   157,   990,   709,   489,    -1,   125,   157,   171,
     139,   990,   709,   489,    -1,   125,    21,   990,   636,   489,
      -1,   125,    21,   171,   139,   990,   636,   489,    -1,   125,
     255,   733,   732,   489,    -1,   125,   255,   171,   139,   733,
     732,   489,    -1,   435,   897,   436,    -1,   435,   897,   439,
     897,   436,    -1,   435,   238,   439,   897,   436,    -1,   435,
     897,   439,   238,   436,    -1,   945,    -1,   996,   437,   733,
      -1,   121,   735,    -1,   736,    -1,   735,   736,    -1,   993,
      -1,   203,   476,    -1,    86,    55,   435,   897,    31,   897,
     436,   401,   157,   686,   738,    -1,    86,    55,   435,   897,
      31,   897,   436,   402,   157,   738,    -1,    86,    55,   435,
     897,    31,   897,   436,   401,   186,   738,    -1,    31,   175,
      -1,    31,    34,    -1,    -1,   125,    55,   740,   435,   897,
      31,   897,   436,   489,    -1,   171,   139,    -1,    -1,   295,
     742,   982,   743,    -1,   295,   351,   984,   743,    -1,   295,
     100,   984,   743,    -1,   179,    -1,   352,    -1,   151,    -1,
      -1,    24,    21,   990,   636,   298,   362,   984,    -1,    24,
      69,   661,   298,   362,   984,    -1,    24,    82,   661,   298,
     362,   984,    -1,    24,   100,   985,   298,   362,   985,    -1,
      24,   157,   686,   298,   362,   984,    -1,    24,   163,   994,
     298,   362,   994,    -1,    24,   575,   203,   984,   298,   362,
     984,    -1,    24,   255,    63,   661,   383,   986,   298,   362,
     984,    -1,    24,   255,   145,   661,   383,   986,   298,   362,
     984,    -1,    24,   318,   984,   298,   362,   984,    -1,    24,
     352,   888,   298,   362,   984,    -1,    24,   324,   982,   298,
     362,   984,    -1,    24,   395,   982,   298,   362,   984,    -1,
      24,   179,   982,   298,   362,   984,    -1,    24,   152,   352,
     888,   298,   362,   984,    -1,    24,   352,   888,   298,   745,
     984,   362,   984,    -1,    24,   152,   352,   888,   298,   745,
     984,   362,   984,    -1,    24,   366,   984,   253,   982,   298,
     362,   984,    -1,    24,   311,   994,   298,   362,   994,    -1,
      24,   382,   994,   298,   362,   994,    -1,    24,   354,   984,
     298,   362,   984,    -1,    24,   354,   984,   330,   492,    -1,
      24,   354,   984,   303,   492,    -1,    24,   358,   320,   267,
     661,   298,   362,   984,    -1,    24,   358,   320,   115,   661,
     298,   362,   984,    -1,    24,   358,   320,   356,   661,   298,
     362,   984,    -1,    24,   358,   320,    76,   661,   298,   362,
     984,    -1,    24,   371,   661,   298,   362,   984,    -1,    24,
     371,   661,   298,    37,   984,   362,   984,   489,    -1,    70,
      -1,    -1,   330,    99,    -1,    -1,    24,    21,   990,   636,
     330,   318,   984,    -1,    24,    69,   661,   330,   318,   984,
      -1,    24,    82,   661,   330,   318,   984,    -1,    24,   123,
     661,   330,   318,   984,    -1,    24,   141,   661,   330,   318,
     984,    -1,    24,   157,   686,   330,   318,   984,    -1,    24,
     255,   733,   732,   330,   318,   984,    -1,    24,   255,    63,
     661,   383,   986,   330,   318,   984,    -1,    24,   255,   145,
     661,   383,   986,   330,   318,   984,    -1,    24,   352,   888,
     330,   318,   984,    -1,    24,   358,   320,   267,   661,   330,
     318,   984,    -1,    24,   358,   320,   115,   661,   330,   318,
     984,    -1,    24,   358,   320,   356,   661,   330,   318,   984,
      -1,    24,   358,   320,    76,   661,   330,   318,   984,    -1,
      24,   324,   982,   330,   318,   984,    -1,    24,   395,   982,
     330,   318,   984,    -1,    24,   152,   352,   888,   330,   318,
     984,    -1,    24,   371,   661,   330,   318,   984,    -1,    24,
      21,   990,   636,   266,   362,   994,    -1,    24,    69,   661,
     266,   362,   994,    -1,    24,    82,   661,   266,   362,   994,
      -1,    24,   100,   985,   266,   362,   994,    -1,    24,   123,
     661,   266,   362,   994,    -1,    24,   157,   686,   266,   362,
     994,    -1,    24,   575,   203,   984,   266,   362,   994,    -1,
      24,   204,   248,   566,   266,   362,   994,    -1,    24,   255,
     733,   732,   266,   362,   994,    -1,    24,   255,    63,   661,
     383,   986,   266,   362,   994,    -1,    24,   255,   145,   661,
     383,   986,   266,   362,   994,    -1,    24,   318,   984,   266,
     362,   994,    -1,    24,   371,   661,   266,   362,   994,    -1,
      24,   354,   984,   266,   362,   994,    -1,    24,   358,   320,
     115,   661,   266,   362,   994,    -1,    24,   358,   320,    76,
     661,   266,   362,   994,    -1,    24,   152,    99,   404,   984,
     266,   362,   994,    -1,    24,   327,   984,   266,   362,   994,
      -1,    86,   708,   316,   984,    31,   253,   754,   362,   982,
     892,   121,   755,   750,    -1,   240,    -1,   752,    -1,   435,
     751,   436,    -1,   751,   438,   753,    -1,   753,    -1,   844,
      -1,   822,    -1,   833,    -1,   827,    -1,   757,    -1,   752,
      -1,    -1,   323,    -1,   381,    -1,   111,    -1,   189,    -1,
     190,    -1,    23,    -1,    -1,   125,   316,   984,   253,   982,
     489,    -1,   125,   316,   171,   139,   984,   253,   982,   489,
      -1,   241,   996,   758,    -1,   439,   993,    -1,    -1,   214,
     996,    -1,   378,   996,    -1,   378,   428,    -1,    14,   762,
      -1,    42,   762,   765,    -1,   340,   364,   765,    -1,    73,
     762,    -1,   131,   762,    -1,   312,   762,    -1,   317,   996,
      -1,   297,   317,   996,    -1,   297,   996,    -1,   312,   762,
     362,   317,   996,    -1,   312,   762,   362,   996,    -1,   279,
     364,   993,    -1,    73,   280,   993,    -1,   312,   280,   993,
      -1,   403,    -1,   364,    -1,    -1,   199,   211,   472,    -1,
     288,   254,    -1,   288,   405,    -1,   108,    -1,   239,   108,
      -1,   763,    -1,   764,   439,   763,    -1,   764,   763,    -1,
     764,    -1,    -1,    86,   516,   395,   982,   534,    31,   844,
     767,    -1,    86,   258,   300,   516,   395,   982,   534,    31,
     844,   767,    -1,   401,    61,   256,    -1,   401,    53,    61,
     256,    -1,   401,   216,    61,   256,    -1,    -1,   215,   989,
      -1,    86,   100,   985,   446,   770,    -1,   770,   771,    -1,
      -1,   354,   772,   984,    -1,   354,   772,   106,    -1,   219,
     772,   993,    -1,   219,   772,   106,    -1,   356,   772,   984,
      -1,   356,   772,   106,    -1,   129,   772,   993,    -1,   129,
     772,   992,    -1,   129,   772,   106,    -1,   206,   772,   993,
      -1,   206,   772,   106,    -1,   207,   772,   993,    -1,   207,
     772,   106,    -1,    77,   213,   772,   995,    -1,   266,   772,
     984,    -1,   266,   772,   106,    -1,   422,    -1,    -1,    24,
     100,   985,   446,   775,    -1,    24,   100,   985,   330,   354,
     984,    -1,    24,   100,   985,   478,    -1,   775,   776,    -1,
      -1,    77,   213,   772,   995,    -1,   125,   100,   985,    -1,
     125,   100,   171,   139,   985,    -1,    86,   123,   661,   780,
     897,   525,    -1,    24,   123,   661,   488,    -1,    24,   123,
     661,   125,   239,   244,    -1,    24,   123,   661,   330,   239,
     244,    -1,    24,   123,   661,    18,   532,    -1,    24,   123,
     661,   125,    78,   984,   489,    -1,    31,    -1,    -1,    24,
     358,   320,   115,   661,   632,    -1,    24,   358,   320,    76,
     661,    18,   221,   150,   983,   401,   660,    -1,    24,   358,
     320,    76,   661,    24,   221,   150,   983,   401,   660,    -1,
      24,   358,   320,    76,   661,    24,   221,   300,   661,   401,
     661,    -1,    24,   358,   320,    76,   661,    24,   221,   150,
     983,   300,   661,   401,   661,    -1,    24,   358,   320,    76,
     661,   125,   221,   150,   983,    -1,    24,   358,   320,    76,
     661,   125,   221,   171,   139,   150,   983,    -1,    86,   646,
      82,   661,   150,   993,   362,   993,   155,   661,    -1,    66,
     791,   982,   785,    -1,    66,   791,    -1,    66,   791,   988,
     253,   982,    -1,   383,   988,    -1,    -1,   384,   792,   793,
     791,    -1,   384,   792,   793,   791,   982,    -1,   384,   792,
     793,   791,   789,    -1,   384,   435,   787,   436,    -1,   384,
     435,   787,   436,   982,   794,    -1,   788,    -1,   787,   439,
     788,    -1,   790,    -1,   393,    -1,   154,    -1,   156,    -1,
     790,   791,    -1,   790,   791,   982,   794,    -1,    27,    -1,
      26,    -1,   393,    -1,    -1,   156,    -1,    -1,   154,    -1,
      -1,   435,   983,   436,    -1,    -1,    86,    40,   796,    -1,
     993,    -1,    -1,    86,   237,   798,   546,    -1,   996,    -1,
     996,    -1,   800,   439,   798,    -1,   798,    -1,    24,   237,
     798,   546,    -1,   125,   237,   798,    -1,    86,   237,   163,
     799,   401,   800,    -1,   125,   237,   163,   799,    -1,   140,
     806,    -1,   140,   790,   791,   806,    -1,   140,   393,   806,
      -1,   140,   435,   807,   436,   806,    -1,   844,    -1,   822,
      -1,   833,    -1,   827,    -1,   840,    -1,   554,    -1,   819,
      -1,   808,    -1,   807,   439,   808,    -1,   809,   810,    -1,
     996,    -1,   790,    -1,   393,    -1,   473,    -1,   566,    -1,
      -1,   138,   116,   253,   800,   812,    -1,   993,    -1,    64,
      77,   362,    83,   800,   814,   815,    -1,    64,    77,   362,
     237,   800,   814,   815,    -1,    64,    77,   362,    22,   743,
     814,   815,    -1,   150,   100,   985,    -1,   150,   985,    -1,
      -1,   362,   382,   994,    -1,   362,   994,    -1,    -1,   279,
     984,   817,    31,   818,    -1,   435,   953,   436,    -1,    -1,
     844,    -1,   822,    -1,   833,    -1,   827,    -1,   138,   984,
     820,    -1,    86,   516,   352,   555,    31,   138,   984,   820,
      -1,   435,   950,   436,    -1,    -1,   102,   984,    -1,   102,
     279,   984,    -1,   102,    22,    -1,   102,   279,    22,    -1,
     852,   189,   195,   982,   823,   826,    -1,   844,    -1,   435,
     824,   436,   844,    -1,   106,   389,    -1,   825,    -1,   824,
     439,   825,    -1,   996,   974,    -1,   306,   979,    -1,    -1,
     852,   111,   155,   890,   828,   893,   826,    -1,   383,   881,
      -1,    -1,   220,   855,   889,   830,   832,    -1,   176,   831,
     226,    -1,    -1,    16,   332,    -1,   314,   332,    -1,   314,
     137,    -1,   332,   381,   137,    -1,   332,    -1,   332,   314,
     137,    -1,   137,    -1,    16,   137,    -1,   243,    -1,    -1,
     852,   381,   890,   330,   834,   880,   893,   826,    -1,   835,
      -1,   834,   439,   835,    -1,   836,    -1,   837,    -1,   838,
     422,   976,    -1,   435,   839,   436,   422,   978,    -1,   996,
     974,    -1,   838,    -1,   839,   439,   838,    -1,   105,   841,
     842,    97,   843,   150,   844,    -1,   984,    -1,    -1,   842,
     236,   319,    -1,   842,   319,    -1,   842,    45,    -1,   842,
     188,    -1,    -1,   401,   168,    -1,   402,   168,    -1,   846,
      -1,   845,    -1,   435,   846,   436,    -1,   435,   845,   436,
      -1,   848,    -1,   847,   859,    -1,   847,   858,   874,   863,
      -1,   847,   858,   862,   875,    -1,   849,   847,    -1,   849,
     847,   859,    -1,   849,   847,   858,   874,   863,    -1,   849,
     847,   858,   862,   875,    -1,   848,    -1,   845,    -1,   323,
     857,   979,   853,   880,   892,   872,   873,   933,    -1,   879,
      -1,   352,   888,    -1,   847,   375,   856,   847,    -1,   847,
     193,   856,   847,    -1,   847,   134,   856,   847,    -1,   401,
     850,    -1,   401,   292,   850,    -1,   851,    -1,   850,   439,
     851,    -1,   984,   794,    31,   435,   818,   436,    -1,   849,
      -1,    -1,   195,   854,    -1,    -1,   357,   855,   982,    -1,
     355,   855,   982,    -1,   216,   357,   855,   982,    -1,   216,
     355,   855,   982,    -1,   159,   357,   855,   982,    -1,   159,
     355,   855,   982,    -1,   379,   855,   982,    -1,   352,   982,
      -1,   982,    -1,   352,    -1,    -1,    22,    -1,   119,    -1,
      -1,   119,    -1,   119,   253,   435,   950,   436,    -1,    22,
      -1,    -1,   859,    -1,    -1,   259,    49,   860,    -1,   861,
      -1,   860,   439,   861,    -1,   921,   383,   948,   706,    -1,
     921,   705,   706,    -1,   864,   865,    -1,   865,   864,    -1,
     864,    -1,   865,    -1,   862,    -1,    -1,   213,   866,    -1,
     213,   866,   439,   867,    -1,   146,   871,   868,   870,   254,
      -1,   251,   867,    -1,   251,   869,   870,    -1,   921,    -1,
      22,    -1,   921,    -1,   995,    -1,   435,   921,   436,    -1,
      -1,   923,    -1,   314,    -1,   315,    -1,   147,    -1,   235,
      -1,   163,    49,   950,    -1,    -1,   166,   921,    -1,    -1,
     876,    -1,   150,   288,   254,    -1,   874,    -1,    -1,   877,
      -1,   876,   877,    -1,   150,   381,   878,   832,    -1,   150,
     332,   878,   832,    -1,   249,   981,    -1,    -1,   389,   978,
      -1,   879,   439,   978,    -1,   155,   881,    -1,    -1,   882,
      -1,   881,   439,   882,    -1,   888,    -1,   888,   884,    -1,
     891,    -1,   891,   884,    -1,   891,    31,   435,   895,   436,
      -1,   891,    31,   996,   435,   895,   436,    -1,   891,   996,
     435,   895,   436,    -1,   845,    -1,   845,   884,    -1,   883,
      -1,   435,   883,   436,   884,    -1,   435,   883,   436,    -1,
     882,    87,   200,   882,    -1,   882,   885,   200,   882,   887,
      -1,   882,   200,   882,   887,    -1,   882,   233,   885,   200,
     882,    -1,   882,   233,   200,   882,    -1,    31,   996,   435,
     983,   436,    -1,    31,   996,    -1,   996,   435,   983,   436,
      -1,   996,    -1,   156,   886,    -1,   210,   886,    -1,   309,
     886,    -1,   185,    -1,   261,    -1,    -1,   383,   435,   983,
     436,    -1,   253,   921,    -1,   982,    -1,   982,   428,    -1,
     254,   982,    -1,   254,   435,   982,   436,    -1,   888,    -1,
     889,   439,   888,    -1,   888,    -1,   888,   996,    -1,   888,
      31,   996,    -1,   924,    -1,   398,   921,    -1,    -1,   398,
     921,    -1,   398,    89,   249,   841,    -1,    -1,   895,    -1,
      -1,   896,    -1,   895,   439,   896,    -1,   996,   897,   490,
      -1,   899,   898,    -1,   331,   899,   898,    -1,   899,    30,
     433,   992,   434,    -1,   331,   899,    30,   433,   992,   434,
      -1,   899,    30,    -1,   331,   899,    30,    -1,   898,   433,
     434,    -1,   898,   433,   992,   434,    -1,    -1,   901,    -1,
     903,    -1,   905,    -1,   909,    -1,   916,    -1,   917,   919,
      -1,   917,   435,   992,   436,   919,    -1,   903,    -1,   906,
      -1,   910,    -1,   916,    -1,   997,   902,    -1,   997,   662,
     902,    -1,   435,   950,   436,    -1,    -1,   191,    -1,   192,
      -1,   336,    -1,    44,    -1,   289,    -1,   148,   904,    -1,
     124,   276,    -1,   104,   902,    -1,   103,   902,    -1,   247,
     902,    -1,    47,    -1,   435,   992,   436,    -1,    -1,   907,
      -1,   908,    -1,   907,    -1,   908,    -1,    46,   914,   435,
     950,   436,    -1,    46,   914,    -1,   911,    -1,   912,    -1,
     911,    -1,   912,    -1,   913,   435,   992,   436,   915,    -1,
     913,   915,    -1,    59,   914,    -1,    58,   914,    -1,   390,
      -1,   232,    59,   914,    -1,   232,    58,   914,    -1,   234,
     914,    -1,   392,    -1,    -1,    59,   330,   996,    -1,    -1,
     361,   435,   992,   436,   918,    -1,   361,   918,    -1,   360,
     435,   992,   436,   918,    -1,   360,   918,    -1,   194,    -1,
     421,   418,    -1,   402,   360,   418,    -1,    -1,   416,    -1,
     228,    -1,   101,    -1,   169,    -1,   224,    -1,   920,    -1,
     416,   362,   228,    -1,   101,   362,   169,    -1,   101,   362,
     224,    -1,   101,   362,   920,    -1,   169,   362,   224,    -1,
     169,   362,   920,    -1,   224,   362,   920,    -1,    -1,   321,
      -1,   321,   435,   992,   436,    -1,   923,    -1,   921,    11,
     897,    -1,   921,    68,   661,    -1,   921,    36,   360,   418,
     921,    -1,   426,   921,    -1,   427,   921,    -1,   921,   426,
     921,    -1,   921,   427,   921,    -1,   921,   428,   921,    -1,
     921,   429,   921,    -1,   921,   430,   921,    -1,   921,   431,
     921,    -1,   921,   423,   921,    -1,   921,   424,   921,    -1,
     921,   422,   921,    -1,   921,   947,   921,    -1,   947,   921,
      -1,   921,   947,    -1,   921,    28,   921,    -1,   921,   258,
     921,    -1,   239,   921,    -1,   921,   212,   921,    -1,   921,
     212,   921,   133,   921,    -1,   921,   239,   212,   921,    -1,
     921,   239,   212,   921,   133,   921,    -1,   921,   172,   921,
      -1,   921,   172,   921,   133,   921,    -1,   921,   239,   172,
     921,    -1,   921,   239,   172,   921,   133,   921,    -1,   921,
     334,   362,   921,    -1,   921,   334,   362,   921,   133,   921,
      -1,   921,   239,   334,   362,   921,    -1,   921,   239,   334,
     362,   921,   133,   921,    -1,   921,   197,   244,    -1,   921,
     198,    -1,   921,   197,   239,   244,    -1,   921,   242,    -1,
     943,   263,   943,    -1,   921,   197,   368,    -1,   921,   197,
     239,   368,    -1,   921,   197,   144,    -1,   921,   197,   239,
     144,    -1,   921,   197,   377,    -1,   921,   197,   239,   377,
      -1,   921,   197,   119,   155,   921,    -1,   921,   197,   239,
     119,   155,   921,    -1,   921,   197,   249,   435,   953,   436,
      -1,   921,   197,   239,   249,   435,   953,   436,    -1,   921,
      43,   975,   922,    28,   922,    -1,   921,   239,    43,   975,
     922,    28,   922,    -1,   921,    43,   349,   922,    28,   922,
      -1,   921,   239,    43,   349,   922,    28,   922,    -1,   921,
     176,   965,    -1,   921,   239,   176,   965,    -1,   921,   949,
     944,   845,    -1,   921,   949,   944,   435,   921,   436,    -1,
     376,   845,    -1,   921,   197,   122,    -1,   921,   197,   239,
     122,    -1,   923,    -1,   922,    11,   897,    -1,   426,   922,
      -1,   427,   922,    -1,   922,   426,   922,    -1,   922,   427,
     922,    -1,   922,   428,   922,    -1,   922,   429,   922,    -1,
     922,   430,   922,    -1,   922,   431,   922,    -1,   922,   423,
     922,    -1,   922,   424,   922,    -1,   922,   422,   922,    -1,
     922,   947,   922,    -1,   947,   922,    -1,   922,   947,    -1,
     922,   197,   119,   155,   922,    -1,   922,   197,   239,   119,
     155,   922,    -1,   922,   197,   249,   435,   953,   436,    -1,
     922,   197,   239,   249,   435,   953,   436,    -1,   922,   197,
     122,    -1,   922,   197,   239,   122,    -1,   971,    -1,   991,
      -1,    10,   974,    -1,   435,   921,   436,   974,    -1,   966,
      -1,   924,    -1,   845,    -1,   139,   845,    -1,    30,   845,
      -1,    30,   954,    -1,   943,    -1,   990,   435,   436,   936,
      -1,   990,   435,   951,   436,   936,    -1,   990,   435,   391,
     952,   436,   936,    -1,   990,   435,   951,   439,   391,   952,
     436,   936,    -1,   990,   435,   951,   859,   436,   936,    -1,
     990,   435,    22,   951,   858,   436,   936,    -1,   990,   435,
     119,   951,   858,   436,   936,    -1,   990,   435,   428,   436,
     936,    -1,    91,    -1,    94,    -1,    94,   435,   992,   436,
      -1,    95,    -1,    95,   435,   992,   436,    -1,   217,    -1,
     217,   435,   992,   436,    -1,   218,    -1,   218,   435,   992,
     436,    -1,    92,    -1,    96,    -1,   329,    -1,   382,    -1,
      90,    -1,    93,    -1,    55,   435,   921,    31,   897,   436,
      -1,   143,   435,   956,   436,    -1,   264,   435,   958,   436,
      -1,   274,   435,   960,   436,    -1,   348,   435,   961,   436,
      -1,   365,   435,   921,    31,   897,   436,    -1,   367,   435,
      48,   964,   436,    -1,   367,   435,   208,   964,   436,    -1,
     367,   435,   363,   964,   436,    -1,   367,   435,   964,   436,
      -1,   245,   435,   921,   439,   921,   436,    -1,    67,   435,
     950,   436,    -1,   162,   435,   950,   436,    -1,   209,   435,
     950,   436,    -1,   408,   435,   950,   436,    -1,   409,   435,
     230,   998,   436,    -1,   409,   435,   230,   998,   439,   927,
     436,    -1,   409,   435,   230,   998,   439,   950,   436,    -1,
     409,   435,   230,   998,   439,   927,   439,   950,   436,    -1,
     410,   435,   923,   932,   436,    -1,   411,   435,   928,   436,
      -1,   412,   435,   930,   921,   931,   436,    -1,   413,   435,
     230,   998,   436,    -1,   413,   435,   230,   998,   439,   921,
     436,    -1,   414,   435,   921,   439,   925,   926,   436,    -1,
     415,   435,   930,   921,    31,   899,   436,    -1,   394,   921,
      -1,   394,   236,   388,    -1,   439,   339,   417,    -1,   439,
     339,   236,    -1,   439,   339,   236,   388,    -1,    -1,   407,
     435,   928,   436,    -1,   929,    -1,   928,   439,   929,    -1,
     921,    31,   998,    -1,   921,    -1,   122,    -1,    80,    -1,
     278,   399,    -1,   347,   399,    -1,    -1,   270,   923,    -1,
     270,   923,    49,   293,    -1,   270,    49,   293,   923,    -1,
     270,    49,   293,   923,    49,   293,    -1,   400,   934,    -1,
      -1,   935,    -1,   934,   439,   935,    -1,   996,    31,   937,
      -1,   262,   937,    -1,   262,   996,    -1,    -1,   435,   938,
     939,   858,   940,   436,    -1,   996,    -1,    -1,   269,    49,
     950,    -1,    -1,   287,   941,    -1,   315,   941,    -1,    -1,
     942,    -1,    43,   942,    28,   942,    -1,   372,   275,    -1,
     372,   149,    -1,    89,   314,    -1,   921,   275,    -1,   921,
     149,    -1,   314,   435,   950,   436,    -1,   314,   435,   436,
      -1,   435,   950,   439,   921,   436,    -1,    29,    -1,   337,
      -1,    22,    -1,     8,    -1,   946,    -1,   426,    -1,   427,
      -1,   428,    -1,   429,    -1,   430,    -1,   431,    -1,   423,
      -1,   424,    -1,   422,    -1,     8,    -1,   255,   435,   733,
     436,    -1,   945,    -1,   255,   435,   733,   436,    -1,   945,
      -1,   255,   435,   733,   436,    -1,   212,    -1,   239,   212,
      -1,   172,    -1,   239,   172,    -1,   921,    -1,   950,   439,
     921,    -1,   952,    -1,   951,   439,   952,    -1,   921,    -1,
     715,    13,   921,    -1,   897,    -1,   953,   439,   897,    -1,
     433,   950,   434,    -1,   433,   955,   434,    -1,   433,   434,
      -1,   954,    -1,   955,   439,   954,    -1,   957,   155,   921,
      -1,    -1,     3,    -1,   416,    -1,   228,    -1,   101,    -1,
     169,    -1,   224,    -1,   321,    -1,   993,    -1,   921,   959,
     962,   963,    -1,   921,   959,   962,    -1,   272,   921,    -1,
     922,   176,   922,    -1,    -1,   921,   962,   963,    -1,   921,
     963,   962,    -1,   921,   962,    -1,   921,   963,    -1,   950,
      -1,    -1,   155,   921,    -1,   150,   921,    -1,   921,   155,
     950,    -1,   155,   950,    -1,   950,    -1,   845,    -1,   435,
     950,   436,    -1,    54,   970,   967,   969,   131,    -1,   968,
      -1,   967,   968,    -1,   397,   921,   359,   921,    -1,   127,
     921,    -1,    -1,   921,    -1,    -1,   996,    -1,   996,   973,
      -1,   437,   987,    -1,   437,   428,    -1,   433,   921,   434,
      -1,   433,   921,   440,   921,   434,    -1,   972,    -1,   973,
     972,    -1,    -1,   974,   972,    -1,    35,    -1,    -1,   921,
      -1,   106,    -1,   976,    -1,   977,   439,   976,    -1,   435,
     977,   436,    -1,   980,    -1,   979,   439,   980,    -1,   921,
      31,   998,    -1,   921,     3,    -1,   921,    -1,   428,    -1,
     982,    -1,   981,   439,   982,    -1,   996,    -1,   996,   973,
      -1,   984,    -1,   983,   439,   984,    -1,   996,    -1,   996,
      -1,   996,    -1,   998,    -1,   996,    -1,   993,    -1,   997,
      -1,   996,   973,    -1,   992,    -1,     4,    -1,   993,    -1,
       6,    -1,     7,    -1,   990,   993,    -1,   990,   435,   951,
     436,   993,    -1,   900,   993,    -1,   917,   993,   919,    -1,
     917,   435,   992,   436,   993,   919,    -1,   368,    -1,   144,
      -1,   244,    -1,     9,    -1,     5,    -1,   996,    -1,   992,
      -1,   426,   992,    -1,   427,   992,    -1,     3,    -1,   999,
      -1,  1000,    -1,     3,    -1,   999,    -1,  1001,    -1,     3,
      -1,   999,    -1,  1000,    -1,  1001,    -1,  1002,    -1,    14,
      -1,    15,    -1,    16,    -1,    17,    -1,    18,    -1,    19,
      -1,    20,    -1,    21,    -1,    23,    -1,    24,    -1,    25,
      -1,    33,    -1,    34,    -1,    36,    -1,    37,    -1,    39,
      -1,    40,    -1,    41,    -1,    42,    -1,    49,    -1,    50,
      -1,    51,    -1,    52,    -1,    53,    -1,    56,    -1,    57,
      -1,    60,    -1,    62,    -1,    63,    -1,    64,    -1,    65,
      -1,    66,    -1,    69,    -1,    71,    -1,    72,    -1,    73,
      -1,    74,    -1,    76,    -1,    77,    -1,    79,    -1,    80,
      -1,    81,    -1,    82,    -1,    83,    -1,    84,    -1,    85,
      -1,    88,    -1,    89,    -1,    97,    -1,    98,    -1,    99,
      -1,   100,    -1,   101,    -1,   102,    -1,   105,    -1,   107,
      -1,   109,    -1,   110,    -1,   111,    -1,   112,    -1,   113,
      -1,   115,    -1,   116,    -1,   117,    -1,   118,    -1,   120,
      -1,   122,    -1,   123,    -1,   124,    -1,   125,    -1,   126,
      -1,   128,    -1,   129,    -1,   130,    -1,   132,    -1,   133,
      -1,   135,    -1,   136,    -1,   137,    -1,   138,    -1,   140,
      -1,   141,    -1,   142,    -1,   145,    -1,   147,    -1,   149,
      -1,   151,    -1,   153,    -1,   157,    -1,   158,    -1,   159,
      -1,   161,    -1,   164,    -1,   165,    -1,   167,    -1,   168,
      -1,   169,    -1,   170,    -1,   171,    -1,   173,    -1,   174,
      -1,   175,    -1,   177,    -1,   178,    -1,   179,    -1,   180,
      -1,   181,    -1,   182,    -1,   184,    -1,   187,    -1,   188,
      -1,   189,    -1,   190,    -1,   196,    -1,   199,    -1,   201,
      -1,   202,    -1,   203,    -1,   204,    -1,   205,    -1,   206,
      -1,   207,    -1,   211,    -1,   214,    -1,   215,    -1,   216,
      -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,
      -1,   224,    -1,   225,    -1,   226,    -1,   227,    -1,   228,
      -1,   229,    -1,   230,    -1,   231,    -1,   235,    -1,   236,
      -1,   237,    -1,   240,    -1,   241,    -1,   243,    -1,   246,
      -1,   248,    -1,   249,    -1,   250,    -1,   252,    -1,   255,
      -1,   256,    -1,   257,    -1,   265,    -1,   266,    -1,   267,
      -1,   268,    -1,   269,    -1,   270,    -1,   271,    -1,   273,
      -1,   275,    -1,   277,    -1,   279,    -1,   280,    -1,   278,
      -1,   282,    -1,   283,    -1,   284,    -1,   285,    -1,   286,
      -1,   287,    -1,   288,    -1,   290,    -1,   291,    -1,   292,
      -1,   293,    -1,   295,    -1,   296,    -1,   297,    -1,   298,
      -1,   299,    -1,   300,    -1,   301,    -1,   302,    -1,   303,
      -1,   304,    -1,   305,    -1,   307,    -1,   308,    -1,   310,
      -1,   311,    -1,   312,    -1,   313,    -1,   315,    -1,   316,
      -1,   317,    -1,   318,    -1,   319,    -1,   320,    -1,   321,
      -1,   322,    -1,   324,    -1,   325,    -1,   326,    -1,   327,
      -1,   328,    -1,   330,    -1,   332,    -1,   333,    -1,   335,
      -1,   338,    -1,   339,    -1,   340,    -1,   341,    -1,   342,
      -1,   343,    -1,   344,    -1,   345,    -1,   346,    -1,   347,
      -1,   350,    -1,   351,    -1,   353,    -1,   354,    -1,   355,
      -1,   356,    -1,   357,    -1,   358,    -1,   364,    -1,   366,
      -1,   369,    -1,   370,    -1,   371,    -1,   372,    -1,   373,
      -1,   374,    -1,   377,    -1,   378,    -1,   379,    -1,   380,
      -1,   381,    -1,   384,    -1,   385,    -1,   386,    -1,   387,
      -1,   388,    -1,   392,    -1,   394,    -1,   395,    -1,   396,
      -1,   399,    -1,   402,    -1,   403,    -1,   404,    -1,   405,
      -1,   406,    -1,   416,    -1,   417,    -1,   418,    -1,    43,
      -1,    44,    -1,    46,    -1,    47,    -1,    58,    -1,    59,
      -1,    67,    -1,   103,    -1,   104,    -1,   139,    -1,   143,
      -1,   148,    -1,   162,    -1,   186,    -1,   191,    -1,   192,
      -1,   194,    -1,   209,    -1,   232,    -1,   234,    -1,   238,
      -1,   245,    -1,   247,    -1,   260,    -1,   264,    -1,   274,
      -1,   276,    -1,   289,    -1,   314,    -1,   331,    -1,   336,
      -1,   348,    -1,   360,    -1,   361,    -1,   365,    -1,   367,
      -1,   389,    -1,   390,    -1,   407,    -1,   408,    -1,   409,
      -1,   410,    -1,   411,    -1,   412,    -1,   413,    -1,   414,
      -1,   415,    -1,    38,    -1,    45,    -1,    75,    -1,    87,
      -1,    93,    -1,   154,    -1,   156,    -1,   172,    -1,   185,
      -1,   197,    -1,   198,    -1,   200,    -1,   210,    -1,   212,
      -1,   233,    -1,   242,    -1,   261,    -1,   262,    -1,   263,
      -1,   309,    -1,   334,    -1,   393,    -1,    22,    -1,    26,
      -1,    27,    -1,    28,    -1,    29,    -1,    30,    -1,    31,
      -1,    32,    -1,    35,    -1,    48,    -1,    54,    -1,    55,
      -1,    61,    -1,    68,    -1,    70,    -1,    78,    -1,    86,
      -1,    90,    -1,    91,    -1,    92,    -1,    94,    -1,    95,
      -1,    96,    -1,   106,    -1,   108,    -1,   114,    -1,   119,
      -1,   121,    -1,   127,    -1,   131,    -1,   134,    -1,   144,
      -1,   146,    -1,   150,    -1,   152,    -1,   155,    -1,   160,
      -1,   163,    -1,   166,    -1,   176,    -1,   183,    -1,   193,
      -1,   195,    -1,   208,    -1,   213,    -1,   217,    -1,   218,
      -1,   239,    -1,   244,    -1,   251,    -1,   253,    -1,   254,
      -1,   258,    -1,   259,    -1,   272,    -1,   281,    -1,   294,
      -1,   306,    -1,   323,    -1,   329,    -1,   337,    -1,   349,
      -1,   352,    -1,   359,    -1,   362,    -1,   363,    -1,   368,
      -1,   375,    -1,   376,    -1,   382,    -1,   383,    -1,   391,
      -1,   397,    -1,   398,    -1,   400,    -1,   401,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   686,   686,   693,   700,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   829,   839,   850,   851,   860,   861,   865,
     866,   870,   875,   879,   884,   889,   893,   897,   902,   906,
     960,   962,   966,   970,   974,   978,   992,  1010,  1021,  1022,
    1026,  1044,  1056,  1077,  1084,  1103,  1110,  1127,  1145,  1156,
    1157,  1169,  1176,  1193,  1205,  1217,  1218,  1222,  1223,  1231,
    1232,  1233,  1234,  1235,  1236,  1250,  1256,  1262,  1271,  1279,
    1287,  1294,  1301,  1309,  1320,  1328,  1336,  1344,  1352,  1363,
    1371,  1379,  1386,  1396,  1397,  1404,  1405,  1408,  1410,  1414,
    1415,  1416,  1417,  1421,  1422,  1423,  1429,  1441,  1445,  1449,
    1464,  1487,  1488,  1489,  1493,  1494,  1495,  1499,  1500,  1504,
    1511,  1518,  1525,  1532,  1542,  1543,  1548,  1554,  1560,  1566,
    1572,  1582,  1592,  1593,  1597,  1598,  1606,  1621,  1627,  1633,
    1639,  1657,  1665,  1673,  1681,  1692,  1693,  1698,  1706,  1714,
    1723,  1731,  1739,  1748,  1757,  1766,  1775,  1785,  1798,  1812,
    1820,  1828,  1838,  1848,  1855,  1862,  1870,  1878,  1886,  1894,
    1902,  1909,  1916,  1924,  1931,  1938,  1946,  1954,  1962,  1970,
    1978,  1986,  1996,  2003,  2011,  2019,  2027,  2034,  2044,  2045,
    2049,  2050,  2051,  2055,  2063,  2067,  2068,  2072,  2075,  2076,
    2080,  2081,  2086,  2090,  2094,  2099,  2114,  2127,  2128,  2133,
    2142,  2152,  2162,  2187,  2193,  2220,  2242,  2256,  2257,  2266,
    2267,  2268,  2271,  2272,  2277,  2278,  2282,  2286,  2290,  2294,
    2298,  2302,  2306,  2310,  2314,  2318,  2322,  2326,  2335,  2339,
    2343,  2347,  2351,  2355,  2359,  2360,  2365,  2369,  2376,  2383,
    2384,  2385,  2386,  2387,  2391,  2395,  2403,  2421,  2443,  2471,
    2499,  2536,  2537,  2538,  2539,  2540,  2541,  2542,  2543,  2547,
    2548,  2552,  2553,  2557,  2561,  2568,  2572,  2579,  2580,  2581,
    2585,  2586,  2589,  2608,  2628,  2629,  2633,  2641,  2642,  2643,
    2674,  2681,  2688,  2699,  2710,  2719,  2728,  2761,  2768,  2775,
    2782,  2801,  2811,  2812,  2813,  2817,  2818,  2819,  2820,  2821,
    2822,  2831,  2839,  2843,  2855,  2870,  2884,  2899,  2913,  2931,
    2953,  2954,  2958,  2959,  2962,  2968,  2972,  2980,  2985,  2991,
    2992,  2996,  3001,  3008,  3009,  3019,  3021,  3023,  3025,  3028,
    3031,  3034,  3038,  3039,  3040,  3041,  3042,  3045,  3046,  3051,
    3052,  3053,  3054,  3057,  3058,  3059,  3060,  3063,  3064,  3068,
    3069,  3072,  3079,  3086,  3093,  3100,  3104,  3111,  3118,  3122,
    3123,  3126,  3136,  3161,  3180,  3181,  3185,  3186,  3190,  3210,
    3211,  3212,  3225,  3240,  3252,  3253,  3256,  3257,  3260,  3264,
    3268,  3272,  3276,  3280,  3284,  3288,  3292,  3296,  3300,  3304,
    3310,  3311,  3315,  3316,  3321,  3324,  3325,  3337,  3349,  3364,
    3365,  3373,  3374,  3378,  3379,  3383,  3384,  3388,  3389,  3393,
    3401,  3412,  3413,  3423,  3433,  3434,  3447,  3454,  3471,  3479,
    3490,  3493,  3497,  3501,  3505,  3517,  3527,  3530,  3534,  3547,
    3557,  3567,  3576,  3585,  3594,  3604,  3613,  3623,  3633,  3643,
    3652,  3661,  3670,  3679,  3688,  3697,  3706,  3715,  3724,  3733,
    3742,  3760,  3771,  3772,  3773,  3774,  3778,  3779,  3783,  3784,
    3794,  3802,  3819,  3827,  3839,  3840,  3844,  3848,  3856,  3860,
    3864,  3871,  3875,  3880,  3885,  3892,  3899,  3904,  3914,  3928,
    3929,  3934,  3935,  3939,  3940,  3950,  3958,  3975,  3984,  3992,
    4009,  4024,  4042,  4043,  4047,  4051,  4058,  4069,  4086,  4098,
    4099,  4100,  4110,  4118,  4135,  4154,  4174,  4199,  4200,  4201,
    4205,  4207,  4229,  4231,  4233,  4235,  4237,  4242,  4247,  4257,
    4258,  4262,  4263,  4267,  4268,  4272,  4273,  4274,  4278,  4284,
    4285,  4286,  4290,  4291,  4296,  4297,  4324,  4325,  4326,  4327,
    4328,  4333,  4343,  4365,  4385,  4408,  4418,  4429,  4439,  4449,
    4460,  4469,  4476,  4485,  4494,  4503,  4512,  4521,  4532,  4535,
    4536,  4539,  4543,  4550,  4551,  4552,  4553,  4554,  4557,  4558,
    4561,  4564,  4565,  4573,  4580,  4581,  4584,  4586,  4597,  4606,
    4615,  4639,  4654,  4655,  4659,  4669,  4680,  4689,  4699,  4708,
    4709,  4712,  4713,  4716,  4717,  4718,  4721,  4735,  4740,  4750,
    4759,  4771,  4772,  4776,  4784,  4796,  4805,  4817,  4826,  4847,
    4857,  4875,  4884,  4896,  4897,  4898,  4899,  4900,  4901,  4902,
    4903,  4904,  4905,  4906,  4907,  4908,  4909,  4910,  4914,  4915,
    4918,  4919,  4922,  4924,  4937,  4948,  4949,  4950,  4976,  4985,
    4994,  5003,  5012,  5021,  5030,  5040,  5049,  5058,  5067,  5076,
    5085,  5094,  5102,  5110,  5118,  5129,  5130,  5131,  5132,  5133,
    5134,  5135,  5136,  5137,  5138,  5139,  5140,  5141,  5142,  5143,
    5144,  5145,  5149,  5150,  5164,  5175,  5186,  5197,  5208,  5221,
    5222,  5226,  5227,  5228,  5229,  5230,  5231,  5232,  5233,  5236,
    5237,  5247,  5253,  5261,  5269,  5277,  5285,  5293,  5301,  5309,
    5317,  5325,  5333,  5341,  5349,  5357,  5365,  5373,  5381,  5391,
    5392,  5395,  5396,  5406,  5422,  5436,  5462,  5464,  5466,  5468,
    5475,  5484,  5485,  5488,  5495,  5502,  5509,  5523,  5531,  5539,
    5547,  5555,  5563,  5571,  5579,  5587,  5595,  5603,  5611,  5619,
    5627,  5639,  5640,  5643,  5653,  5667,  5668,  5672,  5673,  5678,
    5694,  5707,  5717,  5729,  5730,  5733,  5734,  5744,  5754,  5755,
    5759,  5763,  5767,  5778,  5791,  5805,  5822,  5823,  5824,  5836,
    5856,  5857,  5861,  5862,  5866,  5867,  5871,  5872,  5875,  5876,
    5884,  5895,  5906,  5919,  5920,  5923,  5924,  5925,  5928,  5929,
    5930,  5933,  5934,  5935,  5951,  5963,  5976,  5991,  5992,  5995,
    5996,  6000,  6001,  6009,  6010,  6014,  6015,  6030,  6039,  6048,
    6057,  6066,  6078,  6079,  6080,  6081,  6082,  6088,  6092,  6107,
    6108,  6114,  6124,  6128,  6133,  6143,  6144,  6151,  6155,  6159,
    6163,  6167,  6171,  6175,  6179,  6183,  6187,  6191,  6195,  6199,
    6207,  6211,  6215,  6219,  6225,  6226,  6233,  6234,  6237,  6249,
    6253,  6268,  6279,  6280,  6285,  6286,  6301,  6311,  6324,  6334,
    6347,  6357,  6370,  6378,  6380,  6382,  6387,  6389,  6402,  6411,
    6412,  6416,  6420,  6432,  6443,  6454,  6467,  6468,  6469,  6473,
    6484,  6485,  6499,  6507,  6517,  6530,  6531,  6534,  6535,  6545,
    6554,  6562,  6570,  6578,  6587,  6595,  6603,  6612,  6621,  6629,
    6638,  6647,  6656,  6665,  6674,  6684,  6694,  6703,  6711,  6719,
    6727,  6736,  6745,  6753,  6761,  6769,  6777,  6785,  6798,  6799,
    6802,  6803,  6813,  6822,  6830,  6838,  6846,  6854,  6863,  6872,
    6881,  6890,  6898,  6906,  6914,  6922,  6930,  6938,  6946,  6954,
    6970,  6979,  6987,  6995,  7003,  7011,  7020,  7028,  7036,  7045,
    7054,  7063,  7071,  7079,  7087,  7095,  7103,  7111,  7128,  7145,
    7146,  7147,  7152,  7158,  7167,  7168,  7169,  7170,  7171,  7175,
    7176,  7179,  7180,  7181,  7182,  7186,  7187,  7188,  7193,  7203,
    7224,  7234,  7235,  7238,  7247,  7253,  7272,  7279,  7286,  7293,
    7300,  7307,  7314,  7322,  7330,  7338,  7346,  7354,  7361,  7368,
    7377,  7378,  7379,  7383,  7386,  7389,  7392,  7395,  7402,  7404,
    7406,  7411,  7413,  7425,  7436,  7450,  7456,  7462,  7468,  7478,
    7494,  7504,  7505,  7509,  7513,  7517,  7521,  7525,  7529,  7533,
    7537,  7541,  7545,  7549,  7553,  7557,  7561,  7565,  7569,  7579,
    7580,  7591,  7598,  7609,  7620,  7621,  7625,  7639,  7646,  7663,
    7676,  7685,  7693,  7701,  7710,  7721,  7722,  7733,  7743,  7753,
    7763,  7773,  7783,  7791,  7812,  7835,  7843,  7852,  7863,  7864,
    7876,  7890,  7904,  7916,  7928,  7945,  7946,  7950,  7951,  7952,
    7953,  7957,  7969,  7984,  7985,  7989,  7990,  7993,  7994,  7997,
    7998,  8002,  8003,  8008,  8017,  8022,  8042,  8052,  8055,  8058,
    8059,  8076,  8092,  8107,  8123,  8142,  8149,  8159,  8166,  8176,
    8177,  8178,  8179,  8180,  8181,  8182,  8186,  8190,  8197,  8204,
    8205,  8206,  8210,  8211,  8212,  8222,  8237,  8250,  8260,  8270,
    8282,  8283,  8284,  8287,  8288,  8289,  8300,  8310,  8311,  8315,
    8316,  8317,  8318,  8328,  8336,  8358,  8359,  8369,  8375,  8381,
    8387,  8403,  8413,  8419,  8425,  8434,  8436,  8441,  8452,  8453,
    8464,  8478,  8479,  8490,  8501,  8502,  8505,  8506,  8507,  8508,
    8509,  8510,  8511,  8512,  8515,  8516,  8527,  8545,  8546,  8550,
    8551,  8555,  8563,  8591,  8602,  8603,  8613,  8624,  8627,  8628,
    8629,  8630,  8631,  8634,  8635,  8636,  8684,  8685,  8689,  8690,
    8704,  8705,  8712,  8720,  8728,  8736,  8744,  8752,  8763,  8764,
    8791,  8806,  8807,  8826,  8830,  8834,  8849,  8856,  8866,  8867,
    8870,  8882,  8883,  8887,  8897,  8905,  8910,  8915,  8920,  8925,
    8930,  8935,  8940,  8945,  8952,  8953,  8956,  8957,  8958,  8965,
    8966,  8967,  8968,  8972,  8973,  8977,  8981,  8982,  8985,  8994,
    9007,  9008,  9009,  9010,  9014,  9015,  9019,  9021,  9031,  9036,
    9039,  9044,  9045,  9053,  9063,  9064,  9065,  9073,  9077,  9078,
    9081,  9082,  9087,  9088,  9092,  9093,  9097,  9098,  9102,  9103,
    9107,  9108,  9112,  9120,  9131,  9132,  9137,  9143,  9161,  9162,
    9166,  9167,  9177,  9181,  9186,  9193,  9201,  9208,  9218,  9228,
    9256,  9263,  9267,  9293,  9297,  9309,  9322,  9336,  9347,  9362,
    9368,  9373,  9379,  9386,  9387,  9388,  9389,  9393,  9394,  9406,
    9407,  9412,  9419,  9426,  9433,  9444,  9445,  9458,  9462,  9469,
    9479,  9484,  9485,  9490,  9491,  9499,  9504,  9505,  9509,  9513,
    9519,  9548,  9553,  9560,  9565,  9571,  9576,  9585,  9587,  9590,
    9594,  9595,  9596,  9597,  9598,  9599,  9604,  9634,  9635,  9636,
    9637,  9648,  9654,  9662,  9663,  9669,  9674,  9679,  9684,  9689,
    9694,  9699,  9704,  9710,  9716,  9722,  9729,  9751,  9760,  9764,
    9772,  9776,  9784,  9796,  9817,  9821,  9827,  9831,  9844,  9863,
    9886,  9888,  9890,  9892,  9894,  9896,  9901,  9902,  9906,  9907,
    9914,  9923,  9931,  9940,  9951,  9959,  9960,  9961,  9965,  9967,
    9969,  9971,  9973,  9975,  9977,  9982,  9987,  9993, 10001, 10006,
   10013, 10020, 10024, 10028, 10058, 10059, 10061, 10069, 10091, 10093,
   10095, 10097, 10099, 10101, 10103, 10105, 10107, 10109, 10111, 10114,
   10116, 10118, 10121, 10123, 10125, 10128, 10130, 10143, 10145, 10158,
   10160, 10173, 10175, 10189, 10202, 10215, 10228, 10251, 10258, 10265,
   10272, 10279, 10283, 10290, 10297, 10304, 10311, 10318, 10325, 10329,
   10337, 10341, 10351, 10358, 10365, 10378, 10391, 10410, 10431, 10441,
   10448, 10464, 10469, 10487, 10489, 10491, 10493, 10495, 10497, 10499,
   10501, 10503, 10505, 10507, 10509, 10511, 10513, 10515, 10517, 10519,
   10523, 10528, 10532, 10536, 10541, 10558, 10559, 10560, 10575, 10587,
   10589, 10591, 10601, 10611, 10621, 10629, 10647, 10660, 10673, 10686,
   10699, 10712, 10729, 10742, 10765, 10786, 10796, 10809, 10826, 10839,
   10849, 10862, 10872, 10885, 10898, 10911, 10924, 10937, 10950, 10963,
   10965, 10978, 10996, 11010, 11026, 11048, 11064, 11077, 11090, 11103,
   11107, 11114, 11122, 11130, 11134, 11138, 11142, 11146, 11150, 11165,
   11169, 11178, 11182, 11186, 11191, 11205, 11207, 11211, 11213, 11215,
   11218, 11221, 11224, 11225, 11228, 11236, 11246, 11247, 11250, 11251,
   11252, 11257, 11261, 11265, 11269, 11280, 11281, 11285, 11286, 11291,
   11299, 11301, 11315, 11318, 11345, 11346, 11349, 11350, 11361, 11379,
   11386, 11395, 11412, 11457, 11465, 11473, 11481, 11489, 11510, 11511,
   11512, 11515, 11516, 11517, 11520, 11521, 11524, 11525, 11526, 11527,
   11528, 11529, 11530, 11531, 11532, 11535, 11537, 11542, 11544, 11549,
   11551, 11553, 11555, 11557, 11559, 11571, 11575, 11582, 11586, 11592,
   11596, 11607, 11608, 11611, 11615, 11619, 11625, 11626, 11631, 11635,
   11642, 11643, 11644, 11645, 11646, 11647, 11648, 11649, 11659, 11663,
   11670, 11677, 11678, 11694, 11698, 11703, 11707, 11722, 11727, 11731,
   11734, 11737, 11738, 11739, 11742, 11749, 11759, 11773, 11774, 11778,
   11789, 11790, 11793, 11794, 11797, 11801, 11808, 11812, 11816, 11823,
   11833, 11834, 11838, 11839, 11842, 11843, 11854, 11855, 11864, 11865,
   11873, 11884, 11885, 11888, 11904, 11912, 11920, 11942, 11943, 11954,
   11958, 11985, 11987, 11992, 11995, 11998, 12000, 12002, 12004, 12014,
   12016, 12027, 12031, 12035, 12039, 12043, 12052, 12059, 12084, 12088,
   12094, 12111, 12115, 12119, 12125, 12126, 12127, 12129, 12130, 12131,
   12147, 12148, 12149, 12154, 12155, 12156, 12162, 12163, 12164, 12165,
   12166, 12188, 12189, 12190, 12191, 12192, 12193, 12194, 12195, 12196,
   12197, 12198, 12199, 12200, 12201, 12202, 12203, 12205, 12207, 12208,
   12209, 12210, 12211, 12212, 12213, 12214, 12215, 12216, 12217, 12218,
   12219, 12220, 12221, 12222, 12223, 12224, 12225, 12226, 12227, 12228,
   12229, 12230, 12231, 12232, 12233, 12234, 12235, 12236, 12237, 12238,
   12239, 12240, 12241, 12242, 12243, 12244, 12245, 12246, 12247, 12248,
   12249, 12250, 12251, 12252, 12253, 12254, 12256, 12258, 12259, 12260,
   12261, 12262, 12263, 12264, 12265, 12266, 12267, 12268, 12269, 12270,
   12271, 12272, 12273, 12274, 12275, 12276, 12277, 12278, 12279, 12280,
   12281, 12282, 12283, 12284, 12286, 12288, 12289, 12290, 12291, 12292,
   12293, 12294, 12295, 12296, 12297, 12298, 12299, 12300, 12301, 12302,
   12303, 12304, 12305, 12306, 12307, 12308, 12309, 12310, 12311, 12312,
   12313, 12314, 12315, 12316, 12317, 12318, 12319, 12320, 12321, 12322,
   12323, 12324, 12325, 12326, 12327, 12329, 12331, 12332, 12333, 12334,
   12335, 12336, 12337, 12338, 12339, 12340, 12341, 12342, 12343, 12344,
   12345, 12346, 12347, 12348, 12349, 12350, 12351, 12352, 12353, 12354,
   12355, 12356, 12357, 12359, 12361, 12362, 12363, 12364, 12365, 12366,
   12367, 12368, 12369, 12370, 12371, 12372, 12373, 12374, 12375, 12376,
   12377, 12378, 12379, 12380, 12381, 12383, 12385, 12386, 12387, 12388,
   12389, 12391, 12393, 12394, 12396, 12398, 12399, 12400, 12401, 12402,
   12403, 12404, 12405, 12406, 12407, 12408, 12409, 12410, 12411, 12412,
   12413, 12414, 12415, 12416, 12417, 12418, 12419, 12420, 12421, 12422,
   12423, 12424, 12425, 12426, 12427, 12428, 12429, 12430, 12431, 12432,
   12433, 12434, 12435, 12436, 12437, 12438, 12439, 12440, 12441, 12442,
   12443, 12444, 12445, 12446, 12447, 12448, 12449, 12450, 12451, 12452,
   12453, 12454, 12455, 12456, 12457, 12458, 12459, 12460, 12461, 12462,
   12463, 12477, 12478, 12479, 12480, 12481, 12482, 12483, 12484, 12485,
   12486, 12487, 12488, 12489, 12490, 12491, 12492, 12493, 12494, 12495,
   12496, 12497, 12498, 12499, 12500, 12501, 12502, 12503, 12504, 12505,
   12506, 12507, 12508, 12509, 12510, 12511, 12512, 12513, 12514, 12515,
   12516, 12517, 12518, 12519, 12520, 12521, 12522, 12523, 12537, 12538,
   12539, 12540, 12541, 12542, 12543, 12544, 12545, 12546, 12547, 12548,
   12549, 12550, 12551, 12552, 12553, 12554, 12555, 12556, 12557, 12558,
   12568, 12569, 12570, 12571, 12572, 12573, 12574, 12575, 12576, 12577,
   12578, 12579, 12580, 12581, 12582, 12583, 12584, 12585, 12586, 12587,
   12588, 12589, 12590, 12591, 12592, 12593, 12594, 12595, 12596, 12597,
   12598, 12599, 12600, 12601, 12602, 12603, 12604, 12605, 12606, 12607,
   12608, 12609, 12610, 12611, 12612, 12613, 12614, 12615, 12616, 12617,
   12618, 12619, 12620, 12621, 12622, 12623, 12624, 12625, 12626, 12627,
   12628, 12629, 12630, 12631, 12632, 12633, 12634, 12635, 12636, 12637,
   12638, 12639, 12640, 12641, 12642, 12643
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BARRIER",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLEAN", "CLOSE", "CLUSTER", "COALESCE",
  "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT",
  "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COORDINATOR",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DIRECT", "DISABLE_P",
  "DISCARD", "DISTINCT", "DISTRIBUTE", "DO", "DOCUMENT_P", "DOMAIN_P",
  "DOUBLE_P", "DROP", "EACH", "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED",
  "END_P", "ENUM_P", "ESCAPE", "EXCEPT", "EXCLUDE", "EXCLUDING",
  "EXCLUSIVE", "EXECUTE", "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL",
  "EXTRACT", "FALSE_P", "FAMILY", "FETCH", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM",
  "FULL", "FUNCTION", "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED",
  "GREATEST", "GROUP_P", "HANDLER", "HASH", "HAVING", "HEADER_P", "HOLD",
  "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE", "IMMEDIATE", "IMMUTABLE",
  "IMPLICIT_P", "IN_P", "INCLUDING", "INCREMENT", "INDEX", "INDEXES",
  "INHERIT", "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT",
  "INPUT_P", "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER",
  "INTERSECT", "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION",
  "JOIN", "KEY", "LABEL", "LANGUAGE", "LARGE_P", "LAST_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAST", "LEFT", "LEVEL", "LIKE", "LIMIT",
  "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP", "LOCATION",
  "LOCK_P", "MAPPING", "MATCH", "MAXVALUE", "MINUTE_P", "MINVALUE", "MODE",
  "MODULO", "MONTH_P", "MOVE", "NAME_P", "NAMES", "NATIONAL", "NATURAL",
  "NCHAR", "NEXT", "NO", "NODE", "NONE", "NOT", "NOTHING", "NOTIFY",
  "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "OUT_P", "OUTER_P", "OVER",
  "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PREFERRED", "PRESERVE", "PREPARE", "PREPARED",
  "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME", "REPEATABLE",
  "REPLACE", "REPLICA", "REPLICATION", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROBIN", "ROLE", "ROLLBACK",
  "ROUND", "ROW", "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETOF",
  "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SMALLINT", "SOME", "STABLE",
  "STANDALONE_P", "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT",
  "STORAGE", "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID",
  "SYSTEM_P", "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE",
  "TEMPORARY", "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE",
  "TRUSTED", "TYPE_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION",
  "UNIQUE", "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER",
  "USING", "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH", "WITHOUT",
  "WORK", "WRAPPER", "WRITE", "XML_P", "XMLATTRIBUTES", "XMLCONCAT",
  "XMLELEMENT", "XMLEXISTS", "XMLFOREST", "XMLPARSE", "XMLPI", "XMLROOT",
  "XMLSERIALIZE", "YEAR_P", "YES_P", "ZONE", "NULLS_FIRST", "NULLS_LAST",
  "WITH_TIME", "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'",
  "'/'", "'%'", "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'",
  "','", "':'", "$accept", "stmtblock", "stmtmulti", "stmt",
  "CreateRoleStmt", "opt_with", "OptRoleList", "AlterOptRoleList",
  "AlterOptRoleElem", "CreateOptRoleElem", "CreateUserStmt",
  "AlterRoleStmt", "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding", "ColId_or_Sconst",
  "VariableResetStmt", "SetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "reloptions", "opt_reloptions",
  "reloption_list", "reloption_elem", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "copy_file_name", "copy_options", "copy_opt_list",
  "copy_opt_item", "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_column_list", "columnList",
  "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "DistributeByHash", "OptDistributeBy",
  "OptSubCluster", "OptConsTableSpace", "ExistingIndex", "CreateAsStmt",
  "create_as_target", "OptCreateAs", "CreateAsList", "CreateAsElement",
  "opt_with_data", "CreateSeqStmt", "AlterSeqStmt", "OptSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "OptForeignTableElementList", "ForeignTableElementList",
  "ForeignTableElement", "AlterForeignTableStmt", "CreateUserMappingStmt",
  "auth_ident", "DropUserMappingStmt", "AlterUserMappingStmt",
  "CreateTrigStmt", "TriggerActionTime", "TriggerEvents",
  "TriggerOneEvent", "TriggerForSpec", "TriggerForOptEach",
  "TriggerForType", "TriggerWhen", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "DropTrigStmt", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "aggr_args", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "CreateOpClassStmt", "opclass_item_list", "opclass_item", "opt_default",
  "opt_opfamily", "opclass_purpose", "opt_recheck", "CreateOpFamilyStmt",
  "AlterOpFamilyStmt", "opclass_drop_list", "opclass_drop",
  "DropOpClassStmt", "DropOpFamilyStmt", "DropOwnedStmt",
  "ReassignOwnedStmt", "DropStmt", "drop_type", "any_name_list",
  "any_name", "attrs", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_type", "comment_text", "SecLabelStmt", "opt_provider",
  "security_label_type", "security_label", "FetchStmt", "fetch_args",
  "from_in", "opt_from_in", "GrantStmt", "RevokeStmt", "privileges",
  "privilege_list", "privilege", "privilege_target", "grantee_list",
  "grantee", "opt_grant_grant_option", "function_with_argtypes_list",
  "function_with_argtypes", "GrantRoleStmt", "RevokeRoleStmt",
  "opt_grant_admin_option", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique", "opt_concurrently",
  "opt_index_name", "access_method_clause", "index_params", "index_elem",
  "opt_collate", "opt_class", "opt_asc_desc", "opt_nulls_order",
  "CreateFunctionStmt", "opt_or_replace", "func_args", "func_args_list",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "opt_definition", "table_func_column",
  "table_func_column_list", "AlterFunctionStmt", "alterfunc_opt_list",
  "opt_restrict", "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt",
  "oper_argtypes", "any_operator", "DoStmt", "dostmt_opt_list",
  "dostmt_opt_item", "CreateCastStmt", "cast_context", "DropCastStmt",
  "opt_if_exists", "ReindexStmt", "reindex_type", "opt_force",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "CreateDomainStmt",
  "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "BarrierStmt",
  "opt_barrier_id", "CreateNodeStmt", "pgxcnode_name", "pgxcgroup_name",
  "pgxcnode_list", "AlterNodeStmt", "DropNodeStmt", "CreateNodeGroupStmt",
  "DropNodeGroupStmt", "ExplainStmt", "ExplainableStmt",
  "explain_option_list", "explain_option_elem", "explain_option_name",
  "explain_option_arg", "ExecDirectStmt", "DirectStmt", "CleanConnStmt",
  "CleanConnDbName", "CleanConnUserName", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "locked_rels_list", "values_clause", "from_clause", "from_list",
  "table_ref", "joined_table", "alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_expr", "xml_root_version", "opt_xml_root_standalone",
  "xml_attributes", "xml_attribute_list", "xml_attribute_el",
  "document_or_content", "xml_whitespace_option", "xmlexists_argument",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "database_name", "access_method",
  "attr_name", "index_name", "file_name", "func_name", "AexprConst",
  "Iconst", "Sconst", "RoleId", "SignedIconst", "ColId",
  "type_function_name", "ColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,    61,    60,    62,   677,    43,    45,    42,    47,
      37,    94,   678,    91,    93,    40,    41,    46,    59,    44,
      58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   441,   442,   443,   443,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   444,   444,   444,   444,   444,   444,
     444,   444,   444,   444,   445,   446,   446,   447,   447,   448,
     448,   449,   449,   449,   449,   449,   449,   449,   449,   449,
     450,   450,   450,   450,   450,   450,   451,   452,   453,   453,
     454,   455,   456,   457,   457,   458,   458,   459,   460,   461,
     461,   462,   462,   463,   463,   464,   464,   465,   465,   466,
     466,   466,   466,   466,   466,   467,   467,   467,   468,   468,
     468,   468,   468,   468,   468,   468,   468,   468,   468,   468,
     468,   468,   468,   469,   469,   470,   470,   471,   471,   472,
     472,   472,   472,   473,   473,   473,   473,   474,   474,   474,
     474,   474,   474,   474,   475,   475,   475,   476,   476,   477,
     477,   477,   477,   477,   478,   478,   479,   479,   479,   479,
     479,   480,   481,   481,   482,   482,   483,   484,   484,   484,
     484,   485,   485,   485,   485,   486,   486,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   487,   487,
     487,   487,   487,   487,   487,   487,   487,   487,   488,   488,
     489,   489,   489,   490,   490,   491,   491,   492,   493,   493,
     494,   494,   495,   495,   495,   495,   496,   497,   497,   498,
     498,   498,   498,   499,   499,   500,   500,   501,   501,   502,
     502,   502,   503,   503,   504,   504,   505,   505,   505,   505,
     505,   505,   505,   505,   505,   505,   505,   505,   506,   506,
     507,   507,   508,   508,   509,   509,   510,   510,   511,   512,
     512,   512,   512,   512,   513,   513,   514,   515,   515,   515,
     515,   516,   516,   516,   516,   516,   516,   516,   516,   517,
     517,   518,   518,   519,   519,   520,   520,   521,   521,   521,
     522,   522,   523,   524,   525,   525,   526,   526,   526,   526,
     527,   527,   527,   527,   527,   527,   527,   528,   528,   528,
     528,   529,   530,   530,   530,   531,   531,   531,   531,   531,
     531,   532,   532,   533,   533,   533,   533,   533,   533,   533,
     534,   534,   535,   535,   536,   537,   537,   537,   537,   538,
     538,   539,   539,   540,   540,   541,   541,   541,   541,   541,
     542,   543,   544,   544,   544,   544,   544,   545,   545,   546,
     546,   546,   546,   547,   547,   547,   547,   548,   548,   549,
     549,   550,   550,   550,   550,   550,   551,   551,   551,   552,
     552,   553,   554,   555,   556,   556,   557,   557,   558,   559,
     559,   559,   560,   561,   562,   562,   563,   563,   564,   564,
     564,   564,   564,   564,   564,   564,   564,   564,   564,   564,
     565,   565,   566,   566,   566,   567,   567,   568,   568,   569,
     569,   570,   570,   571,   571,   572,   572,   573,   573,   574,
     574,   575,   575,   576,   577,   577,   578,   578,   579,   579,
     580,   580,   581,   581,   581,   582,   583,   583,   584,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   585,   585,   585,   585,   585,   585,   585,   585,   585,
     585,   586,   587,   587,   587,   587,   588,   588,   589,   589,
     590,   590,   591,   591,   592,   592,   593,   593,   594,   595,
     595,   596,   596,   596,   596,   597,   598,   599,   600,   601,
     601,   602,   602,   603,   603,   604,   604,   605,   605,   605,
     606,   606,   607,   607,   608,   608,   609,   610,   611,   612,
     612,   612,   613,   613,   614,   615,   615,   616,   616,   616,
     617,   617,   618,   618,   618,   618,   618,   619,   619,   620,
     620,   621,   621,   622,   622,   623,   623,   623,   624,   624,
     624,   624,   625,   625,   626,   626,   627,   627,   627,   627,
     627,   628,   628,   629,   630,   631,   631,   631,   631,   631,
     631,   631,   631,   631,   631,   631,   631,   631,   632,   633,
     633,   634,   634,   635,   635,   635,   635,   635,   636,   636,
     637,   638,   638,   639,   640,   640,   641,   641,   642,   642,
     642,   643,   644,   644,   645,   645,   645,   645,   645,   646,
     646,   647,   647,   648,   648,   648,   649,   649,   650,   651,
     651,   652,   652,   653,   653,   654,   654,   655,   655,   656,
     657,   658,   658,   659,   659,   659,   659,   659,   659,   659,
     659,   659,   659,   659,   659,   659,   659,   659,   660,   660,
     661,   661,   662,   662,   663,   664,   664,   664,   665,   665,
     665,   665,   665,   665,   665,   665,   665,   665,   665,   665,
     665,   665,   665,   665,   665,   666,   666,   666,   666,   666,
     666,   666,   666,   666,   666,   666,   666,   666,   666,   666,
     666,   666,   667,   667,   668,   668,   668,   668,   668,   669,
     669,   670,   670,   670,   670,   670,   670,   670,   670,   671,
     671,   672,   672,   673,   673,   673,   673,   673,   673,   673,
     673,   673,   673,   673,   673,   673,   673,   673,   673,   674,
     674,   675,   675,   676,   677,   677,   678,   678,   678,   678,
     678,   679,   679,   680,   680,   680,   680,   681,   681,   681,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   681,
     681,   682,   682,   683,   683,   684,   684,   685,   685,   686,
     687,   688,   688,   689,   689,   690,   690,   691,   692,   692,
     693,   693,   693,   694,   694,   694,   695,   695,   695,   696,
     697,   697,   698,   698,   699,   699,   700,   700,   701,   701,
     702,   702,   702,   703,   703,   704,   704,   704,   705,   705,
     705,   706,   706,   706,   707,   707,   707,   708,   708,   709,
     709,   710,   710,   711,   711,   712,   712,   713,   713,   713,
     713,   713,   714,   714,   714,   714,   714,   715,   716,   717,
     717,   717,   718,   718,   718,   719,   719,   720,   720,   720,
     720,   720,   720,   720,   720,   720,   720,   720,   720,   720,
     721,   721,   721,   721,   722,   722,   723,   723,   724,   725,
     725,   726,   727,   727,   728,   728,   729,   729,   730,   730,
     731,   731,   732,   732,   732,   732,   733,   733,   734,   735,
     735,   736,   736,   737,   737,   737,   738,   738,   738,   739,
     740,   740,   741,   741,   741,   742,   742,   743,   743,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   744,   745,   745,
     746,   746,   747,   747,   747,   747,   747,   747,   747,   747,
     747,   747,   747,   747,   747,   747,   747,   747,   747,   747,
     748,   748,   748,   748,   748,   748,   748,   748,   748,   748,
     748,   748,   748,   748,   748,   748,   748,   748,   749,   750,
     750,   750,   751,   751,   752,   752,   752,   752,   752,   753,
     753,   754,   754,   754,   754,   755,   755,   755,   756,   756,
     757,   758,   758,   759,   760,   760,   761,   761,   761,   761,
     761,   761,   761,   761,   761,   761,   761,   761,   761,   761,
     762,   762,   762,   763,   763,   763,   763,   763,   764,   764,
     764,   765,   765,   766,   766,   767,   767,   767,   767,   768,
     769,   770,   770,   771,   771,   771,   771,   771,   771,   771,
     771,   771,   771,   771,   771,   771,   771,   771,   771,   772,
     772,   773,   773,   774,   775,   775,   776,   777,   777,   778,
     779,   779,   779,   779,   779,   780,   780,   781,   782,   782,
     782,   782,   782,   782,   783,   784,   784,   784,   785,   785,
     786,   786,   786,   786,   786,   787,   787,   788,   788,   788,
     788,   789,   789,   790,   790,   791,   791,   792,   792,   793,
     793,   794,   794,   795,   796,   796,   797,   798,   799,   800,
     800,   801,   802,   803,   804,   805,   805,   805,   805,   806,
     806,   806,   806,   806,   806,   806,   807,   807,   808,   809,
     809,   809,   810,   810,   810,   811,   812,   813,   813,   813,
     814,   814,   814,   815,   815,   815,   816,   817,   817,   818,
     818,   818,   818,   819,   819,   820,   820,   821,   821,   821,
     821,   822,   823,   823,   823,   824,   824,   825,   826,   826,
     827,   828,   828,   829,   830,   830,   831,   831,   831,   831,
     831,   831,   831,   831,   832,   832,   833,   834,   834,   835,
     835,   836,   837,   838,   839,   839,   840,   841,   842,   842,
     842,   842,   842,   843,   843,   843,   844,   844,   845,   845,
     846,   846,   846,   846,   846,   846,   846,   846,   847,   847,
     848,   848,   848,   848,   848,   848,   849,   849,   850,   850,
     851,   852,   852,   853,   853,   854,   854,   854,   854,   854,
     854,   854,   854,   854,   855,   855,   856,   856,   856,   857,
     857,   857,   857,   858,   858,   859,   860,   860,   861,   861,
     862,   862,   862,   862,   863,   863,   864,   864,   864,   865,
     865,   866,   866,   867,   868,   868,   868,   869,   870,   870,
     871,   871,   872,   872,   873,   873,   874,   874,   875,   875,
     876,   876,   877,   877,   878,   878,   879,   879,   880,   880,
     881,   881,   882,   882,   882,   882,   882,   882,   882,   882,
     882,   882,   882,   883,   883,   883,   883,   883,   883,   884,
     884,   884,   884,   885,   885,   885,   885,   886,   886,   887,
     887,   888,   888,   888,   888,   889,   889,   890,   890,   890,
     891,   892,   892,   893,   893,   893,   894,   894,   895,   895,
     896,   897,   897,   897,   897,   897,   897,   898,   898,   898,
     899,   899,   899,   899,   899,   899,   899,   900,   900,   900,
     900,   901,   901,   902,   902,   903,   903,   903,   903,   903,
     903,   903,   903,   903,   903,   903,   904,   904,   905,   905,
     906,   906,   907,   908,   909,   909,   910,   910,   911,   912,
     913,   913,   913,   913,   913,   913,   914,   914,   915,   915,
     916,   916,   916,   916,   917,   918,   918,   918,   919,   919,
     919,   919,   919,   919,   919,   919,   919,   919,   919,   919,
     919,   919,   920,   920,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   922,   922,
     922,   922,   922,   922,   922,   923,   923,   923,   923,   923,
     923,   923,   923,   923,   923,   923,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   924,   925,   925,   926,   926,   926,
     926,   927,   928,   928,   929,   929,   930,   930,   931,   931,
     931,   932,   932,   932,   932,   933,   933,   934,   934,   935,
     936,   936,   936,   937,   938,   938,   939,   939,   940,   940,
     940,   941,   941,   942,   942,   942,   942,   942,   943,   943,
     943,   944,   944,   944,   945,   945,   946,   946,   946,   946,
     946,   946,   946,   946,   946,   947,   947,   948,   948,   949,
     949,   949,   949,   949,   949,   950,   950,   951,   951,   952,
     952,   953,   953,   954,   954,   954,   955,   955,   956,   956,
     957,   957,   957,   957,   957,   957,   957,   957,   958,   958,
     959,   960,   960,   961,   961,   961,   961,   961,   961,   962,
     963,   964,   964,   964,   965,   965,   966,   967,   967,   968,
     969,   969,   970,   970,   971,   971,   972,   972,   972,   972,
     973,   973,   974,   974,   975,   975,   976,   976,   977,   977,
     978,   979,   979,   980,   980,   980,   980,   981,   981,   982,
     982,   983,   983,   984,   985,   986,   987,   988,   989,   990,
     990,   991,   991,   991,   991,   991,   991,   991,   991,   991,
     991,   991,   991,   991,   992,   993,   994,   995,   995,   995,
     996,   996,   996,   997,   997,   997,   998,   998,   998,   998,
     998,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,   999,   999,   999,   999,   999,   999,   999,   999,   999,
     999,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,
    1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,
    1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,  1001,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     0,     5,     1,     0,     2,     0,     2,
       0,     2,     2,     3,     3,     1,     3,     3,     2,     1,
       1,     2,     2,     2,     3,     3,     5,     5,     0,     3,
       5,     5,     4,     3,     5,     3,     5,     5,     6,     1,
       1,     3,     5,     6,     4,     1,     0,     2,     0,     1,
       1,     1,     1,     1,     1,     2,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     5,     2,     2,     2,     2,
       3,     3,     3,     1,     3,     1,     3,     1,     1,     2,
       2,     2,     1,     1,     1,     1,     1,     1,     1,     3,
       6,     1,     1,     1,     1,     1,     0,     1,     1,     2,
       3,     4,     3,     2,     2,     1,     2,     3,     4,     3,
       2,     4,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     4,     4,     4,     4,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     2,
       3,     6,     4,     3,     3,     3,     3,     3,     4,     4,
       3,     3,     3,     3,     3,     3,     4,     4,     3,     2,
       3,     2,     2,     3,     3,     2,     2,     1,     3,     2,
       1,     1,     0,     2,     0,     2,     0,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    10,     6,     1,     1,     1,
       1,     1,     1,     3,     2,     0,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     2,     1,     0,
       2,     0,     3,     0,     1,     0,     1,     3,     2,     1,
       1,     1,     3,     0,     1,     3,     1,    13,    16,    12,
      15,     1,     1,     2,     2,     2,     2,     1,     0,     1,
       0,     3,     0,     1,     3,     1,     3,     1,     1,     1,
       1,     1,     3,     4,     2,     0,     3,     1,     1,     2,
       2,     1,     3,     4,     4,     2,     5,     1,     2,     2,
       2,     3,     3,     3,     0,     1,     1,     1,     1,     1,
       1,     3,     1,     5,     7,     3,     8,     4,     9,    11,
       3,     0,     1,     3,     1,     2,     2,     2,     0,     1,
       3,     3,     6,     4,     0,     1,     1,     2,     2,     0,
       3,     3,     2,     1,     1,     2,     2,     4,     0,     2,
       2,     2,     0,     3,     4,     4,     0,     2,     0,     2,
       3,     4,     6,     3,     4,     0,     3,     3,     0,     4,
       0,     3,     7,     7,     3,     0,     1,     3,     1,     2,
       3,     0,     5,     4,     1,     0,     1,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     1,     3,
       1,     0,     1,     2,     1,     1,     3,     6,    10,     1,
       0,     1,     2,     2,     0,     2,     2,     1,     0,     5,
       7,     1,     0,     6,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     5,     2,     0,     2,     7,
      10,     6,     6,     6,     6,     7,     7,     9,     9,     6,
       6,     8,     8,     8,     8,     6,     6,     7,     8,     6,
       6,     7,     2,     2,     2,     2,     1,     2,     1,     0,
       6,     8,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,     2,
       0,     2,     2,     1,     0,     4,     6,     5,     4,     4,
       8,    11,     3,     2,     1,     3,     1,     5,     8,     1,
       1,     1,     7,     9,     8,    15,    20,     1,     1,     2,
       1,     3,     1,     1,     1,     3,     1,     3,     0,     1,
       0,     1,     1,     4,     0,     1,     3,     0,     1,     1,
       1,     1,     2,     0,     0,     2,     2,     1,     2,     2,
       2,     6,     8,     8,     4,     5,     4,     4,     4,     3,
       7,     8,     6,     6,     6,     6,     4,     5,     3,     1,
       3,     3,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     1,     3,     3,     1,     0,     1,     3,     6,     8,
       8,    13,     1,     3,     5,     6,     4,     7,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     1,     1,     1,     1,     2,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     1,     3,
       1,     2,     2,     3,     5,     2,     2,     0,     6,     7,
       7,     7,     8,     8,     6,     8,     9,     9,     7,    10,
       7,     8,     8,     8,     8,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     3,     1,     1,     8,     9,     9,     9,     9,     2,
       0,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     3,     2,     2,     5,     5,
       5,     1,     3,     1,     2,     3,     0,     1,     3,     2,
       6,     6,     9,     3,     0,     3,     0,     5,     2,     0,
       3,     3,     3,     7,     7,    10,     1,     1,     1,    14,
       1,     0,     1,     0,     1,     0,     2,     0,     1,     3,
       5,     5,     7,     2,     0,     1,     2,     0,     1,     1,
       0,     1,     1,     0,     9,    12,     7,     2,     0,     3,
       2,     1,     3,     3,     2,     1,     3,     3,     3,     2,
       2,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       4,     5,     1,     3,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     2,     2,     1,
       2,     2,     1,     1,     1,     3,     2,     0,     2,     1,
       3,     5,     1,     2,     1,     0,     5,     7,     5,     7,
       5,     7,     3,     5,     5,     5,     1,     3,     2,     1,
       2,     1,     2,    11,    10,    10,     2,     2,     0,     9,
       2,     0,     4,     4,     4,     1,     1,     1,     0,     7,
       6,     6,     6,     6,     6,     7,     9,     9,     6,     6,
       6,     6,     6,     7,     8,     9,     8,     6,     6,     6,
       5,     5,     8,     8,     8,     8,     6,     9,     1,     0,
       2,     0,     7,     6,     6,     6,     6,     6,     7,     9,
       9,     6,     8,     8,     8,     8,     6,     6,     7,     6,
       7,     6,     6,     6,     6,     6,     7,     7,     7,     9,
       9,     6,     6,     6,     8,     8,     8,     6,    13,     1,
       1,     3,     3,     1,     1,     1,     1,     1,     1,     1,
       0,     1,     1,     1,     1,     1,     1,     0,     6,     8,
       3,     2,     0,     2,     2,     2,     2,     3,     3,     2,
       2,     2,     2,     3,     2,     5,     4,     3,     3,     3,
       1,     1,     0,     3,     2,     2,     1,     2,     1,     3,
       2,     1,     0,     8,    10,     3,     4,     4,     0,     2,
       5,     2,     0,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     4,     3,     3,     1,
       0,     5,     6,     4,     2,     0,     4,     3,     5,     6,
       4,     6,     6,     5,     7,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     3,     1,     0,     4,     1,     1,     3,
       1,     4,     3,     6,     4,     2,     4,     3,     5,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     1,     0,     5,     1,     7,     7,     7,
       3,     2,     0,     3,     2,     0,     5,     3,     0,     1,
       1,     1,     1,     3,     8,     3,     0,     2,     3,     2,
       3,     6,     1,     4,     2,     1,     3,     2,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     8,     1,     3,     1,
       1,     3,     5,     2,     1,     3,     7,     1,     0,     3,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     1,     2,     4,     4,     4,     2,     3,     1,     3,
       6,     1,     0,     2,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     4,     4,     2,     0,     2,     3,     2,     0,
       1,     3,     1,     2,     1,     2,     5,     6,     5,     1,
       2,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     2,     2,     2,     1,     1,     0,     4,
       2,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       1,     2,     0,     2,     4,     0,     1,     0,     1,     3,
       3,     2,     3,     5,     6,     2,     3,     3,     4,     0,
       1,     1,     1,     1,     1,     2,     5,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     5,     2,
       2,     2,     1,     3,     3,     2,     1,     0,     3,     0,
       5,     2,     5,     2,     1,     2,     3,     0,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     0,     1,     4,     1,     3,     3,     5,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       2,     2,     3,     3,     2,     3,     5,     4,     6,     3,
       5,     4,     6,     4,     6,     5,     7,     3,     2,     4,
       2,     3,     3,     4,     3,     4,     3,     4,     5,     6,
       6,     7,     6,     7,     6,     7,     3,     4,     4,     6,
       2,     3,     4,     1,     3,     2,     2,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     5,
       6,     6,     7,     3,     4,     1,     1,     2,     4,     1,
       1,     1,     2,     2,     2,     1,     4,     5,     6,     8,
       6,     7,     7,     5,     1,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     1,     1,     1,     1,     1,     6,
       4,     4,     4,     4,     6,     5,     5,     5,     4,     6,
       4,     4,     4,     4,     5,     7,     7,     9,     5,     4,
       6,     5,     7,     7,     7,     2,     3,     3,     3,     4,
       0,     4,     1,     3,     3,     1,     1,     1,     2,     2,
       0,     2,     4,     4,     6,     2,     0,     1,     3,     3,
       2,     2,     0,     6,     1,     0,     3,     0,     2,     2,
       0,     1,     4,     2,     2,     2,     2,     2,     4,     3,
       5,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     1,     4,     1,
       4,     1,     2,     1,     2,     1,     3,     1,     3,     1,
       3,     1,     3,     3,     3,     2,     1,     3,     3,     0,
       1,     1,     1,     1,     1,     1,     1,     1,     4,     3,
       2,     3,     0,     3,     3,     2,     2,     1,     0,     2,
       2,     3,     2,     1,     1,     3,     5,     1,     2,     4,
       2,     0,     1,     0,     1,     2,     2,     2,     3,     5,
       1,     2,     0,     2,     1,     0,     1,     1,     1,     3,
       3,     1,     3,     3,     2,     1,     1,     1,     3,     1,
       2,     1,     3,     1,     1,     1,     1,     1,     1,     1,
       2,     1,     1,     1,     1,     1,     2,     5,     2,     3,
       6,     1,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1332,  1112,   522,  1194,  1193,  1112,   236,     0,     0,  1196,
       0,  1112,   339,   908,     0,     0,     0,     0,   522,  1112,
       0,  1332,     0,     0,     0,     0,  1345,     0,     0,     0,
       0,     0,     0,     0,     0,  1112,     0,     0,  1352,     0,
       0,     0,     0,  1345,     0,  1198,     0,     0,     0,     0,
       2,     4,    61,    62,    24,    23,    29,    28,    86,    87,
      49,    16,    75,    56,   120,   119,   121,    37,    32,    69,
      21,    22,    34,    38,    58,    39,    57,    20,    55,    81,
      59,    84,    44,    10,    11,    45,    73,    12,    46,    74,
      13,    47,    14,    63,    88,    27,    60,    85,    40,    71,
      67,     9,    52,    53,    54,    78,    79,    80,   103,    83,
     115,    36,   112,    93,    94,   109,    95,   110,     7,    96,
      48,    15,   106,   105,   107,    70,    41,    72,   104,   108,
      18,    19,   111,    82,   101,    98,   116,   114,   122,    99,
      64,     5,     6,    89,    43,     8,    26,    25,    42,    35,
     118,    30,  1196,    31,    51,    17,    77,    50,    76,    92,
      91,    33,   102,    90,    65,    97,    68,   100,   117,    66,
     113,  1319,  1306,  1354,  1318,  1331,     0,  1321,  1111,  1110,
    1096,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   521,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1122,     0,
    1850,  1861,  1862,  1863,  1864,  1865,  1866,  1867,  1868,   314,
    1869,  1870,  1871,  1872,  1873,  1874,  1875,  1876,  1877,  1878,
    1879,  2121,  2122,  2123,  2124,  1880,  1881,  1882,  1883,  1884,
    1885,  1886,  2125,  2126,  1887,  1888,  1889,  1890,  1891,  1892,
    2127,  1893,  1894,  1895,  1896,  1897,  1898,  1899,  1900,  1901,
    1902,  1903,  1904,  1905,  1906,  1907,  1908,  1909,  1910,  1911,
    1912,  1913,  1914,  2128,  2129,  1915,  1916,  1917,  1918,  1919,
    1920,  1921,  1922,  1923,  1924,  1925,  1926,  1927,  1928,  1929,
    1930,  1931,  1932,  1933,  1934,  1935,  1936,  1937,  1938,  1939,
    1940,  2130,  1941,  1942,  1943,  2131,  1944,  1945,  2132,  1946,
    1947,  1948,  1949,  1950,  1951,  1952,  2133,  1953,  1954,  1955,
    1956,  1957,  1958,  1959,  1960,  1961,  1962,  1963,  1964,  1965,
    1966,  1967,  1968,  1969,  2134,  1970,  1971,  1972,  1973,  2135,
    2136,  2137,  1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,
    1982,  2138,  1983,  1984,  1985,  1986,  1987,  1988,  1989,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2139,
    2140,  2000,  2001,  2002,  2141,  2003,  2004,  2005,  2142,  2006,
    2143,  2007,  2008,  2009,  2010,  2011,  2012,  2013,  2144,  2145,
    2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2146,  2022,
    2147,  2023,  2026,  2024,  2025,  2027,  2028,  2029,  2030,  2031,
    2032,  2033,  2148,  2034,  2035,  2036,  2037,  2038,  2039,  2040,
    2041,  2042,  2043,  2044,  2045,  2046,  2047,  2048,  2049,  2050,
    2051,  2052,  2053,  2054,  2149,  2055,  2056,  2057,  2058,  2059,
    2060,  2061,  2062,  2063,  2064,  2065,  2066,  2067,  2068,  2150,
    2069,  2070,  2071,  2151,  2072,  2073,  2074,  2075,  2076,  2077,
    2078,  2079,  2080,  2081,  2152,  2082,  2083,  2084,  2085,  2086,
    2087,  2088,  2089,  2153,  2154,  2090,  2155,  2091,  2156,  2092,
    2093,  2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,
    2103,  2104,  2105,  2106,  2107,  2157,  2158,  2108,  2109,  2110,
    2111,  2112,  2113,  2114,  2115,  2116,  2117,  2159,  2160,  2161,
    2162,  2163,  2164,  2165,  2166,  2167,  2118,  2119,  2120,   313,
    1297,  1823,  1851,  1852,  1195,  1176,   522,     0,  1099,   338,
       0,     0,     0,     0,  1205,     0,     0,     0,     0,   699,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     166,     0,     0,   362,   361,     0,     0,     0,   880,   367,
       0,     0,     0,     0,   510,  1259,  2024,  1257,  1298,   237,
     240,   238,   239,  1845,     0,   978,   979,   981,     0,     0,
     991,   730,   731,     0,   729,   733,     0,     0,     0,   726,
       0,     0,     0,     0,     0,   732,   724,     0,   723,     0,
       0,     0,   728,     0,   725,     0,     0,  1100,  1923,  1256,
     368,     0,  1332,     0,  1224,  1196,  1215,  1225,  1220,  1222,
    1221,  1223,  1219,  1844,  1862,   822,   822,   822,   822,   819,
     820,   822,   822,   822,  2039,     0,     0,   801,     0,   803,
    1847,   822,   827,   421,   421,   421,     0,   826,   831,   421,
    1093,  1129,  1828,  1344,     0,   802,  1092,  2090,  1248,     0,
       0,   995,     0,   996,     0,  2057,  1104,   223,  2067,  2153,
    2090,   219,   193,  1866,     0,     0,   826,     0,  1101,  1102,
     790,  1351,  1349,     0,  1885,  1900,  1986,   216,  2052,  2058,
    2067,  2153,  2090,  2117,   175,     0,   230,  2067,  2153,  2090,
     226,  1122,     0,  1322,  1431,  1819,     0,  1095,  1094,  1197,
       0,  1200,     0,  1396,  2036,  1326,  1328,  1202,  1319,     0,
       0,     1,  1332,  1191,  1348,  1348,     0,  1348,     0,  1311,
    1319,  1314,  1318,     0,     0,     0,     0,  1850,  2168,  2169,
    2170,  2171,  2172,  2173,  2174,  2175,  2176,  2177,  2178,  2179,
    2180,  2181,  2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,
       0,     0,  1829,  1851,  1855,     0,   740,     0,   126,  1824,
     869,     0,     0,     0,  1823,     0,     0,     0,     0,     0,
    1846,     0,     0,   452,  1207,  1724,  1889,  1944,  1734,  1732,
    1733,  1726,  1727,  1728,  1729,  1730,  1731,     0,   976,  1725,
       0,   126,     0,     0,     0,     0,     0,     0,     0,     0,
    1989,   126,     0,     0,  1116,     0,     0,     0,  1118,  1121,
    1097,     0,  1179,     0,  1819,     0,     0,   774,   765,     0,
     775,   766,   771,   777,     0,     0,   768,     0,     0,   778,
       0,   767,   769,   780,   770,   776,     0,     0,   772,   773,
       0,     0,  1108,   421,     0,     0,     0,  1203,  1204,     0,
       0,     0,   126,  1166,  1959,   126,     0,     0,   366,   365,
     126,   364,   363,     0,   452,  1889,  1944,     0,   907,   126,
       0,   168,   590,   525,     0,     0,   659,  1989,   126,     0,
       0,     0,     0,   883,     0,     0,   509,   522,  1260,  1258,
       0,   982,   218,   217,   980,  1959,     0,   292,     0,     0,
    1959,  1157,     0,   727,  1959,     0,  1959,   161,  1821,     0,
    1212,  1889,  1944,  1959,     0,     0,  1959,   153,  1959,     0,
    1959,   292,  1959,   526,     0,  1959,     0,  1959,  1989,   155,
       0,  1959,   292,   738,     0,     0,  1253,     0,  1217,  2157,
    1231,  1230,     0,  1226,  1234,  1229,  1332,   822,   821,     0,
     822,     0,   822,     0,   822,     0,   822,     0,     0,     0,
     822,  1848,  1849,   804,     0,   828,     0,     0,   835,   834,
     833,     0,     0,     0,   836,  1435,  1275,     0,  1090,  1107,
       0,     0,     0,   998,   998,   998,  1103,   222,   220,     0,
       0,     0,     0,     0,     0,  1109,     0,     0,     0,     0,
    1832,  1834,  1835,  1735,  1802,     0,  2122,  2123,  2124,  1793,
       0,  2125,  2126,  2127,  1647,  1634,  1643,  1648,  1635,  1637,
    1644,  2128,  2129,  1929,  2130,  2131,  1842,  2132,  2133,  2135,
    2136,  2137,  2138,  1639,  1641,  2139,  2140,     0,  1843,  2142,
    2143,  2011,  2145,  2146,  2148,  2149,  1645,  2151,  2152,  2153,
    2154,  2155,  2156,  1841,     0,  1646,  2158,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,     0,     0,  1816,     0,  1621,
       0,  1467,  1468,  1490,  1491,  1469,  1496,  1497,  1509,  1470,
       0,  1815,  1534,  1620,  1625,     0,  1619,  1615,  1334,  1811,
       0,  1616,  1831,  1833,  1794,   186,   232,     0,   233,  1817,
    2067,   176,   215,   188,   214,   189,   187,     0,  1887,   177,
       0,   184,     0,     0,     0,     0,   229,   227,     0,  1098,
       0,  1433,  1432,     0,     0,  1800,  1820,   747,  1189,  1190,
    1188,     0,  1185,  1187,  1199,  1196,  1807,  1806,  1808,     0,
    1327,     0,     0,     0,  1309,  1308,     3,  1202,  1346,  1347,
       0,     0,     0,     0,     0,     0,     0,     0,  1389,  1362,
    1363,  1365,  1386,  1390,     0,  1315,     0,     0,  1437,     0,
    1397,     0,     0,  1830,     0,     0,     0,     0,   741,     0,
       0,     0,     0,     0,     0,   125,  1155,   225,  1153,     0,
       0,     0,     0,     0,  1160,     0,   159,   160,   537,   522,
       0,     0,     0,     0,     0,   940,     0,     0,     0,     0,
       0,     0,   941,   939,   942,   949,   962,   965,     0,   859,
       0,     0,     0,  1029,     0,     0,  1029,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   242,   245,
     287,   502,     0,     0,   504,     0,     0,  1211,     0,     0,
       0,     0,     0,     0,     0,   130,     0,     0,     0,     0,
     489,   501,     0,     0,     0,     0,     0,   498,     0,   126,
     243,   483,   486,     0,     0,   599,   598,  1029,     0,   241,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   306,   307,     0,     0,     0,
     130,   152,     0,     0,   244,     0,     0,  1117,  1114,  1115,
       0,  1120,   998,     0,     0,     0,  1175,     0,     0,     0,
       0,     0,   779,     0,     0,  1889,  1944,     0,     0,     0,
       0,     0,     0,   341,   320,   321,   126,   319,     0,     0,
     656,     0,  1853,  1478,  1507,  1485,  1507,  1507,  1474,  1474,
    1487,  1475,  1476,  1514,     0,  1507,  1474,  1479,     0,  1477,
    1517,  1517,  1502,     0,  1459,  1460,  1461,  1462,  1488,  1489,
    1463,  1494,  1495,  1464,  1531,  1474,  1854,     0,     0,   666,
       0,  1132,  1165,     0,     0,   531,     0,  1959,     0,   128,
       0,  1208,  1206,   700,     0,   657,     0,   128,     0,   164,
       0,   594,     0,     0,     0,     0,     0,     0,   618,   617,
       0,     0,     0,   658,     0,   128,   485,  1959,     0,   475,
     421,     0,   882,   885,     0,     0,     0,  1301,  1303,  1302,
       0,  1300,     0,   292,   290,   291,   654,   990,     0,     0,
       0,     0,   292,     0,     0,  1214,  1959,     0,  1959,     0,
       0,   292,   292,     0,     0,     0,     0,   595,     0,   737,
     735,   734,   736,     0,     0,     0,     0,     0,  1959,   292,
       0,     0,   722,  1210,     0,  1745,     0,     0,  1332,     0,
     204,   205,   203,  1232,   206,  1233,  1228,  1216,     0,   812,
       0,   816,     0,   807,     0,   813,     0,   808,   805,   806,
       0,   811,     0,     0,   422,   424,     0,     0,  1912,     0,
    1949,  1978,  1979,  2058,  2063,     0,  2085,     0,   837,   864,
     832,     0,     0,  1285,  1091,  1751,     0,  1332,     0,   997,
     994,   993,   992,   221,   194,     0,     0,     0,   866,  2057,
    1106,   789,   522,     0,  1617,     0,  1623,  1624,  1506,  1493,
    1792,     0,     0,  1501,  1500,     0,     0,     0,     0,  1483,
    1482,  1481,  1622,  1759,     0,  1480,     0,     0,     0,     0,
    1507,  1507,  1505,  1554,     0,  1484,     0,     0,  1772,     0,
    1778,     0,     0,     0,  1513,     0,  1511,     0,     0,  1590,
       0,     0,     0,     0,     0,     0,     0,     0,  1538,  1539,
    1621,  1745,     0,  1838,     0,     0,  1499,     0,  1531,  1814,
    1735,     0,     0,     0,     0,  1805,     0,  1743,     0,     0,
    1568,  1741,     0,  1570,     0,     0,     0,  1734,  1732,  1733,
    1726,  1727,  1728,  1729,  1730,  1731,  1739,  1551,     0,     0,
    1550,     0,     0,  1399,     0,  1836,  1795,   234,   235,   231,
       0,     0,   191,   190,     0,   208,   212,   213,   183,   211,
       0,   207,  1687,  1686,   192,   182,   180,   178,   195,   197,
     198,   181,   179,   228,     0,     0,  1856,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
    2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,  2231,  2232,
    2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  2242,
    2243,  2244,  2245,  2246,  2247,  2248,  2249,  2250,  2251,  2252,
    2253,  2254,  2255,  2256,  2257,  2258,  2259,  2260,  2261,  2262,
    2263,  2264,  2265,  1797,  1796,  1826,  1857,  1858,  1859,  1860,
    1801,     0,     0,   292,  1183,     0,  1180,  1810,     0,  1329,
       0,     0,  1192,  1325,  1324,  1355,  1356,   900,  1323,  1380,
    1381,  1376,     0,  1395,  1395,  1372,  1366,  1371,  1369,     0,
    1373,  1534,  1388,  1313,  1360,  1361,  1364,  1312,     0,  1391,
    1389,  1365,  1272,     0,     0,  1438,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   742,     0,     0,     0,     0,
       0,     0,  2085,   224,  1151,     0,     0,     0,     0,   868,
     867,     0,     0,   887,     0,     0,     0,  1163,   412,     0,
     289,     0,     0,     0,     0,     0,     0,   535,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   569,  1029,     0,   607,     0,   947,
       0,     0,     0,     0,   948,   945,   946,  2058,   964,   963,
     961,   922,   924,   923,     0,   926,   910,     0,   911,     0,
       0,   921,   929,   927,     0,     0,     0,  1937,   247,   259,
       0,  1028,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   279,     0,   282,   281,     0,     0,     0,     0,
     286,     0,     0,     0,   285,     0,     0,   503,     0,   450,
     449,   451,     0,     0,     0,     0,     0,     0,   977,     0,
       0,   147,   150,     0,     0,   488,   500,     0,   492,   493,
     490,   494,   495,     0,     0,     0,     0,     0,     0,   487,
       0,   592,   591,   597,     0,     0,     0,     0,     0,  1021,
    1020,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   609,   610,     0,   611,     0,
     151,     0,     0,     0,     0,     0,     0,   202,  1113,  1119,
    1242,  1242,  1242,  1178,  1827,  1177,     0,     0,     0,   781,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   325,  1853,     0,   681,
     655,     0,  1459,     0,  1455,  1451,  1520,  1521,  1522,  1519,
    1532,  1518,     0,  1465,  1523,  1474,  1471,   667,     0,   669,
     672,     0,  1130,   385,     0,   528,   569,     0,     0,     0,
     157,     0,     0,     0,     0,   124,   168,   368,     0,   167,
     169,   171,   172,   173,   170,   174,   589,   593,     0,   524,
       0,     0,     0,     0,     0,   619,   623,   622,   626,   624,
       0,   620,     0,  1447,     0,   146,   482,   484,     0,     0,
       0,   370,   452,     0,     0,     0,   884,     0,     0,     0,
       0,     0,     0,     0,  1299,     0,   968,     0,  1158,  1959,
     292,     0,   966,   162,  1822,     0,     0,     0,     0,     0,
     970,   719,   154,     0,   292,   292,   527,     0,   292,   156,
       0,     0,     0,   519,   292,   739,     0,  1235,  1236,  1255,
       0,   475,  1218,  1227,   809,   818,   817,   815,   814,   810,
       0,   829,     0,   420,     0,     0,     0,   843,     0,     0,
     842,   857,   844,     0,   846,   839,   838,   847,     0,     0,
     866,     0,  1282,     0,  1280,     0,  1436,  1284,  1273,  1247,
       0,  1246,  1250,  1252,  1251,  1249,     0,     0,     0,   826,
       0,     0,   292,  1105,     0,   791,   796,     0,     0,     0,
     793,   794,   795,   797,   798,     0,     0,     0,  1803,  1755,
       0,  1756,     0,     0,     0,  1791,  1787,     0,     0,     0,
       0,     0,  1760,  1763,  1764,  1765,  1762,  1766,  1761,     0,
       0,  1767,     0,     0,     0,     0,     0,  1504,  1503,     0,
       0,     0,     0,     0,     0,     0,  1593,  1625,     0,     0,
    1719,     0,  1745,  1777,     0,     0,  1515,     0,     0,     0,
       0,     0,     0,     0,  1745,  1783,     0,     0,     0,     0,
    1685,     0,  1682,     0,     0,     0,     0,  1802,     0,     0,
       0,     0,  1839,  1535,  1552,  1813,     0,  1804,     0,     0,
    1536,  1559,     0,  1784,  1586,     0,  1591,  1574,     0,  1567,
       0,  1572,  1576,  1555,  1805,  1744,     0,  1742,     0,     0,
    1553,     0,  1548,  1546,  1547,  1540,  1541,  1542,  1543,  1544,
    1545,  1549,  1723,  1721,  1722,     0,     0,     0,  1571,  1951,
    1986,     0,  1345,  1345,  1345,  1333,  1343,  1812,     0,  1442,
       0,     0,     0,     0,  1702,     0,  1749,     0,  1747,  1829,
    1818,     0,     0,  1531,     0,  1434,  1798,     0,   745,   746,
     744,  1202,  1186,  1182,  1181,  1809,  1201,  1332,     0,   898,
     899,     0,   903,     0,     0,  1374,  1387,     0,  1285,  1285,
       0,  1378,  1379,  1370,  1317,  1316,     0,  1445,     0,     0,
    1269,  1262,  1439,     0,  1399,  1287,  1289,  1290,     0,  1802,
     679,   678,     0,     0,     0,  1051,  1000,  1033,   743,  1052,
    1001,  1034,  1053,  1002,  1152,     0,  1154,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   644,   292,  1161,  1054,   288,  1162,  1035,  1036,     0,
     536,     0,     0,   541,   542,   543,     0,     0,   544,  1889,
    1944,     0,   549,   555,   559,   550,     0,   560,   556,     0,
       0,     0,     0,     0,   566,   573,     0,     0,     0,     0,
       0,   943,   944,  1055,  1003,     0,  1037,   925,  1474,   909,
       0,     0,   920,     0,   919,  1474,  1474,  1004,   158,   248,
     385,  1031,   265,   278,   273,   274,   272,  1959,   292,  1959,
     292,     0,     0,     0,     0,   275,   270,   271,   267,   280,
    1865,  1930,  2068,     0,   579,   581,     0,   586,   283,  1012,
       0,   300,   303,   284,   263,   266,   264,   260,   246,     0,
       0,  1825,     0,     0,   972,     0,     0,     0,   149,  1017,
     139,     0,     0,   135,     0,     0,     0,     0,   129,  1061,
    1008,   491,   496,  1010,   499,  1046,   497,  1067,  1009,     0,
    1041,  1063,  1019,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1167,     0,     0,     0,     0,     0,   292,     0,
     688,  1031,  1959,   292,  1062,     0,  1026,  1049,     0,   308,
       0,  1018,  1011,  1047,     0,     0,   200,   199,   201,     0,
    1245,  1245,  1245,     0,     0,     0,     0,     0,     0,     0,
       0,   783,   754,   782,     0,     0,     0,     0,     0,     0,
       0,   748,   340,   317,   318,     0,     0,   316,   322,     0,
     680,     0,     0,  1456,  1452,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1472,   668,     0,     0,     0,     0,
    1150,  1150,  1150,  1150,  1150,  1150,  1150,  1131,  1159,   126,
       0,     0,     0,   530,   568,   575,     0,   603,   606,     0,
     604,     0,     0,     0,     0,     0,   140,   127,  1213,     0,
     708,   421,   163,     0,     0,     0,   523,   665,   663,   662,
     664,     0,     0,     0,   685,     0,  1446,  1448,     0,     0,
       0,   481,   372,     0,     0,   369,   373,   377,   378,   379,
       0,   476,   478,   456,     0,     0,     0,   914,     0,   932,
     915,     0,     0,     0,   952,   957,   953,   935,     0,   507,
    1304,  1305,     0,   292,     0,     0,   570,   292,     0,   292,
       0,   292,   292,     0,  1088,   596,     0,   651,     0,     0,
     292,   721,  1209,  1746,     0,   830,   423,     0,     0,     0,
       0,   841,     0,   505,   845,     0,   856,   851,   853,     0,
     860,  1283,  1276,  1278,  1277,     0,     0,  1274,  1752,   720,
       0,     0,   292,     0,   861,     0,   792,     0,     0,     0,
       0,  1350,  1753,  1754,     0,     0,     0,     0,  1788,     0,
       0,  1660,  1636,  1638,  1473,  1650,     0,  1486,  1661,  1662,
    1640,  1642,     0,  1736,     0,     0,  1651,  1595,  1596,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1608,  1607,  1652,  1718,     0,     0,  1775,  1776,
    1653,  1516,  1517,  1517,     0,     0,  1782,     0,     0,     0,
    1658,  1663,     0,     0,     0,     0,  1669,     0,  1690,     0,
       0,     0,  1618,  1746,  1508,  1509,     0,     0,     0,     0,
       0,     0,     0,     0,  1592,  1575,  1569,     0,  1573,  1577,
       0,     0,     0,     0,  1561,  1587,  1557,     0,     0,  1563,
       0,  1588,  1345,  1345,  1345,  1345,  1342,     0,     0,     0,
       0,  1409,  1398,  1400,  1411,  1402,  1404,  1440,     0,  1819,
       0,  1383,  1354,  1354,     0,  1702,     0,  1626,     0,  1702,
       0,     0,   185,     0,   209,   196,     0,  1184,     0,  1357,
       0,  1737,   903,   901,   902,  1359,     0,     0,  1394,  1393,
    1392,  1367,  1271,     0,  1269,  1264,     0,  1265,  1802,     0,
    1261,  1294,     0,     0,  1445,     0,  1293,  1050,   999,  1032,
    1150,   871,   872,     0,   870,     0,     0,     0,   411,   886,
       0,     0,     0,   644,     0,     0,   415,  1164,   538,   539,
       0,     0,   557,     0,     0,   546,     0,     0,     0,     0,
     545,   562,   511,   563,   565,     0,   564,   567,   572,  1013,
       0,  1048,   937,     0,  1474,   912,   917,   918,     0,   382,
       0,     0,     0,   249,     0,     0,   262,     0,   257,   276,
     268,   277,   269,   583,   584,   582,   578,     0,   585,   587,
     297,     0,     0,     0,  1057,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1058,  1038,     0,     0,
     132,   131,     0,   138,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     309,   294,     0,     0,     0,     0,     0,   311,     0,     0,
    1056,  1005,  1912,  1241,     0,  1239,  1237,  1238,   749,     0,
       0,   750,   758,     0,     0,   751,     0,     0,     0,     0,
       0,     0,   760,   343,     0,   346,   353,   326,   330,  1166,
       0,  1166,     0,   331,  1166,   327,  1166,   324,  2011,  1726,
    1727,   676,   683,   673,   675,   677,   674,     0,   682,   644,
       0,     0,     0,  1457,     0,  1525,  1526,  1527,  1528,  1529,
    1530,     0,  1524,  1531,   670,   671,     0,  1150,  1149,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     397,     0,     0,   391,     0,     0,   957,   384,   387,   388,
     531,   534,   532,   533,     0,   561,     0,   602,     0,   575,
     142,     0,     0,   143,   141,     0,     0,   368,     0,     0,
     625,   628,   621,     0,   684,   686,   660,     0,   575,     0,
    1256,     0,   472,     0,   452,   404,   448,     0,   474,     0,
       0,   458,  1128,     0,   887,   913,     0,     0,     0,   950,
     954,   951,     0,     0,   928,     0,   936,   906,  1083,  1084,
    1081,  1082,     0,     0,  1296,   969,     0,   292,   967,     0,
     715,     0,   717,   971,   292,   292,   612,     0,   520,   478,
       0,     0,     0,   840,   858,     0,   854,     0,     0,   823,
     863,  1281,  1279,   866,     0,   824,   865,     0,     0,     0,
       0,     0,  1757,  1492,     0,  1790,  1786,     0,  1758,     0,
    1770,  1769,  1594,  1771,     0,  1613,     0,     0,  1605,  1603,
    1604,  1597,  1598,  1599,  1600,  1601,  1602,  1606,  1780,  1779,
    1773,  1774,  1512,  1510,     0,  1655,  1656,  1657,  1781,  1664,
       0,  1880,  1691,  1668,  1684,  1683,     0,     0,     0,  1671,
       0,     0,  1680,     0,  1720,  1498,  1531,  1537,     0,     0,
    1560,  1785,  1578,     0,     0,     0,  1556,     0,     0,     0,
       0,  1565,  1736,     0,     0,     0,     0,     0,     0,  1336,
    1335,  1341,  1319,     0,  1411,     0,  1410,  1422,     0,     0,
    1428,  1426,     0,  1428,     0,  1428,     0,  1403,     0,  1405,
    1422,     0,  1820,  1441,     0,  1385,     0,     0,  1353,     0,
    1702,  1633,  1705,  1700,  1701,  1750,  1627,  1837,     0,  1748,
    1702,     0,  1799,  1330,     0,  1358,  1375,  1368,  1908,  1443,
    1270,     0,     0,  1267,  1268,     0,     0,  1288,  1269,  1291,
       0,   877,   878,   876,     0,     0,     0,   644,     0,     0,
     429,     0,   894,   894,     0,     0,   417,   471,   957,   647,
       0,     0,   645,     0,   558,     0,     0,   554,   552,   551,
     553,   512,  1066,     0,   938,     0,   930,     0,   254,  1030,
       0,     0,     0,   253,     0,   292,   292,   580,   301,   302,
     305,     0,     0,     0,     0,     0,     0,   709,   692,     0,
       0,   710,   711,     0,     0,     0,   974,   975,   973,   136,
     133,   134,   137,  1014,     0,     0,     0,     0,     0,  1065,
    1025,  1045,  1064,  1023,  1043,  1022,  1042,  1024,  1044,  1016,
       0,  1450,   690,   689,     0,   292,   292,   614,  1240,     0,
    1244,     0,   752,     0,     0,   753,   764,   762,   761,   763,
     755,   344,   126,     0,   323,     0,   351,     0,   349,   348,
     350,     0,   337,     0,     0,     0,     0,     0,   653,     0,
       0,     0,  1453,  1458,  1533,  1466,   643,     0,  1141,  1140,
    1139,  1143,  1142,  1145,  1144,  1136,  1135,  1148,  1147,  1134,
    1133,  1138,  1137,     0,   389,     0,   395,   399,   400,   398,
     390,   957,   421,   470,   529,     0,     0,   605,   600,   145,
     144,     0,     0,     0,     0,   630,   634,   661,     0,  1449,
     608,     0,   370,  1254,   479,     0,     0,   375,   380,   381,
       0,   456,   401,     0,   452,   374,   477,     0,     0,   465,
       0,  1123,     0,     0,   916,   933,   934,     0,     0,   957,
     956,     0,   514,   292,   571,   292,   292,  1089,   652,     0,
     850,   849,   848,   506,     0,   852,   292,     0,     0,     0,
       0,     0,   800,   784,   799,  1789,  1649,  1659,  1768,     0,
       0,  1614,     0,     0,  1654,  2159,     0,     0,     0,     0,
    1688,  1689,  1670,     0,  2001,  1675,     0,     0,     0,  1840,
    1584,  1582,  1579,     0,  1580,     0,     0,  1562,  1558,     0,
    1564,  1589,  1340,  1339,  1338,  1337,  1413,  1420,     0,  1401,
       0,  1427,  1423,     0,  1424,     0,     0,  1425,     0,     0,
    1420,     0,     0,     0,     0,  1696,  1702,  1702,  1628,  1707,
    1704,     0,  1630,  1531,     0,     0,  1263,  1266,     0,  1295,
    1286,  1156,     0,     0,     0,   413,     0,   957,     0,     0,
       0,   897,   897,     0,   957,   470,   649,   648,   646,   650,
       0,   547,   548,  1015,   931,   250,   251,   252,   255,   294,
     261,   256,     0,  1059,  1006,  1039,     0,     0,   698,     0,
       0,     0,     0,  1060,  1007,  1040,     0,     0,     0,  1172,
       0,   293,   294,   310,  1027,  1243,     0,   756,   757,   325,
       0,   347,   356,     0,   354,   328,   333,     0,   335,   334,
     329,   332,  1454,     0,   988,   988,     0,   644,  1146,     0,
       0,   386,   470,   428,     0,   392,     0,   576,     0,     0,
    1128,   370,   575,   629,     0,     0,     0,   687,   372,     0,
     480,   371,     0,     0,   458,     0,     0,     0,   456,     0,
     453,     0,   457,     0,     0,   468,     0,     0,     0,     0,
       0,   955,     0,   959,     0,   927,   904,  1442,     0,   518,
     989,   716,   718,   613,   855,   862,   292,   785,   786,   787,
     788,  1609,     0,     0,     0,     0,  1665,     0,  1666,  1693,
    1692,  1672,  1676,     0,  1673,  1674,  1581,  1585,  1583,  1566,
    1412,     0,     0,  1414,     0,     0,  1416,  1418,     0,     0,
       0,     0,     0,  1823,  1702,  1382,  1384,     0,  1320,  1631,
    1632,     0,  1354,  1702,   210,  1738,  1444,  1292,   856,     0,
     292,   894,   470,   430,  2011,   431,   893,     0,   895,   900,
     900,     0,   470,   644,   540,   296,   304,     0,     0,   705,
     693,     0,     0,   712,     0,     0,     0,     0,     0,   292,
     759,   315,   342,   352,     0,   336,   988,     0,   985,   984,
     642,     0,   394,   393,     0,   439,     0,   574,     0,   575,
     702,  1124,   588,   631,   632,   627,     0,     0,   452,   448,
     376,   385,   465,   410,   409,   406,   405,   407,   408,   403,
     402,     0,   458,   454,   455,   459,     0,     0,   473,     0,
    1125,     0,  1174,     0,   888,   958,     0,     0,     0,   513,
       0,     0,   517,   508,   825,  1610,     0,  1611,     0,     0,
       0,  1678,  1677,     0,  1421,  1430,     0,  1417,  1415,  1406,
       0,  1408,  1695,  1697,     0,     0,  1710,  1629,   873,     0,
     874,   897,   434,     0,   896,   903,   903,   421,   644,   414,
       0,   258,     0,   696,     0,   707,   705,     0,     0,  1168,
       0,  1169,  1170,  1173,   312,   355,   983,   987,   986,     0,
     425,   426,   427,     0,   396,   435,   436,     0,   577,   601,
       0,     0,     0,     0,   456,   452,   383,   468,   447,   465,
     460,     0,   463,     0,     0,     0,     0,  1126,  1127,   299,
       0,   957,   960,  1087,   516,   515,  1612,  1681,  1667,  1694,
    1679,  1419,     0,  1407,     0,     0,  1706,     0,     0,     0,
       0,   900,     0,   644,     0,   891,   890,   428,   416,   295,
       0,     0,   703,   706,   694,   707,   714,   713,     0,     0,
       0,     0,     0,   437,     0,   438,   469,   701,     0,   633,
       0,   458,   456,   359,   468,     0,   464,   461,   467,   466,
       0,   458,   889,   905,  1086,  1085,  1332,  1429,  1698,  1699,
    2121,  1908,  2095,     0,  1708,  1711,  1709,  1703,   292,   903,
       0,   418,   432,   439,     0,     0,   695,  1171,   634,   444,
       0,   443,     0,   441,   440,   691,   637,   465,   458,   357,
       0,   298,  1442,  1069,  1332,  1068,  1070,  1078,  1075,  1077,
    1076,  1074,     0,  1715,  1714,  1713,  1717,  1716,   875,   892,
       0,   644,   697,   704,     0,   442,   446,   445,   639,     0,
     635,   638,   640,   641,   468,   465,   462,   879,     0,  1079,
    1073,  1319,  1306,     0,   433,   419,     0,   615,     0,   360,
     468,  1071,  1332,  1712,     0,   636,   358,  1072,     0,   637,
       0,   616
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1196,  2070,  1951,  2696,  2697,
      53,    54,  1266,    55,    56,    57,    58,    59,    60,    61,
    1209,    62,    63,   880,  1409,  2079,    64,  1833,   695,  1677,
    1678,  2008,  1679,  1668,  1113,  1494,  1197,  1225,    66,    67,
    1107,  1659,    68,    69,    70,  1248,  1249,  1204,  1446,  3521,
    4061,  1934,  4171,  2540,  2541,    71,  1305,  1306,    72,    73,
    2645,  1346,  2647,  2648,  3137,   530,  2035,  3542,  3543,  3124,
    3125,  3549,  3803,  3804,    74,  1406,  2724,  3224,  2725,  3616,
    2726,  3617,  2727,  3618,  2678,  3187,  3188,  3189,  2728,  3622,
    3999,  2729,  1848,   978,  1513,  1514,  3975,  3439,  3440,  4133,
    4084,  4085,  4086,  4203,  3624,  1257,  3231,  3629,  3854,  3855,
    4008,  3825,  2451,   614,  1428,  2112,  2730,  2731,  3222,    76,
      77,  2106,  1281,  1282,  1957,  3141,  2784,    78,   897,  3011,
    3869,  4022,  4023,    79,   207,    80,  1413,    81,    82,  2065,
    2683,    83,  1857,  2460,    84,    85,  2484,  2485,  2486,    86,
      87,  3195,  3826,  1250,  2533,  2534,  2535,  2536,  3048,    88,
    1411,  1286,  2088,    89,    90,    91,  2069,  2689,  2690,    92,
      93,  1997,    94,    95,    96,  1421,  2100,  2101,  3606,  3834,
    3985,  3836,  4239,  4240,  3817,  2996,  3452,    97,    98,    99,
     100,  1389,  2058,  2059,  3142,  1182,  1350,  2038,  2039,  3213,
    3214,   101,   102,  3487,  3488,   562,  4091,  4065,  4144,   103,
     104,  3491,  3492,   105,   106,   107,   108,   109,   606,   942,
     943,  1188,   110,  1773,   111,   851,  2632,   112,  1008,  2226,
    3663,   113,   637,   958,   959,   114,   115,   646,  2209,   648,
    1527,  2786,  2787,  3279,  2180,   777,   116,   117,  2190,  2212,
     118,  1199,  1839,  1840,  3434,   119,   563,  1433,  2115,  2446,
    4013,  3441,  3751,  3939,  2392,  2955,   120,   564,  1229,  1897,
    2118,  2738,  2739,  1899,  2365,  3243,  1901,  2740,  2745,  2746,
    2747,  3239,  3247,  3863,  3864,   121,  1227,  1890,   122,   123,
     124,  1261,   797,   125,   575,   576,   126,  3968,   127,   909,
     128,   664,  1540,   129,  1912,  3034,   130,   131,   132,  4215,
    4248,  4249,  4250,  3252,  4176,   133,  4217,   988,   135,   136,
     137,   180,   818,   819,   820,   138,  3631,   139,   140,  2062,
    2677,  3169,   141,   142,  1834,  2436,   143,   144,   145,  1393,
     146,   147,   148,   149,  1326,   150,  1141,  1142,   151,   152,
     525,   711,  1145,  1153,   153,   857,   154,  1483,  1400,  1484,
     155,   156,   157,   158,   159,   616,   952,   953,   954,  1496,
     160,  2157,   161,  2620,  3105,   162,   991,  2201,   617,   946,
     164,   618,  2410,  2966,  2967,  2970,   619,  2407,   167,  1533,
    2195,  2198,   620,  2414,  2415,  2416,  2417,  2418,  2972,   621,
     639,   900,  2123,   622,  1079,   172,   173,   174,   720,   715,
     716,   176,  1653,  2355,   654,  1160,   683,   728,  3398,  1785,
    1786,  1806,  1807,  1169,  1170,  1796,  1798,  2394,  1799,  2403,
    1791,  3395,  3725,  1802,  1803,  1172,  1173,  2398,   177,  2359,
    2922,  2923,  2924,  3376,  3386,  3712,  3906,  2925,   986,  1179,
    2926,  2931,  2964,  2715,  2716,  2717,  1902,  2045,  1374,  1080,
    1375,  2056,  1081,  1575,  1377,  1082,  1083,  1084,  1380,  1085,
    1086,  1087,  1088,  1559,  1616,  1089,  1090,  1594,  2053,  2054,
    1485,  2265,  1092,  1093,  3342,  3687,  3676,  2291,  2292,  1674,
    3338,  2874,  3918,  4042,  4043,  3406,  3403,  3729,  3922,  4129,
    4184,  4185,  1094,  2345,  1646,   799,  1095,  3144,  1648,  2285,
    2367,  2368,  1818,  1557,  2232,  2249,  2250,  2262,  2835,  2269,
    2274,  2858,  2859,  2286,  2314,  1096,  2235,  2236,  2819,  1561,
    1097,  1135,  1136,  1554,  2309,  1148,  1149,   713,  1098,  1099,
    1528,   704,  3902,   918,   768,  2550,  1764,   823,   651,  1100,
    1101,  1102,  1103,  2788,  1254,   521,   762,  2537,   522,   523,
     764,  1769
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -3738
static const int yypact[] =
{
    7782,  1022,  8591, -3738, -3738,  1022, -3738,   316, 46358,   497,
     813,   981,   147, 11060, 46774, 55094,   493,   763, 11220,  1022,
   55510,  2176, 37206, 42198, 55094,  1214,   955, 37206, 55094, 55926,
    1112,   795, 56342, 47190, 40950,  1067, 55094,  1191,   857, 56758,
   47606,  1017, 48022,   955, 34314,   173,   989, 57174,  1419,  1447,
    1026, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,   497, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,   186, -3738,   126,   226,  1395,   225,  1064, -3738, -3738,
   -3738, 38870, 55094, 55094, 55094,  1296, 55094, 55094,   318, 38870,
   55094, 55094,  1393, 55094, 30906, -3738, 55094, 55094, 55094, 55094,
   48022, 55094,  1295, 55094, 55094, 57590, 55094,  1449,  1158,  1236,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, 55094,  6770,  1214, -3738, -3738,
   55094,  1308, 38870, 55094,  1214,  1243, 55094,  1348, 55094, -3738,
   55094, 58006,   389,  1411, 55094,  1493, 48438, 31335,  1423, 55094,
   55094, 55094, 55094, -3738, -3738,  1413, 55094, 55094, -3738, -3738,
   58422,  1250,  1659,  1625,   114, -3738, 48854, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, 49270,   763, -3738, -3738, 39286, 55094,
    1611, -3738, -3738, 58838, -3738, -3738,   427, 39702, 59254, -3738,
   49686, 31764,  1766, 59670, 60086, -3738, -3738, 60502, -3738, 60918,
    1501, 61334, -3738, 61750, -3738,  1631, 62166, -3738,  1575,  1414,
    1114, 55094,   650, 27945, -3738,   497, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738,   290,   227,   169,   183,   212, -3738,
   -3738,   188,   193,   198,   290,  1847,  1847, -3738, 55094, -3738,
   -3738,   227,    51,  1425,  1425,  1425,  1628,    -5, -3738,  1425,
   -3738, -3738, -3738, -3738, 48022, -3738,  1454,  1214,  1450,  1876,
   55094, -3738, 55094, -3738, 55094, 55094, -3738, -3738,  1908,  1537,
    1771,  1558, -3738,  1752,  1759,  1784,   255,  1214,  1684, -3738,
    1902, -3738,  1804, 18513,  1214, 50102, 62582,   235, 49270,  1214,
   50518,  1646,  1158,  1840, -3738,   436, -3738,  2042,  1709,  1943,
    1558,  1158, 28789, -3738,  1674,   420, 48022, -3738, -3738, -3738,
     176,  1992, 18946, -3738, 55094,  1711, -3738,  1717,  1724,  1729,
    1395, -3738,  7782, 55094,   904,   904,  2124,   904,  1434,  1437,
   -3738,  1683, -3738,  2024,  1988, 48022,   989,   174, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    1750,   420, -3738,   239, -3738,  1385,  1764,  1391,  1155, -3738,
   -3738,   264,  1929,   181,     9,  1803, 48022,  2957,  1816,   684,
   -3738,  4290,   324,  1630, -3738, -3738, 55094, 55094, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738,  1829, -3738, -3738,
    1846,    78,   129,  4623,    95,  4396,  1328,   696,  1970,   740,
    2122,  1035,  5131, 55094, -3738,  2074,  2188,   825, -3738,   110,
   -3738,   280,  1928,  2051,   699, 38870,  1887, -3738, -3738, 55094,
   -3738, -3738, -3738, -3738,   638, 38870, -3738,  2085, 32193, -3738,
   55094, -3738, -3738, -3738, -3738, -3738,  2017, 55094, -3738, -3738,
    2151, 55094, -3738,  1425,   196,  1931,  2313, -3738, -3738, 70442,
      56, 55094,  1977,  2351,  2144,  1977,  1980, 62998, -3738, -3738,
    1977, -3738, -3738, 55094,  1630, 55094, 55094,  1958,  1267,  1977,
    2358,  2360,  2029,  2135,   732,   284,   164,  2252,  1977, 55094,
   63414, 55094, 55094,  2328, 38870, 55094, -3738,  2120, -3738, -3738,
    1179, -3738, -3738, -3738, -3738,  2266,  1750,   730,  2268,  1973,
    2271, -3738,  2008, -3738,  2275,  1816,  2279,  1981, -3738, 55094,
   -3738, 63830, 64246,  2282,  1829, 55094,  2283,  1981,  2288,  2181,
    2296,   730,  2299, -3738,   783,  2300,  2189,  2302,  1557,  1981,
   50934,  2304,   142, -3738, 55094, 20678, -3738,  2092, -3738,   989,
   -3738, -3738,  1068, -3738, 36790, -3738,   650,   227, -3738, 55094,
     227, 55094,   227, 55094,   227, 55094,   227, 55094, 55094, 55094,
     227, -3738, -3738, -3738, 55094,  2010, 55094, 55094, -3738, -3738,
   -3738, 43030, 55094, 43446, -3738, -3738,    73,  1214, -3738, -3738,
   70442,  2415, 55094,  2305,  2305,  2305, -3738, -3738, -3738,  2244,
   55094,  2308,  2309, 43030, 55094, -3738, 64662, 49270,  2207,  2026,
   -3738, -3738, -3738, -3738, -3738,  1527,  2458,   254,  2459, 20678,
    2031,   252,   252,  2034, -3738, -3738, -3738,   257,  2035,  2036,
   -3738,   251,   251,  2196,  2038,  2040, -3738,   258,  2044,  2478,
    2479,   271,  2050,  2052,  2053,  2064,   252, 20678, -3738,  2054,
     251,  2056,  2057,  2058,  2491,  2065, -3738,  2497,  2068,   202,
     263,  2069,  2071, -3738,  2038, -3738,   232,  2076,  2081,  2082,
    2083,  2084,  2087,  2088,  2089, 20678, 20678, -3738, 17647, -3738,
    1214, -3738, -3738, -3738, -3738, -3738, -3738, -3738,   122, -3738,
     272,  3911, -3738, -3738,  2246, 20678, -3738, -3738,    58, -3738,
     273, -3738, -3738, -3738,   420, -3738, -3738,  1087,  2086, -3738,
    1665, -3738, -3738, -3738, -3738, -3738, -3738, 44278,  2489, -3738,
     317,   110,   285,  2442, 35958, 36374, -3738, -3738,  2335, -3738,
   55094, -3738, -3738, 20678, 33898, -3738,   420,   401, -3738, -3738,
   -3738,  1388, -3738, -3738, -3738,   497, -3738, 10628, -3738,  1427,
    1711, 55094, 55094,  2522, -3738, -3738, -3738,  1717, -3738, -3738,
    1395,  1395, 20678,  1395,   209,   651, 19379, 20678,  2404,  2306,
     988,  1121,  2406, -3738,  1434,  1437, 48022, 55094, 65078,  2228,
   -3738, 35146,  1406,   420,  2197,  2198,  2243, 38038,  2127,  2205,
    2206,  2254,  2208,  2212, 65494, -3738, -3738, -3738, -3738,  1124,
     778,   238,  2213,   671, -3738,  2258, -3738, -3738, -3738,  3437,
   55094,  5292,  2325,   324,  2269, -3738,  2232,  2233,  2352,   324,
    1008, 65910, -3738, -3738, -3738, -3738, -3738,  2334, 16404, -3738,
    2237,  2219, 40118,  2532,  2350,   946,  1484,   189, 55094,  2423,
    2356, 55094,  2171,  2245,  2247,  2177,  1550,  2535,  2184, -3738,
   -3738, -3738,   388,  2349, -3738,    65,  2364, -3738,  2241,  2242,
   69632,  1043, 32622,  2526,  2260, -3738,    74,  2265,  2267,   324,
   -3738,  2579,   324,   324,  1446,  2583,  2272,   333,  1278,  1977,
    2184,  1231, -3738,  2273,   292, -3738,  2376,   222,  1435,  2184,
    2276,  2280,  2177,  2177, 55094, 55094, 55094, 55094, 55094,   179,
    2606,  2607,  2284,   190,  2327,  2211, -3738, 44694,  2289, 62582,
   -3738, -3738,  2290,  1489,  2184,   603,  1365, -3738, -3738, -3738,
    1158, -3738,  2305, 55094, 55094, 55094, -3738, 55094,  1750, 70442,
    2400,  2251, -3738,  1816,   324, 55094, 55094,  1829,   889,   820,
    2407, 55094,  2460,  2274, -3738, -3738,  1977, -3738, 35552,  1958,
   -3738,  2248, -3738, -3738,  2285, -3738,  2285,  2285,  2249,  2249,
    2250, -3738, -3738, -3738,  2064,  2285,  2249, -3738, 71252, -3738,
    1317,  1330, -3738,  2645,  2649, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738,   793,  1556, -3738, 55094, 38038, -3738,
    2668, -3738, -3738, 70442,  2550, -3738, 55094,  2451,  2256, -3738,
    2293, -3738, -3738,  2589,  2314, -3738,  2301, -3738, 55094,  1086,
    1214,  2307, 55094,  2480, 55094, 55094, 55094, 55094, -3738, -3738,
    2449,   673,   106, -3738, 44694, -3738,  1231,  2461,  2671,    41,
    1425,  2554, -3738, 55094,  2278,  2675,  2504, -3738,  1877, -3738,
    2391, -3738, 38870,   730, -3738, -3738, -3738, -3738, 70442, 55094,
   66326, 38870,   730, 55094, 55094, -3738,  2576,  2336,  2584,  2339,
   32622,   730,   154, 55094, 55094, 55094, 55094, -3738, 55094, -3738,
   -3738, -3738, -3738, 55094, 55094, 55094, 44694,  2585,  2586,   730,
   55094, 55094, -3738, -3738,   171, 10628,  1463, 55094,   650, 43862,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, 55094, -3738,
   55094, -3738, 55094, -3738, 55094, -3738, 55094, -3738, -3738, -3738,
   55094, -3738, 55094,  1473, -3738, -3738,  1483,   111, 55094,   182,
   38870, 55094,  2481, 55094, 55094, 55094, 55094,  2365,  2086,   864,
   -3738,   213, 48022,  2483, -3738, -3738,  1487,  1419,   635, -3738,
   -3738, -3738, -3738, -3738, -3738, 43446, 42198,  2573,    80, 55094,
   -3738, -3738,  2638, 20678,   420, 18080, -3738, -3738, -3738,  2311,
   10628,  2340, 20678, -3738, -3738, 20678,  1847,  1847, 20678, -3738,
   -3738, -3738, -3738,  1194,  1847, -3738, 20678, 20678,  1847,  1847,
    2285,  2285, -3738,  7237, 20678, -3738, 32622, 20678, 23276, 15133,
   20678,  2371,  2324,  1847, -3738,  1847, -3738, 20678, 17214, -3738,
   20678,  2514, 24136, 20678,   285,  2517, 20678,   285,  2737,  2737,
    1246,  4030,  2312, -3738,  2420,  1847, -3738,  1847,   817, -3738,
     201, 70442, 20678, 38038,  2394,   180, 55094, 20678,  2320,  1390,
   -3738, 20678,   246, -3738,  2321, 20678,  2395, 20678, 20678, 20678,
   20678, 20678, 20678, 20678, 20678, 20678, -3738, 24980,   377,   647,
    1862, 51350, 18513,  2603, 14699, -3738,   208, -3738, -3738, -3738,
   55094,  2489, -3738, -3738,  2396, -3738, -3738, -3738, -3738, -3738,
     275, -3738, -3738, -3738, -3738, -3738, -3738,  2326, -3738, -3738,
   -3738, -3738,  2326, -3738,  2323,   976, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,  2593,  2596,   730, 55094,   176, 45110, -3738, 18946, -3738,
    1511,  2332, -3738,  2577, -3738,  2330, -3738,  7529,  2577, -3738,
   -3738,   305,  2519,  2525,  2525, -3738,  2337, 10628, -3738,  1995,
   10628,  2001, -3738, -3738, -3738, -3738, -3738, -3738,   908, -3738,
    2404,  1121,  2397,   648, 55094, -3738, 29211,  2341,  1530,  2417,
    2422,  2464, 55094, 55094, 55094, -3738, 38038, 55094, 55094, 55094,
   55094, 55094, 55094, -3738,  2709,    67, 42198,  2470, 41366, -3738,
   -3738,  2359, 55094,  2410,  2597,  2598,   -15, -3738, -3738, 55094,
   -3738,  2553, 55094, 20678,  2556, 55094, 55094,  2439, 38870,  2367,
   55094, 55094, 55094,   704, 38870, 33051, 55094, 55094, 55094, 55094,
    2484, 55094, 55094,  2600,   688,   228,  1526,  2184,  2561, -3738,
    1186, 55094, 55094,  2557, -3738, -3738, -3738, 49270, -3738, -3738,
   -3738,  2546, -3738, -3738, 71252, -3738, -3738,  1545, -3738, 70847,
   68406, -3738, -3738,   469, 55094, 55094, 55094,   716, -3738, -3738,
   70442, -3738, 55094, 55094, 55094, 45526, 66742, 67158,  1075,  1163,
   55094, 45942, -3738, 55094, -3738, -3738, 38454, 55094, 55094, 38038,
   -3738, 55094,  2559,   244, -3738, 55094,  3080, -3738,  2450, -3738,
   -3738, -3738, 55094, 55094,  2374,  1564,  2452,  2498, -3738, 55094,
   55094,   759, -3738, 55094, 55094, -3738, -3738,   324, -3738, -3738,
   -3738, -3738, -3738, 55094, 55094,   324, 55094,   324,  1410, -3738,
   55094, -3738, -3738, -3738, 55094, 55094, 55094, 55094, 55094, -3738,
   -3738,  1351,  1142,  1130,  1378,  2523, 55094,  1214, 55094, 67574,
   55094, 55094, 55094, 55094,   336, -3738, -3738,  2488, -3738, 55094,
     759, 55094, 55094,  2462,  2463,   177,  2534, -3738, -3738, -3738,
    2673,   153,   153, -3738, -3738, -3738,  2629,  2797, 55094, -3738,
    2632,  2633,  2448,  2453,  2635,   796, 55094, 55094, 55094, 55094,
   55094, 55094,  2637,   796,  2587,   597,  2405,  2413,  1566, -3738,
   -3738, 20678,  2811, 70442,  2411,  2412,  2485,  2486,  2487, -3738,
    2408,  2490,  1847, -3738, -3738,  1572, -3738, -3738,  1581, -3738,
    2424,   673,  1640, -3738, 55094,   663,   115,  2711, 15981,  2524,
    1352, 55094,  2703, 55094, 55094,  1352, -3738,  1962, 42198, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  2702, -3738,
    1214,  1958,  1958,  1958,  1958, -3738, -3738, -3738, -3738,  2608,
    1458, -3738,  2421, 55094,  2528,  1352, -3738,  1231,  2721,   858,
   55094, 40534,  1630,  2830,  1214,  2609, -3738, 16809,  2183,  2610,
   49270,  2696,  2697,  2716, -3738,  1750, -3738,  2839, -3738,  2734,
     730,  1816, -3738,  1981, -3738, 55094, 55094, 55094, 55094,  1829,
   -3738, -3738,  1981,  2621,   730,   730, -3738,  2622,   730,  1981,
    2552,  2732, 49270, -3738,   142, -3738, 55094, -3738, -3738, -3738,
   20678,  2457, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    1582, -3738, 55094, -3738,  2707,  2712,  2717,  1981,  2492, 55094,
    2446, -3738,  1981,   324,  1981,  2086,  2086,  1981, 51766,  2868,
    2733,   148, -3738,   729,    44,  2669, -3738, -3738, -3738, -3738,
   70442, -3738, -3738, -3738, -3738, -3738, 55094,   282,  2644,  2466,
   51766,  2851,   730, -3738, 38870, -3738, -3738,  2549, 38870,  2654,
   -3738, -3738, -3738, -3738, -3738,  2705, 55094,  1590, -3738, -3738,
    1354, -3738,  1453, 20678, 20678,   119, -3738,  8641,  1597,  2473,
    2475,  1603, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  2476,
    2751, -3738,  2477,  1605,  1609,  2482,  2493, -3738, -3738,  2239,
    2495,  8933,  2496, 23276, 23276,  1094, -3738, -3738, 23276,  2499,
   -3738,  1639,  8176,  2508,  2500,  2501, -3738,  2502,  2512,  9226,
   19812, 20678, 19812, 19812,  9672,  2508,  2513,  1643, 38038,  2646,
   10278,  1648, -3738, 20678, 38038,  3242, 20678, -3738, 20678, 55094,
    2516,  2518, -3738, -3738,  7237, -3738,  2505, -3738, 23276, 23276,
   -3738,  1871, 17647, -3738, -3738,  2762, -3738, -3738,  1367, -3738,
    2520, -3738, -3738,  1921,   204, 20678,  2320, 20678,  2565, 32622,
    7030, 20678,  5606,  2878,  2878,   385,   385,   197,   197,   197,
    1412,  1862, -3738, -3738, -3738,  2529,  2065, 20678, -3738,  1670,
    1696, 55094,  1755,  3339,  3656, -3738, -3738, -3738, 26257,  2530,
   20678, 20678, 20678,  2527,  2672,  2924, 10628,   664, -3738,  2945,
   -3738,  1158,  1847,   817, 36790, -3738, -3738, 20678, -3738, -3738,
   -3738,  1717, -3738, -3738, -3738, -3738, -3738,  1419, 20678, -3738,
   -3738,   520,  1941, 20678,  1995, -3738, -3738, 55094,  2483,  2483,
   20678, -3738, -3738, -3738, -3738, -3738, 26257,  2562,  2570, 28367,
    2655, -3738, -3738, 55094,   308, -3738, -3738, -3738,  2544, -3738,
   -3738, -3738, 55094, 55094, 55094, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738,  2755, -3738, 55094, 55094,  2718,
   55094,  2719,  2720, 20678,   876, 55094,  2537,  2539,   801,  2798,
   55094, -3738,   730, -3738, -3738, 10628, -3738, -3738, -3738, 49270,
   -3738,  1750, 70442, -3738, -3738, -3738,  2578, 55094, -3738, 55094,
   55094,  1829, -3738, -3738, -3738, -3738,   912, -3738, -3738, 55094,
   55094,   678,  2618, 55094, -3738,   756,  2376, 55094, 55094, 55094,
    2794, -3738, -3738, -3738, -3738,  2740, -3738, -3738,  1556, -3738,
   68406, 70847, -3738, 70847, -3738,  1556,  1405, -3738,  1981, -3738,
   -3738,   743, -3738, -3738, -3738, -3738, -3738,  2846,   730,  2847,
     730, 55094, 55094, 55094, 55094, -3738, -3738, -3738, -3738, -3738,
   38038, 38038, 38038,  1649, -3738, -3738,  1214, -3738, -3738, -3738,
    1662, -3738,  1302, -3738, -3738, -3738, -3738, -3738, -3738, 55094,
    1528, -3738,   782, 70442, -3738, 70037, 55094, 55094, -3738, -3738,
   -3738,  2774,  2723, -3738,   799,  2724, 55094,  2611, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  2634,
   -3738, -3738, -3738,  2777,  2778,  2780,  2640,  2641,  2686,  2643,
    2648,  2689, -3738,  2650,  2693,  2651,  2699,  2652,   730, 70442,
    1690,  2685,  2879,   730, -3738,  2657, -3738, -3738,  2984, -3738,
   55094, -3738, -3738, -3738, 55094, 55094, -3738, -3738, -3738, 67990,
    2661,  2661,  2661,   796, 70442,  2827,   796,   796, 55094, 55094,
     796, -3738, -3738, -3738,  2828,  2829,  2831,  2832,  2833,  2834,
     796, -3738, -3738, -3738, -3738,   196, 38038, -3738,  1868, 30477,
   -3738,  3029,  4366,  2601,  2412,  2599,  1847,   168,   834,   656,
    2715,  1847,  2812,  2605, -3738, -3738, 38038, 30477,  1548,  2824,
    2623,  2623,  2623,  2623,  2623,  2623,  2623, -3738,  1062,  1977,
   49270, 55094, 49270, -3738,   115,  2789, 55094, -3738, -3738,  1692,
   -3738, 55094, 55094,   790, 55094,  1847, -3738, -3738,  2613,  2676,
   -3738,  1425,  1086,  2748,  1335,  2950, -3738, -3738, -3738, -3738,
   -3738, 55094, 55094,   673,  1214,  2617,  2616, -3738, 55094, 55094,
   55094,  2656,  2624, 55094,  2620,  2619, -3738, -3738, -3738, -3738,
    1698, -3738, 70442,  2813,  1419,  2700, 55094, -3738,  1700,   167,
   -3738,  1214, 49270, 68811, -3738,  3729, -3738, -3738,   786,  2904,
   -3738, -3738,  1419,   730, 70442, 55094, -3738,   730,  2688,   730,
    2690,   730,   730, 55094, -3738, -3738, 55094, -3738, 55094, 44694,
     730, -3738, -3738, 10628, 55094, -3738, -3738,  2754,  2760,  2761,
   55094,  1981, 38870, -3738,  2630, 55094,  1010, -3738, -3738,  2825,
   -3738, -3738, -3738, -3738, -3738,  2943,  2948, -3738, -3738, -3738,
   55094, 43030,   243, 55094, -3738,  1750, -3738,  1816,   324, 55094,
    2885, -3738, -3738, -3738,  2653,  1708,  9832, 20678, -3738,  2958,
   70442, -3738, -3738, -3738, -3738, -3738, 20678, -3738, -3738, -3738,
   -3738, -3738, 20678, -3738, 20678,  2936, -3738,  3081,  3081, 70442,
   23276,  1113,  2056, 23276, 23276, 23276, 23276, 23276, 23276, 23276,
   23276, 23276, 25413,   666, -3738, -3738, 20678, 20678,  2944,  2936,
   -3738, -3738,  1168,  1168, 70442,  2659,  2508,  2660,  2664, 20678,
   -3738, -3738,  1712, 24558,  2666, 38038, -3738, 20678,  8376,  1722,
    2722, 10485,   420,  4507, -3738,  3038,  1214, 20678,  1350,  2121,
   20678,  1723, 20678,  2951, -3738, -3738, -3738,  2670, -3738, -3738,
   70442, 20678, 23276, 23276,  3319, -3738,  3827, 20678,  2667,  4775,
   17647, -3738,   955,   955,   955,   955, -3738, 55094, 55094, 55094,
   25835, 52182,  2674,  1375, -3738, 52182, 52598, -3738,  2679,   420,
   20678,  2956,   575,   575,  2687,  2672, 29633, -3738, 20678,   245,
   20245,  2691,   110,  2692, -3738, -3738,  6571, -3738,  2694, -3738,
    2708, -3738,  1941, -3738, -3738, -3738,  4802,  2870,  2086, -3738,
   -3738, -3738,  2674, 21111,  2655, -3738,  1728, -3738, -3738, 18513,
   -3738, -3738,  1735, 29211,  2562, 18946,   420, -3738, -3738, -3738,
    2623,  1981,  1981,   918,  1981,  2972,   918,  4856, -3738, -3738,
   26679, 55094, 55094, -3738, 55094,  1736,  1262, -3738, -3738, -3738,
    3094, 55094, -3738,  2746,  2749, -3738, 55094, 55094, 55094, 55094,
   -3738, -3738,  1764, -3738, -3738, 55094, -3738, -3738, -3738, -3738,
    2772, -3738, -3738,  2953,  1508, -3738, -3738, -3738,  2764,  1062,
     221,  2177,   346, -3738,  2766, 55094, -3738, 55094, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, 38454, -3738, -3738,
   -3738, 38038, 30477, 38038, -3738,  2776,  2782,  2835,   136,   713,
    2783,  2785,  2848,  2706,  2713,  2714, -3738, -3738,   290,  1214,
   -3738, -3738,  1214,  1981,  1214, 55094,  3002,   859,  1579, 55094,
   55094, 55094, 55094, 55094, 55094, 55094, 55094, 55094, 55094, 55094,
   -3738,  3099,  1214,  1214,  3069,  2800, 55094, -3738, 55094,  2376,
   -3738, -3738, 55094, -3738, 53014, -3738, -3738, -3738, -3738,  2736,
     796, -3738, -3738,  2976,  2977, -3738,   796,   796,   796,   796,
     796,   796, -3738,   370,  1741, -3738, 27523, -3738, -3738,  2351,
    1214,  2351,  1101, -3738,  2351, -3738,  2351, -3738,  2708,  1847,
     388, -3738, -3738, -3738, -3738, -3738, -3738,  2413, -3738, -3738,
    1847,  1967,  2735, -3738,  2742, -3738, -3738, -3738, -3738, -3738,
   -3738,  2743, -3738,   817, -3738, -3738, 55094,  2623, -3738,   326,
     335,  1166,  1248, 53430, 53846, 54262,  2745, 55094, 55094, 23276,
   -3738,  1311,   199, -3738,  2981, 55094,  2784, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738,  2752, -3738,  2256, -3738, 55094,  2789,
    1981, 55094, 55094,  1981, -3738, 70442,  3152,  1114, 63414,  2786,
    2756,  3034, -3738,  2765,  2757, -3738, -3738, 55094,  2789,    52,
    1414,   700, -3738, 41782,  1630, -3738,  3006, 40534, -3738, 55094,
    3118,  2844,  2801,  1214,  2410, -3738, 68406, 20678, 20678, -3738,
    2767, -3738,  2768,  2569, -3738,  1958, -3738, -3738, -3738, -3738,
   -3738, -3738,  2845, 55094, -3738, -3738,  2779,   730, -3738, 55094,
   -3738, 55094, -3738, -3738,   730,   730, -3738,  2883, -3738, -3738,
   55094, 55094, 55094,  1981, -3738,   324, -3738,  3053, 51766, -3738,
   -3738, -3738, -3738,    80,  3059, -3738, -3738,  3020,  3021,  3022,
    3023,   828, -3738, -3738, 20678, 10628, -3738,  2791, 10628,  5153,
   10628,  2944, -3738,  2002,  3066, -3738,  1424,  2787,  2002,  1333,
    1333,   361,   361,   185,   185,   185,  3081,   666, 10628, 10628,
   -3738, -3738, -3738, -3738,  2792, -3738, -3738, -3738,  2508, -3738,
   21544,  2952,  3180, -3738, -3738, -3738,  2842,  2849,  2807, -3738,
   20678, 21977,  2808, 71252, -3738, -3738,   817,   810, 23276, 23276,
    2728, -3738,  1268, 20678, 70442,  1745,  2728,  2158,  2809, 20678,
   20678,  6977,   402, 20678,  5440, 55094, 55094, 55094, 55094, -3738,
   -3738, -3738, 15558,  1375,  2815, 55094, -3738,  2814, 26257,  3052,
    2993, -3738, 26257,  2993,  1227,  2993,  3056, -3738, 30055, -3738,
    2822, 14699,  1500, 10628,  3209,  3093, 20678,  2826, -3738,  2837,
    2672, -3738, 69216, -3738, -3738, 10628, -3738, -3738, 20678, -3738,
    2672,  1214, -3738, -3738, 32622, -3738, -3738, -3738,  3016, 10628,
   -3738,  1419, 55094,   420,  2836,  2854, 55094, -3738,  2655, -3738,
     290, -3738, -3738, -3738,  2905, 42198,  3111, -3738, 20678,  1751,
   -3738,  2867,  3201,   141,  1761,  1773,  1262, -3738,  2784, -3738,
    1417,   128, -3738, 70442, -3738, 55094, 55094, -3738, -3738, -3738,
   -3738,  2127, -3738, 55094, -3738,  2900, -3738,  3033, -3738, -3738,
    3036,   290, 55094, -3738, 70442,   730,   730, -3738, -3738, -3738,
    2859, 55094, 55094, 55094,  1847,  1847, 70442,  2850, -3738,  1847,
    1847,  2852, -3738, 55094, 55094, 55094, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, -3738, 55094, 55094, 55094, 55094,  3144, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   55094, -3738, -3738, -3738, 70442,   730,   730, -3738, -3738, 55094,
   -3738,  3087, -3738,   796,   796, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  1977,  3173, -3738, 38038, -3738, 42614, -3738, -3738,
   -3738,  1214, -3738,  1214,  3044, 34730,  1214,  1214,  1262,  2860,
    1396,  3136, -3738, -3738, -3738, -3738,  3141,   290, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738, -3738, 20678, -3738,   161,  2002, -3738, -3738, -3738,
   -3738,  2784,  1425,  2914,   663, 38038,  2971, -3738, -3738,  1981,
    1981,  2916,  1419,   612, 55094,  3185,  2915, -3738,  1214, -3738,
   -3738, 55094, 40534, -3738, -3738,  3214,  1777, -3738, -3738, -3738,
    2913,  2813,   927,  2880,  1630, -3738, -3738,  1096, 55094,  3197,
    1066, -3738,  3163,  2886, -3738, 10628, 10628,  1214, 71657,  3729,
   -3738, 55094,  3138,   730, -3738,   730,   730, -3738, -3738, 55094,
    1981,  1981,  1981, -3738,  3064, -3738,   730, 51766,   828,   828,
     828,   828, -3738, -3738, -3738, 10628, -3738, -3738, -3738, 23276,
    3168, -3738,  2889, 70442, -3738,  2890,  1782,  1786, 24136,  3035,
   -3738, -3738, -3738,  5491,  2938, 10628,  2992,  2896,  2897, -3738,
     457,   457,  1268,  1788, -3738, 23276, 23276,  2728,  2728, 20678,
    2728, -3738, -3738, -3738, -3738, -3738, 52182,  2899, 55094,  1375,
   26257, -3738, -3738,  1667, -3738, 26257,  3140, -3738, 26257, 55094,
    2901, 55094,   818, 20678, 20678,  2941,  2672,  2672, -3738,  3073,
   -3738,  2902, -3738,   817,  2907, 55094, -3738, -3738,   989, -3738,
   -3738, -3738, 51766,  3091, 51766,  1262,  5804,  2784, 26679, 33480,
   55094, 54678, 54678,  3051,  2784,  2914, -3738, -3738, -3738, -3738,
    2912, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,  3099,
   -3738, -3738, 30477, -3738, -3738, -3738, 27101, 32622, -3738,   136,
    2917,  2919,   713, -3738, -3738, -3738,  1034,   886,  2949,  1981,
    3199, -3738,  3099, -3738, -3738, -3738,   796, -3738, -3738,  2405,
    1214, -3738, -3738,  1794, -3738, -3738, -3738, 55094, -3738,  2756,
   -3738, -3738, -3738, 38870,  3320,  3320, 55094, -3738, -3738,  6322,
    3112, -3738,  2914,  3139,  3179, -3738,  1809, -3738, 55094, 55094,
    2801, 40534,  2789, -3738,  1154,  2925,  3225, -3738,  2624,  2928,
   -3738, -3738, 41782,  3108,  2844,   853,   853, 55094,  2813,  3054,
   -3738,  3055, -3738,  3317,  2932,  3009,  3311,  3117,  3313, 55094,
   26679, -3738, 70847, -3738,  1813, -3738, -3738,  2530, 55094,    79,
   -3738, -3738, -3738, -3738, -3738, -3738,   243, -3738, -3738, -3738,
   -3738,   892, 23276, 70442,  1817, 20678, -3738, 20678, -3738,  3326,
   -3738, -3738, -3738,   584, -3738, -3738, -3738,   457,   457,  2728,
   -3738, 55094,  1824, -3738, 20678,  2942, -3738, -3738, 26257,  1667,
    1830, 55094,  1835, 70442,  2672,  2508, 10628, 55094, -3738, -3738,
   -3738,  3327,  3120,  2672, -3738, -3738, -3738, -3738,  1010,   918,
     243,  3201,  2914, -3738,  2946, -3738, -3738, 55094, -3738,   334,
     334, 55094,  2914, -3738, -3738,  2997, -3738, 70442,  1816,    85,
   -3738, 70442, 70442, -3738, 55094, 55094, 55094, 55094, 55094,   730,
   -3738, -3738, -3738, -3738, 42614,  2756,  3320,   279, -3738, -3738,
   -3738,  1072, -3738, -3738,   852,  3131,  3041, -3738, 38038,  2789,
    3243, -3738, -3738, -3738, -3738, -3738, 20678,  3104,  1630,  3006,
   -3738, -3738,  3197, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,  1837,  2844, -3738, -3738,  1341, 55094,  1049, -3738,  3134,
   -3738,  3142, -3738,  1841, -3738, -3738,  2569, 71657,  3275, -3738,
    3010, 55094, -3738, -3738, -3738,   892,  1848, -3738,  1867,  1869,
    3107,  3013, -3738,  1884, -3738, 10628, 55094, -3738, -3738, -3738,
    1885, -3738,  2964, -3738,  3374, 20678,  1261, -3738, -3738,  3251,
   -3738, 54678,  3011, 32622, -3738,  1941,  1941,  1425, -3738,  1262,
   20678, -3738,  1891, -3738,   120,  3116,  3262,  1893,  1895,  2974,
    3014,  2974, -3738,  1981, -3738, -3738, -3738, -3738, -3738,  3290,
   -3738, -3738, -3738,   382, -3738,  3164,  3166, 55094, -3738, -3738,
   55094,  3389,  6454, 38870,  2813,  1630,  1062,  3009, -3738,  3197,
   -3738,  2988, -3738,  3114,  2990, 55094, 55094, -3738, -3738,  3026,
   26679,  3729, -3738,   261, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  1903, -3738, 55094,  2994,  2508, 22410, 22410,  2995,
   51766,   334,  2998, -3738,  2999, -3738, -3738,  3139,  1262, 10628,
   38870,  3379, -3738, -3738, -3738,  3116, -3738, -3738, 55094,  3123,
     848,   848,  3323, -3738,  3049, -3738, -3738, -3738,   136, -3738,
    3003,  2844,  2813, -3738,  3009, 55094, -3738, -3738, -3738,  2613,
    2177,  2844, -3738, -3738, -3738, -3738,  1397, -3738, -3738, -3738,
   23709,  3127,   695,  8612, -3738, -3738, -3738, -3738,   243,  1941,
   20678,  1262, -3738,  3131,  1816, 55094, -3738, -3738,  2915, -3738,
    3425, -3738,   823, -3738, -3738,  2850, 37622,  3197,  2844, -3738,
    3007, -3738,  2530, -3738,  1793, -3738, -3738, -3738, -3738, -3738,
   -3738, -3738,  3416, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    7182, -3738, -3738, -3738,  3307, -3738, -3738, -3738, -3738,  1907,
   -3738, -3738, -3738, -3738,  3009,  3197, -3738, -3738,  1627, -3738,
   -3738,  1653,  1729, 22843, -3738,  1262,  3161, -3738, 37622, -3738,
    3009, -3738,  1793, -3738, 38870, -3738, -3738, -3738,  3015, 37622,
    1917, -3738
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3738, -3738, -3738,  2726, -3738,  -735, -1013,  2139, -1567, -3738,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
    2677, -3738, -3738, -3738,  1377, -3738, -3738,   116,  1772,  2338,
    1077, -3738,  -937, -3738, -3738,  -484,   138,  -611, -3738, -3738,
   -3738, -3738, -3738, -3738, -3738,  -623,  1521,   950,  -667, -2484,
   -3738, -1213, -3738, -3738,   411, -3738, -3738,  1471, -3738, -3738,
   -3738,   822,  -328, -3738, -3738, -3738, -3738, -3738, -3738, -3738,
     -71, -3738, -3738,  -485, -1323,    37,  -129,  -352, -3738, -3738,
     260,  -354, -1176, -3738, -2422, -3738,   -95, -3738, -3738, -3738,
    -353, -1149,  1054,  -625,  -936,  1329,  -634, -3738,  -244, -3738,
    -686,  -578,  -574,  -639,  -476,  -849, -3465, -3647, -3738, -3737,
   -2884, -2693,  1070,   145, -3738, -3738, -3738,   293, -3738, -1317,
   -3738, -3738,  2097, -1142, -3738,  -709, -3738, -3738, -3738, -2402,
   -3738, -3738, -3738, -3738,    60, -3738, -3738, -3738, -3738,   337,
   -3738, -3738, -3738, -3738, -3738, -3738, -2199,  1460,  1462, -3738,
   -3738, -3067, -3738,  -764, -3738,   482, -2413,   999, -3738, -3738,
   -3738,  2123, -3738, -3738, -3738, -3738,   339, -3738,   338, -3738,
   -3738, -1339, -3738, -3738, -1314, -3738,  1472,   824, -3738, -3738,
   -3738,  -659,  -729,  -717, -3738, -2883, -3738, -3738, -3738, -3738,
   -3738,  -777, -3738,   877, -2546,  -794, -3738, -3738,   895, -3738,
   -3738, -3738, -3738,  -609,  -229,  2148, -3738,  -513,  -591, -3738,
   -3738, -3738,  -227, -3738, -3738, -3738, -3738, -3738, -3738, -1442,
    8181, -1303, -3738, -3738, -3738, -3738, -1927, -3738, -3738, -3738,
   -1588, -3738,  3529,  1889,  1821, -1313, -3738,   -27,    64,  2574,
    -944, -2147,   286,  -366, -3738, -1477, -3738, -3738, -3738, -2072,
   -3738, -3738, -3738, -3738, -2860, -1312, -3738, -3738, -3738,   331,
   -3738, -3612, -3275, -3478, -3063, -2839, -3738, -3738,  -904, -3738,
   -3738, -3738, -1134,  1668, -1198, -3738, -1832,   342, -3102,  -607,
   -2654, -3738, -2976,  -450, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738,  -898,  -533, -3738, -3738,  2996, -3738, -3497, -3738, -3738,
   -3738, -3738,  -775, -3738, -1082,   968, -3738, -3738, -3738, -3738,
   -3738,  -606,  -683, -3738, -3738, -3738,   149, -3738, -3738, -3738,
   -3738,  1820,  -774,  -628,  2881, -1307,  -250, -3738, -3738, -3738,
   -3738, -2509, -3738, -3738, -3738, -3738, -3738, -3738, -3738, -1157,
   -3738, -3738, -3738, -3738, -3738, -3738, -3738,  1806,  1807,    63,
     -32, -3738, -3738, -1046, -3738, -3738, -3738,  -133,  -906, -1288,
   -3738, -3738, -3738, -3738, -3738,  -483, -3738,  2095, -3738, -3738,
   -3738, -3738, -3738,   352,  -251, -3738, -3738,  1198,   150,   366,
   -3738,     3, -3738, -3738,   165, -2793,     4, -3738, -3738, -3738,
   -3738,   -26,     5, -3738,   615, -3738, -3738, -2289, -3738,   152,
      57, -3738, -3738,     1,     0,   -42,   -39,   -35,     2,  2877,
    2444, -3738, -3738, -3738,    27,  1381, -3738,  -722,  -163, -3738,
    1205,  -556,  1790,  2427,  2435, -3738,  1206, -3738, -3738,  1213,
   -3738, -3738, -3738,  -555,  1798, -3738,  2438,  1818, -3738,  1197,
    1209, -2777,   701, -2778,   247, -1268,  -293,    61,  2927,  2467,
   -3738, -3642,   661, -3738, -2726, -1871,  -338,  1595, -1315, -3738,
   -3738,  -957,  5388, -3738, -3738, -3738,  9098,  9856, -3738, -3738,
   10347, 10521, -3738,  -862,   753, 10779,  3288,  -998, -1563,  -868,
    8986, -2021,  -608, -2216, -3738, -3738, -3738,  -246,   767,   755,
   -3738, -3738, -3738, -3738,  -478, -2293,  -477, -3738, -3738, -3738,
    -481, -3011,  -310, -3738,  -172, -3738,  9184,  1263, -3738,  -820,
   -2227, -2231,  -959, -1450, -3738, -3738, -3738, -3738, -3738, -3738,
   -3738, -1169, -2684,  -408,  1331, -3738, -3738,  1420, -3738, -3738,
   -3738, -1079,  -734, -2136,  1334, -1662, -3738,  -718,   690,  2011,
    -670,    26,  -554,  6369,  -494, -1842, -1029, -1248, -3738,  -152,
   -3738,    25,    -9,   -82,     6,  3436,  8233, -1065,  6886, -1088,
   -1080, -2521
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2173
static const yytype_int16 yytable[] =
{
     171,   170,   175,   165,   166,   168,   719,   675,   577,  1174,
     729,  1452,   531,  1455,   877,  1108,   652,  1493,  1180,   979,
     980,   171,   798,   175,   984,  1402,  1461,  1183,   641,   760,
    1900,  1536,  1930,   641,   917,  2011,  2012,   778,  2154,   927,
    1285,  1516,  1940,  2181,   862,  1321,  1767,   640,   718,   939,
     561,  1847,   640,  2042,  1768,  2302,  1908,  1770,   924,  1547,
     783,  1349,  1596,  2802,  1121,   519,  1265,  2502,  2504,  1765,
     706,  2937,   568,  1253,  1569,  1570,  1310,  2013,   605,  1979,
    1980,  3016,  2055,  1909,   615,  2104,  2080,   647,  3029,   911,
     901,  3246,  2081,  1585,  1898,  2082,  2083,  2084,   676,  1767,
    1405,  2552,  2085,   703,  1770,  2231,  2641,  1768,   779,  1423,
    3446,  1782,  1443,  3415,   801,  2598,  2385,  3043,  2790,  3045,
     723,  3165,  1765,   811,  2971,  1486,  3436,  1391,  3146,   948,
    1395,  2934,  3598,  2932,  2933,  1399,   731,  2150,    65,  1969,
     732,  3639,  2927,  3373,  1407,    75,  3146,  3387,  3389,   134,
     163,  3610,   169,  1425,  1917,   694,  3844,  1198,  1825,  1563,
    1564,  2882,  3170,  3171,  3172,  3173,  3174,  3175,  3752, -1876,
    1226,  3420,  1168,  1171,  3320,   730,   573,   623,   623, -1853,
    1280,  1614,  1289, -1945,  1582,  2116, -1307, -1853, -1980,  1314,
    2927,   960,   529, -2000,  1444,  1422,  2839,  3992, -2027,  1206,
    1311,   573,     3,     4,  1115,  1975,  1444, -1517,  1621,  3750,
    3593,  1387, -1948, -1830,  1918,  2307,  1986,   781,   814,  1541,
    1542,   623,  3176, -1724,   803,  4018, -1310,  1991,  1343,  2191,
   -1724,  2700,   812,  1624,   964,  4064,  3758, -1502,  2102,  2307,
     573,  2211,  2837,  2838, -1854,  1495,  2817,  2853,  4014,  1531,
     573,  2616, -1854,  1651,  1263,  4097, -1474, -1507,  1612, -1507,
     724,   805, -2172, -1487,  1467,  1626,  3558,  3179, -1517,  2174,
   -2172,   894, -1307,  3237,  3940,  1482, -1514,   573,   573,  2480,
     573,  2178,  1200,  2976,  4174,  2791,  3017,  2888,  2889,  2324,
    2110, -1502,  1911,  3484,  2759,  1444,  2761,   573,  1911,   623,
    1767,  3611,  1322,  2619,  1418,  1337,  1207,  3589,  1768,   815,
    2545, -1507, -1310,  4077,   623,  4020,  1849,  1939,  3969,   725,
    1665,  1251,   573,  2060,   629,  1419,   623,  1850,  1251,   709,
    1138,   573,  1139,   623,   975,   623,   733,  -126,   629,  -740,
     573,  1112,  -126,   629,  1850,   630, -1307,  1321,   629,   816,
    2192,  2481,  1242,   629,  2608,  4099,  1789,   982,  2795,   630,
    1300,  1283,  4164,  1323,   630,  1672,  2389,   629,  2449,   630,
    1656,  1462,  2839,  1596,   630,   798,  1264,    33,  2437,  4141,
     855,  -148,   629,  4002,  2568,   726, -1310,  2468,   630,  1201,
   -1999,  3485,  1937,   209,  2075,  1267,  1621,   623,   817,  2342,
    3820,  1569,  1570,   630,  1309,  3183,  2343,  1673,  -148,  1585,
    1004,  1669,  2105,   874,   734,  1680,  1680,   775,  2325,   798,
    2450,  1624,  2326,  1666, -1740,  2796,   906,  1268,  1529,  2020,
     895, -1740,  3568,  2568,   983,   915,  2175,  2800,  1538,  2024,
    4142,  3571,  3184,  3590,  1790,  3469,  1187,  1445,  2390,  2438,
    1548,  4175,  1853,  1626,  4078,  3185,  1479,   920,  2327,  1445,
    3467,  1301,   870,  2358,  2176,  1013,  4021,   879,  2839,  4076,
    4244,  3430,  3755,  1497,  1420,  2228,  2111,  1851,   888,  1195,
    2792,  3486,  1771,  -345,   896,  3017,   976,  3612,   866,  1284,
    1919,  1388, -1307,  4150,  1563,  1564,  2546,  1652,  4172, -1474,
    1929,   727,  2483,  1582,  1879,  1920,  3479,  2936,  4260,  2179,
    1884,  1363,  1532,  3759,  4207,   569,  2234,  1324,   852,  1454,
    1260,  1373,  1973,  1551,  4212,   858,   912,  2193,   785,  2308,
    1202,  3146, -1310,  1667,  2016,  1767,  1971,  3186, -1724,  1344,
    1345,  2103,  1965,  1768,  1967,  2194,  2009,  2010,  1445,  1320,
    2617,   822,  1992,  2902,  3745,  1921,   853,  1615,  2305,  1801,
    1955,  4245,  1208,  1958,  1959,   902,   577,  1987,  1175,  1140,
    4247,   719,  2040,  4131,  1133, -1474,  2170,  1770,  1134,  2042,
    2328,  1481,    48,   956,  1974,  3470,   850, -1307,  1877,  3238,
    2487,  1123,  2156,  1454,  1203,   635,   636, -1999,  1780,  1388,
    2506,  3709,  3153,  2989,  1591,  3713,   735, -1876,   710, -1853,
    2156,  2036,   171,   718,   175,  3822,  2851,  3668,  1810,  1811,
    1889, -1945, -1307,  1592, -1307,  2021, -1980, -1310,  1645,  4161,
     957, -2000,   962,  1663,   966,  3740, -2027,  1593,   635,   636,
     970,  1133,  3401, -1830,  1558,  1134,  1558,   947,   989,   640,
   -1948,   640,  1535,   640,  2841,  1952,  4051, -1999,  3567,   640,
     971,   972, -1310,  3866, -1310,  1591,   798, -1502,  1005,  3026,
     776,  3027, -1999,  1328, -1854,  1105,   951,  2839,  1114,   902,
    1116,   731,  3278,  1333,  1592,   732,  1568, -1507,  3471, -1507,
     995,  3472, -2172,  1574,   983,   973,  3108,  4208,  1595,  3111,
    3112,  2501,  1206,  3115,  2927,  1772, -1514,  1617,  1654,  3409,
    2372,  1109,  2842,  3122,  2344,   985,   635,   636,  2257,  2258,
     730,   983,   171,   170,   175,   165,   166,   168,  1131,  1948,
    2509,   635,   636,  2227,  1195,  2230,   610,  1331,  1767, -1740,
    2393,   867,  1434,   635,  1252,  2238,  1768,  2973,  2241,  1157,
     635,  1252,  2643,  3541,  2408,    15,  2253,  2254,  1299,  -126,
    -126,  1765,  2560,  4151,  1300,  3982,   570,   985,   573,  2271,
    2273,  3932,  1294,  1143,  3442,  2950,  2126,  1853,  3942,   913,
    2287,  1929,  1444,  2698,  2096,  2132,  3113,  3114,   611,  2848,
    2849,  2850,  2851,  2488,  2140,  2141,  1178,  2428,  1124,  3614,
    3058,   573,  1111,  2466,   573,  2113,  1119,   640,  1414,  1207,
    2944,  1295,  2153,  1642,  1643,  1644,  1645,  3143,  2680,  3303,
    4031,  1621,  3308,  3309,  3310,  3311,  3312,  3313,  3314,  3315,
    3316,  3317,  3423,   573,   726,  3143,  2561,  1211,  1767,  1841,
    1532,  1767,  3013,  1535,  4224,  1347,  1768,  1415,   571,  1768,
     572,  3642,  2480,  1133,  2185,  2186,  1842,  1134,  1125,  1469,
      65,  2110,  2097,  2841,  2542,  1301,  2793,    75,  3030,  2003,
    3489,   134,   163,  1000,   169,  3993,  4055,  4056,  1626,   681,
    3158,  3357,  3358,  2846,  2847,  2848,  2849,  2850,  2851,  2562,
     524, -1474,  2688,  1398,  2046,   660,  2027,  3248,  1470,  2133,
    4199,  2004, -1474,  2839,  1568, -1474,  1187,  3059, -1474,  2142,
    1854,  3244,  4089,  1843,  4111,  1426,  1429,  1430,  2046,  1900,
    2480,  2149,  1945,   726,  2481,  3994,  1158,  2139,  3900,  4236,
    1844,   902,  3995,  3903,  3971,  2028,  3615,  1841,  3907,  1792,
    2563,  3909,   788,   789,   790,   902,   791,   792,   793,   794,
     795,   796, -1827,  3201,  2482,  2128,   171,  1436,   175,  2644,
    3996,  2346,  2047,  1296,  2177,  1969,   574,  2182,  3490,  2184,
    4225,    38,  2187,    38,   661,  3249,   682,  2050,  1534,   640,
    2266,  2681,  1230,  1793,  1620,  3246,  2047,  1621,  3006,  1855,
    1332,  2017,  2481,  3910,  2289,  3912,  2720,  2206,   902,  1416,
      42,  4032,    42,  3155,  1622,  2162,  1302,  1109,  4080,  3505,
    1535,  1843,  1624,  -568,  3396,  1556,  1499,  2048,  1501,  1625,
    1503,  2049,  1505,  1159,  1507,  1508,  1509,  3007,  1844,  1109,
    2564,  1511,  1794,  3997,  1572,  1445,   719,    46,  1303,    46,
    2631,  2048,  2098,  3070,  1626,  2049,  3031,  3831,  3060,    47,
    1471,    47,  1297,  2260,  2099,  2063,  2467,  2682,  3156,  1845,
    4059,  2794,  3943,  3845,  1599,  3014,   526,  4237,  4189,  4049,
    1304,  1613,  3662,  3032,  1454,  2483,  3431,   726,  1610,  1318,
    3061,  1618,  2347,  2409,  4200,    48,  2025,  2029,  1417, -2173,
     798,  1655,  2846,  2847,  2848,  2849,  2850,  2851,  2664,  2445,
    2939,  3202,  1013,  2940,  3846,  2839,  2380,  3728,   902,  3250,
    2127,  1671,  3062,  1776,  2050,   902,   902,  3732,  1885,  3856,
    4081,  1783,  1784,  3176,  1788,   732,   732,  3857,   732,  3973,
    3177,  4037,  1133,  2565,  1164,  4173,  1134,  3739,  2050,  1472,
    3178,  2566,  2026,  2483,  2567,   640,   662,   663,  1627,   640,
     640,  -887,  1628,  4201,  1846,  2050,  1684,  1845,  3586,  3506,
     730,   730,  2927,   730,  3722,  3409,  2927,  3251,  3179,  4222,
    3180,   573,  2077,  1629,  1630,  4138,  2030,  3731,  4202,  3008,
    3449,    38,  3827,  3532,  2449,  4040,  3955,  4082,  1631,  3535,
    3536,  3537,  3538,  3539,  3540,  3024,  1657,  2242,  3998,   573,
    1767,  1166,  2506,  1813,  1886,  2592,  1767,  3849,  1768,  2051,
      42,  3656,  4105,  4163,  1768,  1632,  4135,  4136,  1633,   573,
    3143,  3850,  4079,  2872,  1437,  1998,  3946,  2757,  2052,  2879,
    1319,  1634,  3304,  2051,  1635,  3305,  2992,  1178,   640,  4052,
    1793,  2762,  4263,  3432,   640,  3181,  2078,    46,  2571,  4058,
    4191,  3146,  1846,   573,  3914,  3450,  2574,  2940,  2576,    47,
    1658,   527,  1914,  2733,  1922,  2189,   814,  1164,  3009,  1873,
    2840,  3433,  3573,   543,  1835,  1972,  1438,   972,  2267,  1621,
    4209,  1269,  3858,  2303,  1836,  3945,  4106,  3956,   798,  1794,
    2125,  2841,  2267,    48,   640,  2243,  2491,   640,   640,  2131,
    1837,  3182,  1900,  1454,  1624,  3274,  3183,   653,  3959,  1946,
    1636,  3451,  1915,  3429,  2707,  2708,  2709,  2710,  2846,  2847,
    2848,  2849,  2850,  2851,  1985,  1454,  2076,  3690,  3691,  1270,
     545,  2753,  2471,  1308,  1166,  2947,  1626,  2433,    33,  2348,
    3554,  1013,  1998,  3184,  2839,   178,  3609,   677,  4255,  2842,
    4229,  2508,  3306,  2015,  3575,  2560,  3185,   815,  1013,   640,
    4259,  2839,  3307,  2244,  3292,  1309,  3025,  1439,   778,  2583,
    3449,  2692,  1167,  1947,  3851,  2584,  4266,   659,  3348,  2080,
   -1319,   701,  2492,  3380,   179,  2081,   178,  3555,  2082,  2083,
    2084,  2521, -1319,   680,  1998,  2085, -1319,   816,  1637,  1638,
    1639,  2086,  1640,  1641,  1642,  1643,  1644,  1645,  2589,  1271,
    2376,  3277,  3381,  2815,   798,  1440,  2377,  3645,  2245,  3646,
    3587,  1192,  2246,  1621,   712,   179,   543,  3715,  2593,  2561,
    3267,   178,  1838,  3919,  3920,  3954,  1195,  3383,  3186, -1319,
    2590,  2522,  1767,  1767,  1767,  3450,   817,   721,  1624,  3278,
    1768,  1768,  1768,  1193,  1272,  2558,  1273,  3246,    33, -1319,
    2594,  2866,  3379,  2756,   722, -2173,  4019,  1968,  3983,   553,
     179,   554,  2591,  1454,  2783,  2158,  2585,  2764,  2765,  2523,
    1626,  2767,  2562,   545,  3588,  1194,  2893,  2771,   171,  2894,
     175,  2144,  2891,   559,  2927,  3984,  1275, -1319,  1441,  2927,
    2148,  3451,  2927,   736,  1488, -1319,  4100,  1489,  1960,  2315,
    3876,  2895,  2316,  2161,  2995,  2247,  2843,  2844,  2845,  2208,
    2846,  2847,  2848,  2849,  2850,  2851,  3756,  1612,  2693,  2524,
    2841,  3380,  3442,  2563,  2317,  1277,  3385,   171,  2205,   175,
    2202,  2203,  2204,  3670,  1960,  2804,  3671,  2841,  4127,  2664,
    1109,  1109,   951,  3813,  1911,  2164,  1195,  2165,  1767,  2166,
    3381,  2167,  1916,  2168,  2251,  4088,  1768,  2169,  4101,  4096,
    1591,  1279,  2510,  3005,   889,  3382,  4128,  1388,  1767,   770,
    1164,  3126,  3814, -1353,  1165,  3383,  1768, -1353,  2842,  1592,
    3757,  2239,  2240,  2196,  1290,  3928,  1966,  3930,   821,  2252,
    3565,  2060,   890,  2255,  2256,  2842,  3797,  3798,  3384,  2207,
    2248,  2896,  2225,  3761,  3762,   807,  2897,  2586,  2277,  4115,
    2278, -1319,   553,  2564,   554,  2781,  1291,  1923,  2313,  2318,
    4047,  1292,  1931,  1961,  2319,  1962,  2749,  4213,    28,  2320,
    2300,   782,  2301,  4102,  3442,   891,   559,  1166,  3881,  2587,
   -1353,  1184,   813,  2005,  4103,  2266,  2266,  1189,  1293,   889,
    2266,  2373,  -368,  2694,  2006,  1680,  3301,  2999,  2770,  1961,
     854,  1962,  1819,  3672,  3897,  3898,  2595,  2356,   859,  1932,
    1933,  2588,  1154,  1185,  3385,  1167,  2370,  3208, -1353,  1190,
    3321,  2007,  2927,   798,  1640,  1641,  1642,  1643,  1644,  1645,
    2266,  2266,  2695,  1117,  1820,  2655,  2461,  1476,  2596,  3461,
    3092,  2712,   778,  1929,   861,  1186,  2713,  2669,    38,  1591,
      38,  1191,  3018,   878,  3052,  1661,  2565,  2958,  1477,  3507,
     891,  3093,  1591,   884,  2566,  2898,  1821,  2567,  1592,  3053,
    2425,   892,    38,  2942,  2899,  2429,  3447,    42,  2432,    42,
    3508,  1592,  1593,  1976,  3379, -2086, -2173, -2173,  2321,  2846,
    2847,  2848,  2849,  2850,  2851,  1595,   868,  2322,   869,  2670,
    2454,    42,  2843,  2844,  2845,  3210,  2846,  2847,  2848,  2849,
    2850,  2851,   908,  3689,    46,  2997,    46,  1767,  2812,  1931,
    3157,  3159,  3160,  2160,  3055,  1768,  2908,  2395,    47,  2493,
    2381,  3166,  2384,  2228,   893,   671,  2713,  2002,    46,  2439,
    3334,  2442,   700,   171,  2411,   925,   640,   724,  3468,  3473,
      47,   934,  2507,  3380,  1774,   208,  3056,  1775,   944, -1354,
      48,   528,  4214, -1354,   940,  3028,  1932,  1933,  1143,   607,
    1568, -2086,  1826,  1931,  2489,  2538,  2671,  2672,   871,   945,
     872,  3036,  3381,  3038,    48,   678,   623,  3284,  3057,  2673,
     977,  4025,  2798,  1777,  3322,  3323,  1778,  3382,  2559,  3960,
    1929,  2569,  2865,  1621,  2867,  2868,   725,  3383,  1116,  1620,
    1931,   981,  1621,  2981,  2982,   990,  2984,  2813,  2577, -2086,
    1932,  1933,  2814,   987,  3442,  2581, -1354,  2228,  1624,  2159,
    3384, -2086,  2160,  3288,  1931, -2086,  2674,  1624,  2604,  2171,
   -2086,   638,  2172,  3127,  1625, -2086,   638,  2611, -2086,  2173,
    3904, -2086,  2172,  2199,  1929,   992,  2200,  1932,  1933,  1620,
    1626,  3090,  1621,  1133, -1354, -1830,  3097,  1134,  3465,  1626,
    3143,  3355,   726,  1568,  3190,  1826,   997,  2386, -2086,  2529,
    1454,  1932,  1933,  2267,  2267,   998,  3128,  1624,  2267,  1767,
    1555,  1929,    48,  1767,  1625,  1767,  2421,  1768, -2086,  2200,
     999,  1768,  3551,  1768,  3553,  2998,  3385,  3556,  2600,  3557,
    3129,  2499,   640,  4188,  2500,  1929,  2542,  3980,  3480,  1626,
     640,  1568,   640,  1187,  2675,  1000,  2676,  3130,  2267,  2267,
    2554,  3131,  2650,  2555,  2890,  2651, -2086,  1568,  1001,  1826,
    1013,  3287,  3073,  2839, -2086,  1002,  2633,  2665,  2775,  3132,
    2666,  2172,  2688,  2772,  2633,  2912,  2811,  2913,  3688,  2160,
    4015,  1255,  1256,  2821,    28,  3133,  2160,  1003,  1900,  2824,
     537,  2828,  2160, -2173,  2160,  2829,  1006,  1628,  2160,  3328,
    3905,  2914,  1007,  2915,  2901,  3444,  3445,  1009,   727,  1629,
    1630, -2086,  2805,  4261,  1120,  4262,  2807,  2664,  1629,  1630,
    3877,  3878,  3879,  3880,  3619,  2855,  3206,  2663,  2160,  2871,
    1126,  2706,  2160, -2173,  2876,  3046,  3255,  2877,  3047,  1154,
    3258, -1307,  3260, -2173,  3262,  3263,  1122,  1628,  3050,  3289,
    2701,  3051,  1132,  3268,  1633,  2735,  1161,   653,  1163,   171,
    2721,   902,  3134,  1633,  2704,  3714,    38,  3717,  1629,  1630,
    3135,   543,  1580,  1581,  3000,  3103,  1634,  1127,  3197,  1013,
   -2086,  3198,  2839, -2173,  3228,  3285,  3235,  3229,  3200,  3236,
    3203,  -881,  1128,   902,  3293,    42,  1144,  2160,  3329,  3349,
    1151,  3330,  1152, -2086,  3136, -2086, -2086,   798,  3339,  3351,
    1154,  3340,  2160,  1633,  3421,  1155,  1013,  3422,  1321,  2839,
    3924,  3425,  3448,  1162,  3426,  2172,  1634,  3544,   545,  1176,
    3545,  3694,    46,  1177,  2200,  1181,  3695,  3747, -2086,  3548,
    3748, -2086, -2086, -2086,    47,  3392,  3191,  3753,  3193,  2841,
    2172,  1187,     3,     4,  2941, -2173,  2928,  1210,   640,  3754,
    3397,  3399,  2172,  3841,  2741,  3063,  3842,  3065,  3886,  2951,
    2703,  3887,  3888,  1298,  3896,  2160,  3273,  2200,    48, -1080,
    3963, -1080,  2266,  3964,  1212,  2266,  2266,  2266,  2266,  2266,
    2266,  2266,  2266,  2266,  2266,  3977,  3283,  1620,  3978,  4016,
    1621,  1228,  4017,  4027,  2928, -2173,  2200,  2842,  3241,  1205,
    4034,  3091,   610,  1454,  1260,  3332,  4039,  1622,  1213,  3217,
     719,  4041,  1307,  4098,  3217,  1624,  1660,  4109,  2121,  2122,
    4110,    15,  1625,  1262,  4116,  1316,  3109,  2200,  1640,  1641,
    1642,  1643,  1644,  1645,  2266,  2266,  1317,  1640,  1641,  1642,
    1643,  1644,  1645,  4117,  1327,  4118,  2877,  1626,  2160,  2401,
    2402,  1325,  1610,  1770,   611, -1377, -1377,   553,  2841,   554,
    4121,  4123,  1329,  1454,  3217,  1214,  2313,  4140,   556,  4146,
    2200,  4147,  2200,  1334,  2200,  3527,  3966,  1339,   558,  4177,
    2977,   559,  1454,  4257,  2228,  2911,  4258,  1640,  1641,  1642,
    1643,  1644,  1645,  4271,  1341,  2841,  4258,  1215,  2921,  2293,
    2953,  2954,  2296,  2621,  2622,   902,  1348,   719,  3560,  3561,
    3106,  3107,  2959,  2960,  1351,  3621,  2842,  2916,  1195,  2917,
    2918,  2919,  1392,  1394,  1396,  1212,  2742,   171,  2205,   175,
    2202,  2203,  2204,  1388,  2510,  3693,  1408,  2943,  -165,   640,
    1410,  1412,  1424,  1432,   195,  1442,  2921,  1447,  1448,   718,
    1449,  1627,  1450,  2842,  1451,  1628,  3256,  3550,  1453,  1213,
    1454,  1460,  1463,  1109,  2843,  2844,  2845,  1464,  2846,  2847,
    2848,  2849,  2850,  2851,  1465,  1466,  1629,  1630,  1468,  1473,
    3862,  1475,  1474,  1480,  1487,  1512,  1537,   961,   963,   965,
     902,  1631,   967,   968,   969,  1543,  1539,  1767,  1545,  1546,
    1552,  1553,   974, -1478, -1485,  1768,  1562,  3054,  3640,  1565,
    1566,  1567,  1571,    48,  3066,  1573,  1214,  2951,  1632,  1576,
    3126,  1633,  3297, -1475, -1476,  1577,    33,  1578,  1579,  1584,
    2743,  1586,  1587,  1588,  1634,  2951, -1479,  1635,  1219,    38,
    1589,  3302, -1477,  1590,  1597,  1220,  1598,  1767,  1215,  1649,
    3677,  1600,  4069,  1309,  4071,  1768,  1601,  1602,  1603,  1604,
    1664,  1222,  1605,  1606,  1607,  1660,  3324,  3049,    42,  1223,
    2267,  1675,  3100,  2267,  2267,  2267,  2267,  2267,  2267,  2267,
    2267,  2267,  2267,  2843,  2844,  2845,  1683,  2846,  2847,  2848,
    2849,  2850,  2851,  1781,  1165,  3071,  1808,  1167,  1816,  1822,
    1823,  1824,  1535,  2267,  1826,    46,  3653,  1827,  1828,   612,
    1830,  2266,  1829,  1636,  1831,  1852,  1856,    47,  1878,  1224,
    2843,  2844,  2845,  2744,  2846,  2847,  2848,  2849,  2850,  2851,
    3644,  1880,  2267,  2267,  1881,  1882,  1883,  3647,  3648,  1904,
    2741,  1905,  1911,  1913,  1923,  1924,  1926,  1927,  3528,  1928,
    3802,   613,  1929,  1935,  2633,  1938,  1941,  2633,  2633,  3809,
    1212,  2633,  1950,  1936,  1942,  1943,  1949,  1953,  1956,  1954,
     778,  2633,  1963,  1242,  1964,  1970,  1347,    33,  1977,  1888,
    3145,  1218,  1978,  1988,  1989,  1993,  1990,  3599,  3600,  1219,
    1994,  1999,  2001,  2018,  1213,  2019,  1220,  2033,  3145,  2214,
    2031,  1637,  1638,  1639,  1309,  1640,  1641,  1642,  1643,  1644,
    1645,   902,  1222,   902,   640,  2034,  2043,  1558,  2832,  2044,
    1223,  3152,  3154,  2041,  1568,  1574,  3161,  1998,  2061,  2064,
    2067,  2068,   640,  3619,  2071,   539,  2074,  2073,  2095,  2090,
    2108,  1284,  2109,  3276,  2114,  3215,  2119,  2120,  2215,  1183,
    2124,  1214,  3196,  2117,  3884,  2135,  3650,  3651,  3652,  2136,
    3204,  3286,  2138,  2137,  2151,  2152,  2197,  2188,  2210,  2183,
    1224,  2275,  3240,   902,   171,  3232,  1620,  2234,  3211,  1621,
    2266,  2266,  2276,  1215,  2288,  3219,  2233,  2294,  1621,  3225,
    2299,  2298,   171,  3254,  2306,  2312,  2329,  2331,  2358,  2375,
    2371,  2216,  3234,  2378,  1624,  2374,  2379,  2387,  2928,  2388,
     725,  1625,  2742,  2396,  2397,  3848,  2400,  2420,  1498,  2422,
    2406,  1500,  2424,  1502,  2423,  1504,  2435,  1506,  2440,  3264,
    2217,  1510,  3265,  2445,  2443,  2218,  1626,  2453,  2447,  2448,
    2456,  2459,  2462,  2479,  2476,  2490,  2497,  3799,  3770,  3771,
    2495,  2544,  2549,  2553,  2556,  2610,  2557,  1013,  4169,  3862,
    2839,  2597,  2618,  2619,  2614,  2615,  2623,  1109,  2624,  2626,
    2627,  2628,  2630,   640,  2640,  2649,  2629,  3696,  2928,  2642,
    2646,  2653,  2219,  2661,  2656,  2657,  2667,  2658,  2659,  2660,
    2686,  2691,  2662,  2699,  2705,  2718,  2714,  2711,  3793,  3794,
    2719,  2734,  2736,  2748,  2750,  2751,  2752,  3601,   719,  2267,
    2754,  3965,    33,  2755,  2763,  2766,  1218,  3346,   719,  2768,
    2951,  3734,  2769,  2777,  1219,  2782,  1620,  2789,  2778,  1621,
    1767,  1220,  2774,  2779,  2211,  2797,  2780,  2801,  1768,  1309,
    2803,  2806,  2808,  3915,  1628,   983,  2826,  1222,  2809,  2822,
    1610,  2823,  2825,  2827,  1624,  1223,  2873,  2892,  2830,  2861,
    3372,  1625,   195,  2887,  4026,  1629,  1630,  2907,  2930,  2831,
    3407,  2833,  2836,  3462,  2936,  2854,  2860,  2938,  2862,  3365,
    3366,  3367,  3368,  3369,  3370,  3371,  1626,  2160,  2863,  2870,
    3786,  3787,  2885,  3789,  2886,  2900,  2220,  4211,  -927,  2965,
    2963,  2969,  2221,  2935,  2910,  1224,  2975,  3823,  2980,  2744,
    1633,  2983,  2990,  2986,  2991,  2985,  3870,  2994,  3871,  3872,
    3015,  3022,  3001,  1634,  3023,  3035,  3037,  3068,  4062,  3875,
    2222,  3074,  4067,  4068,  3069,  3072,  3075,  3509,  3076,  3077,
    3512,  3078,  3079,  3080,  3081,  3082,  2841,  3084,  1212,  2223,
    3083,  3086,  3085,  3087,  3089,  3094,  1535,  3088,  3096,  3098,
    3927,  1986,  3530,  3104,  3110,  3116,  3117,  3802,  3118,  3119,
    3120,  3121,  3147,  2224,  3150,  3151,  2050,  3167,  2267,  2267,
    3162,  3163,  1213,  3145,  4063,  3168,  3194,  3205,  3207,  3209,
    1627,  4066,  2156,  3216,  1628,  3217,  3226,  3221,  3227,  3223,
    3500,  2266,  3233,  3501,  2842,  3502,  3230,  4029,  3253,  3275,
    3889,  3259,  3270,  3261,  3499,  1629,  1630,   640,  3271,  3272,
    3281,  3280,  3291,  3522,  3523,  3282,  1555,  2266,  2266,  3296,
    1631,  2857,  2839,   640,  2856,  3325,  3326,  1614,  1232,  1214,
    3327,  2633,  3333,  3362,  1233,  3354,  3353,  2633,  2633,  2633,
    2633,  2633,  2633,  3378,  3391,  3760,  3341,   902,  1767,  3394,
    1633,  3552,  3435,  3400,  3417,  3453,  1768,  3410,  3411,  3455,
    3413,  1215,  3456,  1634,  3463,  3466,  3769,  3474,  3481,  4094,
    3464,  4243,  3496,  3414,  3482,  3493,  1234,  3494,  3778,  3497,
    3498,   640,  3504,  3483,  1640,  1641,  1642,  1643,  1644,  1645,
    3570,  3572,  3574,  3576,   971,   972,  3495,  3520,  3469,  3562,
    1767,  3524,  3531,  3533,  3534,  3559,  3563,  4001,  1768,  3564,
    3583,  1767,  3591,  3602,  3605,  3245,  3792,  3595,  3623,  1768,
    3604,  3627,  3566,  4243,  3569,  2172,  3608,  1235,  3628,  4168,
    4046,  3607,  3630,  3638,  4243,  1236,  3637,  3641,  1237,  4024,
    3649,  3592,  1636,  3654,  3657,  3643,  3935,  3658,  3659,  3660,
    3661,  3669,  3673,  1216,  3632,  4126,  2928,  3666,  3674,  3679,
    2928,  2843,  2844,  2845,  3603,  2846,  2847,  2848,  2849,  2850,
    2851,  3680,   798,  3682,  3949,  3678,  4162,  3686,  3681,  3708,
    1620,  3706,  3710,  1621,  3711,  1217,  3718,  3721,  3723,  3724,
      33,  1238,  3726,  4050,  1218,  3735,  3744,  3742,  3749,  3750,
    1622,  3764,  1219,  3727,  2266,  1652,  3738,  3765,  1624,  1220,
    3766,  3772,  3664,  3790,  3796,  1625,  3800,  1221,  3807,  3779,
    4232,  3782,  4074,  3815,  3812,  1222,  3816,  3824,  3828,  3829,
     640, -2173, -2173,  1223,  1640,  1641,  1642,  1643,  1644,  1645,
    1626,  3833,  3835,  3840,  3843,  3847,  1239,  3853,  3859,  1240,
    3874,  3860,  3868,  3882,  3883,  3885,  3892,  1620,  3890,  1241,
    1621,  3893,  3894,  3895,  3901,  1535,  3911,  1242,  3923, -2088,
    3908,  3917,  3921,  3925,  3929,  3941,  1243,  4033,  3944,  3958,
    3957,  3967,  3951,  1224,  3952,  1624,  3590,  4033,  3976,  2267,
    3986,  3974,  1625,  3987,  3989,  3991,  4005,  4006,  2267,  4003,
    4004,  4007,  4009,  4010,  4011,  4030,  4045,  4036,  2921,   726,
    4060,  4053,  2921,  1245,  4083,  2267,  2267,  1626,  4090,  4093,
    4107,  3702,  3703,  3704,  3705,  4087,  4113,  4114,  4108,  3773,
    4119,  4120,  3733,  4124,  4073,  4125,  4130,  4143,  3743,  4132,
    1246,  3783,  4064,  1481,  1627,  4148,  4149,  4152,  1628,  4154,
    4158,   171,  3736,  4165,  4166, -2088,  4167,  4170,  4195,  3402,
    4151,  4187,  4137,  4190,  4150,  4192,  3741,  4198,  4206,  1629,
    1630,  4223,  4235,  4246,  4253,  4256,  4264,  3795,  1156,  2000,
    4269,  2945,  3359,  2702,  1631,   640,  1231,  2548,  1858,   649,
     650,  3033,  3478,  1682,   656,  2609,  1247,  3123,   666,   672,
     649,  3961,   679, -2088,  3801,   672,   672,  3767,   705,  4075,
     708,  1632,  4122,  3839,  1633, -2088,  3988,  3625,  3990, -2088,
    3821, -2173,  1859,  4000, -2088,  1628,   640,  1634,  2988, -2088,
    1635,  2776, -2088,  4193,  3933, -2088,  1860,  4231,  4155,  3776,
    3777,  4153,  4204,  4095,  3780,  3781,  1629,  1630,  2993,  1861,
    4134,  4228,  3626,  2107,  2633,  2633,  2684,  3594,  2685,  3477,
    3044, -2173, -2088,  2668,  2087,  3596,  3597,  3212,   902,  4234,
    4270,  4265,  3805,  3164,  3806,  1535,  3148,  3810,  3811,  4205,
    3950,  2072, -2088,  4145,  4196,  3953,   655,  1530,  2928,  2941,
    1862,  1633,  4048,  2928,  3655,  3633,  2928,  4112,  2503,  3095,
    4216,   904,  2267,  3818,  1634,  3091,  1636,   798,  3634,  4267,
    3981,  2382,  1129,  2383,  2163,  2948,  3613,  3737,  3427,  1863,
   -2088,  1150,   640,  2949,  1864,  1779,  2928,  1805, -2088,  3837,
    2951,  2405,   171,  3830,  1804,   798,  2961,  2957,  2404,  1535,
    1809,  2974,  2399,  1535,  1535,  2962,  4038,   761,   766,   766,
     769,  3374,   766,   774,  3948,   761,   780,   705,  3861,   784,
     800,  3716,   780,  1137,   705,  3428,   705,  2654,  3345,  4028,
     766,   780,   705,  1812,  3335, -2088,  4178,  4186,  4179,  3664,
    3664,  3664,  3664, -2173,  2952,  2818, -2100,  2905,  2903,  3424,
       0,   778,     0,  2357,  1637,  1638,  1639,  3867,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,     0,     0,     0,     0,
       0,  2880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   653,  1865,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2928,     0,
    2921,     0,     0,     0, -2088,  2921,     0,     0,  2921,     0,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2088,     0, -2088,
   -2088,     0, -2100,     0,     0,  1640,  1641,  1642,  1643,  1644,
    1645,     0,     0,     0,     0,  1866,  2928,     0,     0,     0,
    2741,  1867,     0,  3145,  1868,     0,     0,     0,     0,     0,
       0,     0, -2088,     0,     0, -2088, -2088, -2088,     0,     0,
    1212,     0,     0,     0,     0,     0,     0,  2633,     0,  1869,
   -2100,  3962,  3926,     0,     0,  1870,     0,   640,     0,     0,
       0,     0, -2100,     0,     0,     0, -2100,     0,  1871,     0,
       0, -2100,     0,     0,  1213,     0, -2100,     0,     0, -2100,
       0,     0, -2100,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1872,     0,     0,  1620,     0,     0,  1621,     0,
       0,     0,  3970,     0,     0,     0,     0,     0,     0, -2100,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1624,     0,     0,     0,     0,     0, -2100,
    1625,  1214,     0,  1109,     0,     0,     0,     0,     0,     0,
       0,   798,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1626,     0,     0,     0,     0,
       0,     0,     0,  1215,     0,     0,     0, -2100,  2921,     0,
       0,     0,     0,     0,  1619, -2100,     0,     0,     0,  1620,
       0,     0,  1621,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2742,     0,     0,     0,     0,     0,     0,  1622,
       0,  4160,  1623,     0,     0,     0,     0,  1624,     0,     0,
       0,     0,     0,     0,  1625,   902,     0,     0,  2928,     0,
    3360,   824, -2100,     0,     0,     0,   705,  4057,   761,     0,
       0,     0,   766,     0,   769,     0,   766,     0,     0,  1626,
     780,     0,   784,   800,     0,   780,   881,     0,  4194,     0,
       0,     0,     0,   766,     0,     0,   780,     0,     0, -2173,
       0,     0,     0,  1628,     0,     0,     0,     0,   653,     0,
     903,     0,     0,     0,   761,     0,     0,     0,     0,   769,
       0,     0,     0,   761,  1629,  1630,   784,   800,     0,     0,
       0, -2100,    33,     0,     0,     0,  1218,     0,  1620, -2173,
       0,  1621,   766,     0,  1219,     0,     0,     0,     0,   955,
       0,  1220,     0,     0, -2100,     0, -2100, -2100,  1622,  1309,
       0,     0,     0,     0,     0,     0,  1624,  1222,     0,  1633,
       0,     0,     0,  1625,     0,  1223,     0,     0,     0,     0,
       0,     0,  1634,  1627,     0,     0,     0,  1628,     0, -2100,
     705,     0, -2100, -2100, -2100,     0,     0,     0,  1626,     0,
     705,   996,     0,     0,     0,     0,     0,     0,  1629,  1630,
       0,     0,  4268,     0,     0,     0,     0,     0,     0,  1104,
       0,   705,   672,  1631,   903,  1224,   672,     0,     0,  2744,
    3245,     0,     0,     0,     0,     0,     0,     0,   705,     0,
       0,     0,   705,     0,     0,     0,     0,  1384,  1104,     0,
    1632,     0,     0,  1633,     0,     0,     0,     0,     0,   705,
       0, -2173,     0,     0,     0,     0,  1634,     0,     0,  1635,
       0,   705,  4252,     0,     0,     0,   171,  4221,   175,  4218,
    4219,  4220,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4242,     0,     0,
       0,     0,  1627,     0,     0,     0,  1628,     0,     0,     0,
       0,     0,   705,     0,  4251,  4221,   175,  4218,  4219,  4220,
       0,     0,   766,   766,     0,     0,     0,  1629,  1630,     0,
       0,  4241,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1631,     0,     0,  1636,     0,     0,     0,  4242,
       0,     0,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,
    4242,   761,   171,  4221,   175,  4218,  4219,  4220,     0,  1632,
       0,   761,  1633,     0,   800,     0,     0,     0,  1384,     0,
       0,     0,     0,  4241,     0,  1634,     0,   766,  1635,     0,
       0,     0,     0,     0,  4241,     0,     0,     0,     0,     0,
       0,     0,     0,   705,     0,     0,     0,     0,  1232,  1401,
       0,   766,   766,     0,  1233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   705,   705,   705,   766,     0,
     761,     0,     0,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1401,  1234,   766,   766,     0,
       0,     0,     0,     0,  1636,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1620,     0,   903,  1621,     0,     0,
     784,  1104,     0,     0,     0,     0,     0,     0,     0,     0,
     903,     0,     0,     0,  1622,     0,     0,     0,     0,     0,
       0,     0,  1624,     0,     0,     0,     0,  1235,  1670,  1625,
       0,     0,  1515,  1515,  1232,  1236,     0,   705,  1237,   649,
    1233,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1626,     0,  1544,     0,     0,   705,
       0,     0,  1550,   903,     0,     0,     0,     0,     0,     0,
       0,     0,  1637,  1638,  1639,  1104,  1640,  1641,  1642,  1643,
    1644,  1645,  1234,     0,     0,     0,  2297,     0,     0,  1384,
       0,  1238,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,  1104,  1235,  1104,  1620,  1384,     0,  1621,     0,
       0,  1236,     0,     0,  1237,     0,  1239,     0,     0,  1240,
       0,  1104,     0,     0,     0,  1622,     0,     0,  1627,  1241,
       0,     0,  1628,  1624,     0,     0,     0,  1242,  1384,     0,
    1625,     0,     0,   903,     0,     0,  1243,     0,     0,     0,
     903,   903,     0,  1629,  1630,     0,   705,     0,     0,  1104,
       0,     0,     0,     0,     0,  1626,     0,  1238,  1631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1244,     0,
       0,     0,     0,  1245,     0,     0,     0,     0,  1104,     0,
       0,     0,  1104,  1104,     0,  1632,     0,     0,  1633,     0,
       0,     0,   705,   705,  1815,     0,     0,  1384,     0,     0,
    1246,  1634,     0,     0,  1635,     0,     0,     0,     0,     0,
     672,     0,  1239,     0,     0,  1240,  1384,     0,     0,     0,
       0,  1232,     0,     0,     0,  1241,     0,  1233,     0,     0,
       0,     0,     0,  1242,     0,     0,  1384,   672,     0,     0,
       0,     0,  1243,     0,     0,     0,     0,     0,  1910,     0,
       0,     0,     0,  1269,   705,     0,  1247,   766,     0,  1627,
       0,  1384,     0,  1628,     0,     0,     0,     0,     0,  1234,
       0,     0,     0,     0,  1287,     0,     0,     0,   800,  1245,
    1636,     0,     0,     0,  1629,  1630,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1631,
       0,  1270,     0,     0,     0,     0,  1288,     0,     0,     0,
     766,   766,   766,   766,   705,     0,  1384,     0,     0,     0,
    1235,     0,     0,   780,     0,   672,  1632,     0,  1236,  1633,
       0,  1237,     0,     0,     0,     0,     0,     0,     0,   784,
     784,  2014,  1634,   705,     0,  1635,     0,     0,     0,     0,
       0,   766,   766,     0,     0,     0,     0,   766,     0,     0,
       0,     0,  1247,  1620,     0,     0,  1621,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,
       0,  1271,  3149,     0,  1238,     0,     0,     0,     0,     0,
    1620,  1624,     0,  1621,     0,     0,     0,     0,  1625,     0,
       0,     0,     0,   766,     0,     0,     0,     0,     0,     0,
    1622,     0,     0,     0,     0,     0,     0,     0,  1624,     0,
       0,  1636,     0,  1626,   780,  1625,  1272,     0,  1273,     0,
     766,   766,   766,   766,     0,     0,     0,     0,     0,  1274,
     780,     0,  1240,     0,  1620,     0,     0,  1621,     0,  2014,
    1626,     0,  1241,     0,     0,     0,     0,     0,   761,     0,
    1242,     0,     0,     0,  1622,   769,     0,   761,  1275,  1243,
       0,     0,  1624,     0,     0,     0,   800,     0,     0,  1625,
       0,   705,     0,     0,     0,     0,     0,     0,  3363,  1384,
     705,     0,   780,     0,     0,     0,   766,   766,     0,     0,
       0,  1276,     0,   705,  1626,   955,  1245,  1277,     0,  1637,
    1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,
       0,     0,     0,  3344,     0,     0,     0, -2173,  1515,     0,
       0,  1628,     0,  1278,     0,     0,   761,     0,     0,     0,
     705,   705,     0,  1279,     0,     0,     0,     0,   705,     0,
       0,     0,  1629,  1630,  1627,     0,     0,     0,  1628,     0,
       0,   649,   649,     0,     0,  2213,     0, -2173,     0,  1104,
       0,  1104,     0,     0,     0,     0,     0,     0,  1104,  1629,
    1630,  1104,     0,     0,  1104,     0,     0,     0,     0,  1247,
       0,     0,  1104,  1104,  1631,     0,     0,  1633,     0,     0,
    1104,     0,   800,  1104,  1104,  1104,  1104,     0,  1627,     0,
    1634,     0,  1628,  1104,  1104,     0,  1104,     0,  1104,  1104,
       0,  1632,  1104,     0,  1633,     0,     0,     0,     0,     0,
       0,     0,     0,  1629,  1630,     0,     0,  1634,  1104,     0,
    1635,     0,   766,  1104,     0,     0,     0,  1104,  1631,     0,
       0,  1104,     0,  1104,  1104,  1104,  1104,  1104,  1104,  1104,
    1104,  1104,     0,  1104,     0,     0,     0,   705,  1104,     0,
    1104,     0,     0,     0,     0,  1632,   705,     0,  1633,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2173,
       0,  1634,     0,     0,  1635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1232,
       0,     0,     0,     0,     0,  1233,     0,     0,     0,     0,
       0,  1620,     0,     0,  1621,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1622,  1384,     0,     0,     0,     0,  1384,  1384,  1624,
    1636,     0,     0,     0,     0,     0,  1625,  1234,  1384,     0,
       0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,
     705,     0,   705,     0,  1104,     0,     0,     0,     0,     0,
       0,  1626,     0,     0,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,     0,     0,  3416,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1235,     0,
    2412,     0,  2419,     0,     0,     0,  1236,     0,   780,  1237,
       0,     0,     0,   780,     0,     0,   780,   769,     0,     0,
       0,     0,   649,     0,   649,     0,     0,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,   780,  1104,
       0,     0,  3437,     0,   761,     0,   766,   766,   766,     0,
     761,   800,     0,   766,     0,   766,     0,   766,   766,     0,
    1232,     0,  1238,     0,     0,     0,  1233,   780,     0,     0,
       0,     0,     0,     0,     0,  1627,     0,     0,     0,  1628,
       0,  1384,     0,     0,     0,     0,     0,     0,     0,     0,
     780,     0,  1910,     0,     0,     0,     0,     0,  2511,     0,
    1629,  1630,     0,  2520,     0,     0,     0,     0,  1234,   705,
       0,     0,     0,   780,     0,  1631,     0,  1239,     0,     0,
    1240,     0,     0,     0,     0,     0,     0,     0,  2551,  2551,
    1241,     0,     0,     0,     0,   769,   780,     0,  1242,   780,
       0,     0,  1632,     0,     0,  1633,     0,  1243,     0,   766,
       0,     0,     0,     0,     0,  1384,   780,     0,  1634,  1235,
       0,  1635,     0,   780,     0,     0,     0,  1236,     0,     0,
    1237,     0,  2599,     0,  2601,  2603,   780,     0,     0,  1312,
       0,     0,     0,     0,  1245,   780,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1620,     0,
       0,  1621,     0,     0,   766,     0,     0,     0,     0,     0,
       0,  1313,   766,   766,   766,   766,   766,   766,  1622,     0,
       0,     0,     0,  1238,     0,     0,  1624,  1104,     0,     0,
       0,     0,     0,  1625,     0,     0,     0,  1636,  1384,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1620,
       0,     0,  1621,     0,  1910,     0,     0,   784,  1626,  2551,
     705,     0,     0,     0,   649,     0,     0,  1247,     0,  1622,
       0,     0,     0,     0,     0,     0,     0,  1624,  1239,     0,
       0,  1240,     0,     0,  1625,     0,     0,     0,     0,  2599,
       0,  1241,     0,     0,     0,     0,   766,  2732,     0,  1242,
       0,     0,     0,     0,     0,     0,   903,     0,  1243,  1626,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   766,  2551,   766,  2551,  1637,  1638,  1639,     0,  1640,
    1641,  1642,  1643,  1644,  1645,     0,     0,     0,   903,  3667,
    1875,     0,   784,     0,     0,  1245,  1104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1515,     0,
       0,     0,  1627,     0,  1620,     0,  1628,  1621,     0,     0,
       0,     0,  1876,     0,   780,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1629,  1630,     0,
       0,     0,  1624,     0,     0,     0,   780,     0,     0,  1625,
     761,     0,  1631,     0,   761,     0,     0,     0,     0,     0,
       0,     0,   766,  1627,     0,     0,     0,  1628,     0,  1104,
    1104,     0,     0,     0,  1626,     0,     0,     0,  1247,  1632,
       0,     0,  1633,     0,     0,     0,     0,     0,  1629,  1630,
       0,     0,     0,     0,     0,  1634,     0,     0,  1635,  1104,
    1104,     0,     0,  1631,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1104,  1104,  1104,  1104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1104,
    1632,     0,  1104,  1633,  1104,  2884,     0,     0,     0,     0,
       0,     0,     0,     0,  1104,  1104,  1634,     0,  1104,  1635,
    1384,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1104,     0,  1104,     0,   800,     0,  1104,     0,     0,
       0,     0,     0,     0,  1636,     0,     0,     0,  1627,     0,
       0,     0,  1628,  1104,     0,     0,     0,   705,  1384,  1384,
       0,  1384,     0,     0,  2929,     0,  1104,  1104,  1104,     0,
       0,     0,     0,  1629,  1630,     0,     0,     0,     0,     0,
     903,     0,  1620,  1104,     0,  1621,     0,     0,  1631,     0,
       0,     0,     0,     0,  1104,  1636,     0,     0,     0,  1104,
       0,     0,  1622,   705,     0,     0,  1104,     0,     0,     0,
    1624,  1384,  2929,  1384,     0,  2968,     0,  1625,  1633,  2419,
       0,     0,     0,     0,     0,     0,     0,     0,   780,     0,
       0,  1634,  1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,
    1644,  1645,  1626,     0,     0,     0,  3701,     0,     0,  1104,
       0,  2551,     0,     0,     0,     0,  1515,  1384,     0,     0,
       0,     0,     0,     0,     0,   903,     0,     0,     0,     0,
       0,     0,     0,   766,     0,   766,   766,     0,     0,     0,
       0,     0,  1384,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,     0,     0,     0,     0,  3891,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1384,     0,     0,
    1636,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1384,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1627,     0,     0,     0,
    1628,     0,     0,     0,     0,   780,     0,     0,     0,     0,
       0,     0,   780,     0,     0,     0,     0,     0,     0,     0,
       0,  1629,  1630,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1631,     0,     0,     0,
    1384,     0,     0,     0,     0,     0,     0,     0,  1637,  1638,
    1639,  1384,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,
       0,     0,  1384,  1632,     0,     0,  1633,     0,     0,     0,
     780,     0,     0,     0,     0,   769,     0,     0,     0,  1634,
       0,     0,  1635,     0,  2551,  2551,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1384,     0,
       0,     0,     0,     0,     0,     0,   903,     0,   903,     0,
       0,     0,   705,     0,     0,     0,     0,  1384,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1636,     0,
       0,     0,     0,     0,     0,     0,     0,  1515,   705,     0,
       0,     0,  1384,     0,     0,   705,     0,     0,     0,   705,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   705,     0,     0,     0,     0,     0,   903,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1384,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   705,
       0,     0,   705,     0,     0,   780,     0,     0,     0,     0,
    3269,     0,     0,     0,     0,     0,     0,     0,   761,     0,
       0,   780,     0,     0,     0,     0,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,   705,     0,   780,
    3931,     0,     0,     0,     0,   766,     0,  1376,     0,     0,
       0,     0,     0,  1104,     0,     0,     0,     0,     0,     0,
       0,     0,  1104,     0,     0,     0,     0,     0,  1104,     0,
    1104,     0,     0,     0,     0,     0,  1104,     0,     0,  1104,
    1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,     0,
       0,     0,  1104,  1104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1104,     0,     0,     0,  1104,
       0,     0,     0,  1104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1104,     0,     0,  1104,     0,  1104,     0,
    1620,     0,     0,  1621,     0,     0,     0,  1104,  1104,  1104,
    1384,     0,     0,  1104,     0,     0,  1104,     0,     0,     0,
    1622,     0,     0,   705,   705,   705,  2929,  3377,  1624,     0,
       0,  3377,  3390,     0,     0,  1625,  1104,     0,     0,     0,
       0,     0,  3404,     0,  1104,     0,  1104,   520,  1376,     0,
       0,     0,     0,   567,   520,     0,     0,     0,     0,   609,
    1626,   520,     0,     0,     0,     0,   520,     0,   658,  1104,
       0,     0,     0,     0,     0,  1104,     0,     0,     0,  2419,
       0,  1104,     0,     0,     0,     0,   717,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3443,  1515,  1515,     0,
    2014,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   766,   766,   766,   766,     0,     0,     0,     0,
       0,   780,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1620,     0,     0,  1621,     0,     0,     0,     0,
       0,     0,     0,  3476,     0,     0,     0,     0,     0,     0,
       0,     0,  1622,     0,     0,     0,     0,     0,     0,     0,
    1624,     0,     0,  1384,  1627,     0,     0,  1625,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   780,     0,     0,   780,  1629,
    1630,     0,  1626,     0,  1384,     0,     0,     0,     0,     0,
       0,     0,  3525,     0,  1631,     0,     0,     0,   769,     0,
     780,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   773,     0,     0,     0,
       0,  1632,   903,     0,  1633,     0,   802,     0,   804,  1376,
     806,     0,   808,     0,     0,     0,     0,  1634,     0,  1620,
    1635,     0,  1621,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1622,
       0,     0,   705,     0,     0,     0,     0,  1624,     0,     0,
       0,     0,     0,   766,  1625,  1104,  1376,     0,     0,     0,
       0,   705,     0,     0,     0,     0,  1627,     0,     0,     0,
    1628,  1384,     0,     0,  1910,     0,     0,     0,     0,  1626,
       0,     0,  1384,     0,   705,     0,     0,     0,  1376,     0,
       0,  1629,  1630,  2599,     0,     0,  1636,     0,     0,  3620,
       0,     0,     0,  1910,     0,  3269,  1631,     0,     0,     0,
       0,     0,     0,  1104,  1104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1632,     0,  2551,  1633,  2551,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1634,
       0,     0,  1635,     0,   780,     0,     0,  1376,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1104,     0,     0,     0,     0,     0,  1376,     0,     0,     0,
       0,  1384,     0,  1627,  1637,  1638,  1639,  1628,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,  1376,     0,  3972,     0,
       0,     0,  1384,     0,     0,     0,  1104,     0,  1629,  1630,
       0,     0,     0,     0,  1384,     0,  1104,  1104,     0,     0,
       0,  1376,     0,  1631,  1104,  1104,     0,     0,  1636,  1104,
       0,   825,     0,     0,     0,  1104,  1104,     0,     0,  1104,
       0,   705,   705,   705,   705,     0,     0,     0,  3377,     0,
    1632,  3707,  1384,  1633,  2929,     0,     0,     0,  2929,     0,
       0,     0,     0,     0,  3720,   826,  1634,  1104,     0,  1635,
       0,     0,  1104,     0,     0,     0,  1376,     0,  3730,   827,
     828,     0,     0,     0,  1104,     0,     0,     0,   829,     0,
     800,     0,   830,     0,     0,     0,     0,     0,  2968,     0,
       0,     0,  2419,     0,     0,     0,     0,     0,     0,     0,
     831,   649,     0,     0,  1104,     0,  1637,  1638,  1639,     0,
    1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,     0,
    4159,  2551,  2551,   832,     0,     0,     0,     0,     0,     0,
       0,     0,   856,     0,     0,  1636,     0,     0,  3768,     0,
     865,   833,     0,     0,     0,     0,     0,   780,     0,     0,
     882,   883,   834,     0,     0,   885,     0,   835,     0,   780,
       0,     0,     0,     0,     0,   899,     0,     0,     0,     0,
       0,     0,   766,     0,     0,     0,     0,     0,   907,   836,
       0,     0,     0,     0,     0,     0,   766,     0,     0,     0,
       0,  1384,     0,   929,     0,   780,   931,     0,   933,     0,
     936,     0,     0,     0,   837,     0,     0,     0,     0,     0,
     609,     0,     0,   903,     0,  1620,     0,     0,  1621,     0,
       0,  1515,     0,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,     0,     0,  3412,     0,   520,     0,  1376,
       0,     0,     0,  1624,     0,     0,     0,     0,     0,  1104,
    1625,     0,     0,     0,     0,   838,     0,     0,     0,   993,
       0,   994,     0,     0,     0,     0,     0,     0,  1620,     0,
       0,  1621,     0,     0,     0,  1626,     0,   766,  1910,     0,
       0,     0,     0,     0,   195,     0,     0,     0,  1622,     0,
    1384,     0,     0,     0,     0,     0,  1624,   763,     0,     0,
       0,     0,     0,  1625,     0,   763,     0,   705,     0,     0,
       0,   839,     0,   717,     0,     0,   840,     0,   841,     0,
       0,     0,     0,   780,   842,     0,     0,   843,  1626,     0,
       0,     0,     0,     0,     0,  1104,     0,     0,     0,     0,
    3699,     0,     0,     0,  1104,     0,     0,     0,     0,     0,
       0,     0,   844,     0,   845,     0,     0,     0,   846,     0,
       0,  1104,  1104,     0,     0,  1104,   847,     0,     0,     0,
       0,   848,  3377,     0,     0,     0,  2929,     0,     0, -2173,
    1384,  2929,     0,  1628,  2929,  2599,     0,  3913,     0,  1104,
    1104,     0,     0,     0,     0,   849,     0,     0,     0,     0,
       0,  1384,     0,     0,  1629,  1630,     0,     0,   780,     0,
     780,     0,  1315,     0,  3443,   800,   766,   766,   766, -2173,
    1620,     0,     0,  1621,     0,     0,     0,     0,  1330,     0,
       0,  1384,  1627,     0,     0,     0,  1628,     0,     0,  1338,
    1622,     0,   761,   800,     0,     0,  1340,     0,  1624,  1633,
       0,     0,     0,     0,     0,  1625,     0,  1629,  1630,     0,
    1390,     0,  1634,     0,     0,  1384,     0,     0,     0,  1384,
    1384,     0,  1631,  1515,     0,  1620,     0,     0,  1621,   761,
    1626,     0,   705,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1435,  2551,     0,  1910,     0,  1632,
       0,     0,  1633,  1624,     0,     0,     0,     0,  3620,     0,
    1625,     0,  1376,   705,     0,  1634,     0,  1376,  1376,     0,
       0,     0,     0,     0,     0,   766,  3443,     0,  1376,     0,
       0,     0,     0,     0,     0,  1626,     0,     0,     0,     0,
       0, -2173,     0,     0,     0,     0,     0,     0,  1104,     0,
       0,  1104,     0,  1104,     0,     0,     0,     0,   520,     0,
     520,     0,   520,     0,   520,     0,   520,   520,   520,     0,
    1104,     0,     0,   520,  2929,     0,     0,  3913,     0,     0,
       0,     0,     0,  4044,  1627,     0,     0,     0,  1628,     0,
       0,     0,     0,     0,  1636,     0,     0,     0,     0,     0,
       0,     0,     0,   766,     0,     0,     0,   705,     0,  1629,
    1630,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     766,   766,   766,   766,  1631,     0,     0,     0,     0,     0,
     903,     0,     0,  1640,  1641,  1642,  1643,  1644,  1645,  1627,
       0,     0,     0,  1628,     0,     0,     0,     0,   763,     0,
       0,  1632,  1104,     0,  1633,     0,     0,     0,     0,     0,
       0,  1376,     0,     0,  1629,  1630,     0,  1634,     0,     0,
    1635,     0,     0,     0,     0,     0,     0,     0,     0,  1631,
       0,     0,  1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,
    1644,  1645,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,   763,     0,     0,  1632,     0,     0,  1633,
       0,  1104,     0,     0,     0,     0,     0,   766,     0,   800,
       0,     0,  1634,     0,     0,     0,  1104,     0,     0,     0,
       0,     0,     0,     0,     0,  1376,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1636,     0,     0,     0,
     717,     0,     0,     0,     0,     0,   766,     0,     0,   761,
       0,     0,     0,     0,     0,     0,     0,  1620,     0,     0,
    1621,  1401,   784,     0,     0,     0,  3443,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1622,     0,     0,
    4044,  2389,     0,  1104,  1104,  1624,   780,     0,     0,   763,
       0,  1636,  1625,     0,     0,     0,   761,     0,     0,  1874,
       0,     0,     0,     0,   766,     0,     0,     0,  1376,     0,
       0,     0,     0,     0,     0,     0,     0,  1626,   763,     0,
       0,     0,     0,     0,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,  1104,     0,  4254,     0,
       0,     0,     0,     0,     0,     0,  1104,     0,     0,     0,
       0,   766,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2390,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1637,
    1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     761,  1627,     0,     0,     0,  1628,     0,     0,     0,     0,
       0,   763,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   763,     0,     0,     0,     0,  1629,  1630,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1631,     0,     0,     0,  1386,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2066,     0,     0,  1632,     0,
       0,  1633,     0,     0,     0,     0,     0,     0,     0,     0,
     763,  2089,  -123,     0,  1634,     0,     0,  1635,     0,     0,
       0,     0,     0,     0,     0,     0,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     2,     0,     3,     4,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2130,
       0,     0,     0,  2134,     5,     0,     0,     0,     0,     0,
       0,   763,     0,  2143,     0,  2145,     0,  2146,     0,     0,
       0,     0,  2147,     0,     6,     0,     7,     8,     9,     0,
    1376,     0,     0,    10,     0,    11,     0,     0,     0,     0,
       0,     0,     0,  1636,     0,     0,    12,   520,    13,   520,
       0,   520,     0,   520,     0,   520,  1386,     0,     0,   520,
       0,     0,     0,     0,    14,     0,     0,    15,  1376,  1376,
       0,  1376,     0,     0,     0,     0,     0,     0,     0,     0,
      16,     0,     0,    17,     0,   763,     0,    18,     0,     0,
       0,     0,  2391,    19,     0,     0,     0,     0,     0,     0,
      20,     0,    21,     0,     0,     0,     0,     0,    22,     0,
       0,     0,     0,   763,     0,     0,     0,     0,     0,     0,
       0,  1376,    23,  1376,     0,     0,     0,     0,     0,     0,
       0,  1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,
    1645,   763,   763,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   763,     0,     0,     0,     0,     0,  1376,     0,     0,
       0,     0,     0,     0,     0,     0,    24,    25,     0,     0,
       0,     0,    26,     0,     0,     0,     0,     0,     0,     0,
       0,    27,  1376,     0,     0,     0,     0,     0,     0,   763,
    1766,     0,     0,    28,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1376,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   763,     0,
       0,     0,   763,   763,     0,  1376,     0,     0,     0,     0,
       0,    29,     0,     0,     0,     0,     0,  1386,     0,     0,
       0,     0,    30,  1766,     0,     0,     0,    31,     0,    32,
       0,     0,     0,     0,     0,    33,     0,     0,     0,     0,
      34,     0,     0,     0,    35,     0,     0,     0,     0,    36,
       0,     0,     0,     0,    37,    38,     0,     0,     0,     0,
       0,     0,    39,     0,  1386,    40,     0,     0,     0,     0,
    1376,     0,    41,     0,     0,     0,     0,     0,     0,     0,
       0,  1376,     0,     0,    42,     0,     0,     0,     0,     0,
       0,     0,  1376,     0,     0,     0,  1386,     0,     0,     0,
       0,    43,     0,     0,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,    46,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    47,  1620,     0,     0,  1621,     0,     0,
       0,     0,  2426,  2427,     0,     0,     0,  2430,  2431,     0,
       0,  2434,     0,     0,  1622,     0,     0,     0,  1376,     0,
       0,  2444,  1624,     0,     0,  1386,     0,    48,  2452,  1625,
    -123,     0,     0,     0,  2457,  2458,     0,  1376,     0,     0,
       0,     0,     0,     0,  1386,  2472,     0,  2474,     0,     0,
       0,     0,     0,     0,  1626,     0,     0,     0,     0,     0,
       0,  2494,  1376,     0,  1386,     0,  2496,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1766,     0,     0,     0,     0,  1386,
       0,     0,  2512,  2513,  2516,  2518,     0,     0,  1376,  2525,
    2528,     0,     0,     0,     0,     0,     0,  2539,     0,     0,
    2543,     0,     0,     0,  2547,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2570,     0,     0,  2856,     0,   763,     0,
       0,  2857,     0,  2573,  1386,  2575,     0,   763,     0,     0,
       0,     0,     0,  2578,  2579,  2580,     0,  2582,  1627,     0,
       0,     0,  1628,     0,     0,     0,     0,     0,     0,     0,
    2605,  2606,  2607,   765,   767,     0,     0,   771,   772,     0,
    2612,  2613,     0,  1629,  1630,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1620,   809,     0,  1621,  1631,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1622,     0,   763,     0,     0,     0,
       0,     0,  1624,     0,     0,  1632,     0,     0,  1633,  1625,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1634,     0,  2679,  1635,     0,     0,     0,     0,   763,
    1376,   763,     0,     0,  1626,     0,     0,     0,   763,     0,
       0,   763,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,   763,   763,     0,     0,     0,     0,     0,     0,
     763,     0,     0,   763,   763,   763,   763,     0,     0,     0,
       0,     0,     0,   763,   763,     0,   763,     0,   763,   763,
       0,     0,   763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1386,   763,  1766,
    1636,     0,     0,   763,     0,     0,     0,   763,     0,     0,
       0,   763,     0,   763,   763,   763,   763,   763,   763,   763,
     763,   763,     0,   763,     0,     0,     0,     0,   763,     0,
     763,     0,     0,     0,     0,     0,     0,     0,  1627,     0,
       0,     0,  1628,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1629,  1630,  2799,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1631,     0,
       0,     0,     0,  1376,     0,     0,     0,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,
       0,     0,   181,     0,     0,  1632,     0,     0,  1633,     0,
    1620,     0,     0,  1621,  1376,     0,     0,     0,     0,     0,
       0,  1634,     0,     0,  1635,     0,     0,     0,     0,     0,
    1622,     0,     0,     0,     0,     0,     0,     0,  1624,  1620,
       0,     0,  1621,     0,  3336,  1625,     0,     0,     0,     0,
     182,     0,     0,     0,   763,     0,     0,     0,     0,  1622,
       0,     0,  2820,   183,     0,     0,     0,  1624,     0,     0,
    1626,     0,     0,     0,  1625,     0,     0,     0,     0,     0,
       0,   184,     0,     0,     0,     0,     0,   185,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1626,
    1636,     0,  1766,     0,   186,     0,     0,   860,     0,     0,
       0,   863,     0,  3337,     0,     0,     0,     0,     0,     0,
       0,  1376,   187,     0,     0,     0,     0,     0,   886,   763,
       0,     0,  1376,   188,   763,     0,     0,     0,   189,     0,
     763,     0,     0,     0,   190,     0,     0,     0,     0,     0,
       0,  4226,     0,     0,     0,     0,     0,     0,     0,     0,
     191,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1386,     0,     0,     0,  1627,  1386,  1386,     0,  1628,     0,
       0,     0,  2978,  2979,     0,   192,  1386,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,  1629,
    1630,     0,  1766,  1627,     0,  1766,     0,  1628,     0,     0,
       0,     0,     0,     0,  1631,     0,     0,     0,   193,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1629,  1630,
       0,  1376,     0,     0,     0,     0,   194,     0,  3010,  3012,
       0,  1632,  3012,  1631,  1633,     0,  3019,  3020,  3021,     0,
       0,     0,  1376,     0,     0,     0,     0,  1634,     0,     0,
    1635,     0,     0,     0,  1376,   195,     0,     0,     0,     0,
    1632,     0,     0,  1633,     0,     0,     0,  4227,     0,     0,
    3039,  3040,  3041,  3042,     0,     0,  1634,     0,     0,  1635,
       0,     0,   196,     0,     0,     0,     0,     0,     0,   197,
       0,     0,  1376,     0,     0,   198,     0,     0,   199,     0,
       0,     0,     0,     0,     0,     0,  3067,   763,     0,  1386,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1620,     0,   200,  1621,   201,  1636,     0,     0,   202,
       0,     0,     0,     0,     0,     0,     0,   203,     0,     0,
       0,  1622,   204,     0,     0,     0,     0,  1258,  1259,  1624,
       0,     0,     0,   205,     0,  1636,  1625,     0,     0,  3099,
       0,     0,     0,     0,  3101,     0,   206,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1626,     0,  1386,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1342,     0,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,     0,     0,   763,     0,     0,     0,
    3192,     0,     0,     0,     0,     0,  1403,  1404,     0,     0,
    3199,  1376,     0,  1637,  1638,  1639,     0,  1640,  1641,  1642,
    1643,  1644,  1645,  1431,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1386,  3218,     0,  3220,
       0,     0,  1385,     0,     0,     0,     0,     0,     0,     0,
     763,     0,  1457,  1459,   763,  1627,     0,     0,     0,  1628,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   763,
     763,     0,     0,     0,  3257,     0,     0,     0,     0,     0,
    1629,  1630,     0,     0,     0,     0,     0,  3266,     0,     0,
       0,     0,     0,     0,     0,  1631,     0,     0,     0,   763,
     763,     0,     0,     0,   763,     0,     0,     0,     0,     0,
    1376,     0,     0,     0,     0,     0,   763,   763,   763,   763,
       0,     0,  1632,     0,  1766,  1633,     0,     0,     0,   763,
    1766,     0,   763,     0,   763,     0,     0,     0,  1634,     0,
       0,  1635,     0,     0,   763,   763,     0,     0,   763,     0,
       0,     0,     0,     0,     0,  2834,     0,     0,     0,     0,
       0,   763,     0,   763,     0,     0,     0,   763,     0,     0,
       0,     0,     0,  1385,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   763,  1620,     0,     0,  1621,     0,     0,
       0,     0,     0,     0,   763,     0,   763,   763,   763,     0,
    1376,     0,     0,     0,  1622,     0,     0,  2864,     0,     0,
       0,     0,  1624,   763,     0,     0,     0,  1636,     0,  1625,
       0,  1376,     0,     0,   763,     0,     0,     0,     0,   763,
       0,     0,     0,     0,     0,     0,   763,     0,     0,     0,
       0,     0,   763,     0,  1626,     0,     0,     0,     0,     0,
       0,  1376,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   763,
       0,     0,     0,     0,     0,  1376,     0,     0,     0,  1376,
    1376,     0,     0,     0,     0,     0,     0,     0,  1386,     0,
       0,     0,     0,     0,     0,  1637,  1638,  1639,     0,  1640,
    1641,  1642,  1643,  1644,  1645,     0,     0,     0,     0,     0,
    3454,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1386,  1386,     0,  1386,
       0,     0,     0,     0,     0,     0,     0,     0,  1627,     0,
       0,     0,  1628,     0,  3475,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1385,     0,  1766,  1766,  1766,     0,
       0,     0,  1925,  1629,  1630,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1631,  1386,
       0,  1386,     0,     0,  3503,     0,     0,     0,     0,  3510,
    3511,     0,  3513,  3514,  3515,  3516,  3517,  3518,  3519,     0,
       0,  1903,     0,     0,     0,  1632,     0,  3526,  1633,     0,
       0,     0,     0,     0,     0,  1981,  1982,  1983,  1984,     0,
       0,  1634,     0,     0,  1635,  1386,     0,     0,     0,     0,
       0,     0,     0,  1385,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1386,     0,     0,     0,     0,     0,  2022,  2023,     0,     0,
       0,     0,  2032,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1766,     0,     0,  1386,     0,     0,     0,     0,
       0,     0,  3578,  3580,  3582,     0,     0,  3585,     0,     0,
       0,     0,  1766,  1386,     0,     0,     0,     0,     0,     0,
    1636,     0,  1385,     0,     0,     0,     0,     0,  2057,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1385,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2091,  2092,  2093,  2094,     0,
       0,  1385,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1386,     0,
       0,     0,  3012,     0,     0,     0,  1385,     0,     0,  1386,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1386,     0,     0,     0,     0,     0,     0,     0,  1637,  1638,
    1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,
       0,     0,  2155,     0,     0,     0,     0,     0,   763,  1091,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1620,  1385,     0,  1621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1147,     0,
    1622,     0,     0,   763,     0,     0,  1386,     0,  1624,     0,
       0,     0,   763,     0,     0,  1625,     0,     0,   763,     0,
     763,     0,     0,     0,     0,  1386,   763,     0,     0,   763,
     763,   763,   763,   763,   763,   763,   763,   763,   763,     0,
    1626,     0,   763,   763,     0,     0,     0,     0,     0,     0,
    1386,     0,     0,     0,     0,   763,     0,     0,     0,   763,
       0,  1766,     0,   763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   763,     0,     0,   763,     0,   763,     0,
       0,     0,     0,     0,     0,     0,  1386,   763,   763,   763,
       0,     0,     0,   763,     0,     0,   763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   763,  2310,     0,     0,
       0,     0,     0,     0,     0,     0,   763,     0,     0,     0,
       0,     0,     0,     0,   763,     0,   763,  2869,     0,     0,
       0,     0,  3763,     0,     0,     0,     0,     0,     0,     0,
    1620,     0,     0,  1621,  1627,     0,     0,     0,  1628,   763,
       0,  3774,  3775,     0,  1385,   763,     0,     0,     0,     0,
    1622,   763,     0,  3784,  3785,     0,     0,     0,  1624,  1629,
    1630,     0,     0,     0,     0,  1625,   763,     0,     0,     0,
       0,     0,     0,     0,  1631,     0,     0,  2369,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1626,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1632,     0,     0,  1633,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1634,     0,     0,
    1635,     0,     0,  1766,     0,     0,     0,  1766,  1386,  1766,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1378,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3832,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3852,     0,     0,
       0,     0,     0,     0,  1627,  1560,  1636,     0,  1628,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1629,
    1630,     0,     0,  1583,     0,     0,     0,     0,     0,     0,
       0,  2463,  2464,  2465,  1631,     0,     0,     0,  2473,     0,
    2475,     0,  2477,  2478,     0,     0,     0,     0,     0,     0,
       0,  1608,  1609,     0,  1611,   763,     0,     0,     0,     0,
       0,  1632,     0,     0,  1633,     0,     0,     0,     0,     0,
       0,  1650,     0,     0,     0,     0,     0,  1634,  1378,     0,
    1635,  1386,     0,     0,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,   520,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1685,
       0,     0,  1386,   763,   763,     0,     0,  2498,     0,     0,
       0,     0,  1903,  2505,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1385,  2572,     0,     0,     0,  1787,     0,
       0,     0,  1797,  1800,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1636,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     763,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3294,     0,     0,     0,     0,     0,  3979,     0,  2625,
       0,     0,     0,     0,     0,     0,     0,  2634,  2635,  2636,
    2637,  2638,  2639,     0,     0,     0,   763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   763,   763,     0,  1386,
       0,     0,     0,     0,   763,   763,     0,  3012,     0,   763,
    1386,     0,     0,     0,     0,   763,   763,     0,     0,   763,
       0,     0,     0,     0,  1637,  1638,  1639,     0,  1640,  1641,
    1642,  1643,  1644,  1645,   763,     0,     0,     0,   763,     0,
       0,     0,     0,     0,     0,  1647,  1385,   763,     0,  1378,
       0,     0,   763,     0,     0,     0,  1620,     0,     0,  1621,
       0,  2722,     0,     0,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1622,     0,     0,  2875,
       0,     0,     0,     0,  1624,     0,  2758,     0,  2760,     0,
       0,  1625,     0,     0,   763,     0,  1378,     0,     0,     0,
       0,  1647,     0,     0,     0,     0,     0,     0,     0,  1386,
       0,     0,     0,     0,     0,     0,  1626,     0,     0,     0,
    1903,     0,     0,     0,     0,     0,     0,     0,  1378,     0,
    1386,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1386,     0,     0,  4104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3012,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2810,     0,     0,
    1386,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1378,     0,     0,
       0,  1766,     0,  1385,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1378,     0,     0,     0,
    1627,     0,     0,     0,  1628,     0,  4156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1378,     0,     0,   763,
       0,     0,     0,     0,     0,  1629,  1630,     0,     0,     0,
       0,  1766,     0,     0,     0,     0,     0,     0,     0,     0,
    1631,  1378,     0,  1620,     0,     0,  1621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1622,     0,     0,  3343,  1632,     0,     0,
    1633,  1624,     0,     0,  1386,     0,     0,     0,  1625,     0,
       0,     0,     0,  1634,  4210,     0,  1635,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1378,     0,  2237,     0,
       0,     0,     0,  1626,     0,   763,     0,     0,     0,  1386,
       0,     0,     0,     0,   763,     0,     0,     0,     0,     0,
    2259,     0,     0,  2261,     0,     0,  2272,     0,     0,     0,
       0,   763,   763,  2279,  2284,   763,     0,     0,     0,  2290,
       0,     0,  2295,  2369,  2369,  2369,   763,     0,     0,     0,
       0,   763,     0,     0,   763,     0,     0,     0,  2304,   763,
     763,     0,  1636,  2311,     0,     0,     0,  2323,     0,     0,
       0,  2330,     0,  2332,  2333,  2334,  2335,  2336,  2337,  2338,
    2339,  2340,     0,  2341,   763,     0,  1620,     0,  1091,  1621,
    2366,     0,     0,     0,     0,     0,     0,     0,  3002,     0,
    3003,  3004,     0,     0,     0,     0,  1622,  1627,  1386,     0,
       0,  1628,   763,     0,  1624,     0,     0,     0,     0,  1647,
       0,  1625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1629,  1630,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1385,  1626,  1631,     0,   763,
    1637,  1638,  1639,     0,  1640,  1641,  1642,  1643,  1644,  1645,
       0,     0,     0,     0,     0,  1379,     0,     0,     0,  1378,
       0,     0,     0,     0,  1632,     0,     0,  1633,     0,     0,
       0,     0,     0,  1903,  2505,     0,  2505,     0,     0,     0,
    1634,     0,     0,  1635,  1647,     0,   763,     0,  1386,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1147,     0,     0,  1647,   763,  1386,
       0,   763,  2268,   763,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1385,     0,  1385,     0,
     763,     0,  1647,  1647,   763,  1647,     0,     0,     0,  1386,
    1627,     0,     0,     0,  1628,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1636,
       0,     0,     0,     0,     0,  1629,  1630,     0,     0,     0,
       0,     0,  1385,  1386,  1647,     0,     0,  1386,  1386,  2455,
    1631,     0,     0,     0,     0,     0,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1385,     0,     0,
       0,     0,     0,     0,  1766,     0,     0,  1632,     0,  1647,
    1633,     0,   763,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2505,  1634,     0,     0,  1635,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2505,     0,     0,  1386,     0,     0,     0,  1637,  1638,  1639,
       0,  1640,  1641,  1642,  1643,  1644,  1645,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   763,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   763,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1636,     0,     0,  1385,     0,     0,     0,     0,
       0,  1647,     0,     0,     0,     0,  2505,     0,     0,   763,
       0,  1647,     0,     0,  1647,     0,     0,  1385,     0,     0,
    3290,     0,  1378,     0,     0,     0,   763,  1378,  1378,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1378,     0,
       0,     0,     0,   763,   763,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   763,  2652,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1379,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1637,  1638,  1639,  1385,  1640,  1641,  1642,  1643,  1644,  1645,
       0,     0,     0,     0,     0,     0,   763,     0,     0,     0,
       0,     0,  1385,     0,     0,     0,   763,     0,     0,     0,
       0,   532,     0,     0,  1379,     0,     0,     0,     0,     0,
       0,     0,  1766,   533,     0,     0,     0,  1385,     0,     0,
     534,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   535,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   536,
       0,     0,     0,  1385,     0,     0,     0,     0,   537,   763,
       0,  1378,  -700,     0,  1766,     0,  2773,     0,     0,     0,
     763,     0,     0,     0,     0,  1766,     0,     0,     0,     0,
     538,     0,     0,     0,     0,     0,   539,     0,     0,     0,
       0,     0,     0,  2369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   540,     0,  1379,     0,  3457,  3458,  3459,
    3460,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   541,     0,     0,  1379,     0,  1381,     0,     0,     0,
       0,     0,   542,     0,     0,  1378,     0,     0,     0,   543,
    2816,     0,     0,   544,  1379,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  -881,
       0,   578,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,   579,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2284,     0,  2284,  2284,
       0,     0,     0,     0,     0,   580,   545,     0,     0,  2878,
       0,     0,  2881,     0,  2883,  2505,     0,     0,     0,   581,
       0,     0,     0,     0,     0,     0,     0,   546,  1378,     0,
       0,     0,   582,     0,  1379,     0,     0,     0,     0,     0,
       0,  2904,     0,  2906,     0,   547,     0,  2909,   548,     0,
     583,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1381,     0,     0,
       0,     0,     0,   584,     0,     0,  2366,  2366,  2366,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3584,     0,
       0,   585,     0,  2946,     0,     0,     0,     0,     0,     0,
       0,   549,   586,     0,  1787,     0,     0,   587,   550,  2956,
    1382,     0,     0,   588,  -368,     0,  1800,   551,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   589,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  -368,     0,   552,   553,     0,   554,   555,     0,
       0,  1647,     0,     0,     0,     0,   556,     0,     0,  2987,
       0,   557,     0,     0,     0,     0,   558,     0,  1385,   559,
       0,     0,   560,  1647,     0,  1647,     0,  2268,  2268,  2852,
       0,     0,  2268,     0,     0,  -368,  1647,   590,     0,     0,
       0,     0,     0,  1647,     0,     0,     0,     0,  1647,  1903,
       0,     0,     0,     0,  1647,   591,     0,  1379,     0,  1647,
       0,     0,     0,     0,     0,   592,     0,     0,  1647,     0,
       0,     0,  2268,  2268,     0,  1647,     0,     0,     0,     0,
       0,     0,     0,     0,   195,     0,     0,  1647,     0,     0,
       0,  1382,     0,     0,  1647,     0,  1647,  1647,  1647,  1647,
    1647,  1647,  1647,  1647,  1647,  1647,     0,     0,  1381,     0,
       0,   593,     0,     0,     0,     0,   594,     0,   595,     0,
       0,     0,     0,     0,   596,     0,     0,   597,     0,     0,
    1647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1378,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   598,     0,   599,  1381,  1385,     0,   600,     0,
       0,     0,     0,     0,     0,     0,   601,  1385,     0,     0,
       0,   602,     0,     0,     0,     0,     0,     0,  1378,  1378,
       0,  1378,   603,     0,     0,     0,     0,  1381,     0,     0,
       0,     0,     0,     0,     0,   604,     0,     0,     0,     0,
       0,     0,     0,     0,  2369,     0,     0,     0,     0,  2369,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,  1647,
       0,  2369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1378,     0,  1378,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1385,  3788,     0,     0,
       0,     0,     0,     0,     0,  1381,     0,  1378,     0,     0,
       0,  3791,  1382,     0,     0,     0,     0,  1385,     0,     0,
       0,     0,     0,     0,     0,  1381,     0,     0,     0,  1385,
       0,     0,  1378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,     0,     0,  1378,     0,  1382,
    1379,     0,     0,     0,     0,  1379,  1379,  1385,     0,     0,
       0,     0,     0,     0,     0,  1378,  1379,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3838,     0,     0,  1381,     0,     0,     0,     0,
       0,     0,     0,  3295,     0,     0,     0,     0,     0,     0,
       0,     0,  3298,     0,     0,     0,     0,     0,  3299,     0,
    3300,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1378,     0,     0,     0,     0,     0,  1647,     0,     0,     0,
       0,  1378,  3318,  3319,     0,     0,     0,     0,     0,     0,
    1382,     0,  1378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2290,     0,     0,     0,     0,     0,  1382,
       0,  3865,     0,  3347,     0,     0,  3350,     0,  3352,     0,
       0,     0,     0,     0,     0,     0,     0,  3356,     0,  1382,
       0,     0,     0,  3361,     0,     0,  3364,     0,     0,  1379,
       0,     0,     0,     0,     0,     0,  1385,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,  3393,     0,  1378,     0,
       0,     0,     0,     0,  3405,     0,  2366,     0,     0,     0,
       0,  3936,  3938,  3938,     0,     0,     0,  1378,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3419,
       0,     0,     0,     0,     0,  1091,     0,  1647,     0,     0,
    1383,  1147,  1378,     0,     0,     0,     0,     0,  1381,  1382,
       0,     0,     0,  1379,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1378,     0,
    1647,     0,     0,     0,     0,  2505,     0,  1383,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2852,  2852,     0,  2268,     0,     0,  2268,  2268,  2268,
    2268,  2268,  2268,  2268,  2268,  2268,  2268,  2852,     0,  1383,
    4012,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1379,     0,     0,     0,
       0,     0,  1647,     0,     0,  1647,     0,  1647,     0,     0,
       0,     0,  2852,  2852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2268,  2268,  1647,     0,
    1647,     0,     0,  1647,     0,  2505,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,     0,     0,     0,     0,  1385,     0,  4054,     0,
       0,     0,     0,     0,     0,     0,     0,  1383,     0,     0,
    1647,     0,     0,     0,     0,     0,  4070,     0,  4072,     0,
    1647,     0,  1382,     0,     0,     0,  1385,  1383,     0,     0,
    1378,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1647,  1383,     0,     0,     0,     0,     0,     0,     0,
    1385,     0,     0,     0,  1385,  1385,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3635,  3636,     0,     0,  1383,     0,     0,
       0,     0,  3938,     0,     0,     0,     0,     0,     0,     0,
       0,  1381,     0,     0,     0,     0,  1381,  1381,     0,     0,
    3865,     0,     0,     0,     0,     0,     0,  1381,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4157,     0,     0,     0,     0,     0,     0,     0,     0,
    3665,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1378,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1379,     0,
       0,     0,     0,     0,     0,     0,  3683,  3685,     0,  4197,
       0,     0,     0,     0,  1378,     0,     0,     0,     0,  3692,
       0,     0,     0,     0,     0,  3697,  3698,     0,     0,  3700,
       0,     0,     0,     0,     0,     0,  1379,  1379,     0,  1379,
       0,     0,     0,  2268,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4233,  2366,     0,     0,
       0,     0,  2366,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,  2366,     0,     0,     0,     0,     0,
    1383,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,  1379,     0,     0,     0,  1382,     0,     0,     0,     0,
    1382,  1382,     0,     0,  3746,     0,     0,     0,     0,     0,
       0,  1382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1378,     0,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,  1381,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1647,
    1379,     0,  1647,  1647,  1647,     0,     0,  2852,     0,     0,
       0,     0,  2852,  2852,  2852,  2852,  2852,  2852,  2852,  2852,
    2852,  2852,  1647,  1647,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1379,     0,     0,     0,     0,     0,     0,
       0,  1647,  2268,  2268,  1647,     0,  1647,     0,     0,     0,
    1647,  2852,  2852,     0,     0,  1647,     0,  1381,  1647,     0,
       0,  1378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,  3819,
       0,     0,  1378,     0,     0,     0,     0,  1647,     0,     0,
       0,     0,     0,     0,  1378,     0,     0,     0,  1379,  1647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,  1647,     0,     0,     0,     0,     0,     0,
    1379,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1382,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,     0,  1379,     0,  1383,  1383,
       0,     0,     0,     0,     0,  3899,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,  1379,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3916,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1379,  1382,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1379,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2852,  1378,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1647,
    1647,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1381,  1381,  1647,
    1381,     0,     0,  2268,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1647,     0,  1647,
    1378,  2290,     0,     0,  2852,  2852,  1647,     0,     0,  2268,
    2268,  1647,  1647,     0,  1647,     0,     0,     0,     0,     0,
    4035,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
    1381,     0,  1381,     0,     0,     0,     0,     0,  1379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1647,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1378,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1381,  4092,     0,     0,     0,     0,     0,     0,  1383,
       0,  1378,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,     0,     0,
       0,     0,     0,  1647,     0,     0,     0,     0,     0,     0,
       0,  1378,     0,     0,  1381,     0,     0,     0,     0,     0,
       0,  1382,  1382,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1378,  4139,     0,     0,  1378,
    1378,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1379,     0,     0,     0,  2852,  2268,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,  1382,     0,     0,  1381,
       0,  2852,  2852,  1647,     0,     0,     0,     0,     0,     0,
    1381,     0,  1379,     0,     0,     0,     0,     0,     0,     0,
    1647,  1381,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4183,  4183,     0,     0,     0,     0,     0,
    1382,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4183,  1381,     0,     0,
    1382,     0,     0,     0,     0,     0,  4230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1381,     0,  1382,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2852,
    1379,  1381,     0,     0,     0,     0,     0,     0,     0,  1647,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4183,
       0,  1383,     0,     0,     0,     0,     0,  1381,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,  1647,     0,     0,  1383,
    1383,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1647,     0,     0,     0,     0,     0,     0,
    1379,     0,  1383,     0,  1383,     0,     0,     0,     0,     0,
       0,  1382,  1379,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1382,     0,     0,     0,     0,     0,     0,  1647,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
    1379,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1647,     0,     0,     0,     0,     0,
       0,  1382,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1383,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1381,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1383,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1383,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1381,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1379,     0,
       0,     0,     0,     0,     0,     0,  1382,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1382,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1379,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,  1379,     0,     0,     0,  1379,  1379,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1381,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,  1381,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,  1381,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1383,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1382,     0,     0,
       0,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1382,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1381,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
    1381,     0,     0,     0,     0,  1383,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,  1381,     0,     0,     0,  1381,  1381,
       0,     0,     0,  1383,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1382,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1382,     0,
       0,     0,  1382,  1382,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1383,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2360,   220,   221,   222,     0,  1383,     0,     0,  1015,
    1383,  1383,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,  2361,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,  1047,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,  1051,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,   482,   483,   484,     0,  1064,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
    2362,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,     0,  1075,  1076,  2363,     0,     0,
       0,     0,     0,     0,  1078,  2364,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,   231,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,   751,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,  1047,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,   758,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,   482,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,   210,     0,     0,     0,     0,     0,     0,  1078,  2270,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,  3375,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0, -1409,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0, -1409,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333, -1409,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343, -1409,   344,
     345,   346,   347,   348,   349,   350,     0,   351, -1409,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369, -1409,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429, -1409,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1154,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,     0,     0,     0,     0,     0,  1352,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2687,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,     0,  1353,   739,
    1354,  1355,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,  1356,  1357,   244,     0,   245,   246,   247,   248,
     249,     0,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,   266,     0,     0,     0,   742,     0,     0,
       0,   267,   268,   269,   270,   271,   272,  1358,  1359,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,  1033,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,     0,   302,   303,   304,     0,     0,   306,
       0,   307,  1360,   309,     0,   310,     0,   311,   743,     0,
     744,   312,   313,   314,     0,   315,     0,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
    1891,   327,   328,   329,   330,   331,   332,     0,   333,   746,
    1892,   335,   336,   337,   338,  1361,  1362,     0,  1363,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,     0,     0,   750,   352,   751,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,  1364,   752,  1365,   371,
     372,   373,     0,     0,   375,   376,   753,   377,     0,     0,
     379,  1366,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,  1893,   754,   755,   756,     0,   390,
     391,   392,   393,   394,   395,   396,     0,   397,     0,   399,
       0,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,  1367,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,     0,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,  1894,   450,   451,   758,   452,
    1369,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,     0,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,  1370,  1371,     0,     0,   475,     0,
     477,     0,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,     0,  1372,  1895,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,     0,  1352,     0,     0,     0,     0,     0,     0,     0,
     516,   517,   518,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
    1896,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,     0,  1353,   739,  1354,  1355,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,  1356,  1357,   244,
       0,   245,   246,   247,   248,   249,     0,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,     0,
       0,     0,   742,     0,     0,     0,   267,   268,   269,   270,
     271,   272,  1358,  1359,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,     0,   302,
     303,   304,     0,     0,   306,     0,   307,  1360,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,     0,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,  1891,   327,   328,   329,   330,
     331,   332,     0,   333,   746,  1892,   335,   336,   337,   338,
    1361,  1362,     0,  1363,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,     0,   750,
     352,   751,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1364,   752,  1365,   371,   372,   373,     0,     0,   375,
     376,   753,   377,     0,     0,   379,  1366,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,  1893,
     754,   755,   756,     0,   390,   391,   392,   393,   394,   395,
     396,     0,   397,     0,   399,     0,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1367,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,     0,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
    1894,   450,   451,   758,   452,  1369,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,     0,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1370,
    1371,     0,     0,   475,     0,   477,     0,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,     0,  1372,
    1895,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,     0,   737,  1010,   573,
    1011,  1012,  1013,   623,  1014,   516,   517,   518,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1015,  2737,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,   231,  1016,   739,
    1017,  1018,  2280,   235,   236,   237,   238,   239,  1019,  1020,
     240,   241,  1021,  1022,   244,     0,   245,   246,   247,   248,
     249,  1023,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,   267,   268,   269,   270,   271,   272,  1031,  1032,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,  1033,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,  1034,   302,   303,   304,  1035,  1036,   306,
       0,   307,  1037,   309,     0,   310,     0,   311,   743,  2281,
     744,   312,   313,   314,     0,   315,  1038,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,   746,
     334,   335,   336,   337,   338,  1039,  1040,     0,  1041,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,  2282,  1042,   750,   352,   751,     0,   353,   354,
     355,  1043,  1044,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,  1045,   752,  1046,   371,
     372,   373,   374,  1047,   375,   376,   753,   377,  1048,  1049,
     379,  1050,   381,   382,   383,     0,   384,     0,     0,  1051,
     386,   387,     0,     0,   388,   754,   755,   756,  1052,   390,
     391,   392,   393,   394,   395,   396,     0,   397,  1053,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,  1054,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,  1055,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,  1056,   448,   449,   450,   451,   758,   452,
    1057,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,  1058,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,  1059,  1060,     0,  2283,   475,  1061,
     477,  1062,  1063,   479,   480,   481,   482,   483,   484,     0,
    1064,   485,   486,   487,   488,   489,  1065,     0,   490,   491,
     492,   493,   494,   495,  1066,     0,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
     516,   517,   518,     0,     0,     0,     0,     0,     0,     0,
    1075,  1076,     0,     0,     0,     0,     0,     0,     0,  1078,
     737,  1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1015,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
     231,  1016,   739,  1017,  1018,     0,   235,   236,   237,   238,
     239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,
     246,   247,   248,   249,  1023,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,   272,
    1031,  1032,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,  1034,   302,   303,   304,
    1035,  1036,   306,     0,   307,  1037,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,  1038,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,   334,   335,   336,   337,   338,  1039,  1040,
       0,  1041,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,  1042,   750,   352,   751,
       0,   353,   354,   355,  1043,  1044,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1045,
     752,  1046,   371,   372,   373,   374,  1047,   375,   376,   753,
     377,  1048,  1049,   379,  1050,   381,   382,   383,     0,   384,
       0,     0,  1051,   386,   387,     0,     0,   388,   754,   755,
     756,  1052,   390,   391,   392,   393,   394,   395,   396,     0,
     397,  1053,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1054,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,  1055,   435,   436,   437,   438,   439,   440,   441,   442,
      38,   443,   444,   445,   446,   447,  1056,   448,   449,   450,
     451,   758,   452,  1057,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,  1058,     0,   465,   466,    42,
     467,   468,   469,   470,   471,   472,     0,  1059,  1060,     0,
       0,   475,  1061,   477,  1062,  1063,   479,   480,   481,   482,
     483,   484,     0,  1064,   485,   486,   487,   488,   489,  1065,
       0,   490,   491,   492,   493,   494,   949,  1066,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,    47,   502,
     503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,   516,   517,   518,     0,     0,     0,     0,
       0,     0,     0,  1075,  1076,     0,     0,     0,     0,     0,
       0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,
    1014,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1015,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,   231,  1016,   739,  1017,  1018,     0,   235,
     236,   237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,  1031,  1032,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,  1034,
     302,   303,   304,  1035,  1036,   306,     0,   307,  1037,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,  1039,  1040,     0,  1041,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,   751,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1045,   752,  1046,   371,   372,   373,   374,  1047,
     375,   376,   753,   377,  1048,  1049,   379,  1050,   381,   382,
     383,     0,   384,     0,     0,  1051,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1054,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,  1055,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,   758,   452,  1057,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,
     480,   481,   482,   483,   484,     0,  1064,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   495,
    1066,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,     0,  1075,  1076,     0,     0,
       0,     0,     0,  1555,  2229,  1078,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,   231,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,   751,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,  1047,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,   758,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,   482,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,  1077,     0,     0,     0,     0,     0,     0,  1078,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,  1146,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,  1047,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,  1064,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,     0,  1075,  1076,     0,     0,     0,     0,     0,     0,
       0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1795,   220,   221,   222,     0,     0,     0,     0,  1015,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,  1047,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,  1051,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,   482,   483,   484,     0,  1064,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,     0,  1075,  1076,     0,     0,     0,
       0,     0,     0,     0,  1078,   737,  1010,   573,  1011,  1012,
    1013,   623,  1014,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1015,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,   231,  1016,   739,  1017,  1018,
       0,   235,   236,   237,   238,   239,  1019,  1020,   240,   241,
    1021,  1022,   244,     0,   245,   246,   247,   248,   249,  1023,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,
     268,   269,   270,   271,   272,  1031,  1032,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,  1034,   302,   303,   304,  1035,  1036,   306,     0,   307,
    1037,   309,     0,   310,     0,   311,   743,  2281,   744,   312,
     313,   314,     0,   315,  1038,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,  1039,  1040,     0,  1041,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,  1042,   750,   352,   751,     0,   353,   354,   355,  1043,
    1044,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1045,   752,  1046,   371,   372,   373,
     374,  1047,   375,   376,   753,   377,  1048,  1049,   379,  1050,
     381,   382,   383,     0,   384,     0,     0,  1051,   386,   387,
       0,     0,   388,   754,   755,   756,  1052,   390,   391,   392,
     393,   394,   395,   396,     0,   397,  1053,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1054,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,  1055,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,  1056,   448,   449,   450,   451,   758,   452,  1057,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
    1058,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,
    1063,   479,   480,   481,   482,   483,   484,     0,  1064,   485,
     486,   487,   488,   489,  1065,     0,   490,   491,   492,   493,
     494,   495,  1066,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
    1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,
     518,     0,     0,     0,     0,     0,     0,     0,  1075,  1076,
       0,     0,     0,     0,     0,     0,     0,  1078,   737,  1010,
     573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1015,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,   231,  1016,
     739,  1017,  1018,     0,   235,   236,   237,   238,   239,  1019,
    1020,   240,   241,  1021,  1022,   244,     0,   245,   246,   247,
     248,   249,  1023,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,   267,   268,   269,   270,   271,   272,  1031,  1032,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,  1033,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,  1034,   302,   303,   304,  1035,  1036,
     306,     0,   307,  1037,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,  1038,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,   334,   335,   336,   337,   338,  1039,  1040,     0,  1041,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,  1042,   750,   352,   751,     0,   353,
     354,   355,  1043,  1044,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,  1045,   752,  1046,
     371,   372,   373,   374,  1047,   375,   376,   753,   377,  1048,
    1049,   379,  1050,   381,   382,   383,     0,   384,     0,     0,
    1051,   386,   387,     0,     0,   388,   754,   755,   756,  1052,
     390,   391,   392,   393,   394,   395,   396,     0,   397,  1053,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,  1054,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,  1055,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,  1056,   448,   449,   450,   451,   758,
     452,  1057,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,  1058,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,  1059,  1060,     0,     0,   475,
    1061,   477,  1062,  1063,   479,   480,   481,   482,   483,   484,
       0,  1064,   485,   486,   487,   488,   489,  1065,     0,   490,
     491,   492,   493,   494,   495,  1066,  3408,   497,   759,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,
    1074,   516,   517,   518,     0,     0,     0,     0,     0,     0,
       0,  1075,  1076,     0,     0,     0,     0,     0,     0,     0,
    1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1015,     0,
       0,   223,   224,     0,   225,   226,   738,   227,   228,   229,
     230,   231,  1016,   739,  1017,  1018,     0,   235,   236,   237,
     238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,
     245,   246,   247,   248,   249,  1023,     0,   251,     0,   252,
     253,   254,   255,   740,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,   741,   265,   266,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,
     272,  1031,  1032,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,  1033,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,  1034,   302,   303,
     304,  1035,  1036,   306,     0,   307,  1037,   309,     0,   310,
       0,   311,   743,     0,   744,   312,   313,   314,     0,   315,
    1038,     0,   317,   318,     0,   319,   320,   321,   322,   323,
     745,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,   746,   334,   335,   336,   337,   338,  1039,
    1040,     0,  1041,     0,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,     0,  1042,   750,   352,
     751,     0,   353,   354,   355,  1043,  1044,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
    1045,   752,  1046,   371,   372,   373,   374,  1047,   375,   376,
     753,   377,  1048,  1049,   379,  1050,   381,   382,   383,     0,
     384,     0,     0,  1051,   386,   387,     0,     0,   388,   754,
     755,   756,  1052,   390,   391,   392,   393,   394,   395,   396,
       0,   397,  1053,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,  1054,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   757,   430,   431,
     432,   433,  1055,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,  1056,   448,   449,
     450,   451,   758,   452,  1057,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,  1058,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,  1059,  1060,
       0,     0,   475,  1061,   477,  1062,  1063,   479,   480,   481,
     482,   483,   484,     0,  1064,   485,   486,   487,   488,   489,
    1065,     0,   490,   491,   492,   493,   494,   495,  1066,     0,
     497,   759,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,     0,
       0,     0,     0,     0,  1075,  1076,     0,     0,     0,     0,
       0,     0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,
     623,  1014,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,  1015,     0,     0,   223,   224,     0,   225,   226,   738,
     227,   228,   229,   230,   231,  1016,   739,  1017,  1018,     0,
     235,   236,   237,   238,   239,  1019,  1020,   240,   241,  1021,
    1022,   244,     0,   245,   246,   247,   248,   249,  1023,     0,
     251,     0,   252,   253,   254,   255,   740,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,   741,   265,
    3418,  1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,
     269,   270,   271,   272,  1031,  1032,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,  1033,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
    1034,   302,   303,   304,  1035,  1036,   306,     0,   307,  1037,
     309,     0,   310,     0,   311,   743,     0,   744,   312,   313,
     314,     0,   315,  1038,     0,   317,   318,     0,   319,   320,
     321,   322,   323,   745,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,   746,   334,   335,   336,
     337,   338,  1039,  1040,     0,  1041,     0,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,     0,
    1042,   750,   352,   751,     0,   353,   354,   355,  1043,  1044,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,  1045,   752,  1046,   371,   372,   373,   374,
    1047,   375,   376,   753,   377,  1048,  1049,   379,  1050,   381,
     382,   383,     0,   384,     0,     0,  1051,   386,   387,     0,
       0,   388,   754,   755,   756,  1052,   390,   391,   392,   393,
     394,   395,   396,     0,   397,  1053,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
    1054,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     757,   430,   431,   432,   433,  1055,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
    1056,   448,   449,   450,   451,   758,   452,  1057,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,  1058,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,  1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,
     479,   480,   481,   482,   483,   484,     0,  1064,   485,   486,
     487,   488,   489,  1065,     0,   490,   491,   492,   493,   494,
     495,  1066,     0,   497,   759,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,  1067,
    1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,
       0,     0,     0,     0,     0,     0,     0,  1075,  1076,     0,
       0,     0,     0,     0,     0,     0,  1078,   737,  1010,   573,
    1011,  1012,  1013,   623,  1014,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1015,     0,     0,   223,   224,     0,
     225,   226,   738,   227,   228,   229,   230,   231,  1016,   739,
    1017,  1018,     0,   235,   236,   237,   238,   239,  1019,  1020,
     240,   241,  1021,  1022,   244,     0,   245,   246,   247,   248,
     249,  1023,     0,   251,     0,   252,   253,   254,   255,   740,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,   741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,   267,   268,   269,   270,   271,   272,  1031,  1032,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,  1033,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,  1034,   302,   303,   304,  1035,  1036,   306,
       0,   307,  1037,   309,     0,   310,     0,   311,   743,     0,
     744,   312,   313,   314,     0,   315,  1038,     0,   317,   318,
       0,   319,   320,   321,   322,   323,   745,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,   746,
     334,   335,   336,   337,   338,  1039,  1040,     0,  1041,     0,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,     0,  1042,   750,   352,   751,     0,   353,   354,
     355,  1043,  1044,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,  1045,   752,  1046,   371,
     372,   373,   374,  1047,   375,   376,   753,   377,  1048,  1049,
     379,  1050,   381,   382,   383,     0,   384,     0,     0,  1051,
     386,   387,     0,     0,   388,   754,   755,   756,  1052,   390,
     391,   392,   393,   394,   395,   396,     0,   397,  1053,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,  1054,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,   757,   430,   431,   432,   433,  1055,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,  1056,   448,   449,   450,   451,   758,   452,
    1057,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,  1058,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,  1059,  1060,     0,     0,   475,  1061,
     477,  1062,  1063,   479,   480,   481,   482,   483,   484,     0,
    1064,   485,   486,   487,   488,   489,  1065,     0,   490,   491,
     492,   493,   494,   495,  1066,     0,   497,   759,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,  3675,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,
     516,   517,   518,     0,     0,     0,     0,     0,     0,     0,
    1075,  1076,     0,     0,     0,     0,     0,     0,     0,  1078,
     737,  1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,
       0,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,  1015,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
     231,  1016,   739,  1017,  1018,     0,   235,   236,   237,   238,
     239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,
     246,   247,   248,   249,  1023,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,   272,
    1031,  1032,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,  1034,   302,   303,   304,
    1035,  1036,   306,     0,   307,  1037,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,  1038,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,   334,   335,   336,   337,   338,  1039,  1040,
       0,  1041,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,  1042,   750,   352,   751,
       0,   353,   354,   355,  1043,  1044,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1045,
     752,  1046,   371,  3684,   373,   374,  1047,   375,   376,   753,
     377,  1048,  1049,   379,  1050,   381,   382,   383,     0,   384,
       0,     0,  1051,   386,   387,     0,     0,   388,   754,   755,
     756,  1052,   390,   391,   392,   393,   394,   395,   396,     0,
     397,  1053,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1054,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,  1055,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,  1056,   448,   449,   450,
     451,   758,   452,  1057,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,  1058,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1059,  1060,     0,
       0,   475,  1061,   477,  1062,  1063,   479,   480,   481,   482,
     483,   484,     0,  1064,   485,   486,   487,   488,   489,  1065,
       0,   490,   491,   492,   493,   494,   495,  1066,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,   516,   517,   518,     0,     0,     0,     0,
       0,     0,     0,  1075,  1076,     0,     0,     0,     0,     0,
       0,     0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,
    1014,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1015,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,  4180,  1016,   739,  1017,  1018,     0,   235,
     236,   237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,  4181,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,  1031,  1032,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,  1034,
     302,   303,   304,  1035,  1036,   306,     0,   307,  1037,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,  1039,  1040,     0,  1041,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,   751,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1045,   752,  1046,   371,   372,   373,   374,  1047,
     375,   376,   753,   377,  1048,  1049,   379,  1050,   381,   382,
     383,     0,   384,     0,     0,  1051,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1054,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,  1055,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,   758,   452,  1057,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,
     480,   481,  4182,   483,   484,     0,  1064,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   495,
    1066,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,     0,  1075,  1076,     0,     0,
       0,     0,     0,     0,     0,  1078,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,   231,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,  4181,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,   745,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,   751,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,  1047,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,   758,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,  4182,   483,   484,     0,  1064,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,     0,  1075,
    1076,     0,     0,     0,     0,     0,     0,     0,  1078,   737,
    1010,   573,  1011,  1012,  1013,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,     0,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,  1051,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,     0,  2263,  2264,     0,     0,     0,     0,     0,     0,
       0,  1078,   737,  1010,   573,  1011,  1012,  1013,   623,  1014,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,  1015,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230, -2173,  1016,   739,  1017,  1018,     0,   235,   236,
     237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,  4181,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,  1031,  1032,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,  1033,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,  1034,   302,
     303,   304,  1035,  1036,   306,     0,   307,  1037,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
    1039,  1040,     0,  1041,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,     0,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,  1045,   752,  1046,   371,   372,   373,   374,     0,   375,
     376,   753,   377,  1048,  1049,   379,  1050,   381,   382,   383,
       0,   384,     0,     0,  1051,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,  1054,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,  1055,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,     0,   452,  1057,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,  1059,
    1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,   480,
     481,  4182,   483,   484,     0,  1064,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,  1066,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,     0,  1075,  1076,     0,     0,   737,
    1010,   573,  1011,  1012,  1078,   623,  1014,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1015,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
    1016,   739,  1017,  1018,     0,   235,   236,   237,   238,   239,
    1019,  1020,   240,   241,  1021,  1022,   244,     0,   245,   246,
     247,   248,   249,  1023,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,
    1028,  1029,  1030,   267,   268,   269,   270,   271,   272,  1031,
    1032,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,  1034,   302,   303,   304,  1035,
    1036,   306,     0,   307,  1037,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,  1038,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,  1039,  1040,     0,
    1041,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,  1042,   750,   352,   751,     0,
     353,   354,   355,  1043,  1044,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1045,   752,
    1046,   371,   372,   373,   374,     0,   375,   376,   753,   377,
    1048,  1049,   379,  1050,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,   754,   755,   756,
    1052,   390,   391,   392,   393,   394,   395,   396,     0,   397,
    1053,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1054,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
    1055,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,  1056,   448,   449,   450,   451,
     758,   452,  1057,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,  1058,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1059,  1060,     0,     0,
     475,  1061,   477,  1062,  1063,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,  1065,     0,
     490,   491,   492,   493,   494,   495,  1066,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,
    1073,  1074,   516,   517,   518,     0,     0,     0,     0,     0,
       0,   737,  1010,   573,  1011,  1012,     0,   623,  1014,     0,
       0,  1078,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1015,     0,
       0,   223,   224,     0,   225,   226,   738,   227,   228,   229,
     230,   231,  1016,   739,  1017,  1018,     0,  3331,   236,   237,
     238,   239,  1019,  1020,   240,   241,  1021,  1022,   244,     0,
     245,   246,   247,   248,   249,  1023,     0,   251,     0,   252,
     253,   254,   255,   740,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,   741,   265,   266,  1024,  1025,
    1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,
     272,  1031,  1032,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,  1033,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,  1034,   302,   303,
     304,  1035,  1036,   306,     0,   307,  1037,   309,     0,   310,
       0,   311,   743,     0,   744,   312,   313,   314,     0,   315,
    1038,     0,   317,   318,     0,   319,   320,   321,   322,   323,
     745,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,   746,   334,   335,   336,   337,   338,  1039,
    1040,     0,  1041,     0,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,     0,  1042,   750,   352,
     751,     0,   353,   354,   355,  1043,  1044,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
    1045,   752,  1046,   371,   372,   373,   374,     0,   375,   376,
     753,   377,  1048,  1049,   379,  1050,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,   754,
     755,   756,  1052,   390,   391,   392,   393,   394,   395,   396,
       0,   397,  1053,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,  1054,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,   757,   430,   431,
     432,   433,  1055,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,  1056,   448,   449,
     450,   451,   758,   452,  1057,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,  1058,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,  1059,  1060,
       0,     0,   475,  1061,   477,  1062,  1063,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
    1065,     0,   490,   491,   492,   493,   494,   495,  1066,     0,
     497,   759,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,
    1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,     0,
       0,     0,     0,   737,  1010,   573,  1011,  1012,  1013,   623,
    1014,     0,     0,  1078,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1015,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,     0,  1016,   739,  1017,  1018,     0,   235,
     236,   237,   238,   239,  1019,  1020,   240,   241,  1021,  1022,
     244,     0,   245,   246,   247,   248,   249,  1023,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
    1024,  1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,
     270,   271,   272,  1031,  1032,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,  1033,   290,   291,     0,   292,   293,
     294,     0,   295,     0,     0,   297,   298,   299,   300,  1034,
     302,   303,   304,  1035,  1036,   306,     0,   307,  1037,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,  1038,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,  1039,  1040,     0,  1041,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,  1042,
     750,   352,     0,     0,   353,   354,   355,  1043,  1044,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,  1045,   752,  1046,   371,   372,   373,   374,     0,
     375,   376,   753,   377,  1048,  1049,   379,  1050,   381,   382,
     383,     0,   384,     0,     0,  1051,   386,   387,     0,     0,
     388,   754,   755,   756,  1052,   390,   391,   392,   393,   394,
     395,   396,     0,   397,  1053,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,  1054,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,  1055,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,  1056,
     448,   449,   450,   451,     0,   452,  1057,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,  1058,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
    1059,  1060,     0,     0,   475,  1061,   477,  1062,  1063,   479,
     480,   481,   482,   483,   484,     0,  1064,   485,   486,   487,
     488,   489,  1065,     0,   490,   491,   492,   493,   494,   495,
    1066,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,  1067,  1068,
    1069,  1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,
       0,     0,     0,     0,     0,     0,  1075,  1076,     0,     0,
       0,     0,     0,     0,     0,  1078,   737,  1010,   573,  1011,
    1012,  1013,   623,  1014,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,  1015,     0,     0,   223,   224,     0,   225,
     226,   738,   227,   228,   229,   230,     0,  1016,   739,  1017,
    1018,     0,   235,   236,   237,   238,   239,  1019,  1020,   240,
     241,  1021,  1022,   244,     0,   245,   246,   247,   248,   249,
    1023,     0,   251,     0,   252,   253,   254,   255,   740,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
     741,   265,   266,  1024,  1025,  1026,  1027,  1028,  1029,  1030,
     267,   268,   269,   270,   271,   272,  1031,  1032,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,  1033,   290,   291,
       0,   292,   293,   294,     0,   295,     0,     0,   297,   298,
     299,   300,  1034,   302,   303,   304,  1035,  1036,   306,     0,
     307,  1037,   309,     0,   310,     0,   311,   743,     0,   744,
     312,   313,   314,     0,   315,  1038,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,   746,   334,
     335,   336,   337,   338,  1039,  1040,     0,  1041,     0,   342,
     747,   748,   343,   749,   344,   345,   346,   347,   348,   349,
     350,     0,  1042,   750,   352,     0,     0,   353,   354,   355,
    1043,  1044,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,  1045,   752,  1046,   371,   372,
     373,   374,     0,   375,   376,   753,   377,  1048,  1049,   379,
    1050,   381,   382,   383,     0,   384,     0,     0,  1051,   386,
     387,     0,     0,   388,   754,   755,   756,  1052,   390,   391,
     392,   393,   394,   395,   396,     0,   397,  1053,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,  1054,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,   757,   430,   431,   432,   433,  1055,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,  1056,   448,   449,   450,   451,     0,   452,  1057,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,  1058,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,  1059,  1060,     0,     0,   475,  1061,   477,
    1062,  1063,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,  1065,     0,   490,   491,   492,
     493,   494,   495,  1066,     0,   497,   759,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,  1074,   516,
     517,   518,     0,     0,     0,     0,     0,     0,   737,  2263,
    2264,     0,     0,     0,     0,     0,     0,     0,  1078,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   738,   227,   228,   229,   230,   231,   232,
     739,   233,   234,     0,   235,   236,   237,   238,   239,     0,
    1020,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,  1023,     0,   251,     0,   252,   253,   254,   255,
     740,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,   741,   265,   266,  1024,  1025,  1026,  1027,  1028,
    1029,  1030,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,  1035,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,   743,
       0,   744,   312,   313,   314,     0,   315,  1038,     0,   317,
     318,     0,   319,   320,   321,   322,   323,   745,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
     746,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,   747,   748,   343,   749,   344,   345,   346,   347,
     348,   349,   350,     0,  1042,   750,   352,   751,     0,   353,
     354,   355,  1043,  1044,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   752,   370,
     371,   372,   373,   374,     0,   375,   376,   753,   377,     0,
    1049,   379,   380,   381,   382,   383,     0,   384,     0,   702,
     385,   386,   387,     0,     0,   388,   754,   755,   756,  1052,
     390,   391,   392,   393,   394,   395,   396,     0,   397,  1053,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,   757,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    38,   443,
     444,   445,   446,   447,  1056,   448,   449,   450,   451,   758,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,  1058,     0,   465,   466,    42,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
    1061,   477,  1062,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,  1065,     0,   490,
     491,   492,   493,   494,   949,   496,     0,   497,   759,   498,
     499,   500,     0,     0,   501,     0,    47,   502,   503,   504,
     505,   506,   507,  1067,  1068,  1069,  1070,  1071,  1072,  1073,
    1074,   516,   517,   518,     0,     0,     0,     0,     0,     0,
     737,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2920,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
     231,   232,   739,   233,   234,     0,   235,   236,   237,   238,
     239,     0,  1020,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,  1023,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,  1024,  1025,  1026,
    1027,  1028,  1029,  1030,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
    1035,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,  1038,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,  1042,   750,   352,   751,
       0,   353,   354,   355,  1043,  1044,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     752,   370,   371,   372,   373,   374,     0,   375,   376,   753,
     377,     0,  1049,   379,   380,   381,   382,   383,     0,   384,
       0,   702,   385,   386,   387,     0,     0,   388,   754,   755,
     756,  1052,   390,   391,   392,   393,   394,   395,   396,     0,
     397,  1053,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,  1056,   448,   449,   450,
     451,   758,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,  1058,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,  1061,   477,  1062,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,  1065,
       0,   490,   491,   492,   493,   494,   495,   496,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,   507,  1067,  1068,  1069,  1070,  1071,
    1072,  1073,  1074,   516,   517,   518,     0,     0,     0,     0,
       0,     0,   737,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2920,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   738,   227,   228,
     229,   230,   231,   232,   739,   233,   234,     0,   235,   236,
     237,   238,   239,     0,  1020,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,  1023,     0,   251,     0,
     252,   253,   254,   255,   740,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,   741,   265,   266,  1024,
    1025,  1026,  1027,  1028,  1029,  1030,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,  1035,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,   743,     0,   744,   312,   313,   314,     0,
     315,  1038,     0,   317,   318,     0,   319,   320,   321,   322,
     323,   745,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,   746,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,   747,   748,   343,   749,
     344,   345,   346,   347,   348,   349,   350,     0,  1042,   750,
     352,   751,     0,   353,   354,   355,  1043,  1044,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   752,   370,   371,   372,   373,   374,     0,   375,
     376,   753,   377,     0,  1049,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
     754,   755,   756,  1052,   390,   391,   392,   393,   394,   395,
     396,     0,   397,  1053,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,   757,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,  1056,   448,
     449,   450,   451,   758,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,  1058,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,  1061,   477,  1062,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,  1065,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,   759,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,   516,   517,   518,     0,     0,
       0,     0,     0,     0,   737,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3438,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   738,
     227,   228,   229,   230,   231,   232,   739,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,   740,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,   741,   265,
     266,     0,     0,     0,   742,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,   743,     0,   744,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,   745,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,   746,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,     0,
     351,   750,   352,   751,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   752,   370,   371,   372,   373,   374,
       0,   375,   376,   753,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,   754,   755,   756,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     757,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,   758,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,   759,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,     0,     0,     0,     0,   210,  1251,   573,     0,
       0,     0,   623,     0,     0,     0,  3947,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,  1490,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,  1491,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,  1492,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,     0,     0,     0,     0,   210,   635,
    1252,  3546,     0,     0,     0,     0,     0,     0,  3547,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     3,     4,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,    38,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,    42,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   949,   496,     0,   497,   950,   498,
     499,   500,     0,     0,   501,     0,    47,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,     0,     0,     0,     0,
     210,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      48,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,     0,   227,   228,   229,   230,
     231,   232,     0,   233,   234,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,   242,   243,   244,     0,   245,
     246,   247,   248,   249,   250,     0,   251,     0,   252,   253,
     254,   255,     0,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,     0,   265,   266,     0,     0,     0,
       0,     0,     0,     0,   267,   268,   269,   270,   271,   272,
     273,   274,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,     0,   306,     0,   307,   308,   309,     0,   310,     0,
     311,     0,     0,     0,   312,   313,   314,     0,   315,   316,
       0,   317,   318,     0,   319,   320,   321,   322,   323,     0,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,     0,   334,   335,   336,   337,   338,   339,   340,
       0,   341,     0,   342,     0,     0,   343,     0,   344,   345,
     346,   347,   348,   349,   350,     0,   351,     0,   352,     0,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
       0,   370,   371,   372,   373,   374,     0,   375,   376,     0,
     377,     0,   378,   379,   380,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,   388,     0,     0,
       0,   389,   390,   391,   392,   393,   394,   395,   396,     0,
     397,   398,   399,   400,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,     0,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
      38,   443,   444,   445,   446,   447,     0,   448,   449,   450,
     451,     0,   452,   453,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,     0,   465,   466,    42,
     467,   468,   469,   470,   471,   472,     0,   473,   474,     0,
       0,   475,   476,   477,   478,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,   949,   496,     0,   497,
       0,   498,   499,   500,     0,     0,   501,     0,    47,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,   232,     0,   233,   234,     0,   235,   236,
     237,   238,   239,     0,     0,   240,   241,   242,   243,   244,
       0,   245,   246,   247,   248,   249,   250,     0,   251,     0,
     252,   253,   254,   255,     0,   256,   257,     0,   258,   259,
     260,   261,   262,   263,   264,     0,     0,   265,   266,     0,
       0,     0,     0,     0,     0,     0,   267,   268,   269,   270,
     271,   272,   273,   274,   275,     0,   276,     0,   277,   278,
     279,   280,   281,     0,   282,   283,   284,   285,     0,   286,
       0,   287,   288,   289,   290,   291,     0,   292,   293,   294,
       0,   295,   296,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,     0,   306,     0,   307,   308,   309,     0,
     310,     0,   311,     0,     0,     0,   312,   313,   314,     0,
     315,   316,     0,   317,   318,     0,   319,   320,   321,   322,
     323,     0,   324,   325,   326,     0,   327,   328,   329,   330,
     331,   332,     0,   333,     0,   334,   335,   336,   337,   338,
     339,   340,     0,   341,     0,   342,     0,     0,   343,     0,
     344,   345,   346,   347,   348,   349,   350,     0,   351,     0,
     352,     0,     0,   353,   354,   355,     0,     0,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,     0,   370,   371,   372,   373,   374,     0,   375,
     376,     0,   377,     0,   378,   379,   380,   381,   382,   383,
       0,   384,     0,     0,   385,   386,   387,     0,     0,   388,
       0,     0,     0,   389,   390,   391,   392,   393,   394,   395,
     396,     0,   397,   398,   399,   400,   401,   402,   403,   404,
       0,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,     0,   428,   429,     0,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   447,     0,   448,
     449,   450,   451,     0,   452,   453,     0,   454,   455,   456,
     457,   458,   459,   460,   461,   462,   463,   464,     0,   465,
     466,     0,   467,   468,   469,   470,   471,   472,     0,   473,
     474,     0,     0,   475,   476,   477,   478,     0,   479,   480,
     481,   482,   483,   484,     0,     0,   485,   486,   487,   488,
     489,     0,     0,   490,   491,   492,   493,   494,   495,   496,
       0,   497,     0,   498,   499,   500,     0,     0,   501,     0,
       0,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   518,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1130,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,   246,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,   306,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,     0,     0,     0,     0,   210,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2413,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,   246,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,   306,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3402,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   246,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     306,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,     0,     0,     0,     0,
    1352,  1251,   573,     0,     0,   785,   623,     0,     0,     0,
    3719,   211,   212,   213,   214,   215,   216,   217,   218,  1687,
     220,   221,   222,  1688,  1689,  1690,  1691,  1692,  1693,  1694,
     223,   224,  1695,   225,   226,   738,   227,   228,   229,   230,
       0,  1353,   739,  1354,  1355,  1696,   235,   236,   237,   238,
     239,  1697,  1698,   240,   241,  1356,  1357,   244,  1699,   245,
     246,   247,   248,   249,     0,  1700,   251,  1701,   252,   253,
     254,   255,   740,   256,   257,  1702,   258,   259,   260,   261,
     262,   263,   264,  1703,   741,   265,   266,  1704,  1705,  1706,
     742,  1707,  1708,  1709,   267,   268,   269,   270,   271,   272,
    1358,  1359,   275,  1710,   276,  1711,   277,   278,   279,   280,
     281,  1712,   282,   283,   284,   285,  1713,   286,  1714,   287,
     288,  1033,   290,   291,  1715,   292,   293,   294,  1716,   295,
     296,  1717,   297,   298,   299,   300,     0,   302,   303,   304,
       0,  1718,   306,  1719,   307,  1360,   309,  1720,   310,  1721,
     311,   743,  1722,   744,   312,   313,   314,  1723,   315,     0,
    1724,   317,   318,  1725,   319,   320,   321,   322,   323,   745,
     324,   325,   326,  1726,   327,   328,   329,   330,   331,   332,
    1727,   333,   746,     0,   335,   336,   337,   338,  1361,  1362,
    1728,  1363,  1729,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,  1730,     0,   750,   352,   751,
    1731,   353,   354,   355,  1732,  1733,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1364,
     752,  1365,   371,   372,   373,     0,  1734,   375,   376,   753,
     377,  1735,     0,   379,  1366,   381,   382,   383,  1736,   384,
    1737,  1738,  3138,   386,   387,  1739,  1740,     0,   754,   755,
     756,     0,   390,   391,   392,   393,   394,   395,   396,  1741,
     397,     0,   399,     0,   401,   402,   403,   404,  1742,   405,
     406,   407,   408,   409,   410,   411,  1367,   413,   414,   415,
     416,  1743,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,  1744,   428,   429,   757,   430,   431,   432,
     433,     0,   435,   436,   437,   438,   439,   440,   441,   442,
    1745,   443,   444,   445,   446,   447,  1746,   448,  1894,   450,
     451,   758,   452,  1369,  1747,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,     0,  1748,   465,   466,  1749,
     467,   468,   469,   470,   471,   472,  1750,  1370,  1371,  1751,
    1752,   475,     0,   477,     0,  1753,   479,   480,   481,   482,
     483,   484,  1754,  1755,   485,   486,   487,   488,   489,  1756,
    1757,   490,   491,   492,   493,   494,     0,  1372,  1758,   497,
     759,   498,   499,   500,  1759,  1760,   501,  1761,  1762,   502,
     503,   504,   505,   506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   516,   517,   518,     0,     0,     0,   788,
     789,   790,     0,  3139,  3140,   793,   794,   795,   796,   210,
       0,     0,     0,     0,   785,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   786,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   787,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,     0,     0,     0,   788,   789,
     790,     0,   791,   792,   793,   794,   795,   796,   210,     0,
       0,     0,     0,   785,     0,     0,     0,     0,     0,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,   232,
       0,   233,   234,     0,   235,   236,   237,   238,   239,     0,
       0,   240,   241,   242,   243,   244,     0,   245,   875,   247,
     248,   249,   250,     0,   251,     0,   252,   253,   254,   255,
       0,   256,   257,     0,   258,   259,   260,   261,   262,   263,
     264,     0,     0,   265,   266,     0,     0,     0,     0,     0,
       0,     0,   267,   268,   269,   270,   271,   272,   273,   274,
     275,     0,   276,     0,   277,   278,   279,   280,   281,     0,
     282,   283,   284,   285,     0,   286,     0,   287,   288,   289,
     290,   291,     0,   292,   293,   294,     0,   295,   296,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,     0,
     876,     0,   307,   308,   309,     0,   310,     0,   311,     0,
       0,     0,   312,   313,   314,     0,   315,   316,     0,   317,
     318,     0,   319,   320,   321,   322,   323,     0,   324,   325,
     326,     0,   327,   328,   329,   330,   331,   332,     0,   333,
       0,   334,   335,   336,   337,   338,   339,   340,     0,   341,
       0,   342,     0,     0,   343,     0,   344,   345,   346,   347,
     348,   349,   350,     0,   351,     0,   352,     0,     0,   353,
     354,   355,     0,     0,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,     0,   370,
     371,   372,   373,   374,     0,   375,   376,     0,   377,     0,
     378,   379,   380,   381,   382,   383,     0,   384,     0,     0,
     385,   386,   387,     0,     0,   388,     0,     0,     0,   389,
     390,   391,   392,   393,   394,   395,   396,     0,   397,   398,
     399,   400,   401,   402,   403,   404,     0,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,     0,   428,   429,     0,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   447,     0,   448,   449,   450,   451,     0,
     452,   453,     0,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,   464,     0,   465,   466,     0,   467,   468,
     469,   470,   471,   472,     0,   473,   474,     0,     0,   475,
     476,   477,   478,     0,   479,   480,   481,   482,   483,   484,
       0,     0,   485,   486,   487,   488,   489,     0,     0,   490,
     491,   492,   493,   494,   495,   496,     0,   497,     0,   498,
     499,   500,     0,     0,   501,     0,     0,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,     0,     0,     0,   788,   789,   790,
       0,   791,   792,   793,   794,   795,   796,   210,     0,     0,
       0,     0,   785,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   921,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   922,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   923,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,     0,     0,     0,   788,   789,   790,     0,
     791,   792,   793,   794,   795,   796,   210,     0,     0,     0,
       0,   785,     0,     0,     0,     0,     0,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,     0,   227,   228,   229,   230,   231,   232,     0,   233,
     234,     0,   235,   236,   237,   238,   239,     0,     0,   240,
     241,   242,   243,   244,     0,   245,  1335,   247,   248,   249,
     250,     0,   251,     0,   252,   253,   254,   255,     0,   256,
     257,     0,   258,   259,   260,   261,   262,   263,   264,     0,
       0,   265,   266,     0,     0,     0,     0,     0,     0,     0,
     267,   268,   269,   270,   271,   272,   273,   274,   275,     0,
     276,     0,   277,   278,   279,   280,   281,     0,   282,   283,
     284,   285,     0,   286,     0,   287,   288,   289,   290,   291,
       0,   292,   293,   294,     0,   295,   296,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,     0,  1336,     0,
     307,   308,   309,     0,   310,     0,   311,     0,     0,     0,
     312,   313,   314,     0,   315,   316,     0,   317,   318,     0,
     319,   320,   321,   322,   323,     0,   324,   325,   326,     0,
     327,   328,   329,   330,   331,   332,     0,   333,     0,   334,
     335,   336,   337,   338,   339,   340,     0,   341,     0,   342,
       0,     0,   343,     0,   344,   345,   346,   347,   348,   349,
     350,     0,   351,     0,   352,     0,     0,   353,   354,   355,
       0,     0,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,     0,   370,   371,   372,
     373,   374,     0,   375,   376,     0,   377,     0,   378,   379,
     380,   381,   382,   383,     0,   384,     0,     0,   385,   386,
     387,     0,     0,   388,     0,     0,     0,   389,   390,   391,
     392,   393,   394,   395,   396,     0,   397,   398,   399,   400,
     401,   402,   403,   404,     0,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,   417,   418,
     419,   420,   421,   422,   423,   424,   425,   426,   427,     0,
     428,   429,     0,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,   447,     0,   448,   449,   450,   451,     0,   452,   453,
       0,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,     0,   465,   466,     0,   467,   468,   469,   470,
     471,   472,     0,   473,   474,     0,     0,   475,   476,   477,
     478,     0,   479,   480,   481,   482,   483,   484,     0,     0,
     485,   486,   487,   488,   489,     0,     0,   490,   491,   492,
     493,   494,   495,   496,     0,   497,     0,   498,   499,   500,
       0,     0,   501,     0,     0,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   518,     0,     0,     0,   788,   789,   790,     0,   791,
     792,   793,   794,   795,   796,   210,     0,     0,     0,     0,
     785,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,     0,     0,     0,   788,   789,   790,     0,   791,   792,
     793,   794,   795,   796,   210,     0,     0,     0,     0,   785,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,   232,     0,   233,   234,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,   242,
     243,   244,     0,   245,  2469,   247,   248,   249,   250,     0,
     251,     0,   252,   253,   254,   255,     0,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,     0,   265,
     266,     0,     0,     0,     0,     0,     0,     0,   267,   268,
     269,   270,   271,   272,   273,   274,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,   289,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,     0,  2470,     0,   307,   308,
     309,     0,   310,     0,   311,     0,     0,     0,   312,   313,
     314,     0,   315,   316,     0,   317,   318,     0,   319,   320,
     321,   322,   323,     0,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,     0,   334,   335,   336,
     337,   338,   339,   340,     0,   341,     0,   342,     0,     0,
     343,     0,   344,   345,   346,   347,   348,   349,   350,     0,
     351,     0,   352,     0,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,     0,   370,   371,   372,   373,   374,
       0,   375,   376,     0,   377,     0,   378,   379,   380,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,   388,     0,     0,     0,   389,   390,   391,   392,   393,
     394,   395,   396,     0,   397,   398,   399,   400,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
       0,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,   449,   450,   451,     0,   452,   453,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
       0,   465,   466,     0,   467,   468,   469,   470,   471,   472,
       0,   473,   474,     0,     0,   475,   476,   477,   478,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
     495,   496,     0,   497,     0,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
       0,     0,     0,   788,   789,   790,     0,   791,   792,   793,
     794,   795,   796,   210,     0,     0,     0,     0,   785,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,  3934,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,     0,
       0,  1686,   788,   789,   790,     0,   791,   792,   793,   794,
     795,   796,   211,   212,   213,   214,   215,   216,   217,   218,
    1687,   220,   221,   222,  1688,  1689,  1690,  1691,  1692,  1693,
    1694,   223,   224,  1695,   225,   226,   738,   227,   228,   229,
     230,   231,   232,   739,   233,   234,  1696,   235,   236,   237,
     238,   239,  1697,  1698,   240,   241,   242,   243,   244,  1699,
     245,   246,   247,   248,   249,   250,  1700,   251,  1701,   252,
     253,   254,   255,   740,   256,   257,  1702,   258,   259,   260,
     261,   262,   263,   264,  1703,   741,   265,   266,  1704,  1705,
    1706,   742,  1707,  1708,  1709,   267,   268,   269,   270,   271,
     272,   273,   274,   275,  1710,   276,  1711,   277,   278,   279,
     280,   281,  1712,   282,   283,   284,   285,  1713,   286,  1714,
     287,   288,   289,   290,   291,  1715,   292,   293,   294,  1716,
     295,   296,  1717,   297,   298,   299,   300,   301,   302,   303,
     304,   305,  1718,   306,  1719,   307,   308,   309,  1720,   310,
    1721,   311,   743,  1722,   744,   312,   313,   314,  1723,   315,
     316,  1724,   317,   318,  1725,   319,   320,   321,   322,   323,
     745,   324,   325,   326,  1726,   327,   328,   329,   330,   331,
     332,  1727,   333,   746,   334,   335,   336,   337,   338,   339,
     340,  1728,   341,  1729,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,  1730,   351,   750,   352,
     751,  1731,   353,   354,   355,  1732,  1733,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   752,   370,   371,   372,   373,   374,  1734,   375,   376,
     753,   377,  1735,   378,   379,   380,   381,   382,   383,  1736,
     384,  1737,  1738,   385,   386,   387,  1739,  1740,   388,   754,
     755,   756,   389,   390,   391,   392,   393,   394,   395,   396,
    1741,   397,   398,   399,   400,   401,   402,   403,   404,  1742,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,  1743,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1744,   428,   429,   757,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1745,   443,   444,   445,   446,   447,  1746,   448,   449,
     450,   451,   758,   452,   453,  1747,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1748,   465,   466,
    1749,   467,   468,   469,   470,   471,   472,  1750,   473,   474,
    1751,  1752,   475,   476,   477,   478,  1753,   479,   480,   481,
     482,   483,   484,  1754,  1755,   485,   486,   487,   488,   489,
    1756,  1757,   490,   491,   492,   493,   494,   495,   496,  1758,
     497,   759,   498,   499,   500,  1759,  1760,   501,  1761,  1762,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,  1763,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,   707,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,  1352,
       0,     0,     0,     0,     0,     0,     0,     0,  3808,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,     0,
    1353,   739,  1354,  1355,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,  1356,  1357,   244,     0,   245,   246,
     247,   248,   249,     0,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,     0,     0,     0,   742,
       0,     0,     0,   267,   268,   269,   270,   271,   272,  1358,
    1359,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,     0,   302,   303,   304,     0,
       0,   306,     0,   307,  1360,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,     0,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,     0,   335,   336,   337,   338,  1361,  1362,     0,
    1363,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,     0,   750,   352,   751,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1364,   752,
    1365,   371,   372,   373,     0,     0,   375,   376,   753,   377,
       0,     0,   379,  1366,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,     0,   754,   755,   756,
       0,   390,   391,   392,   393,   394,   395,   396,     0,   397,
       0,   399,     0,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1367,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,  1368,   450,   451,
     758,   452,  1369,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1370,  1371,     0,     0,
     475,     0,   477,     0,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,     0,  1372,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,     0,     0,  2037,     0,     0,     0,     0,
       0,     0,   516,   517,   518,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1817,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,     0,  1353,   739,  1354,  1355,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
    1356,  1357,   244,     0,   245,   246,   247,   248,   249,     0,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,  1358,  1359,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,     0,   302,   303,   304,     0,     0,   306,     0,   307,
    1360,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,     0,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,     0,   335,
     336,   337,   338,  1361,  1362,     0,  1363,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,     0,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1364,   752,  1365,   371,   372,   373,
       0,     0,   375,   376,   753,   377,     0,     0,   379,  1366,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,     0,   754,   755,   756,     0,   390,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   399,     0,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1367,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,  1368,   450,   451,   758,   452,  1369,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1370,  1371,     0,     0,   475,     0,   477,     0,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,     0,  1372,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,     0,
       0,   210,  1251,   573,     0,     0,     0,   623,   516,   517,
     518,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1817,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,  1676,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,  1490,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,  1491,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,  1492,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,  1251,   573,
       0,     0,     0,   623,   635,  1252,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
    1681,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,  1490,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,  1491,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,  1492,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,  1251,   573,     0,     0,     0,   623,
     635,  1252,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,  1490,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,  1491,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,  1492,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,   623,   635,  1252,     0,     0,
     211,   624,   213,   214,   215,   216,   217,   218,   625,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   626,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   627,   308,   309,     0,   310,     0,   628,
       0,   629,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,   630,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   631,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   632,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   633,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   634,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,  1686,  4238,   573,     0,     0,
       0,   623,   635,   636,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1687,   220,   221,   222,  1688,  1689,
    1690,  1691,  1692,  1693,  1694,   223,   224,  1695,   225,   226,
     738,   227,   228,   229,   230,   231,   232,   739,   233,   234,
    1696,   235,   236,   237,   238,   239,  1697,  1698,   240,   241,
     242,   243,   244,  1699,   245,   246,   247,   248,   249,   250,
    1700,   251,  1701,   252,   253,   254,   255,   740,   256,   257,
    1702,   258,   259,   260,   261,   262,   263,   264,  1703,   741,
     265,   266,  1704,  1705,  1706,   742,  1707,  1708,  1709,   267,
     268,   269,   270,   271,   272,   273,   274,   275,  1710,   276,
    1711,   277,   278,   279,   280,   281,  1712,   282,   283,   284,
     285,  1713,   286,  1714,   287,   288,   289,   290,   291,  1715,
     292,   293,   294,  1716,   295,   296,  1717,   297,   298,   299,
     300,   301,   302,   303,   304,   305,  1718,   306,  1719,   307,
     308,   309,  1720,   310,  1721,   311,   743,  1722,   744,   312,
     313,   314,  1723,   315,   316,  1724,   317,   318,  1725,   319,
     320,   321,   322,   323,   745,   324,   325,   326,  1726,   327,
     328,   329,   330,   331,   332,  1727,   333,   746,   334,   335,
     336,   337,   338,   339,   340,  1728,   341,  1729,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
    1730,   351,   750,   352,   751,  1731,   353,   354,   355,  1732,
    1733,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   752,   370,   371,   372,   373,
     374,  1734,   375,   376,   753,   377,  1735,   378,   379,   380,
     381,   382,   383,  1736,   384,  1737,  1738,   385,   386,   387,
    1739,  1740,   388,   754,   755,   756,   389,   390,   391,   392,
     393,   394,   395,   396,  1741,   397,   398,   399,   400,   401,
     402,   403,   404,  1742,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,  1743,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,  1744,   428,
     429,   757,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,  1745,   443,   444,   445,   446,
     447,  1746,   448,   449,   450,   451,   758,   452,   453,  1747,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,  1748,   465,   466,  1749,   467,   468,   469,   470,   471,
     472,  1750,   473,   474,  1751,  1752,   475,   476,   477,   478,
    1753,   479,   480,   481,   482,   483,   484,  1754,  1755,   485,
     486,   487,   488,   489,  1756,  1757,   490,   491,   492,   493,
     494,   495,   496,  1758,   497,   759,   498,   499,   500,  1759,
    1760,   501,  1761,  1762,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,  1686,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1687,   220,   221,   222,  1688,  1689,  1690,  1691,  1692,  1693,
    1694,   223,   224,  1695,   225,   226,   738,   227,   228,   229,
     230,   231,   232,   739,   233,   234,  1696,   235,   236,   237,
     238,   239,  1697,  1698,   240,   241,   242,   243,   244,  1699,
     245,   246,   247,   248,   249,   250,  1700,   251,  1701,   252,
     253,   254,   255,   740,   256,   257,  1702,   258,   259,   260,
     261,   262,   263,   264,  1703,   741,   265,   266,  1704,  1705,
    1706,   742,  1707,  1708,  1709,   267,   268,   269,   270,   271,
     272,   273,   274,   275,  1710,   276,  1711,   277,   278,   279,
     280,   281,  1712,   282,   283,   284,   285,  1713,   286,  1714,
     287,   288,   289,   290,   291,  1715,   292,   293,   294,  1716,
     295,   296,  1717,   297,   298,   299,   300,   301,   302,   303,
     304,   305,  1718,   306,  1719,   307,   308,   309,  1720,   310,
    1721,   311,   743,  1722,   744,   312,   313,   314,  1723,   315,
     316,  1724,   317,   318,  1725,   319,   320,   321,   322,   323,
     745,   324,   325,   326,  1726,   327,   328,   329,   330,   331,
     332,  1727,   333,   746,   334,   335,   336,   337,   338,   339,
     340,  1728,   341,  1729,   342,   747,   748,   343,   749,   344,
     345,   346,   347,   348,   349,   350,  1730,   351,   750,   352,
     751,  1731,   353,   354,   355,  1732,  1733,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   752,   370,   371,   372,   373,   374,  1734,   375,   376,
     753,   377,  1735,   378,   379,   380,   381,   382,   383,  1736,
     384,  1737,  1738,   385,   386,   387,  1739,  1740,   388,   754,
     755,   756,   389,   390,   391,   392,   393,   394,   395,   396,
    1741,   397,   398,   399,   400,   401,   402,   403,   404,  1742,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,  1743,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,  1744,   428,   429,   757,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,  1745,   443,   444,   445,   446,   447,  1746,   448,   449,
     450,   451,   758,   452,   453,  1747,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,  1748,   465,   466,
    1749,   467,   468,   469,   470,   471,   472,  1750,   473,   474,
    1751,  1752,   475,   476,   477,   478,  1753,   479,   480,   481,
     482,   483,   484,  1754,  1755,   485,   486,   487,   488,   489,
    1756,  1757,   490,   491,   492,   493,   494,   495,   496,  1758,
     497,   759,   498,   499,   500,  1759,  1760,   501,  1761,  1762,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,  1686,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,  2530,   216,   217,   218,  1687,   220,   221,   222,
    1688,  1689,  1690,  1691,  1692,  1693,  1694,   223,   224,  1695,
     225,   226,   738,   227,   228,   229,   230,   231,   232,   739,
     233,   234,  1696,   235,   236,   237,   238,   239,  1697,  1698,
     240,   241,   242,   243,   244,  1699,   245,   246,   247,   248,
     249,   250,  1700,   251,  1701,   252,   253,   254,   255,   740,
     256,   257,  1702,   258,   259,   260,   261,   262,   263,   264,
    1703,   741,   265,   266,  1704,  1705,  1706,   742,  1707,  1708,
    1709,   267,   268,   269,   270,   271,   272,   273,   274,   275,
    1710,   276,  1711,   277,   278,   279,   280,   281,  1712,   282,
     283,   284,   285,  1713,   286,  1714,   287,   288,   289,  2531,
     291,  1715,   292,   293,   294,  1716,   295,   296,  1717,   297,
     298,   299,   300,   301,   302,   303,   304,   305,  1718,   306,
    1719,   307,   308,   309,  1720,   310,  1721,   311,   743,  1722,
     744,   312,   313,   314,  1723,   315,   316,  1724,   317,   318,
    1725,   319,   320,   321,   322,   323,   745,   324,   325,   326,
    1726,   327,   328,   329,   330,   331,   332,  1727,   333,   746,
     334,   335,   336,   337,   338,   339,   340,  1728,   341,  1729,
     342,   747,   748,   343,   749,   344,   345,   346,   347,   348,
     349,   350,  1730,   351,   750,   352,   751,  1731,   353,   354,
     355,  1732,  1733,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   752,   370,   371,
     372,   373,   374,  1734,   375,   376,   753,   377,  1735,   378,
     379,   380,   381,   382,   383,  1736,   384,  1737,  1738,   385,
     386,   387,  1739,  1740,   388,   754,   755,   756,   389,   390,
     391,   392,   393,   394,   395,   396,  1741,   397,   398,   399,
     400,   401,   402,   403,   404,  1742,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,  1743,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
    1744,   428,   429,   757,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,  1745,   443,   444,
     445,   446,   447,  1746,  2532,   449,   450,   451,   758,   452,
     453,  1747,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,  1748,   465,   466,  1749,   467,   468,   469,
     470,   471,   472,  1750,   473,   474,  1751,  1752,   475,   476,
     477,   478,  1753,   479,   480,   481,   482,   483,   484,  1754,
    1755,   485,   486,   487,   488,   489,  1756,  1757,   490,   491,
     492,   493,   494,   495,   496,  1758,   497,   759,   498,   499,
     500,  1759,  1760,   501,  1761,  1762,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   737,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   738,   227,
     228,   229,   230,   231,   232,   739,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,   740,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,   741,   265,   266,
       0,     0,     0,   742,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,   743,     0,   744,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,   745,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,   746,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,   747,   748,   343,
     749,   344,   345,   346,   347,   348,   349,   350,     0,   351,
     750,   352,   751,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   752,   370,   371,   372,   373,   374,     0,
     375,   376,   753,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,   754,   755,   756,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,   757,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,   758,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,   759,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   737,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,   231,
     232,   739,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,     0,     0,     0,   742,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   905,   745,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,   746,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,   351,   750,   352,   751,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   752,
     370,   371,   372,   373,   374,     0,   375,   376,   753,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,   754,   755,   756,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
     758,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   737,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,   231,   232,   739,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   914,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,   351,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   752,   370,   371,   372,   373,
     374,     0,   375,   376,   753,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,   754,   755,   756,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,   758,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,  1841,
     245,   246,   247,   248,   249,   250,     0,   251,  1906,   252,
     253,   254,   255,     0,   256,   257,  1842,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,  1907,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
    1844,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,  1845,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,  1846,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,  1841,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,  1842,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,  1907,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,  1844,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,  2723,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,  1845,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
    1846,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   673,
     217,   218,   642,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,   643,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
     674,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   644,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   645,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   642,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,   643,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,  2441,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     644,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   645,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,  1841,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
    1842,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,  1907,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,  1844,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,  1845,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,  1846,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     642,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,   643,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   644,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   645,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,  1490,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,  1491,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,  1492,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1517,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
    1518,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,  1519,   311,     0,     0,     0,  1520,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,  1521,  1522,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,  1523,   439,
     440,   441,   442,     0,  1524,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,  1525,   467,  1526,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,   643,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     644,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   645,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     3,     4,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,   950,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,   573,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,  1662,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
    1995,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,  1996,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     3,     4,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  2514,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,  2515,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  2526,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,  2527,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   565,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   566,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   667,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   668,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     669,   474,     0,     0,   670,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   696,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   697,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   698,   474,     0,     0,
     699,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,   702,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,   873,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   898,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,   573,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,   919,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1106,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,  1117,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   684,   241,   242,   243,  1118,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   687,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   688,
     432,   433,   434,   435,   436,   437,   689,   439,   440,   441,
     442,     0,   443,   444,   445,   446,  1110,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   691,   474,
       0,     0,   692,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   693,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,  1478,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,  2349,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,  2350,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,  2351,   467,   468,  2352,   470,  2353,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,  2354,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,  2785,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,  3375,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,  3388,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,  3529,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,  3577,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,  3579,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,  3581,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,  3937,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   608,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     657,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   665,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   684,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   685,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   686,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   687,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   688,
     432,   433,   434,   435,   436,   437,   689,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   690,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   691,   474,
       0,     0,   692,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   693,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   714,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   810,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   864,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   887,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   910,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   916,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   926,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   928,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   930,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   932,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   935,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   937,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   938,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   941,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   684,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   687,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   688,   432,   433,   434,   435,   436,   437,
     689,   439,   440,   441,   442,     0,   443,   444,   445,   446,
    1110,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   691,   474,     0,     0,   692,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   693,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,  1397,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,  1427,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,  1456,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,  1458,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,   323,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,  1549,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,  1814,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,   323,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,     0,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     684,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,   323,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   687,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   688,   432,   433,   434,   435,
     436,   437,   689,   439,   440,   441,   442,     0,   443,   444,
     445,   446,  1110,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,  1832,   469,
     470,   471,   472,     0,   691,   474,     0,     0,   692,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     693,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   684,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
     270,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   687,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   688,   432,   433,   434,   435,   436,   437,  1887,   439,
     440,   441,   442,     0,   443,   444,   445,   446,  1110,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     691,   474,     0,     0,   692,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   693,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,  2129,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,   394,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,   232,     0,   233,   234,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
     242,   243,   244,     0,   245,   246,   247,   248,   249,   250,
       0,   251,     0,   252,   253,   254,   255,     0,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,     0,
     265,   266,     0,     0,     0,     0,     0,     0,     0,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,   289,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,     0,   306,     0,   307,
     308,   309,     0,   310,     0,   311,     0,     0,     0,   312,
     313,   314,     0,   315,   316,     0,   317,   318,     0,   319,
     320,   321,   322,  2517,     0,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,     0,   334,   335,
     336,   337,   338,   339,   340,     0,   341,     0,   342,     0,
       0,   343,     0,   344,   345,   346,   347,   348,   349,   350,
       0,   351,     0,   352,     0,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,     0,   370,   371,   372,   373,
     374,     0,   375,   376,     0,   377,     0,   378,   379,   380,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,   388,     0,     0,     0,   389,   390,   391,   392,
     393,   394,   395,   396,     0,   397,   398,   399,   400,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,     0,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,   449,   450,   451,     0,   452,   453,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,   473,   474,     0,     0,   475,   476,   477,   478,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,   495,   496,     0,   497,     0,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,   232,     0,   233,   234,     0,   235,   236,   237,
     238,   239,     0,     0,   240,   241,   242,   243,   244,     0,
     245,   246,   247,   248,   249,   250,     0,   251,     0,   252,
     253,   254,   255,     0,   256,   257,     0,   258,   259,   260,
     261,   262,   263,   264,     0,     0,   265,   266,     0,     0,
       0,     0,     0,     0,     0,   267,   268,   269,   270,   271,
     272,   273,   274,   275,     0,   276,     0,   277,   278,   279,
     280,   281,     0,   282,   283,   284,   285,     0,   286,     0,
     287,   288,   289,   290,   291,     0,   292,   293,   294,     0,
     295,   296,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,     0,   306,     0,   307,   308,   309,     0,   310,
       0,   311,     0,     0,     0,   312,   313,   314,     0,   315,
     316,     0,   317,   318,     0,   319,   320,   321,   322,  2519,
       0,   324,   325,   326,     0,   327,   328,   329,   330,   331,
     332,     0,   333,     0,   334,   335,   336,   337,   338,   339,
     340,     0,   341,     0,   342,     0,     0,   343,     0,   344,
     345,   346,   347,   348,   349,   350,     0,   351,     0,   352,
       0,     0,   353,   354,   355,     0,     0,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,     0,   370,   371,   372,   373,   374,     0,   375,   376,
       0,   377,     0,   378,   379,   380,   381,   382,   383,     0,
     384,     0,     0,   385,   386,   387,     0,     0,   388,     0,
       0,     0,   389,   390,   391,   392,   393,   394,   395,   396,
       0,   397,   398,   399,   400,   401,   402,   403,   404,     0,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,     0,   428,   429,     0,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   447,     0,   448,   449,
     450,   451,     0,   452,   453,     0,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,     0,   465,   466,
       0,   467,   468,   469,   470,   471,   472,     0,   473,   474,
       0,     0,   475,   476,   477,   478,     0,   479,   480,   481,
     482,   483,   484,     0,     0,   485,   486,   487,   488,   489,
       0,     0,   490,   491,   492,   493,   494,   495,   496,     0,
     497,     0,   498,   499,   500,     0,     0,   501,     0,     0,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,   232,     0,
     233,   234,     0,   235,   236,   237,   238,   239,     0,     0,
     240,   241,   242,   243,   244,     0,   245,   246,   247,   248,
     249,   250,     0,   251,     0,   252,   253,   254,   255,     0,
     256,   257,     0,   258,   259,   260,   261,   262,   263,   264,
       0,     0,   265,   266,     0,     0,     0,     0,     0,     0,
       0,   267,   268,   269,   270,   271,   272,   273,   274,   275,
       0,   276,     0,   277,   278,   279,   280,   281,     0,   282,
     283,   284,   285,     0,   286,     0,   287,   288,   289,   290,
     291,     0,   292,   293,   294,     0,   295,   296,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,     0,   306,
       0,   307,   308,   309,     0,   310,     0,   311,     0,     0,
       0,   312,   313,   314,     0,   315,   316,     0,   317,   318,
       0,   319,   320,   321,   322,  2602,     0,   324,   325,   326,
       0,   327,   328,   329,   330,   331,   332,     0,   333,     0,
     334,   335,   336,   337,   338,   339,   340,     0,   341,     0,
     342,     0,     0,   343,     0,   344,   345,   346,   347,   348,
     349,   350,     0,   351,     0,   352,     0,     0,   353,   354,
     355,     0,     0,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,     0,   370,   371,
     372,   373,   374,     0,   375,   376,     0,   377,     0,   378,
     379,   380,   381,   382,   383,     0,   384,     0,     0,   385,
     386,   387,     0,     0,   388,     0,     0,     0,   389,   390,
     391,   392,   393,   394,   395,   396,     0,   397,   398,   399,
     400,   401,   402,   403,   404,     0,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
       0,   428,   429,     0,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   447,     0,   448,   449,   450,   451,     0,   452,
     453,     0,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,     0,   465,   466,     0,   467,   468,   469,
     470,   471,   472,     0,   473,   474,     0,     0,   475,   476,
     477,   478,     0,   479,   480,   481,   482,   483,   484,     0,
       0,   485,   486,   487,   488,   489,     0,     0,   490,   491,
     492,   493,   494,   495,   496,     0,   497,     0,   498,   499,
     500,     0,     0,   501,     0,     0,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,   232,     0,   233,   234,     0,   235,
     236,   237,   238,   239,     0,     0,   240,   241,   242,   243,
     244,     0,   245,   246,   247,   248,   249,   250,     0,   251,
       0,   252,   253,   254,   255,     0,   256,   257,     0,   258,
     259,   260,   261,   262,   263,   264,     0,     0,   265,   266,
       0,     0,     0,     0,     0,     0,     0,   267,   268,   269,
    3102,   271,   272,   273,   274,   275,     0,   276,     0,   277,
     278,   279,   280,   281,     0,   282,   283,   284,   285,     0,
     286,     0,   287,   288,   289,   290,   291,     0,   292,   293,
     294,     0,   295,   296,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,     0,   306,     0,   307,   308,   309,
       0,   310,     0,   311,     0,     0,     0,   312,   313,   314,
       0,   315,   316,     0,   317,   318,     0,   319,   320,   321,
     322,   323,     0,   324,   325,   326,     0,   327,   328,   329,
     330,   331,   332,     0,   333,     0,   334,   335,   336,   337,
     338,   339,   340,     0,   341,     0,   342,     0,     0,   343,
       0,   344,   345,   346,   347,   348,   349,   350,     0,   351,
       0,   352,     0,     0,   353,   354,   355,     0,     0,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,     0,   370,   371,   372,   373,   374,     0,
     375,   376,     0,   377,     0,   378,   379,   380,   381,   382,
     383,     0,   384,     0,     0,   385,   386,   387,     0,     0,
     388,     0,     0,     0,   389,   390,   391,   392,   393,   394,
     395,   396,     0,   397,   398,   399,   400,   401,   402,   403,
     404,     0,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,     0,   428,   429,     0,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   447,     0,
     448,   449,   450,   451,     0,   452,   453,     0,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,     0,
     465,   466,     0,   467,   468,   469,   470,   471,   472,     0,
     473,   474,     0,     0,   475,   476,   477,   478,     0,   479,
     480,   481,   482,   483,   484,     0,     0,   485,   486,   487,
     488,   489,     0,     0,   490,   491,   492,   493,   494,   495,
     496,     0,   497,     0,   498,   499,   500,     0,     0,   501,
       0,     0,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,  1352,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   738,   227,   228,   229,   230,     0,
    1353,   739,  1354,  1355,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,  1356,  1357,   244,     0,   245,   246,
     247,   248,   249,     0,     0,   251,     0,   252,   253,   254,
     255,   740,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,   741,   265,   266,     0,     0,     0,   742,
       0,     0,     0,   267,   268,   269,   270,   271,   272,  1358,
    1359,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
    1033,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,     0,   302,   303,   304,     0,
       0,   306,     0,   307,  1360,   309,     0,   310,     0,   311,
     743,     0,   744,   312,   313,   314,     0,   315,     0,     0,
     317,   318,     0,   319,   320,   321,   322,   323,   745,   324,
     325,   326,  1891,   327,   328,   329,   330,   331,   332,     0,
     333,   746,  1892,   335,   336,   337,   338,  1361,  1362,     0,
    1363,     0,   342,   747,   748,   343,   749,   344,   345,   346,
     347,   348,   349,   350,     0,     0,   750,   352,   751,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,  1364,   752,
    1365,   371,   372,   373,     0,     0,   375,   376,   753,   377,
       0,     0,   379,  1366,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,  1893,   754,   755,   756,
       0,   390,   391,   392,   393,   394,   395,   396,     0,   397,
       0,   399,     0,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,   410,   411,  1367,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,   757,   430,   431,   432,   433,
       0,   435,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,  1894,   450,   451,
     758,   452,  1369,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,     0,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,  1370,  1371,     0,     0,
     475,     0,   477,     0,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,     0,  1372,  1895,   497,   759,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,     0,  1352,     0,     0,     0,     0,     0,
       0,     0,   516,   517,   518,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   738,
     227,   228,   229,   230,     0,  1353,   739,  1354,  1355,     0,
     235,   236,   237,   238,   239,     0,     0,   240,   241,  1356,
    1357,   244,     0,   245,   246,   247,   248,   249,     0,     0,
     251,     0,   252,   253,   254,   255,   740,   256,   257,     0,
     258,   259,   260,   261,   262,   263,   264,     0,   741,   265,
     266,     0,     0,     0,   742,     0,     0,     0,   267,   268,
     269,   270,   271,   272,  1358,  1359,   275,     0,   276,     0,
     277,   278,   279,   280,   281,     0,   282,   283,   284,   285,
       0,   286,     0,   287,   288,  1033,   290,   291,     0,   292,
     293,   294,     0,   295,   296,     0,   297,   298,   299,   300,
       0,   302,   303,   304,     0,     0,   306,     0,   307,  1360,
     309,     0,   310,     0,   311,   743,     0,   744,   312,   313,
     314,     0,   315,     0,     0,   317,   318,     0,   319,   320,
     321,   322,   323,   745,   324,   325,   326,     0,   327,   328,
     329,   330,   331,   332,     0,   333,   746,     0,   335,   336,
     337,   338,  1361,  1362,     0,  1363,     0,   342,   747,   748,
     343,   749,   344,   345,   346,   347,   348,   349,   350,     0,
       0,   750,   352,   751,     0,   353,   354,   355,     0,     0,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,  1364,   752,  1365,   371,   372,   373,     0,
       0,   375,   376,   753,   377,  1883,     0,   379,  1366,   381,
     382,   383,     0,   384,     0,     0,   385,   386,   387,     0,
       0,     0,   754,   755,   756,     0,   390,   391,   392,   393,
     394,   395,   396,     0,   397,     0,   399,     0,   401,   402,
     403,   404,     0,   405,   406,   407,   408,   409,   410,   411,
    1367,   413,   414,   415,   416,     0,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,     0,   428,   429,
     757,   430,   431,   432,   433,     0,   435,   436,   437,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,   447,
       0,   448,  1894,   450,   451,   758,   452,  1369,     0,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,     0,
       0,   465,   466,  3242,   467,   468,   469,   470,   471,   472,
       0,  1370,  1371,     0,     0,   475,     0,   477,     0,     0,
     479,   480,   481,   482,   483,   484,     0,     0,   485,   486,
     487,   488,   489,     0,     0,   490,   491,   492,   493,   494,
       0,  1372,     0,   497,   759,   498,   499,   500,     0,     0,
     501,     0,     0,   502,   503,   504,   505,   506,     0,   210,
       0,     0,     0,     0,     0,     0,     0,   516,   517,   518,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
     232,     0,   233,   234,     0,   235,   236,   237,   238,   239,
       0,     0,   240,   241,   242,   243,   244,     0,   245,   246,
     247,   248,   249,   250,     0,   251,     0,   252,   253,   254,
     255,     0,   256,   257,     0,   258,   259,   260,   261,   262,
     263,   264,     0,     0,   265,   266,     0,     0,     0,     0,
       0,     0,     0,   267,   268,   269,   270,   271,   272,   273,
     274,   275,     0,   276,     0,   277,   278,   279,   280,   281,
       0,   282,   283,   284,   285,     0,   286,     0,   287,   288,
     289,   290,   291,     0,   292,   293,   294,     0,   295,   296,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
       0,   306,     0,   307,   308,   309,     0,   310,     0,   311,
       0,     0,     0,   312,   313,   314,     0,   315,   316,     0,
     317,   318,     0,   319,   320,   321,   322,   323,     0,   324,
     325,   326,     0,   327,   328,   329,   330,   331,   332,     0,
     333,     0,   334,   335,   336,   337,   338,   339,   340,     0,
     341,     0,   342,     0,     0,   343,     0,   344,   345,   346,
     347,   348,   349,   350,     0,   351,     0,   352,     0,     0,
     353,   354,   355,     0,     0,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,     0,
     370,   371,   372,   373,   374,     0,   375,   376,     0,   377,
       0,   378,   379,   380,   381,   382,   383,     0,   384,     0,
       0,   385,   386,   387,     0,     0,   388,     0,     0,     0,
     389,   390,   391,   392,   393,     0,   395,   396,     0,   397,
     398,   399,   400,   401,   402,   403,   404,     0,   405,   406,
     407,   408,   409,     0,   411,   412,   413,   414,   415,   416,
       0,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,     0,   428,   429,     0,   430,   431,   432,   433,
     434,     0,   436,   437,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   447,     0,   448,   449,   450,   451,
       0,   452,   453,     0,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,     0,   465,   466,     0,   467,
     468,   469,   470,   471,   472,     0,   473,   474,     0,     0,
     475,   476,   477,   478,     0,   479,   480,   481,   482,   483,
     484,     0,     0,   485,   486,   487,   488,   489,     0,     0,
     490,   491,   492,   493,   494,   495,   496,     0,   497,     0,
     498,   499,   500,     0,     0,   501,     0,     0,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,  1352,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,     0,  1353,   739,  1354,  1355,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
    1356,  1357,   244,     0,   245,   246,   247,   248,   249,     0,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,  1358,  1359,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,     0,   302,   303,   304,     0,     0,   306,     0,   307,
    1360,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,     0,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,     0,   335,
     336,   337,   338,  1361,  1362,     0,  1363,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,     0,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1364,   752,  1365,   371,   372,   373,
    1944,     0,   375,   376,   753,   377,     0,     0,   379,  1366,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,     0,   754,   755,   756,     0,   390,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   399,     0,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1367,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,  1368,   450,   451,   758,   452,  1369,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1370,  1371,     0,     0,   475,     0,   477,     0,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,     0,  1372,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,     0,
    1352,     0,     0,     0,     0,     0,     0,     0,   516,   517,
     518,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
       0,  1353,   739,  1354,  1355,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,  1356,  1357,   244,     0,   245,
     246,   247,   248,   249,     0,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,     0,     0,     0,
     742,     0,     0,     0,   267,   268,   269,   270,   271,   272,
    1358,  1359,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,     0,   302,   303,   304,
       0,     0,   306,     0,   307,  1360,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,     0,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,     0,   335,   336,   337,   338,  1361,  1362,
       0,  1363,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,     0,   750,   352,   751,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1364,
     752,  1365,   371,   372,   373,  3064,     0,   375,   376,   753,
     377,     0,     0,   379,  1366,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,     0,   754,   755,
     756,     0,   390,   391,   392,   393,   394,   395,   396,     0,
     397,     0,   399,     0,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1367,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,  1368,   450,
     451,   758,   452,  1369,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1370,  1371,     0,
       0,   475,     0,   477,     0,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,     0,  1372,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,     0,  1352,     0,     0,     0,     0,
       0,     0,     0,   516,   517,   518,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,     0,  1353,   739,  1354,  1355,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
    1356,  1357,   244,     0,   245,   246,   247,   248,   249,     0,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,  1358,  1359,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,     0,   302,   303,   304,     0,     0,   306,     0,   307,
    1360,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,     0,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,     0,   335,
     336,   337,   338,  1361,  1362,     0,  1363,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,     0,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1364,   752,  1365,   371,   372,   373,
       0,     0,   375,   376,   753,   377,     0,     0,   379,  1366,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,     0,   754,   755,   756,     0,   390,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   399,     0,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1367,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,  1368,   450,   451,   758,   452,  1369,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1370,  1371,     0,     0,   475,     0,   477,     0,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,     0,  1372,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,     0,
    1352,     0,     0,     0,     0,     0,     0,     0,   516,   517,
     518,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
       0,  1353,   739,  1354,  1355,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,  1356,  1357,   244,     0,   245,
     246,   247,   248,   249,     0,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,     0,     0,     0,
     742,     0,     0,     0,   267,   268,   269,   270,   271,   272,
    1358,  1359,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,  1033,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,     0,   302,   303,   304,
       0,     0,   306,     0,   307,  1360,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,     0,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,     0,   335,   336,   337,   338,  1361,  1362,
       0,  1363,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,     0,   750,   352,   751,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,  1364,
     752,  1365,   371,   372,   373,     0,     0,   375,   376,   753,
     377,     0,     0,   379,  1366,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,     0,   754,   755,
     756,     0,   390,   391,   392,   393,   394,   395,   396,     0,
     397,     0,   399,     0,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,  1367,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,  1894,   450,
     451,   758,   452,  1369,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,  1370,  1371,     0,
       0,   475,     0,   477,     0,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,     0,  1372,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,     0,  1352,     0,     0,     0,     0,
       0,     0,     0,   516,   517,   518,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     738,   227,   228,   229,   230,     0,  1353,   739,  1354,  1355,
       0,   235,   236,   237,   238,   239,     0,     0,   240,   241,
    1356,  1357,   244,     0,   245,   246,   247,   248,   249,     0,
       0,   251,     0,   252,   253,   254,   255,   740,   256,   257,
       0,   258,   259,   260,   261,   262,   263,   264,     0,   741,
     265,   266,     0,     0,     0,   742,     0,     0,     0,   267,
     268,   269,   270,   271,   272,  1358,  1359,   275,     0,   276,
       0,   277,   278,   279,   280,   281,     0,   282,   283,   284,
     285,     0,   286,     0,   287,   288,  1033,   290,   291,     0,
     292,   293,   294,     0,   295,   296,     0,   297,   298,   299,
     300,     0,   302,   303,   304,     0,     0,   306,     0,   307,
    1360,   309,     0,   310,     0,   311,   743,     0,   744,   312,
     313,   314,     0,   315,     0,     0,   317,   318,     0,   319,
     320,   321,   322,   323,   745,   324,   325,   326,     0,   327,
     328,   329,   330,   331,   332,     0,   333,   746,     0,   335,
     336,   337,   338,  1361,  1362,     0,  1363,     0,   342,   747,
     748,   343,   749,   344,   345,   346,   347,   348,   349,   350,
       0,     0,   750,   352,   751,     0,   353,   354,   355,     0,
       0,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,  1364,   752,  1365,   371,   372,   373,
       0,     0,   375,   376,   753,   377,     0,     0,   379,  1366,
     381,   382,   383,     0,   384,     0,     0,   385,   386,   387,
       0,     0,     0,   754,   755,   756,     0,   390,   391,   392,
     393,   394,   395,   396,     0,   397,     0,   399,     0,   401,
     402,   403,   404,     0,   405,   406,   407,   408,   409,   410,
     411,  1367,   413,   414,   415,   416,     0,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,     0,   428,
     429,   757,   430,   431,   432,   433,     0,   435,   436,   437,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     447,     0,   448,     0,   450,   451,   758,   452,  1369,     0,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
       0,     0,   465,   466,     0,   467,   468,   469,   470,   471,
     472,     0,  1370,  1371,     0,     0,   475,     0,   477,     0,
       0,   479,   480,   481,   482,   483,   484,     0,     0,   485,
     486,   487,   488,   489,     0,     0,   490,   491,   492,   493,
     494,     0,  1372,     0,   497,   759,   498,   499,   500,     0,
       0,   501,     0,     0,   502,   503,   504,   505,   506,     0,
    1352,     0,     0,     0,     0,     0,     0,     0,   516,   517,
     518,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   738,   227,   228,   229,   230,
       0,     0,   739,     0,     0,     0,   235,   236,   237,   238,
     239,     0,     0,   240,   241,     0,     0,   244,     0,   245,
     246,   247,   248,   249,     0,     0,   251,     0,   252,   253,
     254,   255,   740,   256,   257,     0,   258,   259,   260,   261,
     262,   263,   264,     0,   741,   265,   266,     0,     0,     0,
     742,     0,     0,     0,   267,   268,   269,   270,   271,   272,
       0,     0,   275,     0,   276,     0,   277,   278,   279,   280,
     281,     0,   282,   283,   284,   285,     0,   286,     0,   287,
     288,   289,   290,   291,     0,   292,   293,   294,     0,   295,
     296,     0,   297,   298,   299,   300,     0,   302,   303,   304,
       0,     0,   306,     0,   307,     0,   309,     0,   310,     0,
     311,   743,     0,   744,   312,   313,   314,     0,   315,     0,
       0,   317,   318,     0,   319,   320,   321,   322,   323,   745,
     324,   325,   326,     0,   327,   328,   329,   330,   331,   332,
       0,   333,   746,     0,   335,   336,   337,   338,     0,     0,
       0,     0,     0,   342,   747,   748,   343,   749,   344,   345,
     346,   347,   348,   349,   350,     0,     0,   750,   352,   751,
       0,   353,   354,   355,     0,     0,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,     0,
     752,     0,   371,   372,   373,     0,     0,   375,   376,   753,
     377,     0,     0,   379,     0,   381,   382,   383,     0,   384,
       0,     0,   385,   386,   387,     0,     0,     0,   754,   755,
     756,     0,   390,   391,   392,   393,   394,   395,   396,     0,
     397,     0,   399,     0,   401,   402,   403,   404,     0,   405,
     406,   407,   408,   409,   410,   411,     0,   413,   414,   415,
     416,     0,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,     0,   428,   429,   757,   430,   431,   432,
     433,     0,   435,   436,   437,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,   447,     0,   448,     0,   450,
     451,   758,   452,     0,     0,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,     0,     0,   465,   466,     0,
     467,   468,   469,   470,   471,   472,     0,     0,     0,     0,
       0,   475,     0,   477,     0,     0,   479,   480,   481,   482,
     483,   484,     0,     0,   485,   486,   487,   488,   489,     0,
       0,   490,   491,   492,   493,   494,     0,     0,     0,   497,
     759,   498,   499,   500,     0,     0,   501,     0,     0,   502,
     503,   504,   505,   506,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   516,   517,   518
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-3738))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2173))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    48,    34,    17,   731,
     173,   915,    12,   919,   547,   685,    25,   954,   736,   644,
     645,    21,   194,    21,   649,   874,   924,   761,    22,   181,
    1228,   990,  1245,    27,   588,  1323,  1324,   189,  1480,   593,
     804,   977,  1255,  1520,   538,   819,  1134,    22,    48,   603,
      13,  1200,    27,  1368,  1134,  1618,  1232,  1136,   591,  1003,
     193,   855,  1060,  2210,   692,     8,   801,  1899,  1900,  1134,
      43,  2364,    15,   782,  1031,  1032,   811,  1325,    18,  1292,
    1293,  2483,  1385,  1232,    21,  1424,  1409,    23,  2510,   583,
     574,  2745,  1409,  1050,  1228,  1409,  1409,  1409,    34,  1187,
     877,  1943,  1409,    42,  1183,  1555,  2033,  1187,   190,   886,
    2993,  1157,   906,  2952,   196,  1986,  1778,  2530,  2190,  2532,
     152,  2667,  1187,   205,  2413,   945,  2986,   862,  2649,   612,
     865,  2362,  3199,  2360,  2361,   870,   175,  1476,     0,  1281,
     175,  3243,  2358,  2920,   879,     0,  2667,  2925,  2926,     0,
       0,  3218,     0,   888,  1236,    39,  3621,   768,  1187,  1021,
    1022,  2297,  2671,  2672,  2673,  2674,  2675,  2676,  3443,     0,
     777,  2964,   728,   728,  2858,   175,     5,     9,     9,     5,
     803,    59,   805,     0,  1046,  1433,     0,    13,     0,   812,
    2406,    22,    45,     0,    52,    31,    11,  3844,     0,    18,
     811,     5,    26,    27,   688,  1287,    52,     5,    11,    68,
    3186,   155,     0,     5,    25,    35,    37,   191,   108,   994,
     995,     9,    61,    22,   198,  3867,     0,    37,   853,    16,
      29,  2073,   206,    36,    22,   150,   108,     5,   132,    35,
       5,   161,  2263,  2264,     5,   954,   127,  2268,  3860,   176,
       5,    74,    13,   195,   176,  3992,     5,     5,  1078,     5,
     134,   200,     5,     5,   931,    68,  3149,   106,     5,   158,
      13,   157,    86,   106,  3752,   942,     5,     5,     5,   164,
       5,    99,    18,  2419,    23,   137,  2485,  2308,  2309,    43,
     249,    59,    70,   157,  2136,    52,  2138,     5,    70,     9,
    1388,   249,    22,   150,    20,   838,   125,   108,  1388,   199,
      66,    59,    86,    34,     9,   236,    78,   252,  3815,   193,
       3,     4,     5,  1388,   155,    41,     9,   106,     4,   156,
     154,     5,   156,     9,   283,     9,   111,     4,   155,   330,
       5,   106,     9,   155,   106,   176,   160,  1121,   155,   239,
     137,   236,   257,   155,    18,  4002,   147,   362,   314,   176,
      24,   266,  4099,    83,   176,    80,    32,   155,   383,   176,
    1104,   925,    11,  1371,   176,   547,   298,   303,   311,   259,
     532,   303,   155,  3848,  1951,   259,   160,  1864,   176,   125,
     155,   255,     4,    77,  1407,   266,    11,     9,   288,    22,
     239,  1358,  1359,   176,   330,   244,    29,   122,   330,  1366,
     155,  1120,  1425,   546,   189,  1124,  1125,    99,   172,   591,
     435,    36,   176,   106,    22,   381,   578,   298,   982,  1333,
     316,    29,   106,  2000,   439,   587,   325,   155,   992,  1337,
     320,   106,   281,   244,   235,    99,   437,   305,   114,   382,
    1004,   190,   106,    68,   175,   294,   940,   590,   212,   305,
     239,   125,   544,   155,   353,     8,   387,   549,    11,  3966,
    4207,  2980,  3448,   956,   190,  1554,   435,   239,   560,   401,
     332,   345,    81,   113,   370,  2684,   435,   435,    99,   394,
     301,   435,   306,   111,  1356,  1357,   252,   439,  4110,    30,
     435,   375,   387,  1365,  1213,   316,  3052,   262,  4245,   327,
    1219,   194,   439,   385,  4161,    22,   397,   237,   527,   439,
     435,   859,  1286,  1007,  4171,   534,    99,   314,     8,   349,
     266,  3052,   306,   216,  1328,  1623,   244,   376,   337,   343,
     344,   435,  1277,  1623,  1279,   332,  1320,  1322,   305,   439,
     373,   525,   362,   349,  3437,   366,   530,   435,  1623,  1167,
    1269,  4208,   381,  1272,  1273,   574,   575,   388,   731,   393,
    4212,   613,  1349,  4051,   433,   106,  1512,  1656,   437,  1894,
     334,   439,   435,   615,   362,   239,   526,   401,  1211,   422,
     362,   155,   439,   439,   330,   426,   427,   362,  1152,   435,
    1903,  3378,   434,  2445,   402,  3382,   381,   438,   435,   435,
     439,  1346,   612,   613,   612,  3591,   431,  3301,  1174,  1174,
    1227,   438,   436,   421,   438,  1334,   438,   401,   431,  4094,
     624,   438,   626,  1117,   628,  3428,   438,   435,   426,   427,
     634,   433,  2935,   435,   392,   437,   392,   610,   657,   624,
     438,   626,   990,   628,   197,  1266,  3931,   422,  3167,   634,
     635,   636,   436,  3639,   438,   402,   838,   435,   677,  2501,
     352,  2503,   437,   825,   435,   684,   613,    11,   687,   688,
     689,   720,   439,   835,   421,   720,   435,   435,   342,   435,
     664,   345,   435,   435,   439,   638,  2623,  4162,   435,  2626,
    2627,  1899,    18,  2630,  2920,   304,   435,   435,   435,  2940,
     435,   685,   255,  2640,   337,   654,   426,   427,  1580,  1581,
     720,   439,   722,   722,   722,   722,   722,   722,   702,  1262,
    1906,   426,   427,  1553,   401,  1555,    86,    99,  1826,   337,
     435,   352,   894,   426,   427,  1565,  1826,   439,  1568,   723,
     426,   427,   155,   383,   106,   105,  1576,  1577,    18,   426,
     427,  1826,     3,   381,    24,  3832,   273,   706,     5,  1589,
    1590,  3747,    76,   710,  2990,   255,  1443,   106,  3754,   352,
    1600,   435,    52,  2071,   111,  1452,  2628,  2629,   138,   428,
     429,   430,   431,  1875,  1461,  1462,   735,  1826,   362,    99,
      18,     5,   686,    99,     5,  1430,   690,   782,    76,   125,
    2373,   115,  1479,   428,   429,   430,   431,  2649,   155,  2840,
     236,    11,  2843,  2844,  2845,  2846,  2847,  2848,  2849,  2850,
    2851,  2852,  2968,     5,   259,  2667,    77,   776,  1926,    61,
     439,  1929,   164,  1181,   149,   854,  1926,   115,   355,  1929,
     357,  3253,   164,   433,  1524,  1525,    78,   437,   422,    76,
     722,   249,   189,   197,  1929,   125,   137,   722,   125,   266,
     157,   722,   722,   437,   722,    22,  3939,  3940,    68,    22,
     224,  2902,  2903,   426,   427,   428,   429,   430,   431,   130,
     393,   422,  2068,   867,   101,   100,    76,   111,   115,  1453,
      52,   298,   433,    11,   435,   436,   437,   125,   439,  1463,
     239,  2743,  3979,   135,  4016,   889,   890,   891,   101,  2117,
     164,  1475,  1260,   259,   236,    72,    22,  1460,  3706,   106,
     152,   940,    79,  3710,  3817,   115,   236,    61,  3715,   288,
     181,  3718,   422,   423,   424,   954,   426,   427,   428,   429,
     430,   431,   253,   163,   266,  1449,   956,   897,   956,   362,
     107,   314,   169,   267,  1518,  2107,   203,  1521,   255,  1523,
     275,   323,  1526,   323,   179,   189,   119,   321,   987,   954,
    1588,   318,   298,   332,     8,  3639,   169,    11,    76,   318,
     352,  1329,   236,  3719,  1602,  3721,   138,   362,  1007,   267,
     352,   417,   352,   169,    28,  1488,   266,   981,   156,   150,
    1348,   135,    36,   257,   439,  1015,   959,   224,   961,    43,
     963,   228,   965,   119,   967,   968,   969,   115,   152,  1003,
     271,   974,   381,   180,  1034,   305,  1078,   389,   298,   389,
     244,   224,   369,   244,    68,   228,   303,   435,   266,   401,
     267,   401,   356,  1586,   381,  1393,   352,   394,   224,   281,
    3943,   332,  3755,   136,  1064,   387,   253,   244,  4131,  3929,
     330,  1080,   244,   330,   439,   387,   158,   259,  1078,   254,
     298,  1090,   435,   435,   236,   435,   197,   267,   356,   197,
    1262,  1100,   426,   427,   428,   429,   430,   431,  2055,   383,
     436,   311,     8,   439,   177,    11,  1773,  3400,  1117,   323,
    1448,  1120,   330,  1145,   321,  1124,  1125,  3410,   110,    53,
     268,  1160,  1161,    61,  1163,  1160,  1161,    61,  1163,  3822,
      68,  3908,   433,   374,   146,  4111,   437,  3426,   321,   356,
      78,   382,   253,   387,   385,  1120,   351,   352,   172,  1124,
    1125,   435,   176,   305,   376,   321,  1130,   281,  3179,   300,
    1160,  1161,  3378,  1163,  3391,  3396,  3382,   381,   106,  4180,
     108,     5,    86,   197,   198,  4058,   356,  3408,   330,   267,
     108,   323,  3595,  3110,   383,  3911,   300,   335,   212,  3116,
    3117,  3118,  3119,  3120,  3121,  2498,   109,     3,   345,     5,
    2288,   213,  2505,  1177,   196,  1982,  2294,   111,  2288,   416,
     352,  3283,   163,  4097,  2294,   239,  4055,  4056,   242,     5,
    3052,   125,   150,  2288,    45,  1307,  3772,  2131,   435,  2294,
     405,   255,   119,   416,   258,   122,   435,  1176,  1213,  3932,
     332,  2139,  4253,   325,  1219,   183,   160,   389,  1957,  3942,
    4133,  3772,   376,     5,   436,   183,  1965,   439,  1967,   401,
     173,   280,   316,  2112,  1238,   401,   108,   146,   356,  1209,
     176,   353,   106,   159,   150,  1284,    97,  1252,  1588,    11,
    4164,    50,   216,  1621,   160,  3769,   237,   401,  1460,   381,
    1442,   197,  1602,   435,  1269,   101,   110,  1272,  1273,  1451,
     176,   239,  2500,   439,    36,  2782,   244,   352,  3792,   266,
     334,   239,   366,  2975,  2091,  2092,  2093,  2094,   426,   427,
     428,   429,   430,   431,  1298,   439,  1408,  3348,  3349,    98,
     216,  2125,  1865,   298,   213,  2381,    68,  1831,   303,  1649,
     239,     8,  1424,   281,    11,   364,  3217,   280,  4231,   255,
    4189,  1905,   239,  1327,   106,     3,   294,   199,     8,  1334,
    4244,    11,   249,   169,  2814,   330,  2500,   188,  1520,    18,
     108,    19,   251,   330,   278,    24,  4260,   265,    28,  2702,
     134,   364,   196,   156,   403,  2702,   364,   286,  2702,  2702,
    2702,   316,   146,   202,  1476,  2702,   150,   239,   422,   423,
     424,  1410,   426,   427,   428,   429,   430,   431,   266,   178,
     434,   401,   185,  2233,  1586,   236,   440,  3259,   224,  3261,
     109,   266,   228,    11,   435,   403,   159,   200,   298,    77,
    2769,   364,   308,  3726,  3727,   401,   401,   210,   376,   193,
     298,   366,  2530,  2531,  2532,   183,   288,     0,    36,   439,
    2530,  2531,  2532,   298,   223,  1949,   225,  4111,   303,   213,
     330,  2281,    87,  2130,   438,   197,  3868,   236,   314,   355,
     403,   357,   330,   439,  2183,  1484,   125,  2144,  2145,   316,
      68,  2148,   130,   216,   173,   330,   119,  2154,  1488,   122,
    1488,  1465,  2312,   379,  3710,   341,   265,   251,   319,  3715,
    1474,   239,  3718,   439,   436,   259,   165,   439,    98,   119,
    3657,   144,   122,  1487,  2450,   321,   422,   423,   424,  1546,
     426,   427,   428,   429,   430,   431,   109,  2347,   176,   366,
     197,   156,  3748,   181,   144,   304,   309,  1537,  1537,  1537,
    1537,  1537,  1537,   119,    98,  2212,   122,   197,   287,  2506,
    1524,  1525,  1489,   157,    70,  1498,   401,  1500,  2646,  1502,
     185,  1504,    78,  1506,  1573,  3978,  2646,  1510,   227,  3991,
     402,   340,  1910,  2471,   324,   200,   315,   435,  2666,   283,
     146,  2646,   186,   146,   150,   210,  2666,   150,   255,   421,
     173,  1566,  1567,  1532,   266,  3742,   318,  3744,   362,  1574,
    3163,  2666,   352,  1578,  1579,   255,  3533,  3534,   233,  1545,
     416,   244,  1552,  3455,  3456,   320,   249,   266,  1593,  4021,
    1595,   375,   355,   271,   357,  2179,   298,   181,  1628,   239,
    3923,   303,   354,   223,   244,   225,  2120,   240,   241,   249,
    1615,   248,  1617,   302,  3860,   395,   379,   213,  3669,   298,
     213,   266,   203,   288,   313,  2263,  2264,   266,   330,   324,
    2268,  1670,   395,   311,   299,  2374,  2835,  2461,  2152,   223,
     362,   225,   266,   249,  3695,  3696,   298,  1651,   435,   401,
     402,   330,   436,   298,   309,   251,  1660,   352,   251,   298,
    2859,   326,  3908,  1865,   426,   427,   428,   429,   430,   431,
    2308,  2309,   350,    38,   298,  2043,  1858,   150,   330,  3012,
      20,   253,  1864,   435,   366,   330,   258,    77,   323,   402,
     323,   330,  2486,   300,   422,    60,   374,  2397,   171,   150,
     395,    41,   402,   320,   382,   368,   330,   385,   421,   437,
    1822,    82,   323,  2371,   377,  1827,  2994,   352,  1830,   352,
     171,   421,   435,   318,    87,     0,   423,   424,   368,   426,
     427,   428,   429,   430,   431,   435,   355,   377,   357,   129,
    1852,   352,   422,   423,   424,  2711,   426,   427,   428,   429,
     430,   431,   171,  3346,   389,  2452,   389,  2875,   434,   354,
    2658,  2659,  2660,   439,   266,  2875,  2329,  1791,   401,  1881,
    1774,   253,  1776,  2882,   179,    33,   258,   318,   389,  1836,
    2875,  1838,    40,  1813,  1813,    49,  1791,   134,  3031,  3032,
     401,   320,  1904,   156,   436,     5,   298,   439,   253,   146,
     435,    11,   435,   150,   203,   430,   401,   402,  1775,    19,
     435,    86,   437,   354,   318,  1927,   206,   207,   355,   435,
     357,  2518,   185,  2520,   435,    35,     9,  2801,   330,   219,
     435,  3882,  2200,   436,  2862,  2863,   439,   200,  1950,  3796,
     435,  1953,  2280,    11,  2282,  2283,   193,   210,  1887,     8,
     354,   253,    11,  2437,  2438,   435,  2440,   434,  1970,   134,
     401,   402,   439,   439,  4110,  1977,   213,  2976,    36,   436,
     233,   146,   439,  2807,   354,   150,   266,    36,  1990,   436,
     155,    22,   439,    45,    43,   160,    27,  1999,   163,   436,
     253,   166,   439,   436,   435,    49,   439,   401,   402,     8,
      68,  2598,    11,   433,   251,   435,  2603,   437,   430,    68,
    3772,  2900,   259,   435,  2679,   437,    38,   436,   193,  1923,
     439,   401,   402,  2263,  2264,   418,    88,    36,  2268,  3047,
     433,   435,   435,  3051,    43,  3053,   436,  3047,   213,   439,
     199,  3051,  3129,  3053,  3131,  2459,   309,  3134,  1987,  3136,
     112,   436,  1957,  4130,   439,   435,  3051,  3829,  3053,    68,
    1965,   435,  1967,   437,   354,   437,   356,   129,  2308,  2309,
     436,   133,   436,   439,   133,   439,   251,   435,   256,   437,
       8,  2805,  2566,    11,   259,   256,  2025,   436,   436,   151,
     439,   439,  3198,  2156,  2033,   355,   436,   357,  3343,   439,
    3862,   401,   402,   436,   241,   167,   439,   253,  3236,   436,
      78,   436,   439,   172,   439,   436,   362,   176,   439,  2869,
     383,   355,   150,   357,   133,  2991,  2992,   253,   375,   197,
     198,   306,  2214,   436,   418,   438,  2218,  3024,   197,   198,
    3658,  3659,  3660,  3661,  3223,   436,  2701,  2052,   439,   436,
      38,  2090,   439,   212,   436,   436,  2753,   439,   439,   436,
    2757,   438,  2759,   172,  2761,  2762,   256,   176,   436,  2808,
    2074,   439,   428,  2770,   242,  2114,   725,   352,   727,  2109,
    2109,  2120,   244,   242,  2077,  3383,   323,  3385,   197,   198,
     252,   159,    58,    59,  2462,  2619,   255,   418,   436,     8,
     375,   439,    11,   212,   436,  2802,   436,   439,  2692,   439,
    2694,   179,   199,  2152,   436,   352,   154,   439,   436,    28,
     439,   439,   435,   398,   286,   400,   401,  2329,   436,   436,
     436,   439,   439,   242,   436,   436,     8,   439,  2942,    11,
    3733,   436,   436,    49,   439,   439,   255,   436,   216,   155,
     439,   436,   389,   195,   439,   435,    28,   436,   433,  3126,
     439,   436,   437,   438,   401,  2929,  2680,   436,  2682,   197,
     439,   437,    26,    27,  2367,   334,  2358,   404,  2183,   436,
    2932,  2933,   439,   436,    31,  2553,   439,  2555,   436,  2391,
     258,   439,   436,   253,   436,   439,  2780,   439,   435,   436,
     436,   438,  2840,   439,    51,  2843,  2844,  2845,  2846,  2847,
    2848,  2849,  2850,  2851,  2852,   436,  2800,     8,   439,   436,
      11,   435,   439,   436,  2406,   334,   439,   255,  2742,   330,
     436,  2599,    86,   439,   435,  2873,   436,    28,    85,   439,
    2312,   436,   150,   436,   439,    36,   439,   436,   401,   402,
     439,   105,    43,   437,   436,   211,  2624,   439,   426,   427,
     428,   429,   430,   431,  2902,  2903,   108,   426,   427,   428,
     429,   430,   431,   436,   253,   436,   439,    68,   439,   314,
     315,   383,  2312,  3392,   138,   314,   315,   355,   197,   357,
     436,   436,   435,   439,   439,   142,  2326,   436,   366,   436,
     439,   436,   439,   248,   439,  3099,  3813,   320,   376,   436,
    2422,   379,   439,   436,  3423,  2345,   439,   426,   427,   428,
     429,   430,   431,   436,   203,   197,   439,   174,  2358,  1604,
     419,   420,  1607,  2011,  2012,  2374,   435,  2409,   401,   402,
    2621,  2622,  2398,  2399,    61,  3224,   255,  2351,   401,  2352,
    2353,  2354,    31,   239,   404,    51,   203,  2387,  2387,  2387,
    2387,  2387,  2387,   435,  2732,  3354,    38,  2372,    38,  2374,
     371,   266,   150,    75,   284,   139,  2406,   139,   435,  2409,
     139,   172,   404,   255,   139,   176,  2754,  3126,   139,    85,
     439,   139,   139,  2397,   422,   423,   424,   139,   426,   427,
     428,   429,   430,   431,   253,   139,   197,   198,   139,   139,
    3638,   139,   253,   139,   352,   435,    31,   626,   627,   628,
    2459,   212,   631,   632,   633,   211,   151,  3545,   150,   150,
     253,   435,   641,     5,     5,  3545,   435,  2549,  3245,   435,
     435,   435,   276,   435,  2556,   435,   142,  2649,   239,   435,
    3545,   242,  2820,     5,     5,   435,   303,   435,   435,   435,
     307,   435,   435,   435,   255,  2667,     5,   258,   315,   323,
     435,  2839,     5,   435,   435,   322,   435,  3595,   174,   263,
    3330,   435,  3954,   330,  3956,  3595,   435,   435,   435,   435,
      31,   338,   435,   435,   435,   439,  2864,  2536,   352,   346,
    2840,    89,  2614,  2843,  2844,  2845,  2846,  2847,  2848,  2849,
    2850,  2851,  2852,   422,   423,   424,   211,   426,   427,   428,
     429,   430,   431,    31,   150,  2564,   150,   251,   330,   362,
     362,   318,  2900,  2873,   437,   389,  3275,   362,   362,   393,
     362,  3179,   318,   334,   362,   362,   318,   401,   253,   396,
     422,   423,   424,   400,   426,   427,   428,   429,   430,   431,
    3257,   322,  2902,  2903,   362,   362,   244,  3264,  3265,   362,
      31,   382,    70,   253,   181,   249,   435,   362,  3102,   362,
    3547,   435,   435,    78,  2623,   266,   252,  2626,  2627,  3555,
      51,  2630,   362,   439,   383,   383,   100,   362,    49,   362,
    2782,  2640,    49,   257,   362,   362,  2645,   303,   362,   305,
    2649,   307,   362,    37,    37,   318,   362,  3201,  3202,   315,
     439,   362,   362,   253,    85,   404,   322,   197,  2667,    21,
     253,   422,   423,   424,   330,   426,   427,   428,   429,   430,
     431,  2680,   338,  2682,  2649,   401,    31,   392,   439,    30,
     346,  2656,  2657,   435,   435,   435,  2661,  2769,    20,   139,
     239,   435,  2667,  3842,   401,   106,   395,   383,   249,   219,
     239,   394,    31,  2785,   150,  2714,    31,   203,    70,  3443,
     319,   142,  2686,   435,  3673,   139,  3270,  3271,  3272,   383,
    2695,  2803,   383,   139,   139,   139,   243,   362,   155,   248,
     396,   360,  2741,  2742,  2734,  2734,     8,   397,  2712,    11,
    3348,  3349,   418,   174,   230,  2719,   435,   230,    11,  2723,
     330,   439,  2752,  2752,   360,   435,   435,   362,   155,   436,
     364,   123,  2736,   170,    36,   439,   170,   435,  2920,   439,
     193,    43,   203,   254,   249,  3624,   439,   436,   957,   362,
     383,   960,   318,   962,   362,   964,    77,   966,   318,  2763,
     152,   970,  2766,   383,   435,   157,    68,   244,   201,   201,
     244,   362,   435,   203,   320,   244,   260,  3542,  3475,  3476,
     253,   252,   362,   439,   362,   327,   318,     8,  4106,  4017,
      11,   298,   288,   150,   362,   362,   197,  2801,    31,   197,
     197,   383,   197,  2808,   197,   422,   383,    28,  2990,   252,
     435,    30,   204,   435,   433,   433,   422,   362,   362,   362,
     139,   327,   362,   150,   152,   327,   435,   249,  3525,  3526,
     139,    31,   253,   253,   168,   168,   150,  3205,  2910,  3179,
      31,  3807,   303,   139,   253,   253,   307,  2886,  2920,   327,
    3052,  3414,   150,   176,   315,   439,     8,    19,   176,    11,
    3978,   322,   435,   176,   161,   226,   404,   253,  3978,   330,
      49,   352,   248,  3723,   176,   439,   155,   338,   203,   436,
    2910,   436,   436,   436,    36,   346,   270,   155,   436,   418,
    2920,    43,   284,   418,  3883,   197,   198,   362,   398,   436,
    2939,   436,   436,  3015,   262,   436,   436,    13,   436,  2912,
    2913,  2914,  2915,  2917,  2918,  2919,    68,   439,   436,   436,
    3504,  3505,   436,  3507,   436,   435,   318,  4170,    13,   389,
     398,   306,   324,   436,   435,   396,   422,  3592,   213,   400,
     242,   253,   435,   253,   435,   256,  3643,   179,  3645,  3646,
     362,   187,   404,   255,   244,   139,   139,   213,  3947,  3656,
     352,   380,  3951,  3952,   271,   271,   362,  3079,   221,   221,
    3082,   221,   362,   362,   318,   362,   197,   318,    51,   371,
     362,   318,   362,   362,   362,   330,  3354,   318,   139,   362,
    3738,    37,  3104,   362,   197,   197,   197,  3964,   197,   197,
     197,   197,     3,   395,   433,   436,   321,   213,  3348,  3349,
     228,   436,    85,  3052,  3948,   422,   257,   371,   300,    99,
     172,  3949,   439,   436,   176,   439,   436,   401,   439,   435,
    3069,  3669,   362,  3072,   255,  3074,   253,  3887,   164,   439,
    3678,   383,   318,   383,  3068,   197,   198,  3052,   318,   318,
     137,   256,   197,  3092,  3093,   137,   433,  3695,  3696,   131,
     212,   155,    11,  3068,   150,   436,   436,    59,    18,   142,
     436,  3110,   436,   436,    24,   435,   155,  3116,  3117,  3118,
    3119,  3120,  3121,   439,   435,  3453,   394,  3126,  4206,   163,
     242,  3130,   150,   436,   254,    31,  4206,   436,   436,   383,
     436,   174,   383,   255,   362,   371,  3474,   371,   362,  3988,
     187,  4206,   436,   435,   362,   362,    66,   362,  3486,   436,
     436,  3126,   150,   318,   426,   427,   428,   429,   430,   431,
    3169,  3170,  3171,  3172,  3139,  3140,   318,    68,    99,   434,
    4258,   371,   436,   197,   197,  3150,   434,  3847,  4258,   436,
     435,  4269,   201,    31,   150,   401,  3524,   435,   182,  4269,
     404,    73,  3166,  4258,  3169,   439,   439,   117,   354,  4105,
    3922,   436,   401,   435,  4269,   125,   439,   362,   128,  3876,
     327,  3185,   334,   160,   155,   436,  3749,   197,   197,   197,
     197,   155,   435,   266,  3233,  4045,  3378,   436,   436,    49,
    3382,   422,   423,   424,  3208,   426,   427,   428,   429,   430,
     431,   399,  3414,   436,  3777,   293,  4095,   439,   399,   435,
       8,   436,   200,    11,   261,   298,   200,   435,    49,   166,
     303,   181,   436,  3930,   307,   249,   155,   362,   401,    68,
      28,   371,   315,   436,  3882,   439,   422,   244,    36,   322,
     244,   422,  3291,   139,   197,    43,   113,   330,   244,   439,
    4194,   439,  3959,   157,   434,   338,   155,   383,   327,   383,
    3275,   423,   424,   346,   426,   427,   428,   429,   430,   431,
      68,   126,   397,    99,   401,   435,   236,   120,   155,   239,
     256,   435,   184,   155,   435,   435,   388,     8,   293,   249,
      11,   339,   436,   436,   435,  3673,   435,   257,   436,     0,
     200,   400,   269,   436,   253,   294,   266,  3901,   436,   150,
     401,    31,   435,   396,   435,    36,   244,  3911,   179,  3669,
     435,   222,    43,   138,   436,   257,    49,   435,  3678,   315,
     315,   362,    61,   256,    61,    49,    49,   435,  3378,   259,
     383,   435,  3382,   303,   253,  3695,  3696,    68,   145,   285,
     256,  3365,  3366,  3367,  3368,   354,   121,   387,   256,  3481,
     293,   388,  3411,   439,  3958,    31,   155,   291,  3435,   398,
     330,  3493,   150,   439,   172,   401,   126,   253,   176,   253,
      31,  3421,  3421,   435,   310,    86,   436,   401,    49,   435,
     381,   436,  4057,   435,   111,   436,  3430,   314,   435,   197,
     198,   314,    17,   436,    28,   138,   285,  3529,   722,  1310,
     435,  2374,   133,  2076,   212,  3430,   779,  1936,    21,    23,
      24,  2511,  3051,  1125,    28,  1994,   386,  2645,    32,    33,
      34,  3799,    36,   134,  3545,    39,    40,  3471,    42,  3964,
      44,   239,  4036,  3612,   242,   146,  3838,  3227,  3842,   150,
    3585,   172,    55,  3846,   155,   176,  3471,   255,  2444,   160,
     258,  2172,   163,  4137,  3748,   166,    69,  4193,  4086,  3484,
    3485,  4085,  4151,  3989,  3489,  3490,   197,   198,  2448,    82,
    4053,  4188,  3229,  1426,  3533,  3534,  2066,  3190,  2066,  3047,
    2531,   212,   193,  2061,  1411,  3196,  3198,  2713,  3547,  4198,
    4269,  4258,  3551,  2666,  3553,  3883,  2651,  3556,  3557,  4158,
    3779,  1403,   213,  4066,  4145,  3782,    27,   983,  3710,  3722,
     123,   242,  3928,  3715,  3278,  3234,  3718,  4017,  1900,  2601,
    4176,   575,  3882,  3567,   255,  3913,   334,  3749,  3236,  4262,
    3830,  1775,   701,  1776,  1489,  2387,  3220,  3422,  2973,   152,
     251,   714,  3567,  2388,   157,  1151,  3748,  1170,   259,  3608,
    3772,  1811,  3602,  3602,  1169,  3777,  2400,  2394,  1810,  3947,
    1172,  2414,  1794,  3951,  3952,  2406,  3909,   181,   182,   183,
     184,  2920,   186,   187,  3776,   189,   190,   191,  3637,   193,
     194,  3384,   196,   706,   198,  2974,   200,  2042,  2885,  3885,
     204,   205,   206,  1176,  2877,   306,  4124,  4128,  4125,  3658,
    3659,  3660,  3661,   334,  2391,  2235,     0,  2326,  2324,  2969,
      -1,  3813,    -1,  1652,   422,   423,   424,  3641,   426,   427,
     428,   429,   430,   431,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   439,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   352,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3860,    -1,
    3710,    -1,    -1,    -1,   375,  3715,    -1,    -1,  3718,    -1,
      -1,   284,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   398,    -1,   400,
     401,    -1,    86,    -1,    -1,   426,   427,   428,   429,   430,
     431,    -1,    -1,    -1,    -1,   318,  3908,    -1,    -1,    -1,
      31,   324,    -1,  3772,   327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   433,    -1,    -1,   436,   437,   438,    -1,    -1,
      51,    -1,    -1,    -1,    -1,    -1,    -1,  3796,    -1,   352,
     134,  3800,  3735,    -1,    -1,   358,    -1,  3772,    -1,    -1,
      -1,    -1,   146,    -1,    -1,    -1,   150,    -1,   371,    -1,
      -1,   155,    -1,    -1,    85,    -1,   160,    -1,    -1,   163,
      -1,    -1,   166,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   395,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    -1,  3816,    -1,    -1,    -1,    -1,    -1,    -1,   193,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,   213,
      43,   142,    -1,  3847,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4053,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   174,    -1,    -1,    -1,   251,  3908,    -1,
      -1,    -1,    -1,    -1,     3,   259,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   203,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,  4093,    31,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    43,  3964,    -1,    -1,  4110,    -1,
     133,   525,   306,    -1,    -1,    -1,   530,  3941,   532,    -1,
      -1,    -1,   536,    -1,   538,    -1,   540,    -1,    -1,    68,
     544,    -1,   546,   547,    -1,   549,   550,    -1,  4140,    -1,
      -1,    -1,    -1,   557,    -1,    -1,   560,    -1,    -1,   172,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,   352,    -1,
     574,    -1,    -1,    -1,   578,    -1,    -1,    -1,    -1,   583,
      -1,    -1,    -1,   587,   197,   198,   590,   591,    -1,    -1,
      -1,   375,   303,    -1,    -1,    -1,   307,    -1,     8,   212,
      -1,    11,   606,    -1,   315,    -1,    -1,    -1,    -1,   613,
      -1,   322,    -1,    -1,   398,    -1,   400,   401,    28,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    36,   338,    -1,   242,
      -1,    -1,    -1,    43,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,   255,   172,    -1,    -1,    -1,   176,    -1,   433,
     654,    -1,   436,   437,   438,    -1,    -1,    -1,    68,    -1,
     664,   665,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,
      -1,    -1,  4264,    -1,    -1,    -1,    -1,    -1,    -1,   683,
      -1,   685,   686,   212,   688,   396,   690,    -1,    -1,   400,
     401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   702,    -1,
      -1,    -1,   706,    -1,    -1,    -1,    -1,   859,   712,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,   723,
      -1,   334,    -1,    -1,    -1,    -1,   255,    -1,    -1,   258,
      -1,   735,  4214,    -1,    -1,    -1,  4176,  4176,  4176,  4176,
    4176,  4176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4206,    -1,    -1,
      -1,    -1,   172,    -1,    -1,    -1,   176,    -1,    -1,    -1,
      -1,    -1,   776,    -1,  4214,  4214,  4214,  4214,  4214,  4214,
      -1,    -1,   786,   787,    -1,    -1,    -1,   197,   198,    -1,
      -1,  4206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,   334,    -1,    -1,    -1,  4258,
      -1,    -1,    -1,   426,   427,   428,   429,   430,   431,    -1,
    4269,   825,  4262,  4262,  4262,  4262,  4262,  4262,    -1,   239,
      -1,   835,   242,    -1,   838,    -1,    -1,    -1,   990,    -1,
      -1,    -1,    -1,  4258,    -1,   255,    -1,   851,   258,    -1,
      -1,    -1,    -1,    -1,  4269,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   867,    -1,    -1,    -1,    -1,    18,   873,
      -1,   875,   876,    -1,    24,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   889,   890,   891,   892,    -1,
     894,    -1,    -1,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   919,    66,   921,   922,    -1,
      -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,    -1,   940,    11,    -1,    -1,
     944,   945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     954,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    -1,    -1,    -1,    -1,   117,  1120,    43,
      -1,    -1,   976,   977,    18,   125,    -1,   981,   128,   983,
      24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,  1000,    -1,    -1,  1003,
      -1,    -1,  1006,  1007,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,   423,   424,  1019,   426,   427,   428,   429,
     430,   431,    66,    -1,    -1,    -1,   436,    -1,    -1,  1181,
      -1,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1075,  1076,   117,  1078,     8,  1228,    -1,    11,    -1,
      -1,   125,    -1,    -1,   128,    -1,   236,    -1,    -1,   239,
      -1,  1095,    -1,    -1,    -1,    28,    -1,    -1,   172,   249,
      -1,    -1,   176,    36,    -1,    -1,    -1,   257,  1260,    -1,
      43,    -1,    -1,  1117,    -1,    -1,   266,    -1,    -1,    -1,
    1124,  1125,    -1,   197,   198,    -1,  1130,    -1,    -1,  1133,
      -1,    -1,    -1,    -1,    -1,    68,    -1,   181,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   298,    -1,
      -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,  1162,    -1,
      -1,    -1,  1166,  1167,    -1,   239,    -1,    -1,   242,    -1,
      -1,    -1,  1176,  1177,  1178,    -1,    -1,  1329,    -1,    -1,
     330,   255,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
    1194,    -1,   236,    -1,    -1,   239,  1348,    -1,    -1,    -1,
      -1,    18,    -1,    -1,    -1,   249,    -1,    24,    -1,    -1,
      -1,    -1,    -1,   257,    -1,    -1,  1368,  1221,    -1,    -1,
      -1,    -1,   266,    -1,    -1,    -1,    -1,    -1,  1232,    -1,
      -1,    -1,    -1,    50,  1238,    -1,   386,  1241,    -1,   172,
      -1,  1393,    -1,   176,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,  1262,   303,
     334,    -1,    -1,    -1,   197,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    98,    -1,    -1,    -1,    -1,   330,    -1,    -1,    -1,
    1294,  1295,  1296,  1297,  1298,    -1,  1448,    -1,    -1,    -1,
     117,    -1,    -1,  1307,    -1,  1309,   239,    -1,   125,   242,
      -1,   128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1323,
    1324,  1325,   255,  1327,    -1,   258,    -1,    -1,    -1,    -1,
      -1,  1335,  1336,    -1,    -1,    -1,    -1,  1341,    -1,    -1,
      -1,    -1,   386,     8,    -1,    -1,    11,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
      -1,   178,   436,    -1,   181,    -1,    -1,    -1,    -1,    -1,
       8,    36,    -1,    11,    -1,    -1,    -1,    -1,    43,    -1,
      -1,    -1,    -1,  1387,    -1,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,   334,    -1,    68,  1408,    43,   223,    -1,   225,    -1,
    1414,  1415,  1416,  1417,    -1,    -1,    -1,    -1,    -1,   236,
    1424,    -1,   239,    -1,     8,    -1,    -1,    11,    -1,  1433,
      68,    -1,   249,    -1,    -1,    -1,    -1,    -1,  1442,    -1,
     257,    -1,    -1,    -1,    28,  1449,    -1,  1451,   265,   266,
      -1,    -1,    36,    -1,    -1,    -1,  1460,    -1,    -1,    43,
      -1,  1465,    -1,    -1,    -1,    -1,    -1,    -1,   133,  1621,
    1474,    -1,  1476,    -1,    -1,    -1,  1480,  1481,    -1,    -1,
      -1,   298,    -1,  1487,    68,  1489,   303,   304,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,    -1,    -1,   436,    -1,    -1,    -1,   172,  1512,    -1,
      -1,   176,    -1,   330,    -1,    -1,  1520,    -1,    -1,    -1,
    1524,  1525,    -1,   340,    -1,    -1,    -1,    -1,  1532,    -1,
      -1,    -1,   197,   198,   172,    -1,    -1,    -1,   176,    -1,
      -1,  1545,  1546,    -1,    -1,  1549,    -1,   212,    -1,  1553,
      -1,  1555,    -1,    -1,    -1,    -1,    -1,    -1,  1562,   197,
     198,  1565,    -1,    -1,  1568,    -1,    -1,    -1,    -1,   386,
      -1,    -1,  1576,  1577,   212,    -1,    -1,   242,    -1,    -1,
    1584,    -1,  1586,  1587,  1588,  1589,  1590,    -1,   172,    -1,
     255,    -1,   176,  1597,  1598,    -1,  1600,    -1,  1602,  1603,
      -1,   239,  1606,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,   198,    -1,    -1,   255,  1622,    -1,
     258,    -1,  1626,  1627,    -1,    -1,    -1,  1631,   212,    -1,
      -1,  1635,    -1,  1637,  1638,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,    -1,  1647,    -1,    -1,    -1,  1651,  1652,    -1,
    1654,    -1,    -1,    -1,    -1,   239,  1660,    -1,   242,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,   255,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,  1894,    -1,    -1,    -1,    -1,  1899,  1900,    36,
     334,    -1,    -1,    -1,    -1,    -1,    43,    66,  1910,    -1,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,    -1,
    1774,    -1,  1776,    -1,  1778,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,    -1,    -1,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   117,    -1,
    1814,    -1,  1816,    -1,    -1,    -1,   125,    -1,  1822,   128,
      -1,    -1,    -1,  1827,    -1,    -1,  1830,  1831,    -1,    -1,
      -1,    -1,  1836,    -1,  1838,    -1,    -1,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,  1852,  1853,
      -1,    -1,   436,    -1,  1858,    -1,  1860,  1861,  1862,    -1,
    1864,  1865,    -1,  1867,    -1,  1869,    -1,  1871,  1872,    -1,
      18,    -1,   181,    -1,    -1,    -1,    24,  1881,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,   176,
      -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1904,    -1,  1906,    -1,    -1,    -1,    -1,    -1,  1912,    -1,
     197,   198,    -1,  1917,    -1,    -1,    -1,    -1,    66,  1923,
      -1,    -1,    -1,  1927,    -1,   212,    -1,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1942,  1943,
     249,    -1,    -1,    -1,    -1,  1949,  1950,    -1,   257,  1953,
      -1,    -1,   239,    -1,    -1,   242,    -1,   266,    -1,  1963,
      -1,    -1,    -1,    -1,    -1,  2117,  1970,    -1,   255,   117,
      -1,   258,    -1,  1977,    -1,    -1,    -1,   125,    -1,    -1,
     128,    -1,  1986,    -1,  1988,  1989,  1990,    -1,    -1,   298,
      -1,    -1,    -1,    -1,   303,  1999,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,  2018,    -1,    -1,    -1,    -1,    -1,
      -1,   330,  2026,  2027,  2028,  2029,  2030,  2031,    28,    -1,
      -1,    -1,    -1,   181,    -1,    -1,    36,  2041,    -1,    -1,
      -1,    -1,    -1,    43,    -1,    -1,    -1,   334,  2200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    11,    -1,  2068,    -1,    -1,  2071,    68,  2073,
    2074,    -1,    -1,    -1,  2078,    -1,    -1,   386,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,   236,    -1,
      -1,   239,    -1,    -1,    43,    -1,    -1,    -1,    -1,  2103,
      -1,   249,    -1,    -1,    -1,    -1,  2110,  2111,    -1,   257,
      -1,    -1,    -1,    -1,    -1,    -1,  2120,    -1,   266,    68,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2135,  2136,  2137,  2138,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,    -1,  2152,   436,
     298,    -1,  2156,    -1,    -1,   303,  2160,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2172,    -1,
      -1,    -1,   172,    -1,     8,    -1,   176,    11,    -1,    -1,
      -1,    -1,   330,    -1,  2188,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,    -1,
      -1,    -1,    36,    -1,    -1,    -1,  2210,    -1,    -1,    43,
    2214,    -1,   212,    -1,  2218,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2226,   172,    -1,    -1,    -1,   176,    -1,  2233,
    2234,    -1,    -1,    -1,    68,    -1,    -1,    -1,   386,   239,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,   197,   198,
      -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,   258,  2263,
    2264,    -1,    -1,   212,  2268,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2280,  2281,  2282,  2283,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2293,
     239,    -1,  2296,   242,  2298,  2299,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2308,  2309,   255,    -1,  2312,   258,
    2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2325,    -1,  2327,    -1,  2329,    -1,  2331,    -1,    -1,
      -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,  2347,    -1,    -1,    -1,  2351,  2500,  2501,
      -1,  2503,    -1,    -1,  2358,    -1,  2360,  2361,  2362,    -1,
      -1,    -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,
    2374,    -1,     8,  2377,    -1,    11,    -1,    -1,   212,    -1,
      -1,    -1,    -1,    -1,  2388,   334,    -1,    -1,    -1,  2393,
      -1,    -1,    28,  2397,    -1,    -1,  2400,    -1,    -1,    -1,
      36,  2553,  2406,  2555,    -1,  2409,    -1,    43,   242,  2413,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2422,    -1,
      -1,   255,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    68,    -1,    -1,    -1,   436,    -1,    -1,  2443,
      -1,  2445,    -1,    -1,    -1,    -1,  2450,  2599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2467,    -1,  2469,  2470,    -1,    -1,    -1,
      -1,    -1,  2624,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,    -1,
     334,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,    -1,    -1,    -1,    -1,  2549,    -1,    -1,    -1,    -1,
      -1,    -1,  2556,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   197,   198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
    2732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
     424,  2743,   426,   427,   428,   429,   430,   431,    -1,    -1,
      -1,    -1,  2754,   239,    -1,    -1,   242,    -1,    -1,    -1,
    2614,    -1,    -1,    -1,    -1,  2619,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,  2628,  2629,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2820,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2680,    -1,  2682,    -1,
      -1,    -1,  2686,    -1,    -1,    -1,    -1,  2839,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2711,  2712,    -1,
      -1,    -1,  2864,    -1,    -1,  2719,    -1,    -1,    -1,  2723,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2736,    -1,    -1,    -1,    -1,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2900,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2763,
      -1,    -1,  2766,    -1,    -1,  2769,    -1,    -1,    -1,    -1,
    2774,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2782,    -1,
      -1,  2785,    -1,    -1,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,  2801,    -1,  2803,
     436,    -1,    -1,    -1,    -1,  2809,    -1,   859,    -1,    -1,
      -1,    -1,    -1,  2817,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2826,    -1,    -1,    -1,    -1,    -1,  2832,    -1,
    2834,    -1,    -1,    -1,    -1,    -1,  2840,    -1,    -1,  2843,
    2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,    -1,
      -1,    -1,  2856,  2857,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2869,    -1,    -1,    -1,  2873,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2887,    -1,    -1,  2890,    -1,  2892,    -1,
       8,    -1,    -1,    11,    -1,    -1,    -1,  2901,  2902,  2903,
    3052,    -1,    -1,  2907,    -1,    -1,  2910,    -1,    -1,    -1,
      28,    -1,    -1,  2917,  2918,  2919,  2920,  2921,    36,    -1,
      -1,  2925,  2926,    -1,    -1,    43,  2930,    -1,    -1,    -1,
      -1,    -1,  2936,    -1,  2938,    -1,  2940,     8,   990,    -1,
      -1,    -1,    -1,    14,    15,    -1,    -1,    -1,    -1,    20,
      68,    22,    -1,    -1,    -1,    -1,    27,    -1,    29,  2963,
      -1,    -1,    -1,    -1,    -1,  2969,    -1,    -1,    -1,  2973,
      -1,  2975,    -1,    -1,    -1,    -1,    47,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2990,  2991,  2992,    -1,
    2994,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3006,  3007,  3008,  3009,    -1,    -1,    -1,    -1,
      -1,  3015,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3037,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,  3205,   172,    -1,    -1,    43,   176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3079,    -1,    -1,  3082,   197,
     198,    -1,    68,    -1,  3236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3096,    -1,   212,    -1,    -1,    -1,  3102,    -1,
    3104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   187,    -1,    -1,    -1,
      -1,   239,  3126,    -1,   242,    -1,   197,    -1,   199,  1181,
     201,    -1,   203,    -1,    -1,    -1,    -1,   255,    -1,     8,
     258,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,  3166,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,  3177,    43,  3179,  1228,    -1,    -1,    -1,
      -1,  3185,    -1,    -1,    -1,    -1,   172,    -1,    -1,    -1,
     176,  3343,    -1,    -1,  3198,    -1,    -1,    -1,    -1,    68,
      -1,    -1,  3354,    -1,  3208,    -1,    -1,    -1,  1260,    -1,
      -1,   197,   198,  3217,    -1,    -1,   334,    -1,    -1,  3223,
      -1,    -1,    -1,  3227,    -1,  3229,   212,    -1,    -1,    -1,
      -1,    -1,    -1,  3237,  3238,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   239,    -1,  3259,   242,  3261,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,
      -1,    -1,   258,    -1,  3278,    -1,    -1,  1329,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3294,    -1,    -1,    -1,    -1,    -1,  1348,    -1,    -1,    -1,
      -1,  3453,    -1,   172,   422,   423,   424,   176,   426,   427,
     428,   429,   430,   431,    -1,    -1,  1368,    -1,   436,    -1,
      -1,    -1,  3474,    -1,    -1,    -1,  3330,    -1,   197,   198,
      -1,    -1,    -1,    -1,  3486,    -1,  3340,  3341,    -1,    -1,
      -1,  1393,    -1,   212,  3348,  3349,    -1,    -1,   334,  3353,
      -1,    21,    -1,    -1,    -1,  3359,  3360,    -1,    -1,  3363,
      -1,  3365,  3366,  3367,  3368,    -1,    -1,    -1,  3372,    -1,
     239,  3375,  3524,   242,  3378,    -1,    -1,    -1,  3382,    -1,
      -1,    -1,    -1,    -1,  3388,    55,   255,  3391,    -1,   258,
      -1,    -1,  3396,    -1,    -1,    -1,  1448,    -1,  3402,    69,
      70,    -1,    -1,    -1,  3408,    -1,    -1,    -1,    78,    -1,
    3414,    -1,    82,    -1,    -1,    -1,    -1,    -1,  3422,    -1,
      -1,    -1,  3426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     100,  3435,    -1,    -1,  3438,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,    -1,    -1,    -1,    -1,
     436,  3455,  3456,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   533,    -1,    -1,   334,    -1,    -1,  3472,    -1,
     541,   141,    -1,    -1,    -1,    -1,    -1,  3481,    -1,    -1,
     551,   552,   152,    -1,    -1,   556,    -1,   157,    -1,  3493,
      -1,    -1,    -1,    -1,    -1,   566,    -1,    -1,    -1,    -1,
      -1,    -1,  3506,    -1,    -1,    -1,    -1,    -1,   579,   179,
      -1,    -1,    -1,    -1,    -1,    -1,  3520,    -1,    -1,    -1,
      -1,  3673,    -1,   594,    -1,  3529,   597,    -1,   599,    -1,
     601,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
     611,    -1,    -1,  3547,    -1,     8,    -1,    -1,    11,    -1,
      -1,  3555,    -1,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,    -1,    -1,   434,    -1,   638,    -1,  1621,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,  3583,
      43,    -1,    -1,    -1,    -1,   255,    -1,    -1,    -1,   660,
      -1,   662,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    68,    -1,  3611,  3612,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,    -1,    28,    -1,
    3772,    -1,    -1,    -1,    -1,    -1,    36,   181,    -1,    -1,
      -1,    -1,    -1,    43,    -1,   189,    -1,  3641,    -1,    -1,
      -1,   311,    -1,   714,    -1,    -1,   316,    -1,   318,    -1,
      -1,    -1,    -1,  3657,   324,    -1,    -1,   327,    68,    -1,
      -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,    -1,    -1,
     133,    -1,    -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,    -1,   354,    -1,    -1,    -1,   358,    -1,
      -1,  3695,  3696,    -1,    -1,  3699,   366,    -1,    -1,    -1,
      -1,   371,  3706,    -1,    -1,    -1,  3710,    -1,    -1,   172,
    3862,  3715,    -1,   176,  3718,  3719,    -1,  3721,    -1,  3723,
    3724,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,
      -1,  3883,    -1,    -1,   197,   198,    -1,    -1,  3742,    -1,
    3744,    -1,   813,    -1,  3748,  3749,  3750,  3751,  3752,   212,
       8,    -1,    -1,    11,    -1,    -1,    -1,    -1,   829,    -1,
      -1,  3913,   172,    -1,    -1,    -1,   176,    -1,    -1,   840,
      28,    -1,  3776,  3777,    -1,    -1,   847,    -1,    36,   242,
      -1,    -1,    -1,    -1,    -1,    43,    -1,   197,   198,    -1,
     861,    -1,   255,    -1,    -1,  3947,    -1,    -1,    -1,  3951,
    3952,    -1,   212,  3807,    -1,     8,    -1,    -1,    11,  3813,
      68,    -1,  3816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   895,  3829,    -1,  3831,    -1,   239,
      -1,    -1,   242,    36,    -1,    -1,    -1,    -1,  3842,    -1,
      43,    -1,  1894,  3847,    -1,   255,    -1,  1899,  1900,    -1,
      -1,    -1,    -1,    -1,    -1,  3859,  3860,    -1,  1910,    -1,
      -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,
      -1,   334,    -1,    -1,    -1,    -1,    -1,    -1,  3882,    -1,
      -1,  3885,    -1,  3887,    -1,    -1,    -1,    -1,   959,    -1,
     961,    -1,   963,    -1,   965,    -1,   967,   968,   969,    -1,
    3904,    -1,    -1,   974,  3908,    -1,    -1,  3911,    -1,    -1,
      -1,    -1,    -1,  3917,   172,    -1,    -1,    -1,   176,    -1,
      -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3937,    -1,    -1,    -1,  3941,    -1,   197,
     198,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3954,  3955,  3956,  3957,   212,    -1,    -1,    -1,    -1,    -1,
    3964,    -1,    -1,   426,   427,   428,   429,   430,   431,   172,
      -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,   532,    -1,
      -1,   239,  3986,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,  2043,    -1,    -1,   197,   198,    -1,   255,    -1,    -1,
     258,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    -1,    -1,   578,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   587,    -1,    -1,   239,    -1,    -1,   242,
      -1,  4045,    -1,    -1,    -1,    -1,    -1,  4051,    -1,  4053,
      -1,    -1,   255,    -1,    -1,    -1,  4060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,
    1151,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,  4093,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,  4105,  4106,    -1,    -1,    -1,  4110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
    4124,    32,    -1,  4127,  4128,    36,  4130,    -1,    -1,   683,
      -1,   334,    43,    -1,    -1,    -1,  4140,    -1,    -1,  1210,
      -1,    -1,    -1,    -1,  4148,    -1,    -1,    -1,  2200,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,   712,    -1,
      -1,    -1,    -1,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,  4180,    -1,   436,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4190,    -1,    -1,    -1,
      -1,  4195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4264,   172,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,
      -1,   825,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   835,    -1,    -1,    -1,    -1,   197,   198,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   212,    -1,    -1,    -1,   859,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1396,    -1,    -1,   239,    -1,
      -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     894,  1412,     0,    -1,   255,    -1,    -1,   258,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    26,    27,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1450,
      -1,    -1,    -1,  1454,    42,    -1,    -1,    -1,    -1,    -1,
      -1,   945,    -1,  1464,    -1,  1466,    -1,  1468,    -1,    -1,
      -1,    -1,  1473,    -1,    62,    -1,    64,    65,    66,    -1,
    2462,    -1,    -1,    71,    -1,    73,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   334,    -1,    -1,    84,  1498,    86,  1500,
      -1,  1502,    -1,  1504,    -1,  1506,   990,    -1,    -1,  1510,
      -1,    -1,    -1,    -1,   102,    -1,    -1,   105,  2500,  2501,
      -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     118,    -1,    -1,   121,    -1,  1019,    -1,   125,    -1,    -1,
      -1,    -1,   383,   131,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,   140,    -1,    -1,    -1,    -1,    -1,   146,    -1,
      -1,    -1,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2553,   160,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   422,   423,   424,    -1,   426,   427,   428,   429,   430,
     431,  1075,  1076,    -1,  1078,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   214,   215,    -1,    -1,
      -1,    -1,   220,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   229,  2624,    -1,    -1,    -1,    -1,    -1,    -1,  1133,
    1134,    -1,    -1,   241,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1162,    -1,
      -1,    -1,  1166,  1167,    -1,  2667,    -1,    -1,    -1,    -1,
      -1,   279,    -1,    -1,    -1,    -1,    -1,  1181,    -1,    -1,
      -1,    -1,   290,  1187,    -1,    -1,    -1,   295,    -1,   297,
      -1,    -1,    -1,    -1,    -1,   303,    -1,    -1,    -1,    -1,
     308,    -1,    -1,    -1,   312,    -1,    -1,    -1,    -1,   317,
      -1,    -1,    -1,    -1,   322,   323,    -1,    -1,    -1,    -1,
      -1,    -1,   330,    -1,  1228,   333,    -1,    -1,    -1,    -1,
    2732,    -1,   340,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2743,    -1,    -1,   352,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2754,    -1,    -1,    -1,  1260,    -1,    -1,    -1,
      -1,   369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     378,    -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,
      -1,   389,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   401,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,  1823,  1824,    -1,    -1,    -1,  1828,  1829,    -1,
      -1,  1832,    -1,    -1,    28,    -1,    -1,    -1,  2820,    -1,
      -1,  1842,    36,    -1,    -1,  1329,    -1,   435,  1849,    43,
     438,    -1,    -1,    -1,  1855,  1856,    -1,  2839,    -1,    -1,
      -1,    -1,    -1,    -1,  1348,  1866,    -1,  1868,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,  1882,  2864,    -1,  1368,    -1,  1887,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1388,    -1,    -1,    -1,    -1,  1393,
      -1,    -1,  1913,  1914,  1915,  1916,    -1,    -1,  2900,  1920,
    1921,    -1,    -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,
    1931,    -1,    -1,    -1,  1935,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1954,    -1,    -1,   150,    -1,  1442,    -1,
      -1,   155,    -1,  1964,  1448,  1966,    -1,  1451,    -1,    -1,
      -1,    -1,    -1,  1974,  1975,  1976,    -1,  1978,   172,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1991,  1992,  1993,   182,   183,    -1,    -1,   186,   187,    -1,
    2001,  2002,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     8,   204,    -1,    11,   212,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,  1520,    -1,    -1,    -1,
      -1,    -1,    36,    -1,    -1,   239,    -1,    -1,   242,    43,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,  2064,   258,    -1,    -1,    -1,    -1,  1553,
    3052,  1555,    -1,    -1,    68,    -1,    -1,    -1,  1562,    -1,
      -1,  1565,    -1,    -1,  1568,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1576,  1577,    -1,    -1,    -1,    -1,    -1,    -1,
    1584,    -1,    -1,  1587,  1588,  1589,  1590,    -1,    -1,    -1,
      -1,    -1,    -1,  1597,  1598,    -1,  1600,    -1,  1602,  1603,
      -1,    -1,  1606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1621,  1622,  1623,
     334,    -1,    -1,  1627,    -1,    -1,    -1,  1631,    -1,    -1,
      -1,  1635,    -1,  1637,  1638,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,    -1,  1647,    -1,    -1,    -1,    -1,  1652,    -1,
    1654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   197,   198,  2206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
      -1,    -1,    21,    -1,    -1,   239,    -1,    -1,   242,    -1,
       8,    -1,    -1,    11,  3236,    -1,    -1,    -1,    -1,    -1,
      -1,   255,    -1,    -1,   258,    -1,    -1,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,     8,
      -1,    -1,    11,    -1,   278,    43,    -1,    -1,    -1,    -1,
      69,    -1,    -1,    -1,  1778,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    31,    82,    -1,    -1,    -1,    36,    -1,    -1,
      68,    -1,    -1,    -1,    43,    -1,    -1,    -1,    -1,    -1,
      -1,   100,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    68,
     334,    -1,  1826,    -1,   123,    -1,    -1,   536,    -1,    -1,
      -1,   540,    -1,   347,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3343,   141,    -1,    -1,    -1,    -1,    -1,   557,  1853,
      -1,    -1,  3354,   152,  1858,    -1,    -1,    -1,   157,    -1,
    1864,    -1,    -1,    -1,   163,    -1,    -1,    -1,    -1,    -1,
      -1,   149,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1894,    -1,    -1,    -1,   172,  1899,  1900,    -1,   176,    -1,
      -1,    -1,  2423,  2424,    -1,   204,  1910,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,   197,
     198,    -1,  1926,   172,    -1,  1929,    -1,   176,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,   237,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,   198,
      -1,  3453,    -1,    -1,    -1,    -1,   255,    -1,  2479,  2480,
      -1,   239,  2483,   212,   242,    -1,  2487,  2488,  2489,    -1,
      -1,    -1,  3474,    -1,    -1,    -1,    -1,   255,    -1,    -1,
     258,    -1,    -1,    -1,  3486,   284,    -1,    -1,    -1,    -1,
     239,    -1,    -1,   242,    -1,    -1,    -1,   275,    -1,    -1,
    2521,  2522,  2523,  2524,    -1,    -1,   255,    -1,    -1,   258,
      -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,   318,
      -1,    -1,  3524,    -1,    -1,   324,    -1,    -1,   327,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2557,  2041,    -1,  2043,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    -1,   352,    11,   354,   334,    -1,    -1,   358,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   366,    -1,    -1,
      -1,    28,   371,    -1,    -1,    -1,    -1,   786,   787,    36,
      -1,    -1,    -1,   382,    -1,   334,    43,    -1,    -1,  2610,
      -1,    -1,    -1,    -1,  2615,    -1,   395,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    68,    -1,  2117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   851,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,    -1,    -1,  2160,    -1,    -1,    -1,
    2681,    -1,    -1,    -1,    -1,    -1,   875,   876,    -1,    -1,
    2691,  3673,    -1,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,   892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2200,  2718,    -1,  2720,
      -1,    -1,   859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2214,    -1,   921,   922,  2218,   172,    -1,    -1,    -1,   176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2233,
    2234,    -1,    -1,    -1,  2755,    -1,    -1,    -1,    -1,    -1,
     197,   198,    -1,    -1,    -1,    -1,    -1,  2768,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,  2263,
    2264,    -1,    -1,    -1,  2268,    -1,    -1,    -1,    -1,    -1,
    3772,    -1,    -1,    -1,    -1,    -1,  2280,  2281,  2282,  2283,
      -1,    -1,   239,    -1,  2288,   242,    -1,    -1,    -1,  2293,
    2294,    -1,  2296,    -1,  2298,    -1,    -1,    -1,   255,    -1,
      -1,   258,    -1,    -1,  2308,  2309,    -1,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,   272,    -1,    -1,    -1,    -1,
      -1,  2325,    -1,  2327,    -1,    -1,    -1,  2331,    -1,    -1,
      -1,    -1,    -1,   990,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2347,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,  2358,    -1,  2360,  2361,  2362,    -1,
    3862,    -1,    -1,    -1,    28,    -1,    -1,    31,    -1,    -1,
      -1,    -1,    36,  2377,    -1,    -1,    -1,   334,    -1,    43,
      -1,  3883,    -1,    -1,  2388,    -1,    -1,    -1,    -1,  2393,
      -1,    -1,    -1,    -1,    -1,    -1,  2400,    -1,    -1,    -1,
      -1,    -1,  2406,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      -1,  3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2443,
      -1,    -1,    -1,    -1,    -1,  3947,    -1,    -1,    -1,  3951,
    3952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,
      -1,    -1,    -1,    -1,    -1,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,    -1,    -1,    -1,    -1,    -1,
    3001,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2500,  2501,    -1,  2503,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,   176,    -1,  3035,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1181,    -1,  2530,  2531,  2532,    -1,
      -1,    -1,  1241,   197,   198,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,  2553,
      -1,  2555,    -1,    -1,  3075,    -1,    -1,    -1,    -1,  3080,
    3081,    -1,  3083,  3084,  3085,  3086,  3087,  3088,  3089,    -1,
      -1,  1228,    -1,    -1,    -1,   239,    -1,  3098,   242,    -1,
      -1,    -1,    -1,    -1,    -1,  1294,  1295,  1296,  1297,    -1,
      -1,   255,    -1,    -1,   258,  2599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2624,    -1,    -1,    -1,    -1,    -1,  1335,  1336,    -1,    -1,
      -1,    -1,  1341,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2646,    -1,    -1,  2649,    -1,    -1,    -1,    -1,
      -1,    -1,  3173,  3174,  3175,    -1,    -1,  3178,    -1,    -1,
      -1,    -1,  2666,  2667,    -1,    -1,    -1,    -1,    -1,    -1,
     334,    -1,  1329,    -1,    -1,    -1,    -1,    -1,  1387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1348,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1414,  1415,  1416,  1417,    -1,
      -1,  1368,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2732,    -1,
      -1,    -1,  3253,    -1,    -1,    -1,  1393,    -1,    -1,  2743,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,    -1,    -1,
      -1,    -1,  1481,    -1,    -1,    -1,    -1,    -1,  2782,   683,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,  1448,    -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   712,    -1,
      28,    -1,    -1,  2817,    -1,    -1,  2820,    -1,    36,    -1,
      -1,    -1,  2826,    -1,    -1,    43,    -1,    -1,  2832,    -1,
    2834,    -1,    -1,    -1,    -1,  2839,  2840,    -1,    -1,  2843,
    2844,  2845,  2846,  2847,  2848,  2849,  2850,  2851,  2852,    -1,
      68,    -1,  2856,  2857,    -1,    -1,    -1,    -1,    -1,    -1,
    2864,    -1,    -1,    -1,    -1,  2869,    -1,    -1,    -1,  2873,
      -1,  2875,    -1,  2877,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2887,    -1,    -1,  2890,    -1,  2892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2900,  2901,  2902,  2903,
      -1,    -1,    -1,  2907,    -1,    -1,  2910,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2920,  1626,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2930,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2938,    -1,  2940,   155,    -1,    -1,
      -1,    -1,  3463,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,   172,    -1,    -1,    -1,   176,  2963,
      -1,  3482,  3483,    -1,  1621,  2969,    -1,    -1,    -1,    -1,
      28,  2975,    -1,  3494,  3495,    -1,    -1,    -1,    36,   197,
     198,    -1,    -1,    -1,    -1,    43,  2990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   212,    -1,    -1,  1654,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      68,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   255,    -1,    -1,
     258,    -1,    -1,  3047,    -1,    -1,    -1,  3051,  3052,  3053,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   859,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3628,    -1,    -1,
      -1,    -1,    -1,    -1,   172,  1019,   334,    -1,   176,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   197,
     198,    -1,    -1,  1047,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1860,  1861,  1862,   212,    -1,    -1,    -1,  1867,    -1,
    1869,    -1,  1871,  1872,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1075,  1076,    -1,  1078,  3179,    -1,    -1,    -1,    -1,
      -1,   239,    -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,
      -1,  1095,    -1,    -1,    -1,    -1,    -1,   255,   990,    -1,
     258,  3205,    -1,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,  3735,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1133,
      -1,    -1,  3236,  3237,  3238,    -1,    -1,  1894,    -1,    -1,
      -1,    -1,  1899,  1900,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1910,  1963,    -1,    -1,    -1,  1162,    -1,
      -1,    -1,  1166,  1167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   334,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   359,    -1,    -1,    -1,    -1,    -1,  3828,    -1,  2018,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2026,  2027,  2028,
    2029,  2030,  2031,    -1,    -1,    -1,  3330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3340,  3341,    -1,  3343,
      -1,    -1,    -1,    -1,  3348,  3349,    -1,  3868,    -1,  3353,
    3354,    -1,    -1,    -1,    -1,  3359,  3360,    -1,    -1,  3363,
      -1,    -1,    -1,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,  3378,    -1,    -1,    -1,  3382,    -1,
      -1,    -1,    -1,    -1,    -1,  1091,  2043,  3391,    -1,  1181,
      -1,    -1,  3396,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,  2110,    -1,    -1,  3408,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    36,    -1,  2135,    -1,  2137,    -1,
      -1,    43,    -1,    -1,  3438,    -1,  1228,    -1,    -1,    -1,
      -1,  1147,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3453,
      -1,    -1,    -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,
    2117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1260,    -1,
    3474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3486,    -1,    -1,  4006,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4021,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2226,    -1,    -1,
    3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1329,    -1,    -1,
      -1,  3545,    -1,  2200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1348,    -1,    -1,    -1,
     172,    -1,    -1,    -1,   176,    -1,  4087,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1368,    -1,    -1,  3583,
      -1,    -1,    -1,    -1,    -1,   197,   198,    -1,    -1,    -1,
      -1,  3595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,  1393,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    28,    -1,    -1,    31,   239,    -1,    -1,
     242,    36,    -1,    -1,  3638,    -1,    -1,    -1,    43,    -1,
      -1,    -1,    -1,   255,  4165,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1448,    -1,  1562,    -1,
      -1,    -1,    -1,    68,    -1,  3669,    -1,    -1,    -1,  3673,
      -1,    -1,    -1,    -1,  3678,    -1,    -1,    -1,    -1,    -1,
    1584,    -1,    -1,  1587,    -1,    -1,  1590,    -1,    -1,    -1,
      -1,  3695,  3696,  1597,  1598,  3699,    -1,    -1,    -1,  1603,
      -1,    -1,  1606,  2360,  2361,  2362,  3710,    -1,    -1,    -1,
      -1,  3715,    -1,    -1,  3718,    -1,    -1,    -1,  1622,  3723,
    3724,    -1,   334,  1627,    -1,    -1,    -1,  1631,    -1,    -1,
      -1,  1635,    -1,  1637,  1638,  1639,  1640,  1641,  1642,  1643,
    1644,  1645,    -1,  1647,  3748,    -1,     8,    -1,  1652,    11,
    1654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2467,    -1,
    2469,  2470,    -1,    -1,    -1,    -1,    28,   172,  3772,    -1,
      -1,   176,  3776,    -1,    36,    -1,    -1,    -1,    -1,  1485,
      -1,    43,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   197,   198,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2462,    68,   212,    -1,  3813,
     422,   423,   424,    -1,   426,   427,   428,   429,   430,   431,
      -1,    -1,    -1,    -1,    -1,   859,    -1,    -1,    -1,  1621,
      -1,    -1,    -1,    -1,   239,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,  2500,  2501,    -1,  2503,    -1,    -1,    -1,
     255,    -1,    -1,   258,  1560,    -1,  3860,    -1,  3862,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1778,    -1,    -1,  1583,  3882,  3883,
      -1,  3885,  1588,  3887,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2553,    -1,  2555,    -1,
    3904,    -1,  1608,  1609,  3908,  1611,    -1,    -1,    -1,  3913,
     172,    -1,    -1,    -1,   176,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   334,
      -1,    -1,    -1,    -1,    -1,   197,   198,    -1,    -1,    -1,
      -1,    -1,  2599,  3947,  1650,    -1,    -1,  3951,  3952,  1853,
     212,    -1,    -1,    -1,    -1,    -1,   990,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,
      -1,    -1,    -1,    -1,  3978,    -1,    -1,   239,    -1,  1685,
     242,    -1,  3986,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2649,   255,    -1,    -1,   258,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2667,    -1,    -1,  4017,    -1,    -1,    -1,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4045,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4060,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   334,    -1,    -1,  2732,    -1,    -1,    -1,    -1,
      -1,  1787,    -1,    -1,    -1,    -1,  2743,    -1,    -1,  4093,
      -1,  1797,    -1,    -1,  1800,    -1,    -1,  2754,    -1,    -1,
    2809,    -1,  1894,    -1,    -1,    -1,  4110,  1899,  1900,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,
      -1,    -1,    -1,  4127,  4128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4140,  2041,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1181,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,   423,   424,  2820,   426,   427,   428,   429,   430,   431,
      -1,    -1,    -1,    -1,    -1,    -1,  4180,    -1,    -1,    -1,
      -1,    -1,  2839,    -1,    -1,    -1,  4190,    -1,    -1,    -1,
      -1,    21,    -1,    -1,  1228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4206,    33,    -1,    -1,    -1,  2864,    -1,    -1,
      40,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    55,  1260,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    69,
      -1,    -1,    -1,  2900,    -1,    -1,    -1,    -1,    78,  4253,
      -1,  2043,    82,    -1,  4258,    -1,  2160,    -1,    -1,    -1,
    4264,    -1,    -1,    -1,    -1,  4269,    -1,    -1,    -1,    -1,
     100,    -1,    -1,    -1,    -1,    -1,   106,    -1,    -1,    -1,
      -1,    -1,    -1,  2940,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   123,    -1,  1329,    -1,  3006,  3007,  3008,
    3009,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   141,    -1,    -1,  1348,    -1,   859,    -1,    -1,    -1,
      -1,    -1,   152,    -1,    -1,  2117,    -1,    -1,    -1,   159,
    2234,    -1,    -1,   163,  1368,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1393,
      -1,    -1,    -1,    33,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2280,    -1,  2282,  2283,
      -1,    -1,    -1,    -1,    -1,    55,   216,    -1,    -1,  2293,
      -1,    -1,  2296,    -1,  2298,  3052,    -1,    -1,    -1,    69,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   237,  2200,    -1,
      -1,    -1,    82,    -1,  1448,    -1,    -1,    -1,    -1,    -1,
      -1,  2325,    -1,  2327,    -1,   255,    -1,  2331,   258,    -1,
     100,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   990,    -1,    -1,
      -1,    -1,    -1,   123,    -1,    -1,  2360,  2361,  2362,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3177,    -1,
      -1,   141,    -1,  2377,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   311,   152,    -1,  2388,    -1,    -1,   157,   318,  2393,
     859,    -1,    -1,   163,   324,    -1,  2400,   327,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   179,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,    -1,   354,   355,    -1,   357,   358,    -1,
      -1,  2237,    -1,    -1,    -1,    -1,   366,    -1,    -1,  2443,
      -1,   371,    -1,    -1,    -1,    -1,   376,    -1,  3205,   379,
      -1,    -1,   382,  2259,    -1,  2261,    -1,  2263,  2264,  2265,
      -1,    -1,  2268,    -1,    -1,   395,  2272,   237,    -1,    -1,
      -1,    -1,    -1,  2279,    -1,    -1,    -1,    -1,  2284,  3236,
      -1,    -1,    -1,    -1,  2290,   255,    -1,  1621,    -1,  2295,
      -1,    -1,    -1,    -1,    -1,   265,    -1,    -1,  2304,    -1,
      -1,    -1,  2308,  2309,    -1,  2311,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,    -1,    -1,  2323,    -1,    -1,
      -1,   990,    -1,    -1,  2330,    -1,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,    -1,    -1,  1181,    -1,
      -1,   311,    -1,    -1,    -1,    -1,   316,    -1,   318,    -1,
      -1,    -1,    -1,    -1,   324,    -1,    -1,   327,    -1,    -1,
    2366,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,    -1,   354,  1228,  3343,    -1,   358,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   366,  3354,    -1,    -1,
      -1,   371,    -1,    -1,    -1,    -1,    -1,    -1,  2500,  2501,
      -1,  2503,   382,    -1,    -1,    -1,    -1,  1260,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   395,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3391,    -1,    -1,    -1,    -1,  3396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   859,  2455,
      -1,  3408,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2553,    -1,  2555,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1329,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3453,  3506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1348,    -1,  2599,    -1,    -1,
      -1,  3520,  1181,    -1,    -1,    -1,    -1,  3474,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1368,    -1,    -1,    -1,  3486,
      -1,    -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1393,    -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,  1228,
    1894,    -1,    -1,    -1,    -1,  1899,  1900,  3524,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2667,  1910,    -1,    -1,   990,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1260,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3611,    -1,    -1,  1448,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2817,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2826,    -1,    -1,    -1,    -1,    -1,  2832,    -1,
    2834,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2732,    -1,    -1,    -1,    -1,    -1,  2652,    -1,    -1,    -1,
      -1,  2743,  2856,  2857,    -1,    -1,    -1,    -1,    -1,    -1,
    1329,    -1,  2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2877,    -1,    -1,    -1,    -1,    -1,  1348,
      -1,  3638,    -1,  2887,    -1,    -1,  2890,    -1,  2892,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2901,    -1,  1368,
      -1,    -1,    -1,  2907,    -1,    -1,  2910,    -1,    -1,  2043,
      -1,    -1,    -1,    -1,    -1,    -1,  3673,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1393,    -1,  2930,    -1,  2820,    -1,
      -1,    -1,    -1,    -1,  2938,    -1,  2940,    -1,    -1,    -1,
      -1,  3750,  3751,  3752,    -1,    -1,    -1,  2839,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2963,
      -1,    -1,    -1,    -1,    -1,  2969,    -1,  2773,    -1,    -1,
    1181,  2975,  2864,    -1,    -1,    -1,    -1,    -1,  1621,  1448,
      -1,    -1,    -1,  2117,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2900,    -1,
    2816,    -1,    -1,    -1,    -1,  3772,    -1,  1228,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2837,  2838,    -1,  2840,    -1,    -1,  2843,  2844,  2845,
    2846,  2847,  2848,  2849,  2850,  2851,  2852,  2853,    -1,  1260,
    3859,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2200,    -1,    -1,    -1,
      -1,    -1,  2878,    -1,    -1,  2881,    -1,  2883,    -1,    -1,
      -1,    -1,  2888,  2889,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2902,  2903,  2904,    -1,
    2906,    -1,    -1,  2909,    -1,  3862,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1329,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3883,    -1,  3937,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1348,    -1,    -1,
    2946,    -1,    -1,    -1,    -1,    -1,  3955,    -1,  3957,    -1,
    2956,    -1,  1621,    -1,    -1,    -1,  3913,  1368,    -1,    -1,
    3052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2987,  1393,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3947,    -1,    -1,    -1,  3951,  3952,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3237,  3238,    -1,    -1,  1448,    -1,    -1,
      -1,    -1,  4051,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1894,    -1,    -1,    -1,    -1,  1899,  1900,    -1,    -1,
    4017,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4090,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3294,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3340,  3341,    -1,  4148,
      -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,  3353,
      -1,    -1,    -1,    -1,    -1,  3359,  3360,    -1,    -1,  3363,
      -1,    -1,    -1,    -1,    -1,    -1,  2500,  2501,    -1,  2503,
      -1,    -1,    -1,  3179,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4195,  3391,    -1,    -1,
      -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2043,    -1,    -1,    -1,  3408,    -1,    -1,    -1,    -1,    -1,
    1621,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2553,
      -1,  2555,    -1,    -1,    -1,  1894,    -1,    -1,    -1,    -1,
    1899,  1900,    -1,    -1,  3438,    -1,    -1,    -1,    -1,    -1,
      -1,  1910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3354,    -1,    -1,  2599,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3295,
    2624,    -1,  3298,  3299,  3300,    -1,    -1,  3303,    -1,    -1,
      -1,    -1,  3308,  3309,  3310,  3311,  3312,  3313,  3314,  3315,
    3316,  3317,  3318,  3319,    -1,  2649,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2667,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3347,  3348,  3349,  3350,    -1,  3352,    -1,    -1,    -1,
    3356,  3357,  3358,    -1,    -1,  3361,    -1,  2200,  3364,    -1,
      -1,  3453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2043,    -1,    -1,    -1,    -1,  3583,
      -1,    -1,  3474,    -1,    -1,    -1,    -1,  3393,    -1,    -1,
      -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,  2732,  3405,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2743,
      -1,    -1,    -1,  3419,    -1,    -1,    -1,    -1,    -1,    -1,
    2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2117,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1894,    -1,    -1,  2820,    -1,  1899,  1900,
      -1,    -1,    -1,    -1,    -1,  3699,    -1,    -1,    -1,  1910,
      -1,    -1,    -1,    -1,    -1,  2839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3724,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2864,  2200,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2900,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3586,  3673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2462,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3635,
    3636,    -1,  2043,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2500,  2501,  3665,
    2503,    -1,    -1,  3669,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3683,    -1,  3685,
    3772,  3885,    -1,    -1,  3690,  3691,  3692,    -1,    -1,  3695,
    3696,  3697,  3698,    -1,  3700,    -1,    -1,    -1,    -1,    -1,
    3904,    -1,    -1,    -1,    -1,    -1,  2117,    -1,    -1,    -1,
    2553,    -1,  2555,    -1,    -1,    -1,    -1,    -1,  3052,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,  3986,    -1,    -1,    -1,    -1,    -1,    -1,  2200,
      -1,  3883,    -1,  2462,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,    -1,    -1,
      -1,    -1,    -1,  3819,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3913,    -1,    -1,  2667,    -1,    -1,    -1,    -1,    -1,
      -1,  2500,  2501,    -1,  2503,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3947,  4060,    -1,    -1,  3951,
    3952,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3205,    -1,    -1,    -1,  3881,  3882,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2553,    -1,  2555,    -1,    -1,  2732,
      -1,  3897,  3898,  3899,    -1,    -1,    -1,    -1,    -1,    -1,
    2743,    -1,  3236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3916,  2754,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4127,  4128,    -1,    -1,    -1,    -1,    -1,
    2599,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4180,  2820,    -1,    -1,
    2649,    -1,    -1,    -1,    -1,    -1,  4190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,  2667,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3343,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4025,
    3354,  2864,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4035,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4253,
      -1,  2462,    -1,    -1,    -1,    -1,    -1,  2900,    -1,    -1,
      -1,    -1,    -1,  2732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2754,  4092,    -1,    -1,  2500,
    2501,    -1,  2503,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3453,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,
    3474,    -1,  2553,    -1,  2555,    -1,    -1,    -1,    -1,    -1,
      -1,  2820,  3486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2839,    -1,    -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2599,    -1,
    3524,    -1,    -1,    -1,    -1,  2864,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3052,
      -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4230,    -1,    -1,    -1,    -1,    -1,
      -1,  2900,    -1,    -1,    -1,    -1,    -1,    -1,  2649,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2743,    -1,    -1,    -1,    -1,    -1,    -1,  3673,
      -1,    -1,    -1,  2754,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2820,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2839,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2864,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3862,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3205,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3883,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3913,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3453,    -1,    -1,  3947,    -1,    -1,    -1,  3951,  3952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3474,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3052,    -1,  3486,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,
      -1,  3524,    -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3453,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3205,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3474,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3236,    -1,    -1,    -1,    -1,
    3673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3772,
      -1,    -1,  3343,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3354,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3673,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3883,    -1,  3453,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3474,    -1,    -1,    -1,    -1,    -1,    -1,
    3913,    -1,    -1,    -1,    -1,  3486,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3772,  3947,    -1,    -1,    -1,  3951,  3952,
      -1,    -1,    -1,  3524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3862,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3883,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3913,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3673,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3947,    -1,
      -1,    -1,  3951,  3952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3772,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3913,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,  3947,    -1,    -1,    30,
    3951,  3952,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,   119,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,   427,   428,    -1,    -1,
      -1,    -1,    -1,    -1,   435,   436,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,     3,    -1,    -1,    -1,    -1,    -1,    -1,   435,   436,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    -1,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    -1,    -1,    -1,    93,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,    -1,   140,   141,   142,    -1,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,    -1,   161,    -1,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,    -1,   210,   211,   212,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,    -1,    -1,   240,   241,   242,   243,    -1,    -1,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,   261,   262,   263,    -1,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,    -1,   275,
      -1,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,    -1,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,    -1,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,    -1,
     366,    -1,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
     436,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    -1,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    -1,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    -1,
      -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,    -1,   140,
     141,   142,    -1,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,    -1,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,    -1,   210,
     211,   212,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,    -1,    -1,   240,
     241,   242,   243,    -1,    -1,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,    -1,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,    -1,   275,    -1,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,    -1,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,    -1,   366,    -1,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,    -1,   390,
     391,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,   436,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,
      -1,    -1,    -1,   433,   434,   435,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,   376,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   435,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,     4,
       5,     6,     7,     8,     9,    10,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
      -1,   376,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     435,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   435,     3,     4,     5,     6,     7,     8,
       9,    10,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,    -1,   376,   377,   378,
     379,   380,   381,   382,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    75,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,   154,    -1,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,   172,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,   210,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,   393,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     426,   427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,
       3,     4,     5,     6,     7,     8,     9,    10,    -1,    -1,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,    -1,   376,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,   172,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,   212,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,   376,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,   427,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   435,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,    -1,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,    -1,   376,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,     3,
       4,     5,     6,     7,   435,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,    -1,     9,    10,    -1,
      -1,   435,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    75,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,   154,    -1,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
     172,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,   210,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
     382,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,   393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,   435,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,    -1,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,    -1,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,   376,   377,   378,   379,
     380,   381,   382,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   426,   427,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   435,     3,     4,     5,     6,
       7,     8,     9,    10,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    75,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      87,    88,    89,    90,    91,    92,    93,    94,    95,    96,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,    -1,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,   154,    -1,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,   210,   211,    -1,    -1,   214,   215,   216,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,   382,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,   393,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,     3,   426,
     427,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      75,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,   154,
      -1,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,   172,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
     185,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,   210,   211,   212,    -1,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,    -1,   240,   241,   242,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,   254,
     255,   256,   257,    -1,    -1,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,   382,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     435,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,   210,   211,   212,
      -1,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,   254,   255,   256,   257,    -1,    -1,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,   382,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    55,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    75,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,   154,    -1,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,   172,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,   185,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,   210,
     211,   212,    -1,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,    -1,   240,
     241,   242,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,   382,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,   393,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,   210,   211,   212,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
      -1,   240,   241,   242,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,   393,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,     3,     4,     5,    -1,
      -1,    -1,     9,    -1,    -1,    -1,   435,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,   144,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,   253,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,     3,   426,
     427,   428,    -1,    -1,    -1,    -1,    -1,    -1,   435,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    26,    27,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,   393,   394,
     395,   396,    -1,    -1,   399,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     435,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    -1,    39,    40,    41,    42,
      43,    44,    -1,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    67,    -1,    69,    -1,    71,    72,
      73,    74,    -1,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,   139,   140,   141,   142,
     143,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,    -1,   186,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,
     203,   204,   205,   206,   207,    -1,   209,    -1,   211,    -1,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
      -1,   234,   235,   236,   237,   238,    -1,   240,   241,    -1,
     243,    -1,   245,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,
      -1,   264,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,   274,   275,   276,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,    -1,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,    -1,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,   365,   366,   367,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,   389,   390,    -1,   392,
      -1,   394,   395,   396,    -1,    -1,   399,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   435,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    44,    -1,    46,    47,    -1,    49,    50,
      51,    52,    53,    -1,    -1,    56,    57,    58,    59,    60,
      -1,    62,    63,    64,    65,    66,    67,    -1,    69,    -1,
      71,    72,    73,    74,    -1,    76,    77,    -1,    79,    80,
      81,    82,    83,    84,    85,    -1,    -1,    88,    89,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,
     101,   102,   103,   104,   105,    -1,   107,    -1,   109,   110,
     111,   112,   113,    -1,   115,   116,   117,   118,    -1,   120,
      -1,   122,   123,   124,   125,   126,    -1,   128,   129,   130,
      -1,   132,   133,    -1,   135,   136,   137,   138,   139,   140,
     141,   142,   143,    -1,   145,    -1,   147,   148,   149,    -1,
     151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,    -1,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,    -1,   177,   178,   179,   180,
     181,   182,    -1,   184,    -1,   186,   187,   188,   189,   190,
     191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,
     201,   202,   203,   204,   205,   206,   207,    -1,   209,    -1,
     211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,    -1,   234,   235,   236,   237,   238,    -1,   240,
     241,    -1,   243,    -1,   245,   246,   247,   248,   249,   250,
      -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,
      -1,    -1,    -1,   264,   265,   266,   267,   268,   269,   270,
     271,    -1,   273,   274,   275,   276,   277,   278,   279,   280,
      -1,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,    -1,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,    -1,   307,   308,    -1,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,    -1,   324,   325,   326,   327,   328,    -1,   330,
     331,   332,   333,    -1,   335,   336,    -1,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
     351,    -1,   353,   354,   355,   356,   357,   358,    -1,   360,
     361,    -1,    -1,   364,   365,   366,   367,    -1,   369,   370,
     371,   372,   373,   374,    -1,    -1,   377,   378,   379,   380,
     381,    -1,    -1,   384,   385,   386,   387,   388,   389,   390,
      -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,
      -1,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   435,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   435,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   435,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,     8,     9,    -1,    -1,    -1,
     435,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    -1,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,    -1,   140,   141,   142,
      -1,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,    -1,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,    -1,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,   239,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,   272,
     273,    -1,   275,    -1,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,    -1,   366,    -1,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    -1,    -1,    -1,   422,
     423,   424,    -1,   426,   427,   428,   429,   430,   431,     3,
      -1,    -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,   422,   423,
     424,    -1,   426,   427,   428,   429,   430,   431,     3,    -1,
      -1,    -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    44,
      -1,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      -1,    56,    57,    58,    59,    60,    -1,    62,    63,    64,
      65,    66,    67,    -1,    69,    -1,    71,    72,    73,    74,
      -1,    76,    77,    -1,    79,    80,    81,    82,    83,    84,
      85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    97,    98,    99,   100,   101,   102,   103,   104,
     105,    -1,   107,    -1,   109,   110,   111,   112,   113,    -1,
     115,   116,   117,   118,    -1,   120,    -1,   122,   123,   124,
     125,   126,    -1,   128,   129,   130,    -1,   132,   133,    -1,
     135,   136,   137,   138,   139,   140,   141,   142,   143,    -1,
     145,    -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,
      -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,    -1,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,    -1,   177,   178,   179,   180,   181,   182,    -1,   184,
      -1,   186,   187,   188,   189,   190,   191,   192,    -1,   194,
      -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,   204,
     205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,
     215,   216,    -1,    -1,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,    -1,   234,
     235,   236,   237,   238,    -1,   240,   241,    -1,   243,    -1,
     245,   246,   247,   248,   249,   250,    -1,   252,    -1,    -1,
     255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,
     265,   266,   267,   268,   269,   270,   271,    -1,   273,   274,
     275,   276,   277,   278,   279,   280,    -1,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,    -1,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,    -1,   307,   308,    -1,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,    -1,   324,
     325,   326,   327,   328,    -1,   330,   331,   332,   333,    -1,
     335,   336,    -1,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,    -1,   350,   351,    -1,   353,   354,
     355,   356,   357,   358,    -1,   360,   361,    -1,    -1,   364,
     365,   366,   367,    -1,   369,   370,   371,   372,   373,   374,
      -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,   384,
     385,   386,   387,   388,   389,   390,    -1,   392,    -1,   394,
     395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,   422,   423,   424,
      -1,   426,   427,   428,   429,   430,   431,     3,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,   422,   423,   424,    -1,
     426,   427,   428,   429,   430,   431,     3,    -1,    -1,    -1,
      -1,     8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    -1,    39,    40,    41,    42,    43,    44,    -1,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    -1,    56,
      57,    58,    59,    60,    -1,    62,    63,    64,    65,    66,
      67,    -1,    69,    -1,    71,    72,    73,    74,    -1,    76,
      77,    -1,    79,    80,    81,    82,    83,    84,    85,    -1,
      -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      97,    98,    99,   100,   101,   102,   103,   104,   105,    -1,
     107,    -1,   109,   110,   111,   112,   113,    -1,   115,   116,
     117,   118,    -1,   120,    -1,   122,   123,   124,   125,   126,
      -1,   128,   129,   130,    -1,   132,   133,    -1,   135,   136,
     137,   138,   139,   140,   141,   142,   143,    -1,   145,    -1,
     147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,    -1,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,    -1,
     177,   178,   179,   180,   181,   182,    -1,   184,    -1,   186,
     187,   188,   189,   190,   191,   192,    -1,   194,    -1,   196,
      -1,    -1,   199,    -1,   201,   202,   203,   204,   205,   206,
     207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,
      -1,    -1,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,    -1,   234,   235,   236,
     237,   238,    -1,   240,   241,    -1,   243,    -1,   245,   246,
     247,   248,   249,   250,    -1,   252,    -1,    -1,   255,   256,
     257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,
     267,   268,   269,   270,   271,    -1,   273,   274,   275,   276,
     277,   278,   279,   280,    -1,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,    -1,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,    -1,
     307,   308,    -1,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,    -1,   324,   325,   326,
     327,   328,    -1,   330,   331,   332,   333,    -1,   335,   336,
      -1,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,    -1,   350,   351,    -1,   353,   354,   355,   356,
     357,   358,    -1,   360,   361,    -1,    -1,   364,   365,   366,
     367,    -1,   369,   370,   371,   372,   373,   374,    -1,    -1,
     377,   378,   379,   380,   381,    -1,    -1,   384,   385,   386,
     387,   388,   389,   390,    -1,   392,    -1,   394,   395,   396,
      -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,   422,   423,   424,    -1,   426,
     427,   428,   429,   430,   431,     3,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,   422,   423,   424,    -1,   426,   427,
     428,   429,   430,   431,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    44,    -1,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    67,    -1,
      69,    -1,    71,    72,    73,    74,    -1,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    -1,    88,
      89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
     139,   140,   141,   142,   143,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,    -1,   186,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,
     199,    -1,   201,   202,   203,   204,   205,   206,   207,    -1,
     209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,    -1,   234,   235,   236,   237,   238,
      -1,   240,   241,    -1,   243,    -1,   245,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,   274,   275,   276,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
      -1,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,    -1,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
      -1,   350,   351,    -1,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,   365,   366,   367,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
     389,   390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,   422,   423,   424,    -1,   426,   427,   428,
     429,   430,   431,     3,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,     3,   422,   423,   424,    -1,   426,   427,   428,   429,
     430,   431,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   428,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   428,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   428,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    -1,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,    -1,   140,   141,   142,    -1,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,    -1,   210,   211,   212,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
      -1,    -1,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,    -1,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,    -1,   366,    -1,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,   428,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    -1,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,    -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,    -1,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,    -1,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,    -1,
      -1,     3,     4,     5,    -1,    -1,    -1,     9,   416,   417,
     418,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
     428,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,   253,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,     4,     5,
      -1,    -1,    -1,     9,   426,   427,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,     4,     5,    -1,    -1,    -1,     9,
     426,   427,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,   253,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,     9,   426,   427,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,   155,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,     4,     5,    -1,    -1,
      -1,     9,   426,   427,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   124,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
     146,   147,   148,   149,   150,   151,   152,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    75,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    87,    88,    89,
      -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,   154,    -1,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,   172,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,   185,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
     210,   211,   212,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,    -1,
     240,   241,   242,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,   334,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,   393,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,   210,   211,   212,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,    -1,   240,   241,   242,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    -1,    69,    70,    71,
      72,    73,    74,    -1,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
     152,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,   376,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,   152,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,   212,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
     376,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,   160,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,   152,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,   376,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,   253,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,   152,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    26,    27,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,   382,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,   382,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,   254,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    31,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,   382,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,   383,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,    -1,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    44,    -1,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    67,
      -1,    69,    -1,    71,    72,    73,    74,    -1,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    -1,
      88,    89,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,   139,   140,   141,   142,   143,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,    -1,    -1,    -1,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,    -1,   186,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,    -1,
      -1,   199,    -1,   201,   202,   203,   204,   205,   206,   207,
      -1,   209,    -1,   211,    -1,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,    -1,   234,   235,   236,   237,
     238,    -1,   240,   241,    -1,   243,    -1,   245,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,   260,    -1,    -1,    -1,   264,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,   274,   275,   276,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,    -1,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,    -1,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,   365,   366,   367,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,   389,   390,    -1,   392,    -1,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    44,    -1,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    -1,    56,    57,    58,    59,    60,    -1,
      62,    63,    64,    65,    66,    67,    -1,    69,    -1,    71,
      72,    73,    74,    -1,    76,    77,    -1,    79,    80,    81,
      82,    83,    84,    85,    -1,    -1,    88,    89,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    97,    98,    99,   100,   101,
     102,   103,   104,   105,    -1,   107,    -1,   109,   110,   111,
     112,   113,    -1,   115,   116,   117,   118,    -1,   120,    -1,
     122,   123,   124,   125,   126,    -1,   128,   129,   130,    -1,
     132,   133,    -1,   135,   136,   137,   138,   139,   140,   141,
     142,   143,    -1,   145,    -1,   147,   148,   149,    -1,   151,
      -1,   153,    -1,    -1,    -1,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,    -1,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,    -1,   177,   178,   179,   180,   181,
     182,    -1,   184,    -1,   186,   187,   188,   189,   190,   191,
     192,    -1,   194,    -1,   196,    -1,    -1,   199,    -1,   201,
     202,   203,   204,   205,   206,   207,    -1,   209,    -1,   211,
      -1,    -1,   214,   215,   216,    -1,    -1,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,    -1,   234,   235,   236,   237,   238,    -1,   240,   241,
      -1,   243,    -1,   245,   246,   247,   248,   249,   250,    -1,
     252,    -1,    -1,   255,   256,   257,    -1,    -1,   260,    -1,
      -1,    -1,   264,   265,   266,   267,   268,   269,   270,   271,
      -1,   273,   274,   275,   276,   277,   278,   279,   280,    -1,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,    -1,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,    -1,   307,   308,    -1,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,    -1,   324,   325,   326,   327,   328,    -1,   330,   331,
     332,   333,    -1,   335,   336,    -1,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,    -1,   350,   351,
      -1,   353,   354,   355,   356,   357,   358,    -1,   360,   361,
      -1,    -1,   364,   365,   366,   367,    -1,   369,   370,   371,
     372,   373,   374,    -1,    -1,   377,   378,   379,   380,   381,
      -1,    -1,   384,   385,   386,   387,   388,   389,   390,    -1,
     392,    -1,   394,   395,   396,    -1,    -1,   399,    -1,    -1,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    44,    -1,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    -1,
      56,    57,    58,    59,    60,    -1,    62,    63,    64,    65,
      66,    67,    -1,    69,    -1,    71,    72,    73,    74,    -1,
      76,    77,    -1,    79,    80,    81,    82,    83,    84,    85,
      -1,    -1,    88,    89,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    98,    99,   100,   101,   102,   103,   104,   105,
      -1,   107,    -1,   109,   110,   111,   112,   113,    -1,   115,
     116,   117,   118,    -1,   120,    -1,   122,   123,   124,   125,
     126,    -1,   128,   129,   130,    -1,   132,   133,    -1,   135,
     136,   137,   138,   139,   140,   141,   142,   143,    -1,   145,
      -1,   147,   148,   149,    -1,   151,    -1,   153,    -1,    -1,
      -1,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
      -1,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
      -1,   177,   178,   179,   180,   181,   182,    -1,   184,    -1,
     186,   187,   188,   189,   190,   191,   192,    -1,   194,    -1,
     196,    -1,    -1,   199,    -1,   201,   202,   203,   204,   205,
     206,   207,    -1,   209,    -1,   211,    -1,    -1,   214,   215,
     216,    -1,    -1,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,    -1,   234,   235,
     236,   237,   238,    -1,   240,   241,    -1,   243,    -1,   245,
     246,   247,   248,   249,   250,    -1,   252,    -1,    -1,   255,
     256,   257,    -1,    -1,   260,    -1,    -1,    -1,   264,   265,
     266,   267,   268,   269,   270,   271,    -1,   273,   274,   275,
     276,   277,   278,   279,   280,    -1,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,    -1,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
      -1,   307,   308,    -1,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,    -1,   324,   325,
     326,   327,   328,    -1,   330,   331,   332,   333,    -1,   335,
     336,    -1,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,    -1,   350,   351,    -1,   353,   354,   355,
     356,   357,   358,    -1,   360,   361,    -1,    -1,   364,   365,
     366,   367,    -1,   369,   370,   371,   372,   373,   374,    -1,
      -1,   377,   378,   379,   380,   381,    -1,    -1,   384,   385,
     386,   387,   388,   389,   390,    -1,   392,    -1,   394,   395,
     396,    -1,    -1,   399,    -1,    -1,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    44,    -1,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    -1,    56,    57,    58,    59,
      60,    -1,    62,    63,    64,    65,    66,    67,    -1,    69,
      -1,    71,    72,    73,    74,    -1,    76,    77,    -1,    79,
      80,    81,    82,    83,    84,    85,    -1,    -1,    88,    89,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    98,    99,
     100,   101,   102,   103,   104,   105,    -1,   107,    -1,   109,
     110,   111,   112,   113,    -1,   115,   116,   117,   118,    -1,
     120,    -1,   122,   123,   124,   125,   126,    -1,   128,   129,
     130,    -1,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,    -1,   145,    -1,   147,   148,   149,
      -1,   151,    -1,   153,    -1,    -1,    -1,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,    -1,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,    -1,   177,   178,   179,
     180,   181,   182,    -1,   184,    -1,   186,   187,   188,   189,
     190,   191,   192,    -1,   194,    -1,   196,    -1,    -1,   199,
      -1,   201,   202,   203,   204,   205,   206,   207,    -1,   209,
      -1,   211,    -1,    -1,   214,   215,   216,    -1,    -1,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,    -1,   234,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,    -1,   245,   246,   247,   248,   249,
     250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,    -1,
     260,    -1,    -1,    -1,   264,   265,   266,   267,   268,   269,
     270,   271,    -1,   273,   274,   275,   276,   277,   278,   279,
     280,    -1,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,    -1,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,    -1,   307,   308,    -1,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,    -1,   324,   325,   326,   327,   328,    -1,
     330,   331,   332,   333,    -1,   335,   336,    -1,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,    -1,
     350,   351,    -1,   353,   354,   355,   356,   357,   358,    -1,
     360,   361,    -1,    -1,   364,   365,   366,   367,    -1,   369,
     370,   371,   372,   373,   374,    -1,    -1,   377,   378,   379,
     380,   381,    -1,    -1,   384,   385,   386,   387,   388,   389,
     390,    -1,   392,    -1,   394,   395,   396,    -1,    -1,   399,
      -1,    -1,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    -1,    -1,    69,    -1,    71,    72,    73,
      74,    75,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,    93,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,    -1,   140,   141,   142,    -1,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
     154,    -1,   156,   157,   158,   159,    -1,   161,    -1,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,    -1,
     184,   185,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,    -1,    -1,   210,   211,   212,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,    -1,    -1,   240,   241,   242,   243,
      -1,    -1,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,   261,   262,   263,
      -1,   265,   266,   267,   268,   269,   270,   271,    -1,   273,
      -1,   275,    -1,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,   309,   310,   311,   312,   313,
      -1,   315,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
     334,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,    -1,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,    -1,   366,    -1,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   416,   417,   418,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    -1,    44,    45,    46,    47,    -1,
      49,    50,    51,    52,    53,    -1,    -1,    56,    57,    58,
      59,    60,    -1,    62,    63,    64,    65,    66,    -1,    -1,
      69,    -1,    71,    72,    73,    74,    75,    76,    77,    -1,
      79,    80,    81,    82,    83,    84,    85,    -1,    87,    88,
      89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,    98,
      99,   100,   101,   102,   103,   104,   105,    -1,   107,    -1,
     109,   110,   111,   112,   113,    -1,   115,   116,   117,   118,
      -1,   120,    -1,   122,   123,   124,   125,   126,    -1,   128,
     129,   130,    -1,   132,   133,    -1,   135,   136,   137,   138,
      -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,   148,
     149,    -1,   151,    -1,   153,   154,    -1,   156,   157,   158,
     159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,   168,
     169,   170,   171,   172,   173,   174,   175,    -1,   177,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,   190,   191,   192,    -1,   194,    -1,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,    -1,
      -1,   210,   211,   212,    -1,   214,   215,   216,    -1,    -1,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,    -1,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
     249,   250,    -1,   252,    -1,    -1,   255,   256,   257,    -1,
      -1,    -1,   261,   262,   263,    -1,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,    -1,   275,    -1,   277,   278,
     279,   280,    -1,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,    -1,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,    -1,   307,   308,
     309,   310,   311,   312,   313,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,    -1,   324,   325,   326,   327,   328,
      -1,   330,   331,   332,   333,   334,   335,   336,    -1,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,    -1,
      -1,   350,   351,   352,   353,   354,   355,   356,   357,   358,
      -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,    -1,
     369,   370,   371,   372,   373,   374,    -1,    -1,   377,   378,
     379,   380,   381,    -1,    -1,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,   396,    -1,    -1,
     399,    -1,    -1,   402,   403,   404,   405,   406,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      44,    -1,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    -1,    56,    57,    58,    59,    60,    -1,    62,    63,
      64,    65,    66,    67,    -1,    69,    -1,    71,    72,    73,
      74,    -1,    76,    77,    -1,    79,    80,    81,    82,    83,
      84,    85,    -1,    -1,    88,    89,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    97,    98,    99,   100,   101,   102,   103,
     104,   105,    -1,   107,    -1,   109,   110,   111,   112,   113,
      -1,   115,   116,   117,   118,    -1,   120,    -1,   122,   123,
     124,   125,   126,    -1,   128,   129,   130,    -1,   132,   133,
      -1,   135,   136,   137,   138,   139,   140,   141,   142,   143,
      -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,   153,
      -1,    -1,    -1,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,    -1,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,    -1,   177,   178,   179,   180,   181,   182,    -1,
     184,    -1,   186,   187,   188,   189,   190,   191,   192,    -1,
     194,    -1,   196,    -1,    -1,   199,    -1,   201,   202,   203,
     204,   205,   206,   207,    -1,   209,    -1,   211,    -1,    -1,
     214,   215,   216,    -1,    -1,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,    -1,
     234,   235,   236,   237,   238,    -1,   240,   241,    -1,   243,
      -1,   245,   246,   247,   248,   249,   250,    -1,   252,    -1,
      -1,   255,   256,   257,    -1,    -1,   260,    -1,    -1,    -1,
     264,   265,   266,   267,   268,    -1,   270,   271,    -1,   273,
     274,   275,   276,   277,   278,   279,   280,    -1,   282,   283,
     284,   285,   286,    -1,   288,   289,   290,   291,   292,   293,
      -1,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,    -1,   307,   308,    -1,   310,   311,   312,   313,
     314,    -1,   316,   317,   318,   319,   320,   321,   322,    -1,
     324,   325,   326,   327,   328,    -1,   330,   331,   332,   333,
      -1,   335,   336,    -1,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,    -1,   350,   351,    -1,   353,
     354,   355,   356,   357,   358,    -1,   360,   361,    -1,    -1,
     364,   365,   366,   367,    -1,   369,   370,   371,   372,   373,
     374,    -1,    -1,   377,   378,   379,   380,   381,    -1,    -1,
     384,   385,   386,   387,   388,   389,   390,    -1,   392,    -1,
     394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    -1,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,    -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,    -1,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,    -1,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    -1,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,
      93,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,    -1,   140,   141,   142,
      -1,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,    -1,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,    -1,   210,   211,   212,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,    -1,   240,   241,   242,
     243,    -1,    -1,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,    -1,   366,    -1,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    -1,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,    -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,    -1,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,    -1,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,   331,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    58,    59,    60,    -1,    62,
      63,    64,    65,    66,    -1,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,
      93,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
     103,   104,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,    -1,   140,   141,   142,
      -1,    -1,   145,    -1,   147,   148,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,    -1,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,   190,   191,   192,
      -1,   194,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,    -1,   210,   211,   212,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,    -1,    -1,   246,   247,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,   331,   332,
     333,   334,   335,   336,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,   360,   361,    -1,
      -1,   364,    -1,   366,    -1,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,    -1,   390,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    -1,    56,    57,
      58,    59,    60,    -1,    62,    63,    64,    65,    66,    -1,
      -1,    69,    -1,    71,    72,    73,    74,    75,    76,    77,
      -1,    79,    80,    81,    82,    83,    84,    85,    -1,    87,
      88,    89,    -1,    -1,    -1,    93,    -1,    -1,    -1,    97,
      98,    99,   100,   101,   102,   103,   104,   105,    -1,   107,
      -1,   109,   110,   111,   112,   113,    -1,   115,   116,   117,
     118,    -1,   120,    -1,   122,   123,   124,   125,   126,    -1,
     128,   129,   130,    -1,   132,   133,    -1,   135,   136,   137,
     138,    -1,   140,   141,   142,    -1,    -1,   145,    -1,   147,
     148,   149,    -1,   151,    -1,   153,   154,    -1,   156,   157,
     158,   159,    -1,   161,    -1,    -1,   164,   165,    -1,   167,
     168,   169,   170,   171,   172,   173,   174,   175,    -1,   177,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,   190,   191,   192,    -1,   194,    -1,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
      -1,    -1,   210,   211,   212,    -1,   214,   215,   216,    -1,
      -1,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
      -1,    -1,   240,   241,   242,   243,    -1,    -1,   246,   247,
     248,   249,   250,    -1,   252,    -1,    -1,   255,   256,   257,
      -1,    -1,    -1,   261,   262,   263,    -1,   265,   266,   267,
     268,   269,   270,   271,    -1,   273,    -1,   275,    -1,   277,
     278,   279,   280,    -1,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,    -1,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,    -1,   307,
     308,   309,   310,   311,   312,   313,    -1,   315,   316,   317,
     318,   319,   320,   321,   322,    -1,   324,   325,   326,   327,
     328,    -1,   330,    -1,   332,   333,   334,   335,   336,    -1,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
      -1,    -1,   350,   351,    -1,   353,   354,   355,   356,   357,
     358,    -1,   360,   361,    -1,    -1,   364,    -1,   366,    -1,
      -1,   369,   370,   371,   372,   373,   374,    -1,    -1,   377,
     378,   379,   380,   381,    -1,    -1,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,   396,    -1,
      -1,   399,    -1,    -1,   402,   403,   404,   405,   406,    -1,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      -1,    -1,    45,    -1,    -1,    -1,    49,    50,    51,    52,
      53,    -1,    -1,    56,    57,    -1,    -1,    60,    -1,    62,
      63,    64,    65,    66,    -1,    -1,    69,    -1,    71,    72,
      73,    74,    75,    76,    77,    -1,    79,    80,    81,    82,
      83,    84,    85,    -1,    87,    88,    89,    -1,    -1,    -1,
      93,    -1,    -1,    -1,    97,    98,    99,   100,   101,   102,
      -1,    -1,   105,    -1,   107,    -1,   109,   110,   111,   112,
     113,    -1,   115,   116,   117,   118,    -1,   120,    -1,   122,
     123,   124,   125,   126,    -1,   128,   129,   130,    -1,   132,
     133,    -1,   135,   136,   137,   138,    -1,   140,   141,   142,
      -1,    -1,   145,    -1,   147,    -1,   149,    -1,   151,    -1,
     153,   154,    -1,   156,   157,   158,   159,    -1,   161,    -1,
      -1,   164,   165,    -1,   167,   168,   169,   170,   171,   172,
     173,   174,   175,    -1,   177,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,   190,    -1,    -1,
      -1,    -1,    -1,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,    -1,    -1,   210,   211,   212,
      -1,   214,   215,   216,    -1,    -1,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,    -1,
     233,    -1,   235,   236,   237,    -1,    -1,   240,   241,   242,
     243,    -1,    -1,   246,    -1,   248,   249,   250,    -1,   252,
      -1,    -1,   255,   256,   257,    -1,    -1,    -1,   261,   262,
     263,    -1,   265,   266,   267,   268,   269,   270,   271,    -1,
     273,    -1,   275,    -1,   277,   278,   279,   280,    -1,   282,
     283,   284,   285,   286,   287,   288,    -1,   290,   291,   292,
     293,    -1,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,    -1,   307,   308,   309,   310,   311,   312,
     313,    -1,   315,   316,   317,   318,   319,   320,   321,   322,
      -1,   324,   325,   326,   327,   328,    -1,   330,    -1,   332,
     333,   334,   335,    -1,    -1,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,    -1,    -1,   350,   351,    -1,
     353,   354,   355,   356,   357,   358,    -1,    -1,    -1,    -1,
      -1,   364,    -1,   366,    -1,    -1,   369,   370,   371,   372,
     373,   374,    -1,    -1,   377,   378,   379,   380,   381,    -1,
      -1,   384,   385,   386,   387,   388,    -1,    -1,    -1,   392,
     393,   394,   395,   396,    -1,    -1,   399,    -1,    -1,   402,
     403,   404,   405,   406,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   416,   417,   418
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    42,    62,    64,    65,    66,
      71,    73,    84,    86,   102,   105,   118,   121,   125,   131,
     138,   140,   146,   160,   214,   215,   220,   229,   241,   279,
     290,   295,   297,   303,   308,   312,   317,   322,   323,   330,
     333,   340,   352,   369,   378,   384,   389,   401,   435,   442,
     443,   444,   445,   451,   452,   454,   455,   456,   457,   458,
     459,   460,   462,   463,   467,   477,   479,   480,   483,   484,
     485,   496,   499,   500,   515,   554,   560,   561,   568,   574,
     576,   578,   579,   582,   585,   586,   590,   591,   600,   604,
     605,   606,   610,   611,   613,   614,   615,   628,   629,   630,
     631,   642,   643,   650,   651,   654,   655,   656,   657,   658,
     663,   665,   668,   672,   676,   677,   687,   688,   691,   696,
     707,   726,   729,   730,   731,   734,   737,   739,   741,   744,
     747,   748,   749,   756,   757,   759,   760,   761,   766,   768,
     769,   773,   774,   777,   778,   779,   781,   782,   783,   784,
     786,   789,   790,   795,   797,   801,   802,   803,   804,   805,
     811,   813,   816,   819,   821,   822,   827,   829,   833,   840,
     844,   845,   846,   847,   848,   849,   852,   879,   364,   403,
     762,    21,    69,    82,   100,   106,   123,   141,   152,   157,
     163,   179,   204,   237,   255,   284,   311,   318,   324,   327,
     352,   354,   358,   366,   371,   382,   395,   575,   762,    77,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    44,    46,    47,    49,    50,    51,    52,    53,
      56,    57,    58,    59,    60,    62,    63,    64,    65,    66,
      67,    69,    71,    72,    73,    74,    76,    77,    79,    80,
      81,    82,    83,    84,    85,    88,    89,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   107,   109,   110,   111,
     112,   113,   115,   116,   117,   118,   120,   122,   123,   124,
     125,   126,   128,   129,   130,   132,   133,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   145,   147,   148,   149,
     151,   153,   157,   158,   159,   161,   162,   164,   165,   167,
     168,   169,   170,   171,   173,   174,   175,   177,   178,   179,
     180,   181,   182,   184,   186,   187,   188,   189,   190,   191,
     192,   194,   196,   199,   201,   202,   203,   204,   205,   206,
     207,   209,   211,   214,   215,   216,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     234,   235,   236,   237,   238,   240,   241,   243,   245,   246,
     247,   248,   249,   250,   252,   255,   256,   257,   260,   264,
     265,   266,   267,   268,   269,   270,   271,   273,   274,   275,
     276,   277,   278,   279,   280,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   307,   308,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   324,   325,   326,   327,   328,   330,   331,
     332,   333,   335,   336,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   350,   351,   353,   354,   355,
     356,   357,   358,   360,   361,   364,   365,   366,   367,   369,
     370,   371,   372,   373,   374,   377,   378,   379,   380,   381,
     384,   385,   386,   387,   388,   389,   390,   392,   394,   395,
     396,   399,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   841,
     984,   996,   999,  1000,   393,   791,   253,   280,   762,    45,
     506,   845,    21,    33,    40,    55,    69,    78,   100,   106,
     123,   141,   152,   159,   163,   216,   237,   255,   258,   311,
     318,   327,   354,   355,   357,   358,   366,   371,   376,   379,
     382,   516,   646,   697,   708,    22,   279,   984,   841,    22,
     273,   355,   357,     5,   203,   735,   736,   993,    21,    33,
      55,    69,    82,   100,   123,   141,   152,   157,   163,   179,
     237,   255,   265,   311,   316,   318,   324,   327,   352,   354,
     358,   366,   371,   382,   395,   575,   659,   762,   116,   984,
      86,   138,   393,   435,   554,   790,   806,   819,   822,   827,
     833,   840,   844,     9,    15,    22,    39,   147,   153,   155,
     176,   205,   235,   282,   296,   426,   427,   673,   674,   841,
     992,   995,    22,    86,   294,   323,   678,   679,   680,   996,
     996,   989,   993,   352,   855,   673,   996,   364,   984,   265,
     100,   179,   351,   352,   742,   317,   996,    22,   328,   360,
     364,   469,   996,    19,   160,   678,   679,   280,   762,   996,
     202,    22,   119,   857,    56,    79,   216,   231,   311,   318,
     328,   360,   364,   406,   468,   469,    22,   328,   360,   364,
     469,   364,   254,   888,   982,   996,   855,   428,   996,   156,
     435,   792,   435,   978,   292,   850,   851,   984,   845,   846,
     849,     0,   438,   791,   134,   193,   259,   375,   858,   859,
     845,   847,   848,   111,   189,   381,   439,     3,    38,    45,
      75,    87,    93,   154,   156,   172,   185,   197,   198,   200,
     210,   212,   233,   242,   261,   262,   263,   309,   334,   393,
     990,   996,   997,   999,  1001,   661,   996,   661,   985,   996,
     283,   661,   661,   984,   996,    99,   352,   686,   990,   994,
     996,   982,   248,   798,   996,     8,    63,   145,   422,   423,
     424,   426,   427,   428,   429,   430,   431,   733,   945,   946,
     996,   994,   984,   982,   984,   888,   984,   320,   984,   661,
     221,   994,   982,   203,   108,   199,   239,   288,   763,   764,
     765,   362,   982,   988,   996,    21,    55,    69,    70,    78,
      82,   100,   123,   141,   152,   157,   179,   204,   255,   311,
     316,   318,   324,   327,   352,   354,   358,   366,   371,   395,
     575,   666,   993,   982,   362,   990,   984,   796,   993,   435,
     661,   366,   985,   661,   171,   984,    99,   352,   355,   357,
     994,   355,   357,   163,   798,    63,   145,   733,   300,   994,
     464,   996,   984,   984,   320,   984,   661,   221,   994,   324,
     352,   395,    82,   179,   157,   316,   370,   569,    22,   984,
     842,   476,   993,   996,   736,   171,   990,   984,   171,   740,
     171,   985,    99,   352,   171,   990,   171,   983,   984,   163,
     798,    63,   145,   171,   733,    49,   171,   983,   171,   984,
     171,   984,   171,   984,   320,   171,   984,   171,   221,   983,
     203,   171,   660,   661,   253,   435,   820,   516,   806,   389,
     393,   790,   807,   808,   809,   996,   791,   995,   674,   675,
      22,   675,   995,   675,    22,   675,   995,   675,   675,   675,
     995,   992,   992,   841,   675,   283,   435,   435,   534,   534,
     534,   253,   362,   439,   534,   888,   889,   439,   758,   993,
     435,   817,    49,   984,   984,   982,   996,    38,   418,   199,
     437,   256,   256,   253,   155,   993,   362,   150,   669,   253,
       4,     6,     7,     8,    10,    30,    44,    46,    47,    54,
      55,    58,    59,    67,    90,    91,    92,    93,    94,    95,
      96,   103,   104,   124,   139,   143,   144,   148,   162,   191,
     192,   194,   209,   217,   218,   232,   234,   239,   244,   245,
     247,   255,   264,   274,   289,   314,   329,   336,   348,   360,
     361,   365,   367,   368,   376,   382,   390,   408,   409,   410,
     411,   412,   413,   414,   415,   426,   427,   428,   435,   845,
     900,   903,   906,   907,   908,   910,   911,   912,   913,   916,
     917,   921,   923,   924,   943,   947,   966,   971,   979,   980,
     990,   991,   992,   993,   996,   993,    22,   481,   981,   982,
     328,   468,   106,   475,   993,   476,   993,    38,    60,   468,
     418,   764,   256,   155,   362,   422,    38,   418,   199,   765,
     435,   982,   428,   433,   437,   972,   973,   889,   154,   156,
     393,   787,   788,   790,   154,   793,   106,   921,   976,   977,
     850,   439,   435,   794,   436,   436,   444,   982,    22,   119,
     856,   856,    49,   856,   146,   150,   213,   251,   862,   864,
     865,   874,   876,   877,   858,   859,   155,   195,   888,   890,
     978,   435,   636,   973,   266,   298,   330,   437,   662,   266,
     298,   330,   266,   298,   330,   401,   446,   477,   478,   692,
      18,   125,   266,   330,   488,   330,    18,   125,   381,   461,
     404,   888,    51,    85,   142,   174,   266,   298,   307,   315,
     322,   330,   338,   346,   396,   478,   720,   727,   435,   709,
     298,   461,    18,    24,    66,   117,   125,   128,   181,   236,
     239,   249,   257,   266,   298,   303,   330,   386,   486,   487,
     594,     4,   427,   566,   995,   401,   402,   546,   661,   661,
     435,   732,   437,   176,   298,   446,   453,   266,   298,    50,
      98,   178,   223,   225,   236,   265,   298,   304,   330,   340,
     486,   563,   564,   266,   394,   594,   602,   298,   330,   486,
     266,   298,   303,   330,    76,   115,   267,   356,   253,    18,
      24,   125,   266,   298,   330,   497,   498,   150,   298,   330,
     446,   478,   298,   330,   486,   984,   211,   108,   254,   405,
     439,   763,    22,    83,   237,   383,   785,   253,   990,   435,
     984,    99,   352,   990,   248,    63,   145,   733,   984,   320,
     984,   203,   661,   534,   343,   344,   502,   993,   435,   636,
     637,    61,     3,    44,    46,    47,    58,    59,   103,   104,
     148,   191,   192,   194,   232,   234,   247,   289,   331,   336,
     360,   361,   390,   897,   899,   901,   903,   905,   907,   908,
     909,   911,   912,   916,   917,   997,   999,   155,   435,   632,
     984,   446,    31,   780,   239,   446,   404,   171,   982,   446,
     799,   996,   546,   661,   661,   632,   516,   446,    38,   465,
     371,   601,   266,   577,    76,   115,   267,   356,    20,    41,
     190,   616,    31,   632,   150,   446,   982,   171,   555,   982,
     982,   661,    75,   698,   990,   984,   575,    45,    97,   188,
     236,   319,   139,   636,    52,   305,   489,   139,   435,   139,
     404,   139,   709,   139,   439,   799,   171,   661,   171,   661,
     139,   732,   983,   139,   139,   253,   139,   489,   139,    76,
     115,   267,   356,   139,   253,   139,   150,   171,   171,   476,
     139,   439,   489,   798,   800,   921,   950,   352,   436,   439,
     144,   253,   368,   473,   476,   566,   810,   806,   675,   841,
     675,   841,   675,   841,   675,   841,   675,   841,   841,   841,
     675,   841,   435,   535,   536,   996,   535,    22,   100,   152,
     157,   203,   204,   318,   324,   352,   354,   681,   981,   983,
     680,   176,   439,   830,   993,   897,   953,    31,   983,   151,
     743,   743,   743,   211,   996,   150,   150,   681,   983,   317,
     996,   476,   253,   435,   974,   433,   845,   954,   392,   914,
     921,   970,   435,   914,   914,   435,   435,   435,   435,   902,
     902,   276,   845,   435,   435,   904,   435,   435,   435,   435,
      58,    59,   914,   921,   435,   902,   435,   435,   435,   435,
     435,   402,   421,   435,   918,   435,   918,   435,   435,   845,
     435,   435,   435,   435,   435,   435,   435,   435,   921,   921,
     845,   921,   950,   993,    59,   435,   915,   435,   993,     3,
       8,    11,    28,    31,    36,    43,    68,   172,   176,   197,
     198,   212,   239,   242,   255,   258,   334,   422,   423,   424,
     426,   427,   428,   429,   430,   431,   945,   947,   949,   263,
     921,   195,   439,   853,   435,   993,   973,   109,   173,   482,
     439,    60,   106,   476,    31,     3,   106,   216,   474,   566,
     917,   993,    80,   122,   930,    89,   106,   470,   471,   473,
     566,   106,   470,   211,   982,   921,     3,    22,    26,    27,
      28,    29,    30,    31,    32,    35,    48,    54,    55,    61,
      68,    70,    78,    86,    90,    91,    92,    94,    95,    96,
     106,   108,   114,   119,   121,   127,   131,   134,   144,   146,
     150,   152,   155,   160,   163,   166,   176,   183,   193,   195,
     208,   213,   217,   218,   239,   244,   251,   253,   254,   258,
     259,   272,   281,   294,   306,   323,   329,   337,   349,   352,
     359,   362,   363,   368,   375,   376,   382,   383,   391,   397,
     398,   400,   401,   428,   987,   998,   999,  1000,  1001,  1002,
     972,    81,   304,   664,   436,   439,   791,   436,   439,   851,
     983,    31,   794,   847,   847,   860,   861,   921,   847,   147,
     235,   871,   288,   332,   381,    22,   866,   921,   867,   869,
     921,   923,   874,   875,   865,   864,   862,   863,   150,   877,
     862,   874,   890,   982,    31,   996,   330,   428,   953,   266,
     298,   330,   362,   362,   318,   987,   437,   362,   362,   318,
     362,   362,   354,   468,   775,   150,   160,   176,   308,   693,
     694,    61,    78,   135,   152,   281,   376,   532,   533,    78,
     106,   239,   362,   106,   239,   318,   318,   583,    21,    55,
      69,    82,   123,   152,   157,   255,   318,   324,   327,   352,
     358,   371,   395,   575,   984,   298,   330,   486,   253,   566,
     322,   362,   362,   244,   566,   110,   196,   318,   305,   720,
     728,   176,   186,   260,   331,   391,   436,   710,   713,   714,
     715,   717,   897,   997,   362,   382,    70,   135,   523,   532,
     996,    70,   745,   253,   316,   366,    78,   745,    25,   301,
     316,   366,   982,   181,   249,   661,   435,   362,   362,   435,
     492,   354,   401,   402,   492,    78,   439,     4,   266,   252,
     492,   252,   383,   383,   238,   897,   266,   330,   733,   100,
     362,   448,   478,   362,   362,   566,    49,   565,   566,   566,
      98,   223,   225,    49,   362,   446,   318,   446,   236,   564,
     362,   244,   993,   594,   362,   745,   318,   362,   362,   492,
     492,   661,   661,   661,   661,   982,    37,   388,    37,    37,
     362,    37,   362,   318,   439,    96,   382,   612,   994,   362,
     448,   362,   318,   266,   298,   288,   299,   326,   472,   763,
     743,   800,   800,   988,   996,   982,   636,   897,   253,   404,
     709,   566,   661,   661,   732,   197,   253,    76,   115,   267,
     356,   253,   661,   197,   401,   507,   446,     3,   638,   639,
     632,   435,   899,    31,    30,   898,   101,   169,   224,   228,
     321,   416,   435,   919,   920,   662,   902,   661,   633,   634,
     998,    20,   770,   897,   139,   580,   984,   239,   435,   607,
     447,   401,   646,   383,   395,   447,   994,    86,   160,   466,
     515,   560,   615,   676,   696,   766,   993,   602,   603,   984,
     219,   661,   661,   661,   661,   249,   111,   189,   369,   381,
     617,   618,   132,   435,   612,   447,   562,   563,   239,    31,
     249,   435,   556,   534,   150,   699,   988,   435,   711,    31,
     203,   401,   402,   843,   319,   990,   489,   897,   985,   171,
     984,   990,   489,   983,   984,   139,   383,   139,   383,   733,
     489,   489,   983,   984,   982,   984,   984,   984,   982,   983,
     612,   139,   139,   489,   660,   661,   439,   812,   993,   436,
     439,   982,   806,   808,   841,   841,   841,   841,   841,   841,
     535,   436,   439,   436,   158,   325,   353,   983,    99,   327,
     685,   686,   983,   248,   983,   981,   981,   983,   362,   401,
     689,    16,   137,   314,   332,   831,   888,   243,   832,   436,
     439,   818,   822,   827,   833,   844,   362,   679,   678,   679,
     155,   161,   690,   996,    21,    70,   123,   152,   157,   204,
     318,   324,   352,   371,   395,   575,   670,   950,   972,   434,
     950,   954,   955,   435,   397,   967,   968,   921,   950,   992,
     992,   950,     3,   101,   169,   224,   228,   321,   416,   956,
     957,   993,   992,   950,   950,   992,   992,   914,   914,   921,
     733,   921,   958,   426,   427,   922,   923,   943,   947,   960,
     436,   950,   921,   950,   961,   360,   418,   992,   992,   921,
      48,   155,   208,   363,   921,   950,   964,   950,   230,   923,
     921,   928,   929,   930,   230,   921,   930,   436,   439,   330,
     992,   992,   919,   897,   921,   998,   360,    35,   349,   975,
     661,   921,   435,   845,   965,   119,   122,   144,   239,   244,
     249,   368,   377,   921,    43,   172,   176,   212,   334,   435,
     921,   362,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,    22,    29,   337,   944,   314,   435,   943,   159,
     216,   352,   355,   357,   379,   854,   982,   980,   155,   880,
      22,   119,   391,   428,   436,   715,   921,   951,   952,   997,
     982,   364,   435,   993,   439,   436,   434,   440,   170,   170,
     489,   982,   788,   789,   982,   976,   436,   435,   439,    32,
     114,   383,   705,   435,   868,   995,   254,   249,   878,   878,
     439,   314,   315,   870,   875,   863,   383,   828,   106,   435,
     823,   844,   996,   435,   834,   835,   836,   837,   838,   996,
     436,   436,   362,   362,   318,   994,   984,   984,   987,   994,
     984,   984,   994,   985,   984,    77,   776,   311,   382,   678,
     318,   160,   678,   435,   984,   383,   700,   201,   201,   383,
     435,   553,   984,   244,   994,   921,   244,   984,   984,   362,
     584,   990,   435,   661,   661,   661,    99,   352,   686,    63,
     145,   733,   984,   661,   984,   661,   320,   661,   661,   203,
     164,   236,   266,   387,   587,   588,   589,   362,   745,   318,
     244,   110,   196,   994,   984,   253,   984,   260,   997,   436,
     439,   715,   717,   714,   717,   997,   662,   994,   983,   523,
     897,   996,   984,   984,    22,   382,   984,   171,   984,   171,
     996,   316,   366,   316,   366,   984,    22,   382,   984,   982,
      18,   125,   330,   595,   596,   597,   598,   998,   994,   984,
     494,   495,   998,   984,   252,    66,   252,   984,   487,   362,
     986,   996,   986,   439,   436,   439,   362,   318,   985,   994,
       3,    77,   130,   181,   271,   374,   382,   385,   449,   994,
     984,   566,   661,   984,   566,   984,   566,   994,   984,   984,
     984,   994,   984,    18,    24,   125,   266,   298,   330,   266,
     298,   330,   632,   298,   330,   298,   330,   298,   896,   996,
     993,   996,   171,   996,   994,   984,   984,   984,    18,   498,
     327,   994,   984,   984,   362,   362,    74,   373,   288,   150,
     814,   814,   814,   197,    31,   661,   197,   197,   383,   383,
     197,   244,   667,   993,   661,   661,   661,   661,   661,   661,
     197,   667,   252,   155,   362,   501,   435,   503,   504,   422,
     436,   439,   921,    30,   898,   897,   433,   433,   362,   362,
     362,   435,   362,   992,   902,   436,   439,   422,   617,    77,
     129,   206,   207,   219,   266,   354,   356,   771,   525,   984,
     155,   318,   394,   581,   588,   589,   139,   436,   523,   608,
     609,   327,    19,   176,   311,   350,   449,   450,   800,   150,
     986,   982,   465,   258,   516,   152,   993,   632,   632,   632,
     632,   249,   253,   258,   435,   894,   895,   896,   327,   139,
     138,   844,   661,   212,   517,   519,   521,   523,   529,   532,
     557,   558,   996,   546,    31,   993,   253,   436,   712,   713,
     718,    31,   203,   307,   400,   719,   720,   721,   253,   476,
     168,   168,   150,   636,    31,   139,   489,   709,   661,   986,
     661,   986,   732,   253,   489,   489,   253,   489,   327,   150,
     476,   489,   798,   921,   435,   436,   536,   176,   176,   176,
     404,   983,   439,   566,   567,   163,   682,   683,   994,    19,
     690,   137,   332,   137,   332,   314,   381,   226,   897,   984,
     155,   253,   682,    49,   489,   990,   352,   990,   248,   203,
     661,   436,   434,   434,   439,   950,   921,   127,   968,   969,
      31,   436,   436,   436,   436,   436,   155,   436,   436,   436,
     436,   436,   439,   436,   272,   959,   436,   922,   922,    11,
     176,   197,   255,   422,   423,   424,   426,   427,   428,   429,
     430,   431,   947,   922,   436,   436,   150,   155,   962,   963,
     436,   418,   436,   436,    31,   964,   950,   964,   964,   155,
     436,   436,   998,   270,   932,    31,   436,   439,   921,   998,
     439,   921,   974,   921,   996,   436,   436,   418,   922,   922,
     133,   950,   155,   119,   122,   144,   244,   249,   368,   377,
     435,   133,   349,   975,   921,   965,   921,   362,   733,   921,
     435,   845,   355,   357,   355,   357,   982,   855,   855,   855,
     435,   845,   881,   882,   883,   888,   891,   924,   990,   996,
     398,   892,   951,   951,   952,   436,   262,   936,    13,   436,
     439,   859,   764,   992,   919,   471,   921,   794,   818,   861,
     255,   945,   948,   419,   420,   706,   921,   870,   981,   832,
     832,   867,   881,   398,   893,   389,   824,   825,   996,   306,
     826,   838,   839,   439,   880,   422,   974,   994,   984,   984,
     213,   983,   983,   253,   983,   256,   253,   921,   533,   986,
     435,   435,   435,   553,   179,   535,   626,   489,   476,   636,
     897,   404,   661,   661,   661,   732,    76,   115,   267,   356,
     984,   570,   984,   164,   387,   362,   570,   587,   594,   984,
     984,   984,   187,   244,   662,   713,   717,   717,   430,   525,
     125,   303,   330,   488,   746,   139,   489,   139,   489,   984,
     984,   984,   984,   597,   598,   597,   436,   439,   599,   993,
     436,   439,   422,   437,   994,   266,   298,   330,    18,   125,
     266,   298,   330,   897,   238,   897,   994,   984,   213,   271,
     244,   993,   271,   983,   380,   362,   221,   221,   221,   362,
     362,   318,   362,   362,   318,   362,   318,   362,   318,   362,
     489,   897,    20,    41,   330,   746,   139,   489,   362,   984,
     994,   984,   100,   985,   362,   815,   815,   815,   667,   897,
     197,   667,   667,   986,   986,   667,   197,   197,   197,   197,
     197,   197,   667,   502,   510,   511,   998,    45,    88,   112,
     129,   133,   151,   167,   244,   252,   286,   505,   255,   426,
     427,   566,   635,   717,   948,   993,  1002,     3,   639,   436,
     433,   436,   992,   434,   992,   169,   224,   920,   224,   920,
     920,   992,   228,   436,   634,   635,   253,   213,   422,   772,
     772,   772,   772,   772,   772,   772,    61,    68,    78,   106,
     108,   183,   239,   244,   281,   294,   376,   526,   527,   528,
     446,   476,   984,   476,   257,   592,   982,   436,   439,   984,
     983,   163,   311,   983,   992,   371,   534,   300,   352,    99,
     535,   982,   618,   640,   641,   993,   436,   439,   984,   982,
     984,   401,   559,   435,   518,   982,   436,   439,   436,   439,
     253,   547,   844,   362,   982,   436,   439,   106,   422,   722,
     993,   476,   352,   716,   717,   401,   721,   723,   111,   189,
     323,   381,   754,   164,   844,   489,   897,   984,   489,   383,
     489,   383,   489,   489,   982,   982,   984,   612,   489,   996,
     318,   318,   318,   983,   686,   439,   994,   401,   439,   684,
     256,   137,   137,   983,   681,   489,   994,   636,   709,   566,
     661,   197,   954,   436,   359,   921,   131,   897,   921,   921,
     921,   962,   897,   922,   119,   122,   239,   249,   922,   922,
     922,   922,   922,   922,   922,   922,   922,   922,   921,   921,
     963,   962,   918,   918,   897,   436,   436,   436,   950,   436,
     439,    49,   923,   436,   998,   929,   278,   347,   931,   436,
     439,   394,   925,    31,   436,   915,   993,   921,    28,    28,
     921,   436,   921,   155,   435,   953,   921,   922,   922,   133,
     133,   921,   436,   133,   921,   855,   855,   855,   855,   982,
     982,   982,   845,   882,   883,    31,   884,   996,   439,    87,
     156,   185,   200,   210,   233,   309,   885,   884,    31,   884,
     996,   435,   973,   921,   163,   872,   439,   858,   859,   858,
     436,   936,   435,   937,   996,   921,   936,   993,   391,   952,
     436,   436,   434,   436,   435,   706,   436,   254,    89,   921,
     826,   436,   439,   974,   979,   436,   439,   835,   893,   976,
     772,   158,   325,   353,   695,   150,   695,   436,   435,   538,
     539,   702,   924,   996,   535,   535,   626,   988,   436,   108,
     183,   239,   627,    31,   984,   383,   383,   661,   661,   661,
     661,   662,   994,   362,   187,   430,   371,   239,   492,    99,
     239,   342,   345,   492,   371,   984,   996,   596,   495,   635,
     998,   362,   362,   318,   157,   255,   345,   644,   645,   157,
     255,   652,   653,   362,   362,   318,   436,   436,   436,   995,
     993,   993,   993,   984,   150,   150,   300,   150,   171,   994,
     984,   984,   994,   984,   984,   984,   984,   984,   984,   984,
      68,   490,   993,   993,   371,   996,   984,   594,   985,   382,
     994,   436,   667,   197,   197,   667,   667,   667,   667,   667,
     667,   383,   508,   509,   436,   439,   428,   435,   473,   512,
     566,   780,   993,   780,   239,   286,   780,   780,   626,   992,
     401,   402,   434,   434,   436,   919,   982,   772,   106,   992,
     993,   106,   993,   106,   993,   106,   993,   106,   984,   106,
     984,   106,   984,   435,   661,   984,   922,   109,   173,   108,
     244,   201,   982,   723,   580,   435,   607,   609,   592,   983,
     983,   897,    31,   982,   404,   150,   619,   436,   439,   896,
     592,   249,   435,   820,    99,   236,   520,   522,   524,   532,
     996,   546,   530,   182,   545,   521,   558,    73,   354,   548,
     401,   767,   993,   700,   718,   921,   921,   439,   435,   719,
     632,   362,   570,   436,   489,   986,   986,   489,   489,   327,
     983,   983,   983,   566,   160,   683,   690,   155,   197,   197,
     197,   197,   244,   671,   993,   921,   436,   436,   963,   155,
     119,   122,   249,   435,   436,   407,   927,   950,   293,    49,
     399,   399,   436,   921,   236,   921,   439,   926,   899,   919,
     922,   922,   921,   953,   436,    28,    28,   921,   921,   133,
     921,   436,   982,   982,   982,   982,   436,   996,   435,   882,
     200,   261,   886,   882,   886,   200,   885,   886,   200,   435,
     996,   435,   951,    49,   166,   873,   436,   436,   936,   938,
     996,   952,   936,   993,   733,   249,   844,   825,   422,   838,
     826,   995,   362,   678,   155,   626,   921,   436,   439,   401,
      68,   703,   703,   436,   436,   723,   109,   173,   108,   385,
     897,   986,   986,   984,   371,   244,   244,   995,   996,   897,
     489,   489,   422,   994,   984,   984,   992,   992,   897,   439,
     992,   992,   439,   994,   984,   984,   983,   983,   661,   983,
     139,   661,   897,   489,   489,   994,   197,   667,   667,   446,
     113,   511,   473,   513,   514,   993,   993,   244,   428,   535,
     993,   993,   434,   157,   186,   157,   155,   625,   995,   921,
     239,   527,   723,   534,   383,   552,   593,   597,   327,   383,
     844,   435,   984,   126,   620,   397,   622,   993,   661,   517,
      99,   436,   439,   401,   547,   136,   177,   435,   546,   111,
     125,   278,   984,   120,   549,   550,    53,    61,   216,   155,
     435,   993,   715,   724,   725,   997,   723,   982,   184,   571,
     489,   489,   489,   984,   256,   489,   682,   671,   671,   671,
     671,   922,   155,   435,   953,   435,   436,   439,   436,   923,
     293,   436,   388,   339,   436,   436,   436,   922,   922,   921,
     884,   435,   983,   882,   253,   383,   887,   882,   200,   882,
     895,   435,   895,   996,   436,   950,   921,   400,   933,   936,
     936,   269,   939,   436,   919,   436,   841,   978,   682,   253,
     682,   436,   723,   539,   255,   733,   661,   383,   661,   704,
     704,   294,   723,   552,   436,   490,   635,   435,   990,   733,
     645,   435,   435,   653,   401,   300,   401,   401,   150,   490,
     667,   503,   993,   436,   439,   535,   686,    31,   738,   738,
     982,   626,   436,   552,   222,   537,   179,   436,   439,   984,
     986,   767,   592,   314,   341,   621,   435,   138,   518,   436,
     522,   257,   548,    22,    72,    79,   107,   180,   345,   531,
     531,   981,   547,   315,   315,    49,   435,   362,   551,    61,
     256,    61,   661,   701,   702,   717,   436,   439,   892,   570,
     236,   387,   572,   573,   489,   922,   953,   436,   928,   950,
      49,   236,   417,   983,   436,   921,   435,   882,   887,   436,
     895,   436,   934,   935,   996,    49,   858,   936,   684,   695,
     489,   703,   552,   435,   661,   705,   705,   982,   552,   626,
     383,   491,   953,   709,   150,   648,   732,   953,   953,   660,
     661,   660,   661,   983,   489,   514,   738,    34,   175,   150,
     156,   268,   335,   253,   541,   542,   543,   354,   597,   592,
     145,   647,   921,   285,   546,   545,   525,   550,   436,   548,
     165,   227,   302,   313,   984,   163,   237,   256,   256,   436,
     439,   719,   724,   121,   387,   570,   436,   436,   436,   293,
     388,   436,   983,   436,   439,    31,   950,   287,   315,   940,
     155,   704,   398,   540,   733,   706,   706,   534,   626,   921,
     436,   259,   320,   291,   649,   648,   436,   436,   401,   126,
     111,   381,   253,   543,   253,   542,   984,   661,    31,   436,
     990,   547,   546,   551,   550,   435,   310,   436,   799,   800,
     401,   493,   702,   723,    23,   190,   755,   436,   935,   937,
      43,    89,   372,   921,   941,   942,   941,   436,   682,   705,
     435,   626,   436,   537,   990,    49,   649,   661,   314,    52,
     236,   305,   330,   544,   544,   644,   435,   548,   547,   551,
     984,   492,   548,   240,   435,   750,   752,   757,   822,   827,
     833,   844,   942,   314,   149,   275,   149,   275,   489,   706,
     921,   541,   709,   661,   622,    17,   106,   244,     4,   623,
     624,   992,   993,   998,   550,   548,   436,   892,   751,   752,
     753,   845,   846,    28,   436,   626,   138,   436,   439,   551,
     550,   436,   438,   942,   285,   624,   551,   753,   990,   435,
     623,   436
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 687 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 694 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 701 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 829 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 840 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 850 "gram.y"
    {}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 851 "gram.y"
    {}
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 860 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 861 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 865 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 866 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 871 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 876 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 880 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 885 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 890 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 894 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 898 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 903 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 907 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 960 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 963 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 967 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 971 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 975 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 979 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 993 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1011 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1021 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1022 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1027 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1045 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1057 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1078 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1085 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1104 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1111 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1128 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1146 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1156 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1157 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1170 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1177 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1194 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1206 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1217 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1218 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1222 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1223 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 1251 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1257 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1263 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1272 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1280 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1288 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 1295 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1302 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1310 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1321 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1329 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1337 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1345 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1353 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1364 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1372 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1380 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1387 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1396 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1398 "gram.y"
    {
					(yyval.str) = palloc(strlen((yyvsp[(1) - (3)].str)) + strlen((yyvsp[(3) - (3)].str)) + 2);
					sprintf((yyval.str), "%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str));
				}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1404 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1405 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1409 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1411 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1414 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1415 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1416 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1417 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1421 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1422 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1423 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1429 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1442 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1446 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1450 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1465 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1487 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1488 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1489 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1493 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1494 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1495 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1499 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1500 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1505 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1512 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1519 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1526 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1533 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1542 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1543 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1549 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1555 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1561 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1567 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1573 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1583 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred    = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1592 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1593 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1597 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1598 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1607 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1622 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1628 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1634 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1640 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1658 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1666 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1674 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1682 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					(yyval.node) = (Node *)n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1692 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1693 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1699 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1707 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1715 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1724 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1732 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1740 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1749 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1758 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1767 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1776 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1786 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1799 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1813 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1821 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1829 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1839 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1849 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1856 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1863 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1871 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1879 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1887 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1895 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1903 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1910 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1917 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1925 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1932 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1939 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1947 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1955 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 1963 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 1971 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 1979 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 1987 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 1997 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2004 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2012 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2020 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2028 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2035 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2044 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2045 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2049 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2050 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2051 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2056 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2063 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2067 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2068 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2072 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2075 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2076 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2080 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2081 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2087 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2091 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2095 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2100 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2115 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2127 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2128 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2134 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2143 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2153 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2163 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these three fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2188 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2194 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2222 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (10)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (10)].list);
					n->is_from = (yyvsp[(6) - (10)].boolean);
					n->filename = (yyvsp[(7) - (10)].str);

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (10)].defelt));
					if ((yyvsp[(5) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (10)].defelt));
					if ((yyvsp[(8) - (10)].defelt))
						n->options = lappend(n->options, (yyvsp[(8) - (10)].defelt));
					if ((yyvsp[(10) - (10)].list))
						n->options = list_concat(n->options, (yyvsp[(10) - (10)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2243 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (6)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->filename = (yyvsp[(4) - (6)].str);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2256 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2257 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2266 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2267 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2268 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2271 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2272 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2277 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2278 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2283 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2287 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2291 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2295 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2299 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2303 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2307 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2311 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2315 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2319 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2323 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2327 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2336 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2339 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2344 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2347 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2352 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2355 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2359 "gram.y"
    {}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2360 "gram.y"
    {}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2366 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2370 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2377 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2383 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2384 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2385 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2386 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2387 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2392 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2396 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2403 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2426 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(4) - (13)].range);
					n->tableElts = (yyvsp[(6) - (13)].list);
					n->inhRelations = (yyvsp[(8) - (13)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (13)].list);
					n->oncommit = (yyvsp[(10) - (13)].oncommit);
					n->tablespacename = (yyvsp[(11) - (13)].str);
					n->if_not_exists = false;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(12) - (13)].distby);
					n->subcluster = (yyvsp[(13) - (13)].subclus);
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2449 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (16)].range)->relpersistence = (yyvsp[(2) - (16)].ival);
					n->relation = (yyvsp[(7) - (16)].range);
					n->tableElts = (yyvsp[(9) - (16)].list);
					n->inhRelations = (yyvsp[(11) - (16)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (16)].list);
					n->oncommit = (yyvsp[(13) - (16)].oncommit);
					n->tablespacename = (yyvsp[(14) - (16)].str);
					n->if_not_exists = true;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(15) - (16)].distby);
					n->subcluster = (yyvsp[(16) - (16)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2476 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (12)].range)->relpersistence = (yyvsp[(2) - (12)].ival);
					n->relation = (yyvsp[(4) - (12)].range);
					n->tableElts = (yyvsp[(7) - (12)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (12)].list));
					n->ofTypename->location = (yylsp[(6) - (12)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (12)].list);
					n->oncommit = (yyvsp[(9) - (12)].oncommit);
					n->tablespacename = (yyvsp[(10) - (12)].str);
					n->if_not_exists = false;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(11) - (12)].distby);
					n->subcluster = (yyvsp[(12) - (12)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2504 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (15)].range)->relpersistence = (yyvsp[(2) - (15)].ival);
					n->relation = (yyvsp[(7) - (15)].range);
					n->tableElts = (yyvsp[(10) - (15)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (15)].list));
					n->ofTypename->location = (yylsp[(9) - (15)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (15)].list);
					n->oncommit = (yyvsp[(12) - (15)].oncommit);
					n->tablespacename = (yyvsp[(13) - (15)].str);
					n->if_not_exists = true;
/* PGXC_BEGIN */
					n->distributeby = (yyvsp[(14) - (15)].distby);
					n->subcluster = (yyvsp[(15) - (15)].subclus);
					if (n->inhRelations != NULL && n->distributeby != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE cannot contains both an INHERITS and a DISTRIBUTE BY clause"),
								 parser_errposition(exprLocation((Node *) n->distributeby))));
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2536 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2537 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2538 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2539 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2540 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2541 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2542 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2543 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2547 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2548 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2552 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2553 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2558 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2562 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2569 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2573 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2579 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2580 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2581 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2585 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2586 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2590 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(3) - (3)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2609 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2628 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2629 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2634 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2641 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2642 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2644 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2675 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2682 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2689 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2700 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2711 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (4)]);
					n->raw_expr = (yyvsp[(3) - (4)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2720 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2729 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2762 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2769 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2776 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2783 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2802 "gram.y"
    {
					InhRelation *n = makeNode(InhRelation);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2811 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2812 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2813 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2817 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2818 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2819 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2820 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2821 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2822 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2832 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2839 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2844 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2857 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2871 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2886 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2900 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2916 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2933 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2953 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2954 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2958 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2959 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2963 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2969 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 2973 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 2981 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 2985 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_UNSPECIFIED;
			}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 2991 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 2993 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 2997 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3002 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3008 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3009 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3020 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3022 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3024 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3026 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3028 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3034 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3038 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3039 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3040 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3041 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3042 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3045 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3046 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3051 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3052 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3053 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3054 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3057 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3058 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3059 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3060 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3063 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3064 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3073 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_HASH;
					n->colname = (yyvsp[(3) - (4)].str);
					(yyval.distby) = n;
				}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3080 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_MODULO;
					n->colname = (yyvsp[(5) - (6)].str);
					(yyval.distby) = n;
				}
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3087 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_REPLICATION;
					n->colname = NULL;
					(yyval.distby) = n;
				}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3094 "gram.y"
    {
					DistributeBy *n = makeNode(DistributeBy);
					n->disttype = DISTTYPE_ROUNDROBIN;
					n->colname = NULL;
					(yyval.distby) = n;
				}
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3100 "gram.y"
    { (yyval.distby) = NULL; }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3105 "gram.y"
    {
					PGXCSubCluster *n = makeNode(PGXCSubCluster);
					n->clustertype = SUBCLUSTER_NODE;
					n->members = (yyvsp[(3) - (3)].list);
					(yyval.subclus) = n;
				}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3112 "gram.y"
    {
					PGXCSubCluster *n = makeNode(PGXCSubCluster);
					n->clustertype = SUBCLUSTER_GROUP;
					n->members = list_make1(makeString((yyvsp[(3) - (3)].str)));
					(yyval.subclus) = n;
				}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3118 "gram.y"
    { (yyval.subclus) = NULL; }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3122 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3123 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3126 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3137 "gram.y"
    {
					/*
					 * When the SelectStmt is a set-operation tree, we must
					 * stuff the INTO information into the leftmost component
					 * Select, because that's where analyze.c will expect
					 * to find it.	Similarly, the output column names must
					 * be attached to that Select's target list.
					 */
					SelectStmt *n = findLeftmostSelect((SelectStmt *) (yyvsp[(6) - (7)].node));
					if (n->intoClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("CREATE TABLE AS cannot specify INTO"),
								 parser_errposition(exprLocation((Node *) n->intoClause))));
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					n->intoClause = (yyvsp[(4) - (7)].into);
					/* Implement WITH NO DATA by forcing top-level LIMIT 0 */
					if (!(yyvsp[(7) - (7)].boolean))
						((SelectStmt *) (yyvsp[(6) - (7)].node))->limitCount = makeIntConst(0, -1);
					(yyval.node) = (yyvsp[(6) - (7)].node);
				}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3165 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (7)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (7)].list);
					(yyval.into)->options = (yyvsp[(3) - (7)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (7)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (7)].str);
/* PGXC_BEGIN */
					(yyval.into)->distributeby = (yyvsp[(6) - (7)].distby);
					(yyval.into)->subcluster = (yyvsp[(7) - (7)].subclus);
/* PGXC_END */
				}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3180 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3181 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3185 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3186 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3191 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (1)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = NULL;
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3210 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3211 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3212 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3226 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
/* PGXC_BEGIN */
					n->is_serial = false;
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3241 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
/* PGXC_BEGIN */
					n->is_serial = false;
/* PGXC_END */
					(yyval.node) = (Node *)n;
				}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3252 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3253 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3256 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3257 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3261 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3265 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3269 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3273 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3277 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3281 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3285 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3289 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3293 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3297 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3301 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3305 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3310 "gram.y"
    {}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3311 "gram.y"
    {}
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3315 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3317 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3321 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3324 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3325 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3338 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3351 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3364 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3365 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3373 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3374 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3378 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3379 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3383 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3384 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3388 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3389 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3394 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(4) - (5)].str);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3402 "gram.y"
    {
					DropPLangStmt *n = makeNode(DropPLangStmt);
					n->plname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3412 "gram.y"
    {}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3413 "gram.y"
    {}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3424 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (6)].str);
					n->owner = (yyvsp[(4) - (6)].str);
					n->location = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3433 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3434 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3448 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3455 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3472 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3480 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3491 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3493 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3498 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3502 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3506 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3518 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3528 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3530 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3535 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3548 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3558 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3568 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3577 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3586 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3595 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3605 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3614 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3624 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3634 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3644 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3653 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3662 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3671 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3680 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3689 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3698 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3707 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3716 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3725 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3734 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3743 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3761 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3771 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3772 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); }
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3773 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3774 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); }
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3778 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3779 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3783 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3784 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3795 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3803 "gram.y"
    {
					DropFdwStmt *n = makeNode(DropFdwStmt);
					n->fdwname = (yyvsp[(7) - (8)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3820 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3828 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3839 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3840 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3845 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3849 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3856 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3861 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3865 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3872 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3876 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3881 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3886 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3893 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3899 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3904 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3916 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3928 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3929 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 3934 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 3935 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 3939 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 3940 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 3951 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 3959 "gram.y"
    {
					DropForeignServerStmt *n = makeNode(DropForeignServerStmt);
					n->servername = (yyvsp[(5) - (6)].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *) n;
				}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 3976 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 3985 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 3993 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4012 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (8)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (8)].range);
					n->base.tableElts = (yyvsp[(5) - (8)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4027 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (11)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (11)].range);
					n->base.tableElts = (yyvsp[(8) - (11)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(10) - (11)].str);
					n->options = (yyvsp[(11) - (11)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4042 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4043 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4048 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4052 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4058 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4070 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4087 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4098 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4099 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4100 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4111 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4119 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4136 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4157 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4178 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4199 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4200 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4201 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4206 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4208 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4230 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4232 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4234 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4236 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4238 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4243 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4247 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4257 "gram.y"
    {}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4258 "gram.y"
    {}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4262 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4263 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4267 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4268 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4272 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4273 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4274 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4279 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4284 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4285 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4286 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4290 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4291 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4296 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4298 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4324 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4325 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4326 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4327 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4328 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4334 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4344 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_TRIGGER;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4367 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4386 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = NULL;
					n->property = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4409 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4419 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4430 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4440 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4450 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4461 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4470 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4477 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4486 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4495 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4504 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4513 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4522 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4532 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4535 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4536 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4540 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4544 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4550 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4551 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4552 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4553 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4554 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4557 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4558 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4561 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4564 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4565 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4574 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4580 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4581 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4585 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4587 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4598 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (6)].list);
				 n->newVal = (yyvsp[(6) - (6)].str);
				 n->newValNeighbor = NULL;
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4607 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = false;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4616 "gram.y"
    {
				 AlterEnumStmt *n = makeNode(AlterEnumStmt);
				 n->typeName = (yyvsp[(3) - (8)].list);
				 n->newVal = (yyvsp[(6) - (8)].str);
				 n->newValNeighbor = (yyvsp[(8) - (8)].str);
				 n->newValIsAfter = true;
				 (yyval.node) = (Node *) n;
			 }
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4641 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4654 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4655 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4660 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4671 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4681 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4690 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4700 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4708 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4709 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4712 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4713 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4716 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4717 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4718 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4722 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4735 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4741 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4751 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4760 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4771 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4772 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4777 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4785 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4797 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4806 "gram.y"
    {
					RemoveOpClassStmt *n = makeNode(RemoveOpClassStmt);
					n->opclassname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4818 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (7)].list);
					n->amname = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4827 "gram.y"
    {
					RemoveOpFamilyStmt *n = makeNode(RemoveOpFamilyStmt);
					n->opfamilyname = (yyvsp[(6) - (9)].list);
					n->amname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4848 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4858 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4876 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4885 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4896 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4897 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4898 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4899 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4900 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4901 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4902 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4903 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4904 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4905 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4906 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4907 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4908 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 4909 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 4910 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 4914 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 4915 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 4918 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 4919 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 4923 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 4925 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 4938 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 4948 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 4949 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 4950 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 4977 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 4986 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 4995 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5004 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5013 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5022 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5031 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5041 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5050 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5059 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5068 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5077 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5086 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5095 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5103 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5111 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5119 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(6) - (8)].list);
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5129 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5130 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5131 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5132 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5133 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5134 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5135 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5136 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5137 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5138 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5139 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5140 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5141 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5142 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5143 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5144 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5145 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5149 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5150 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5166 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5177 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = (yyvsp[(7) - (9)].list);
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5188 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5199 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5210 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5221 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5222 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5226 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5227 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5228 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5229 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5230 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5231 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5232 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5233 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5236 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5237 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5248 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5254 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5262 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5270 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5278 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5286 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5294 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5302 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5310 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5318 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5326 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5334 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5342 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5350 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5358 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5366 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5374 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5382 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5391 "gram.y"
    {}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5392 "gram.y"
    {}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5395 "gram.y"
    {}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5396 "gram.y"
    {}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5408 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5424 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5438 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5463 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5465 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5467 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5469 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5476 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5484 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5485 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5489 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5496 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5503 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5510 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5524 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5532 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5540 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5548 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5556 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5564 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5572 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5580 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5588 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5596 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5604 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5612 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5620 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5628 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5639 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5640 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5644 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5654 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5667 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5668 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5672 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5674 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5679 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5695 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5708 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5718 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5729 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5730 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5733 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5734 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5745 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5754 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5755 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5760 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5764 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5768 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5780 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5793 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5807 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5822 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5823 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5824 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5839 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->indexOid = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5856 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5857 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5861 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5862 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5866 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5867 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5871 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5872 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5875 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5876 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5885 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5896 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5907 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5919 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5920 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5923 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5924 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5925 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5928 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5929 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5930 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5933 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 5934 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 5935 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 5953 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 5965 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 5978 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 5991 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 5992 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 5995 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 5996 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6000 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6001 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6009 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6010 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6014 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6016 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6031 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6040 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6049 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6058 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6067 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6078 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6079 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6080 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6081 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6082 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6093 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6107 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6109 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6115 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6125 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
			    }
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6129 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6134 "gram.y"
    {
				    (yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
				    (yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
			    }
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6143 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6144 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6152 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6156 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6160 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6164 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6168 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6172 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6176 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6180 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6184 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6188 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6192 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6196 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6200 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6208 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6212 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6216 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6220 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6225 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6227 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6233 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6234 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6238 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6250 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6254 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6269 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6279 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6280 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6302 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = extractArgTypes((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6312 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_FUNCTION;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = extractArgTypes((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6325 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6335 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_AGGREGATE;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6348 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6358 "gram.y"
    {
					RemoveFuncStmt *n = makeNode(RemoveFuncStmt);
					n->kind = OBJECT_OPERATOR;
					n->name = (yyvsp[(5) - (7)].list);
					n->args = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6371 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6379 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6381 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6383 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6388 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6390 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6403 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6411 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6412 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6417 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6421 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6434 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6445 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6456 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6467 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6468 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6469 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6474 "gram.y"
    {
					DropCastStmt *n = makeNode(DropCastStmt);
					n->sourcetype = (yyvsp[(5) - (9)].typnam);
					n->targettype = (yyvsp[(7) - (9)].typnam);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6484 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6485 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6500 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6508 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6518 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6530 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6531 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6534 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6535 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6546 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6555 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6563 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6571 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6579 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6588 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6596 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->subname = (yyvsp[(4) - (7)].str);
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6604 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6613 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6622 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6630 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6639 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6648 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6657 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6666 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6675 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6685 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6695 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6704 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6712 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6720 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6728 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6737 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6746 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6754 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6762 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6770 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6778 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6786 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6798 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6799 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6802 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6803 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6814 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6823 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6831 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6839 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6847 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6855 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6864 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6873 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6882 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newschema = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6891 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6899 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6907 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6915 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6923 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6931 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6939 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6947 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6955 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6971 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6980 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6988 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6996 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 7004 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 7012 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 7021 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 7029 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 7037 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 7046 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 7055 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->addname = (yyvsp[(6) - (9)].str);
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 7064 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 7072 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 7080 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 7088 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 7096 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 7104 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 7112 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 7131 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 7145 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 7146 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 7147 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 7153 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 7159 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7175 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7176 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7179 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7180 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7181 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7182 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7186 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7187 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7188 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7194 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->property = (yyvsp[(3) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7204 "gram.y"
    {
					DropPropertyStmt *n = makeNode(DropPropertyStmt);
					n->relation = (yyvsp[(7) - (8)].range);
					n->property = (yyvsp[(5) - (8)].str);
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->removeType = OBJECT_RULE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7225 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7234 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7235 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7239 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7248 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7254 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7273 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7280 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7287 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7294 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7301 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7308 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7315 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7323 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7331 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7339 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7347 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7355 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7362 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7369 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7377 "gram.y"
    {}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7378 "gram.y"
    {}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7379 "gram.y"
    {}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7384 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7387 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7390 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7393 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); }
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7396 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7403 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7405 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7407 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7413 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7427 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (8)].range);
					n->view->relpersistence = (yyvsp[(2) - (8)].ival);
					n->aliases = (yyvsp[(5) - (8)].list);
					n->query = (yyvsp[(7) - (8)].node);
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7438 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (10)].range);
					n->view->relpersistence = (yyvsp[(4) - (10)].ival);
					n->aliases = (yyvsp[(7) - (10)].list);
					n->query = (yyvsp[(9) - (10)].node);
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7451 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7457 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7463 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("WITH CHECK OPTION is not implemented")));
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7468 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7479 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7495 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7504 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7505 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7510 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7514 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7518 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7522 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7526 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7530 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7534 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7538 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7542 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7546 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7550 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7554 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7558 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7562 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7566 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7570 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7579 "gram.y"
    {}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7580 "gram.y"
    {}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7592 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7599 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7610 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7620 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7621 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7626 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7640 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7647 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7664 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7677 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7686 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7694 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7702 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7711 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7721 "gram.y"
    {}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7722 "gram.y"
    {}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7734 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7744 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7754 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7764 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7774 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7784 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7792 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7814 "gram.y"
    {
			  CreateConversionStmt *n = makeNode(CreateConversionStmt);
			  n->conversion_name = (yyvsp[(4) - (10)].list);
			  n->for_encoding_name = (yyvsp[(6) - (10)].str);
			  n->to_encoding_name = (yyvsp[(8) - (10)].str);
			  n->func_name = (yyvsp[(10) - (10)].list);
			  n->def = (yyvsp[(2) - (10)].boolean);
			  (yyval.node) = (Node *)n;
			}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7836 "gram.y"
    {
			       ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(3) - (4)].range);
				   n->indexname = (yyvsp[(4) - (4)].str);
				   n->verbose = (yyvsp[(2) - (4)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7844 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = NULL;
				   n->indexname = NULL;
				   n->verbose = (yyvsp[(2) - (2)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7853 "gram.y"
    {
				   ClusterStmt *n = makeNode(ClusterStmt);
				   n->relation = (yyvsp[(5) - (5)].range);
				   n->indexname = (yyvsp[(3) - (5)].str);
				   n->verbose = (yyvsp[(2) - (5)].boolean);
				   (yyval.node) = (Node*)n;
				}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7863 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7864 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7877 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7891 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7905 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7917 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7929 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
						n->freeze_min_age = n->freeze_table_age = 0;
					else
						n->freeze_min_age = n->freeze_table_age = -1;
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7945 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7946 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7950 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7951 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7952 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7953 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7958 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7970 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7984 "gram.y"
    {}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7985 "gram.y"
    {}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7989 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7990 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7993 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7994 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7997 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7998 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 8002 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 8003 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 8009 "gram.y"
    {
					BarrierStmt *n = makeNode(BarrierStmt);
					n->id = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 8018 "gram.y"
    {
					(yyval.str) = pstrdup((yyvsp[(1) - (1)].str));
				}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 8022 "gram.y"
    {
					(yyval.str) = NULL;
				}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 8043 "gram.y"
    {
					CreateNodeStmt *n = makeNode(CreateNodeStmt);
					n->node_name = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 8052 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 8055 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 8058 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 8059 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 8077 "gram.y"
    {
					AlterNodeStmt *n = makeNode(AlterNodeStmt);
					n->node_name = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 8093 "gram.y"
    {
					DropNodeStmt *n = makeNode(DropNodeStmt);
					n->node_name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 8108 "gram.y"
    {
					CreateGroupStmt *n = makeNode(CreateGroupStmt);
					n->group_name = (yyvsp[(4) - (6)].str);
					n->nodes = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 8124 "gram.y"
    {
					DropGroupStmt *n = makeNode(DropGroupStmt);
					n->group_name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 8143 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 8150 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 8160 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 8167 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 8187 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 8191 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 8198 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 8204 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 8205 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 8206 "gram.y"
    { (yyval.str) = "verbose"; }
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 8210 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 8211 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 8212 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 8223 "gram.y"
    {
					ExecDirectStmt *n = makeNode(ExecDirectStmt);
					n->node_names = (yyvsp[(4) - (5)].list);
					n->query = (yyvsp[(5) - (5)].str);
					(yyval.node) = (Node *)n;

					if (!superuser())
						ereport(ERROR,
						       (errcode(ERRCODE_INSUFFICIENT_PRIVILEGE),
						        errmsg("must be superuser to use EXECUTE DIRECT")));
				}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 8251 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = true;
					n->nodes = (yyvsp[(5) - (7)].list);
					n->is_force = false;
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 8261 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = false;
					n->nodes = (yyvsp[(5) - (7)].list);
					n->is_force = false;
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 8271 "gram.y"
    {
					CleanConnStmt *n = makeNode(CleanConnStmt);
					n->is_coord = true;
					n->nodes = NIL;
					n->is_force = (yyvsp[(5) - (7)].boolean);
					n->dbname = (yyvsp[(6) - (7)].str);
					n->username = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 8282 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 8283 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8284 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8287 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8288 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 8289 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 8301 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 8310 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 8311 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8329 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					n->into = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8338 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (8)].str);
					n->params = (yyvsp[(8) - (8)].list);
					(yyvsp[(4) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					n->into = (yyvsp[(4) - (8)].into);
#ifdef PGXC
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE TABLE AS EXECUTE not yet supported")));
#endif
					if ((yyvsp[(4) - (8)].into)->colNames)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("column name list not allowed in CREATE TABLE / AS EXECUTE")));
					/* ... because it's not implemented, but it could be */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8358 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8359 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8370 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8376 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8382 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8388 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8404 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8414 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8420 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8426 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8435 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8437 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8442 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8452 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8453 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8466 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8478 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8479 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8491 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8501 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8502 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8505 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8506 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8507 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8508 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8509 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8510 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8511 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8512 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8515 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8516 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8532 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8545 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8546 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8550 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8551 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8556 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8564 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8592 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8602 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8603 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8614 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8624 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8627 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8628 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8629 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8630 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8631 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8634 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8635 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8636 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8689 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8690 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8704 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8706 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8713 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8721 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8729 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8737 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8745 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8753 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8763 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8764 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8794 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8806 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8808 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8827 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8831 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8835 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8850 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8857 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8866 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8867 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8871 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8882 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8883 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8888 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
				}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8897 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8906 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8911 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8916 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8921 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8926 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8931 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8936 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8941 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8946 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8952 "gram.y"
    {}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8953 "gram.y"
    {}
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8956 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8957 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8958 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8965 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8966 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8967 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8968 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8972 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8973 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8977 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8981 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8982 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8986 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8995 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 9007 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 9008 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 9009 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 9010 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 9014 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 9015 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 9020 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 9022 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 9032 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 9037 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 9040 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 9044 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 9046 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 9053 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 9063 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 9064 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 9065 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 9073 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 9077 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 9078 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 9081 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 9082 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 9087 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9088 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9092 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9093 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9097 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9098 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9102 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9103 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9107 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9108 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9113 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = TRUE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9121 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(3) - (4)].list);
					n->forUpdate = FALSE;
					n->noWait = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9131 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9132 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9138 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9144 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9161 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9162 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9166 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9167 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9178 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].range);
				}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9182 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9187 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (1)].node);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9194 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					n->coldeflist = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9202 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9209 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (6)].node);
					a->aliasname = (yyvsp[(3) - (6)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9219 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					Alias *a = makeNode(Alias);
					n->funccallnode = (yyvsp[(1) - (5)].node);
					a->aliasname = (yyvsp[(2) - (5)].str);
					n->alias = a;
					n->coldeflist = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9229 "gram.y"
    {
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if (IsA((yyvsp[(1) - (1)].node), SelectStmt) &&
						((SelectStmt *) (yyvsp[(1) - (1)].node))->valuesLists)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("VALUES in FROM must have an alias"),
								 errhint("For example, FROM (VALUES ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("subquery in FROM must have an alias"),
								 errhint("For example, FROM (SELECT ...) [AS] foo."),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.node) = NULL;
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9257 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9264 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9268 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9294 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9298 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9310 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9323 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9337 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9348 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9363 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9369 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9374 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9380 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9386 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9387 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9388 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9389 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9393 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9394 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9406 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9407 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9413 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9420 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9427 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9434 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9444 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9445 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9459 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9463 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9470 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9479 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9484 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9485 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9490 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9492 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9499 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9504 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9505 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9510 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9514 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9520 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9549 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9554 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9561 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9566 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9572 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9577 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9586 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9588 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9590 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9594 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9595 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9596 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9597 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9598 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9600 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9605 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9634 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9635 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9636 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9637 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9649 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9655 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9662 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9663 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9670 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9675 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9680 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9685 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9690 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9695 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9700 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9705 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9711 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9717 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9723 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9730 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9751 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9761 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9765 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9773 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9777 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9785 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9797 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9818 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9822 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9828 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9832 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9845 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (5)].str)) + 1 + strlen((yyvsp[(5) - (5)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (5)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(5) - (5)].str));
						(yyvsp[(1) - (5)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9864 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
					{
						char *type;

						type = palloc(strlen((yyvsp[(1) - (2)].str)) + 1 + strlen((yyvsp[(2) - (2)].str)) + 1);
						strcpy(type, (yyvsp[(1) - (2)].str));
						strcat(type, "_");
						strcat(type, (yyvsp[(2) - (2)].str));
						(yyvsp[(1) - (2)].str) = type;
					}

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9887 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9889 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9891 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9893 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9895 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9897 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9901 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9902 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9906 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9907 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9915 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9924 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9932 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9941 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9952 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9959 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9960 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9961 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9966 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9968 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9970 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9972 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9974 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9976 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9978 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9983 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9988 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9994 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 10002 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 10007 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 10014 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 10020 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 10025 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 10029 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 10058 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 10060 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 10062 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 10070 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("timezone");
					n->args = list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 10092 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 10094 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 10096 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 10098 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10100 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10102 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10104 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10106 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10108 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10110 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10112 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10115 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10117 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10119 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10122 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10124 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10126 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10129 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10131 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10144 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10146 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10159 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10161 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10174 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10176 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("like_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10190 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10203 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (6)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10216 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (5)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10229 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("similar_escape");
					n->args = list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(2) - (7)]);
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10252 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10259 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10266 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10273 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10280 "gram.y"
    {
					(yyval.node) = (Node *)makeOverlaps((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list), (yylsp[(2) - (3)]), yyscanner);
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10284 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10291 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10298 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10305 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10312 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10319 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10326 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10330 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10338 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10342 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10352 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10359 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10366 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10379 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
						    (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
						    (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10392 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10411 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10432 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10442 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10449 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10465 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10470 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10488 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10490 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10492 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10494 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10496 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10498 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10500 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10502 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10504 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10506 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10508 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10510 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10512 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10514 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10516 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10518 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10520 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10524 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10529 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10533 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10537 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10542 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10558 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10559 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10561 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10576 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10588 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10590 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10592 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10602 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10612 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10622 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10630 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10648 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (4)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(4) - (4)].windef);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10661 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = (yyvsp[(3) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10674 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = list_make1((yyvsp[(4) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10687 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (8)].list);
					n->args = lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = TRUE;
					n->over = (yyvsp[(8) - (8)].windef);
					n->location = (yylsp[(1) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10700 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (6)].list);
					n->args = (yyvsp[(3) - (6)].list);
					n->agg_order = (yyvsp[(4) - (6)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(6) - (6)].windef);
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10713 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10730 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (7)].list);
					n->args = (yyvsp[(4) - (7)].list);
					n->agg_order = (yyvsp[(5) - (7)].list);
					n->agg_star = FALSE;
					n->agg_distinct = TRUE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(7) - (7)].windef);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10743 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL92 that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = (yyvsp[(1) - (5)].list);
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = TRUE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = (yyvsp[(5) - (5)].windef);
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10766 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), -1);
				}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 10787 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), -1);
				}
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 10797 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10810 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("now");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10827 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10840 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), -1);
				}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10850 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, -1);
				}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10863 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", (yylsp[(1) - (1)]), SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), -1);
				}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10873 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", (yylsp[(1) - (4)]), SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, -1);
				}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10886 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10899 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10912 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("session_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10925 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_user");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10938 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_database");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10951 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("current_schema");
					n->args = NIL;
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10964 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10966 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("date_part");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10979 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("overlay");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10997 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("position");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 11011 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("substring");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 11027 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 */
					FuncCall *n = makeNode(FuncCall);
					/* Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					n->funcname = SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str);
					n->args = list_make1((yyvsp[(3) - (6)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (6)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 11049 "gram.y"
    {
					/* various trim expressions are defined in SQL92
					 * - thomas 1997-07-19
					 */
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 11065 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("ltrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 11078 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("rtrim");
					n->args = (yyvsp[(4) - (5)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 11091 "gram.y"
    {
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("btrim");
					n->args = (yyvsp[(3) - (4)].list);
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 11104 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 11108 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 11115 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 11123 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 11131 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 11135 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 11139 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 11143 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 11147 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 11151 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					FuncCall *n = makeNode(FuncCall);
					n->funcname = SystemFuncName("xmlexists");
					n->args = list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node));
					n->agg_order = NIL;
					n->agg_star = FALSE;
					n->agg_distinct = FALSE;
					n->func_variadic = FALSE;
					n->over = NULL;
					n->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 11166 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 11170 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 11179 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 11183 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 11187 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 11192 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 11206 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 11208 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 11212 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 11214 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 11216 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 11218 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 11221 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 11224 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 11225 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 11229 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 11237 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 11246 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 11247 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 11250 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 11251 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 11252 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 11258 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 11262 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 11266 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 11270 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 11280 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 11281 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 11285 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 11287 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 11292 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 11300 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 11302 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 11315 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 11320 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 11345 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 11346 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 11349 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 11350 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 11362 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 11380 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 11386 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 11396 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 11413 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 11458 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 11466 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 11474 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 11482 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 11490 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 11510 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 11511 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 11512 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 11515 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 11516 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 11517 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 11520 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 11521 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 11524 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 11525 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 11526 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 11527 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 11528 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 11529 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 11530 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 11531 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 11532 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 11536 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 11538 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 11543 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 11545 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 11550 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 11552 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 11554 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 11556 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 11558 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 11560 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 11572 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 11576 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 11583 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 11587 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 11593 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 11597 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 11607 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 11608 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 11612 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 11616 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 11620 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 11625 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 11626 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 11632 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 11635 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 11642 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 11643 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 11644 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 11645 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 11646 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 11647 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 11648 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 11649 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 11660 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 11664 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 11671 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 11677 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 11678 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 11695 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 11699 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 11704 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 11708 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 11723 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 11727 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 11731 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 11734 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 11737 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 11738 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 11739 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 11743 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 11749 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 11760 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 11773 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 11774 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 11779 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 11789 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 11790 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 11793 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 11794 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 11798 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 11802 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 11809 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 11813 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 11817 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 11824 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 11833 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 11834 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 11838 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 11839 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 11854 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 11856 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 11864 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 11865 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 11873 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 11884 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 11885 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 11889 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 11905 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 11913 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 11921 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 11942 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 11943 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 11955 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 11959 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 11986 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 11988 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 11992 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 11995 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 11998 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 12000 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 12002 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 12004 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 12015 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 12017 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 12028 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 12032 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 12036 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 12040 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 12044 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 12053 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 12060 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (5)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list in the production to avoid
					 * reduce/reduce conflicts, but we don't actually wish
					 * to allow NamedArgExpr in this context.
					 */
					foreach(lc, (yyvsp[(3) - (5)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
								    (errcode(ERRCODE_SYNTAX_ERROR),
								     errmsg("type modifier cannot have parameter name"),
								     parser_errposition(arg->location)));
					}
					t->typmods = (yyvsp[(3) - (5)].list);
					t->location = (yylsp[(1) - (5)]);
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (5)].str), (yylsp[(5) - (5)]), t);
				}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 12085 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 12089 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 12095 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 12112 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 12116 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 12120 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 12125 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 12126 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 12127 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 12129 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 12130 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 12131 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 12147 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 12148 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 12149 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 12154 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 12155 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 12156 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 12162 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 12163 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 12164 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 12165 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 12166 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 37397 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 12646 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* makeOverlaps()
 * Create and populate a FuncCall node to support the OVERLAPS operator.
 */
static FuncCall *
makeOverlaps(List *largs, List *rargs, int location, core_yyscan_t yyscanner)
{
	FuncCall *n = makeNode(FuncCall);

	n->funcname = SystemFuncName("overlaps");
	if (list_length(largs) == 1)
		largs = lappend(largs, largs);
	else if (list_length(largs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
				 parser_errposition(location)));
	if (list_length(rargs) == 1)
		rargs = lappend(rargs, rargs);
	else if (list_length(rargs) != 2)
		ereport(ERROR,
				(errcode(ERRCODE_SYNTAX_ERROR),
				 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
				 parser_errposition(location)));
	n->args = list_concat(largs, rargs);
	n->agg_order = NIL;
	n->agg_star = FALSE;
	n->agg_distinct = FALSE;
	n->func_variadic = FALSE;
	n->over = NULL;
	n->location = location;
	return n;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* findLeftmostSelect()
 * Find the leftmost component SelectStmt in a set-operation parsetree.
 */
static SelectStmt *
findLeftmostSelect(SelectStmt *node)
{
	while (node && node->op != SETOP_NONE)
		node = node->larg;
	Assert(node && IsA(node, SelectStmt) && node->larg == NULL);
	return node;
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
	{
		char   *newval = (char *) palloc(strlen(oldval) + 2);

		*newval = '-';
		strcpy(newval+1, oldval);
		v->val.str = newval;
	}
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr    *x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

